/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.antdesignicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum AntDesignIconsOutlined implements Ikon {
    ACCOUNT_BOOK("anto-account-book", '\ue900'),
    AIM("anto-aim", '\ue901'),
    ALERT("anto-alert", '\ue902'),
    ALIBABA("anto-alibaba", '\ue903'),
    ALIGN_CENTER("anto-align-center", '\ue904'),
    ALIGN_LEFT("anto-align-left", '\ue905'),
    ALIGN_RIGHT("anto-align-right", '\ue906'),
    ALIPAY("anto-alipay", '\ue908'),
    ALIPAY_CIRCLE("anto-alipay-circle", '\ue907'),
    ALIWANGWANG("anto-aliwangwang", '\ue909'),
    ALIYUN("anto-aliyun", '\ue90a'),
    AMAZON("anto-amazon", '\ue90b'),
    ANDROID("anto-android", '\ue90c'),
    ANT_CLOUD("anto-ant-cloud", '\ue90d'),
    ANT_DESIGN("anto-ant-design", '\ue90e'),
    APARTMENT("anto-apartment", '\ue90f'),
    API("anto-api", '\ue910'),
    APPLE("anto-apple", '\ue911'),
    APPSTORE("anto-appstore", '\ue913'),
    APPSTORE_ADD("anto-appstore-add", '\ue912'),
    AREA_CHART("anto-area-chart", '\ue914'),
    ARROWS_ALT("anto-arrows-alt", '\ue919'),
    ARROW_DOWN("anto-arrow-down", '\ue915'),
    ARROW_LEFT("anto-arrow-left", '\ue916'),
    ARROW_RIGHT("anto-arrow-right", '\ue917'),
    ARROW_UP("anto-arrow-up", '\ue918'),
    AUDIO("anto-audio", '\ue91b'),
    AUDIO_MUTED("anto-audio-muted", '\ue91a'),
    AUDIT("anto-audit", '\ue91c'),
    BACKWARD("anto-backward", '\ue91d'),
    BANK("anto-bank", '\ue91e'),
    BARCODE("anto-barcode", '\ue920'),
    BARS("anto-bars", '\ue921'),
    BAR_CHART("anto-bar-chart", '\ue91f'),
    BEHANCE("anto-behance", '\ue923'),
    BEHANCE_SQUARE("anto-behance-square", '\ue922'),
    BELL("anto-bell", '\ue924'),
    BG_COLORS("anto-bg-colors", '\ue925'),
    BLOCK("anto-block", '\ue926'),
    BOLD("anto-bold", '\ue927'),
    BOOK("anto-book", '\ue928'),
    BORDER("anto-border", '\ue931'),
    BORDERLESS_TABLE("anto-borderless-table", '\ue932'),
    BORDER_BOTTOM("anto-border-bottom", '\ue929'),
    BORDER_HORIZONTAL("anto-border-horizontal", '\ue92a'),
    BORDER_INNER("anto-border-inner", '\ue92b'),
    BORDER_LEFT("anto-border-left", '\ue92c'),
    BORDER_OUTER("anto-border-outer", '\ue92d'),
    BORDER_RIGHT("anto-border-right", '\ue92e'),
    BORDER_TOP("anto-border-top", '\ue92f'),
    BORDER_VERTICLE("anto-border-verticle", '\ue930'),
    BOX_PLOT("anto-box-plot", '\ue933'),
    BRANCHES("anto-branches", '\ue934'),
    BUG("anto-bug", '\ue935'),
    BUILD("anto-build", '\ue936'),
    BULB("anto-bulb", '\ue937'),
    CALCULATOR("anto-calculator", '\ue938'),
    CALENDAR("anto-calendar", '\ue939'),
    CAMERA("anto-camera", '\ue93a'),
    CAR("anto-car", '\ue93b'),
    CARET_DOWN("anto-caret-down", '\ue93c'),
    CARET_LEFT("anto-caret-left", '\ue93d'),
    CARET_RIGHT("anto-caret-right", '\ue93e'),
    CARET_UP("anto-caret-up", '\ue93f'),
    CARRY_OUT("anto-carry-out", '\ue940'),
    CHECK("anto-check", '\ue943'),
    CHECK_CIRCLE("anto-check-circle", '\ue941'),
    CHECK_SQUARE("anto-check-square", '\ue942'),
    CHROME("anto-chrome", '\ue944'),
    CI("anto-ci", '\ue946'),
    CI_CIRCLE("anto-ci-circle", '\ue945'),
    CLEAR("anto-clear", '\ue947'),
    CLOCK_CIRCLE("anto-clock-circle", '\ue948'),
    CLOSE("anto-close", '\ue94b'),
    CLOSE_CIRCLE("anto-close-circle", '\ue949'),
    CLOSE_SQUARE("anto-close-square", '\ue94a'),
    CLOUD("anto-cloud", '\ue950'),
    CLOUD_DOWNLOAD("anto-cloud-download", '\ue94c'),
    CLOUD_SERVER("anto-cloud-server", '\ue94d'),
    CLOUD_SYNC("anto-cloud-sync", '\ue94e'),
    CLOUD_UPLOAD("anto-cloud-upload", '\ue94f'),
    CLUSTER("anto-cluster", '\ue951'),
    CODE("anto-code", '\ue953'),
    CODEPEN("anto-codepen", '\ue955'),
    CODEPEN_CIRCLE("anto-codepen-circle", '\ue954'),
    CODE_SANDBOX("anto-code-sandbox", '\ue952'),
    COFFEE("anto-coffee", '\ue956'),
    COLUMN_HEIGHT("anto-column-height", '\ue957'),
    COLUMN_WIDTH("anto-column-width", '\ue958'),
    COMMENT("anto-comment", '\ue959'),
    COMPASS("anto-compass", '\ue95a'),
    COMPRESS("anto-compress", '\ue95b'),
    CONSOLE_SQL("anto-console-sql", '\ue95c'),
    CONTACTS("anto-contacts", '\ue95d'),
    CONTAINER("anto-container", '\ue95e'),
    CONTROL("anto-control", '\ue95f'),
    COPY("anto-copy", '\ue960'),
    COPYRIGHT("anto-copyright", '\ue962'),
    COPYRIGHT_CIRCLE("anto-copyright-circle", '\ue961'),
    CREDIT_CARD("anto-credit-card", '\ue963'),
    CROWN("anto-crown", '\ue964'),
    CUSTOMER_SERVICE("anto-customer-service", '\ue965'),
    DASH("anto-dash", '\ue966'),
    DASHBOARD("anto-dashboard", '\ue967'),
    DATABASE("anto-database", '\ue968'),
    DELETE("anto-delete", '\ue96b'),
    DELETE_COLUMN("anto-delete-column", '\ue969'),
    DELETE_ROW("anto-delete-row", '\ue96a'),
    DELIVERED_PROCEDURE("anto-delivered-procedure", '\ue96c'),
    DEPLOYMENT_UNIT("anto-deployment-unit", '\ue96d'),
    DESKTOP("anto-desktop", '\ue96e'),
    DIFF("anto-diff", '\ue96f'),
    DINGDING("anto-dingding", '\ue970'),
    DINGTALK("anto-dingtalk", '\ue971'),
    DISCONNECT("anto-disconnect", '\ue972'),
    DISLIKE("anto-dislike", '\ue973'),
    DOLLAR("anto-dollar", '\ue975'),
    DOLLAR_CIRCLE("anto-dollar-circle", '\ue974'),
    DOT_CHART("anto-dot-chart", '\ue976'),
    DOUBLE_LEFT("anto-double-left", '\ue977'),
    DOUBLE_RIGHT("anto-double-right", '\ue978'),
    DOWN("anto-down", '\ue97b'),
    DOWNLOAD("anto-download", '\ue97c'),
    DOWN_CIRCLE("anto-down-circle", '\ue979'),
    DOWN_SQUARE("anto-down-square", '\ue97a'),
    DRAG("anto-drag", '\ue97d'),
    DRIBBBLE("anto-dribbble", '\ue97f'),
    DRIBBBLE_SQUARE("anto-dribbble-square", '\ue97e'),
    DROPBOX("anto-dropbox", '\ue980'),
    EDIT("anto-edit", '\ue981'),
    ELLIPSIS("anto-ellipsis", '\ue982'),
    ENTER("anto-enter", '\ue983'),
    ENVIRONMENT("anto-environment", '\ue984'),
    EURO("anto-euro", '\ue986'),
    EURO_CIRCLE("anto-euro-circle", '\ue985'),
    EXCEPTION("anto-exception", '\ue987'),
    EXCLAMATION("anto-exclamation", '\ue989'),
    EXCLAMATION_CIRCLE("anto-exclamation-circle", '\ue988'),
    EXPAND("anto-expand", '\ue98b'),
    EXPAND_ALT("anto-expand-alt", '\ue98a'),
    EXPERIMENT("anto-experiment", '\ue98c'),
    EXPORT("anto-export", '\ue98d'),
    EYE("anto-eye", '\ue98f'),
    EYE_INVISIBLE("anto-eye-invisible", '\ue98e'),
    FACEBOOK("anto-facebook", '\ue990'),
    FALL("anto-fall", '\ue991'),
    FAST_BACKWARD("anto-fast-backward", '\ue992'),
    FAST_FORWARD("anto-fast-forward", '\ue993'),
    FIELD_BINARY("anto-field-binary", '\ue994'),
    FIELD_NUMBER("anto-field-number", '\ue995'),
    FIELD_STRING("anto-field-string", '\ue996'),
    FIELD_TIME("anto-field-time", '\ue997'),
    FILE("anto-file", '\ue9a9'),
    FILE_ADD("anto-file-add", '\ue998'),
    FILE_DONE("anto-file-done", '\ue999'),
    FILE_EXCEL("anto-file-excel", '\ue99a'),
    FILE_EXCLAMATION("anto-file-exclamation", '\ue99b'),
    FILE_GIF("anto-file-gif", '\ue99c'),
    FILE_IMAGE("anto-file-image", '\ue99d'),
    FILE_JPG("anto-file-jpg", '\ue99e'),
    FILE_MARKDOWN("anto-file-markdown", '\ue99f'),
    FILE_PDF("anto-file-pdf", '\ue9a0'),
    FILE_PPT("anto-file-ppt", '\ue9a1'),
    FILE_PROTECT("anto-file-protect", '\ue9a2'),
    FILE_SEARCH("anto-file-search", '\ue9a3'),
    FILE_SYNC("anto-file-sync", '\ue9a4'),
    FILE_TEXT("anto-file-text", '\ue9a5'),
    FILE_UNKNOWN("anto-file-unknown", '\ue9a6'),
    FILE_WORD("anto-file-word", '\ue9a7'),
    FILE_ZIP("anto-file-zip", '\ue9a8'),
    FILTER("anto-filter", '\ue9aa'),
    FIRE("anto-fire", '\ue9ab'),
    FLAG("anto-flag", '\ue9ac'),
    FOLDER("anto-folder", '\ue9b0'),
    FOLDER_ADD("anto-folder-add", '\ue9ad'),
    FOLDER_OPEN("anto-folder-open", '\ue9ae'),
    FOLDER_VIEW("anto-folder-view", '\ue9af'),
    FONT_COLORS("anto-font-colors", '\ue9b1'),
    FONT_SIZE("anto-font-size", '\ue9b2'),
    FORK("anto-fork", '\ue9b3'),
    FORM("anto-form", '\ue9b4'),
    FORMAT_PAINTER("anto-format-painter", '\ue9b5'),
    FORWARD("anto-forward", '\ue9b6'),
    FROWN("anto-frown", '\ue9b7'),
    FULLSCREEN("anto-fullscreen", '\ue9b9'),
    FULLSCREEN_EXIT("anto-fullscreen-exit", '\ue9b8'),
    FUNCTION("anto-function", '\ue9ba'),
    FUND("anto-fund", '\ue9bd'),
    FUND_PROJECTION_SCREEN("anto-fund-projection-screen", '\ue9bb'),
    FUND_VIEW("anto-fund-view", '\ue9bc'),
    FUNNEL_PLOT("anto-funnel-plot", '\ue9be'),
    GATEWAY("anto-gateway", '\ue9bf'),
    GIF("anto-gif", '\ue9c0'),
    GIFT("anto-gift", '\ue9c1'),
    GITHUB("anto-github", '\ue9c2'),
    GITLAB("anto-gitlab", '\ue9c3'),
    GLOBAL("anto-global", '\ue9c4'),
    GOLD("anto-gold", '\ue9c5'),
    GOOGLE("anto-google", '\ue9c7'),
    GOOGLE_PLUS("anto-google-plus", '\ue9c6'),
    GROUP("anto-group", '\ue9c8'),
    HDD("anto-hdd", '\ue9c9'),
    HEART("anto-heart", '\ue9ca'),
    HEAT_MAP("anto-heat-map", '\ue9cb'),
    HIGHLIGHT("anto-highlight", '\ue9cc'),
    HISTORY("anto-history", '\ue9cd'),
    HOME("anto-home", '\ue9ce'),
    HOURGLASS("anto-hourglass", '\ue9cf'),
    HTML5("anto-html5", '\ue9d0'),
    IDCARD("anto-idcard", '\ue9d1'),
    IE("anto-ie", '\ue9d2'),
    IMPORT("anto-import", '\ue9d3'),
    INBOX("anto-inbox", '\ue9d4'),
    INFO("anto-info", '\ue9d6'),
    INFO_CIRCLE("anto-info-circle", '\ue9d5'),
    INSERT_ROW_ABOVE("anto-insert-row-above", '\ue9d7'),
    INSERT_ROW_BELOW("anto-insert-row-below", '\ue9d8'),
    INSERT_ROW_LEFT("anto-insert-row-left", '\ue9d9'),
    INSERT_ROW_RIGHT("anto-insert-row-right", '\ue9da'),
    INSTAGRAM("anto-instagram", '\ue9db'),
    INSURANCE("anto-insurance", '\ue9dc'),
    INTERACTION("anto-interaction", '\ue9dd'),
    ISSUES_CLOSE("anto-issues-close", '\ue9de'),
    ITALIC("anto-italic", '\ue9df'),
    KEY("anto-key", '\ue9e0'),
    LAPTOP("anto-laptop", '\ue9e1'),
    LAYOUT("anto-layout", '\ue9e2'),
    LEFT("anto-left", '\ue9e5'),
    LEFT_CIRCLE("anto-left-circle", '\ue9e3'),
    LEFT_SQUARE("anto-left-square", '\ue9e4'),
    LIKE("anto-like", '\ue9e6'),
    LINE("anto-line", '\ue9e9'),
    LINE_CHART("anto-line-chart", '\ue9e7'),
    LINE_HEIGHT("anto-line-height", '\ue9e8'),
    LINK("anto-link", '\ue9ea'),
    LINKEDIN("anto-linkedin", '\ue9eb'),
    LOADING("anto-loading", '\ue9ed'),
    LOADING_3_QUARTERS("anto-loading-3-quarters", '\ue9ec'),
    LOCK("anto-lock", '\ue9ee'),
    LOGIN("anto-login", '\ue9ef'),
    LOGOUT("anto-logout", '\ue9f0'),
    MAC_COMMAND("anto-mac-command", '\ue9f1'),
    MAIL("anto-mail", '\ue9f2'),
    MAN("anto-man", '\ue9f3'),
    MEDICINE_BOX("anto-medicine-box", '\ue9f4'),
    MEDIUM("anto-medium", '\ue9f6'),
    MEDIUM_WORKMARK("anto-medium-workmark", '\ue9f5'),
    MEH("anto-meh", '\ue9f7'),
    MENU("anto-menu", '\ue9fa'),
    MENU_FOLD("anto-menu-fold", '\ue9f8'),
    MENU_UNFOLD("anto-menu-unfold", '\ue9f9'),
    MERGE_CELLS("anto-merge-cells", '\ue9fb'),
    MESSAGE("anto-message", '\ue9fc'),
    MINUS("anto-minus", '\ue9ff'),
    MINUS_CIRCLE("anto-minus-circle", '\ue9fd'),
    MINUS_SQUARE("anto-minus-square", '\ue9fe'),
    MOBILE("anto-mobile", '\uea00'),
    MONEY_COLLECT("anto-money-collect", '\uea01'),
    MONITOR("anto-monitor", '\uea02'),
    MORE("anto-more", '\uea03'),
    NODE_COLLAPSE("anto-node-collapse", '\uea04'),
    NODE_EXPAND("anto-node-expand", '\uea05'),
    NODE_INDEX("anto-node-index", '\uea06'),
    NOTIFICATION("anto-notification", '\uea07'),
    NUMBER("anto-number", '\uea08'),
    ONE_TO_ONE("anto-one-to-one", '\uea09'),
    ORDERED_LIST("anto-ordered-list", '\uea0a'),
    PAPER_CLIP("anto-paper-clip", '\uea0b'),
    PARTITION("anto-partition", '\uea0c'),
    PAUSE("anto-pause", '\uea0e'),
    PAUSE_CIRCLE("anto-pause-circle", '\uea0d'),
    PAY_CIRCLE("anto-pay-circle", '\uea0f'),
    PERCENTAGE("anto-percentage", '\uea10'),
    PHONE("anto-phone", '\uea11'),
    PICTURE("anto-picture", '\uea15'),
    PIC_CENTER("anto-pic-center", '\uea12'),
    PIC_LEFT("anto-pic-left", '\uea13'),
    PIC_RIGHT("anto-pic-right", '\uea14'),
    PIE_CHART("anto-pie-chart", '\uea16'),
    PLAY_CIRCLE("anto-play-circle", '\uea17'),
    PLAY_SQUARE("anto-play-square", '\uea18'),
    PLUS("anto-plus", '\uea1b'),
    PLUS_CIRCLE("anto-plus-circle", '\uea19'),
    PLUS_SQUARE("anto-plus-square", '\uea1a'),
    POUND("anto-pound", '\uea1d'),
    POUND_CIRCLE("anto-pound-circle", '\uea1c'),
    POWEROFF("anto-poweroff", '\uea1e'),
    PRINTER("anto-printer", '\uea1f'),
    PROFILE("anto-profile", '\uea20'),
    PROJECT("anto-project", '\uea21'),
    PROPERTY_SAFETY("anto-property-safety", '\uea22'),
    PULL_REQUEST("anto-pull-request", '\uea23'),
    PUSHPIN("anto-pushpin", '\uea24'),
    QQ("anto-qq", '\uea25'),
    QRCODE("anto-qrcode", '\uea26'),
    QUESTION("anto-question", '\uea28'),
    QUESTION_CIRCLE("anto-question-circle", '\uea27'),
    RADAR_CHART("anto-radar-chart", '\uea29'),
    RADIUS_BOTTOMLEFT("anto-radius-bottomleft", '\uea2a'),
    RADIUS_BOTTOMRIGHT("anto-radius-bottomright", '\uea2b'),
    RADIUS_SETTING("anto-radius-setting", '\uea2c'),
    RADIUS_UPLEFT("anto-radius-upleft", '\uea2d'),
    RADIUS_UPRIGHT("anto-radius-upright", '\uea2e'),
    READ("anto-read", '\uea2f'),
    RECONCILIATION("anto-reconciliation", '\uea30'),
    REDDIT("anto-reddit", '\uea32'),
    REDO("anto-redo", '\uea33'),
    RED_ENVELOPE("anto-red-envelope", '\uea31'),
    RELOAD("anto-reload", '\uea34'),
    REST("anto-rest", '\uea35'),
    RETWEET("anto-retweet", '\uea36'),
    RIGHT("anto-right", '\uea39'),
    RIGHT_CIRCLE("anto-right-circle", '\uea37'),
    RIGHT_SQUARE("anto-right-square", '\uea38'),
    RISE("anto-rise", '\uea3a'),
    ROBOT("anto-robot", '\uea3b'),
    ROCKET("anto-rocket", '\uea3c'),
    ROLLBACK("anto-rollback", '\uea3d'),
    ROTATE_LEFT("anto-rotate-left", '\uea3e'),
    ROTATE_RIGHT("anto-rotate-right", '\uea3f'),
    SAFETY("anto-safety", '\uea41'),
    SAFETY_CERTIFICATE("anto-safety-certificate", '\uea40'),
    SAVE("anto-save", '\uea42'),
    SCAN("anto-scan", '\uea43'),
    SCHEDULE("anto-schedule", '\uea44'),
    SCISSOR("anto-scissor", '\uea45'),
    SEARCH("anto-search", '\uea46'),
    SECURITY_SCAN("anto-security-scan", '\uea47'),
    SELECT("anto-select", '\uea48'),
    SEND("anto-send", '\uea49'),
    SETTING("anto-setting", '\uea4a'),
    SHAKE("anto-shake", '\uea4b'),
    SHARE_ALT("anto-share-alt", '\uea4c'),
    SHOP("anto-shop", '\uea4d'),
    SHOPPING("anto-shopping", '\uea4f'),
    SHOPPING_CART("anto-shopping-cart", '\uea4e'),
    SHRINK("anto-shrink", '\uea50'),
    SISTERNODE("anto-sisternode", '\uea51'),
    SKETCH("anto-sketch", '\uea52'),
    SKIN("anto-skin", '\uea53'),
    SKYPE("anto-skype", '\uea54'),
    SLACK("anto-slack", '\uea56'),
    SLACK_SQUARE("anto-slack-square", '\uea55'),
    SLIDERS("anto-sliders", '\uea57'),
    SMALL_DASH("anto-small-dash", '\uea58'),
    SMILE("anto-smile", '\uea59'),
    SNIPPETS("anto-snippets", '\uea5a'),
    SOLUTION("anto-solution", '\uea5b'),
    SORT_ASCENDING("anto-sort-ascending", '\uea5c'),
    SORT_DESCENDING("anto-sort-descending", '\uea5d'),
    SOUND("anto-sound", '\uea5e'),
    SPLIT_CELLS("anto-split-cells", '\uea5f'),
    STAR("anto-star", '\uea60'),
    STEP_BACKWARD("anto-step-backward", '\uea61'),
    STEP_FORWARD("anto-step-forward", '\uea62'),
    STOCK("anto-stock", '\uea63'),
    STOP("anto-stop", '\uea64'),
    STRIKETHROUGH("anto-strikethrough", '\uea65'),
    SUBNODE("anto-subnode", '\uea66'),
    SWAP("anto-swap", '\uea69'),
    SWAP_LEFT("anto-swap-left", '\uea67'),
    SWAP_RIGHT("anto-swap-right", '\uea68'),
    SWITCHER("anto-switcher", '\uea6a'),
    SYNC("anto-sync", '\uea6b'),
    TABLE("anto-table", '\uea6c'),
    TABLET("anto-tablet", '\uea6d'),
    TAG("anto-tag", '\uea6e'),
    TAGS("anto-tags", '\uea6f'),
    TAOBAO("anto-taobao", '\uea71'),
    TAOBAO_CIRCLE("anto-taobao-circle", '\uea70'),
    TEAM("anto-team", '\uea72'),
    THUNDERBOLT("anto-thunderbolt", '\uea73'),
    TOOL("anto-tool", '\uea75'),
    TO_TOP("anto-to-top", '\uea74'),
    TRADEMARK("anto-trademark", '\uea77'),
    TRADEMARK_CIRCLE("anto-trademark-circle", '\uea76'),
    TRANSACTION("anto-transaction", '\uea78'),
    TRANSLATION("anto-translation", '\uea79'),
    TROPHY("anto-trophy", '\uea7a'),
    TWITTER("anto-twitter", '\uea7b'),
    UNDERLINE("anto-underline", '\uea7c'),
    UNDO("anto-undo", '\uea7d'),
    UNGROUP("anto-ungroup", '\uea7e'),
    UNLOCK("anto-unlock", '\uea7f'),
    UNORDERED_LIST("anto-unordered-list", '\uea80'),
    UP("anto-up", '\uea83'),
    UPLOAD("anto-upload", '\uea84'),
    UP_CIRCLE("anto-up-circle", '\uea81'),
    UP_SQUARE("anto-up-square", '\uea82'),
    USB("anto-usb", '\uea85'),
    USER("anto-user", '\uea89'),
    USERGROUP_ADD("anto-usergroup-add", '\uea8a'),
    USERGROUP_DELETE("anto-usergroup-delete", '\uea8b'),
    USER_ADD("anto-user-add", '\uea86'),
    USER_DELETE("anto-user-delete", '\uea87'),
    USER_SWITCH("anto-user-switch", '\uea88'),
    VERIFIED("anto-verified", '\uea8c'),
    VERTICAL_ALIGN_BOTTOM("anto-vertical-align-bottom", '\uea8d'),
    VERTICAL_ALIGN_MIDDLE("anto-vertical-align-middle", '\uea8e'),
    VERTICAL_ALIGN_TOP("anto-vertical-align-top", '\uea8f'),
    VERTICAL_LEFT("anto-vertical-left", '\uea90'),
    VERTICAL_RIGHT("anto-vertical-right", '\uea91'),
    VIDEO_CAMERA("anto-video-camera", '\uea93'),
    VIDEO_CAMERA_ADD("anto-video-camera-add", '\uea92'),
    WALLET("anto-wallet", '\uea94'),
    WARNING("anto-warning", '\uea95'),
    WECHAT("anto-wechat", '\uea96'),
    WEIBO("anto-weibo", '\uea99'),
    WEIBO_CIRCLE("anto-weibo-circle", '\uea97'),
    WEIBO_SQUARE("anto-weibo-square", '\uea98'),
    WHATS_APP("anto-whats-app", '\uea9a'),
    WIFI("anto-wifi", '\uea9b'),
    WINDOWS("anto-windows", '\uea9c'),
    WOMAN("anto-woman", '\uea9d'),
    YAHOO("anto-yahoo", '\uea9e'),
    YOUTUBE("anto-youtube", '\uea9f'),
    YUQUE("anto-yuque", '\ueaa0'),
    ZHIHU("anto-zhihu", '\ueaa1'),
    ZOOM_IN("anto-zoom-in", '\ueaa2'),
    ZOOM_OUT("anto-zoom-out", '\ueaa3');
    
    public static AntDesignIconsOutlined findByDescription(String description) {
        for (AntDesignIconsOutlined font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    AntDesignIconsOutlined(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}