/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.bootstrapicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum BootstrapIcons implements Ikon {
    ALARM("bi-alarm", '\uf102'),
    ALARM_FILL("bi-alarm-fill", '\uf101'),
    ALIGN_BOTTOM("bi-align-bottom", '\uf103'),
    ALIGN_CENTER("bi-align-center", '\uf104'),
    ALIGN_END("bi-align-end", '\uf105'),
    ALIGN_MIDDLE("bi-align-middle", '\uf106'),
    ALIGN_START("bi-align-start", '\uf107'),
    ALIGN_TOP("bi-align-top", '\uf108'),
    ALT("bi-alt", '\uf109'),
    APP("bi-app", '\uf10b'),
    APP_INDICATOR("bi-app-indicator", '\uf10a'),
    ARCHIVE("bi-archive", '\uf10d'),
    ARCHIVE_FILL("bi-archive-fill", '\uf10c'),
    ARROWS_ANGLE_CONTRACT("bi-arrows-angle-contract", '\uf149'),
    ARROWS_ANGLE_EXPAND("bi-arrows-angle-expand", '\uf14a'),
    ARROWS_COLLAPSE("bi-arrows-collapse", '\uf14b'),
    ARROWS_EXPAND("bi-arrows-expand", '\uf14c'),
    ARROWS_FULLSCREEN("bi-arrows-fullscreen", '\uf14d'),
    ARROWS_MOVE("bi-arrows-move", '\uf14e'),
    ARROW_90DEG_DOWN("bi-arrow-90deg-down", '\uf10e'),
    ARROW_90DEG_LEFT("bi-arrow-90deg-left", '\uf10f'),
    ARROW_90DEG_RIGHT("bi-arrow-90deg-right", '\uf110'),
    ARROW_90DEG_UP("bi-arrow-90deg-up", '\uf111'),
    ARROW_BAR_DOWN("bi-arrow-bar-down", '\uf112'),
    ARROW_BAR_LEFT("bi-arrow-bar-left", '\uf113'),
    ARROW_BAR_RIGHT("bi-arrow-bar-right", '\uf114'),
    ARROW_BAR_UP("bi-arrow-bar-up", '\uf115'),
    ARROW_CLOCKWISE("bi-arrow-clockwise", '\uf116'),
    ARROW_COUNTERCLOCKWISE("bi-arrow-counterclockwise", '\uf117'),
    ARROW_DOWN("bi-arrow-down", '\uf128'),
    ARROW_DOWN_CIRCLE("bi-arrow-down-circle", '\uf119'),
    ARROW_DOWN_CIRCLE_FILL("bi-arrow-down-circle-fill", '\uf118'),
    ARROW_DOWN_LEFT("bi-arrow-down-left", '\uf11e'),
    ARROW_DOWN_LEFT_CIRCLE("bi-arrow-down-left-circle", '\uf11b'),
    ARROW_DOWN_LEFT_CIRCLE_FILL("bi-arrow-down-left-circle-fill", '\uf11a'),
    ARROW_DOWN_LEFT_SQUARE("bi-arrow-down-left-square", '\uf11d'),
    ARROW_DOWN_LEFT_SQUARE_FILL("bi-arrow-down-left-square-fill", '\uf11c'),
    ARROW_DOWN_RIGHT("bi-arrow-down-right", '\uf123'),
    ARROW_DOWN_RIGHT_CIRCLE("bi-arrow-down-right-circle", '\uf120'),
    ARROW_DOWN_RIGHT_CIRCLE_FILL("bi-arrow-down-right-circle-fill", '\uf11f'),
    ARROW_DOWN_RIGHT_SQUARE("bi-arrow-down-right-square", '\uf122'),
    ARROW_DOWN_RIGHT_SQUARE_FILL("bi-arrow-down-right-square-fill", '\uf121'),
    ARROW_DOWN_SHORT("bi-arrow-down-short", '\uf124'),
    ARROW_DOWN_SQUARE("bi-arrow-down-square", '\uf126'),
    ARROW_DOWN_SQUARE_FILL("bi-arrow-down-square-fill", '\uf125'),
    ARROW_DOWN_UP("bi-arrow-down-up", '\uf127'),
    ARROW_LEFT("bi-arrow-left", '\uf12f'),
    ARROW_LEFT_CIRCLE("bi-arrow-left-circle", '\uf12a'),
    ARROW_LEFT_CIRCLE_FILL("bi-arrow-left-circle-fill", '\uf129'),
    ARROW_LEFT_RIGHT("bi-arrow-left-right", '\uf12b'),
    ARROW_LEFT_SHORT("bi-arrow-left-short", '\uf12c'),
    ARROW_LEFT_SQUARE("bi-arrow-left-square", '\uf12e'),
    ARROW_LEFT_SQUARE_FILL("bi-arrow-left-square-fill", '\uf12d'),
    ARROW_REPEAT("bi-arrow-repeat", '\uf130'),
    ARROW_RETURN_LEFT("bi-arrow-return-left", '\uf131'),
    ARROW_RETURN_RIGHT("bi-arrow-return-right", '\uf132'),
    ARROW_RIGHT("bi-arrow-right", '\uf138'),
    ARROW_RIGHT_CIRCLE("bi-arrow-right-circle", '\uf134'),
    ARROW_RIGHT_CIRCLE_FILL("bi-arrow-right-circle-fill", '\uf133'),
    ARROW_RIGHT_SHORT("bi-arrow-right-short", '\uf135'),
    ARROW_RIGHT_SQUARE("bi-arrow-right-square", '\uf137'),
    ARROW_RIGHT_SQUARE_FILL("bi-arrow-right-square-fill", '\uf136'),
    ARROW_UP("bi-arrow-up", '\uf148'),
    ARROW_UP_CIRCLE("bi-arrow-up-circle", '\uf13a'),
    ARROW_UP_CIRCLE_FILL("bi-arrow-up-circle-fill", '\uf139'),
    ARROW_UP_LEFT("bi-arrow-up-left", '\uf13f'),
    ARROW_UP_LEFT_CIRCLE("bi-arrow-up-left-circle", '\uf13c'),
    ARROW_UP_LEFT_CIRCLE_FILL("bi-arrow-up-left-circle-fill", '\uf13b'),
    ARROW_UP_LEFT_SQUARE("bi-arrow-up-left-square", '\uf13e'),
    ARROW_UP_LEFT_SQUARE_FILL("bi-arrow-up-left-square-fill", '\uf13d'),
    ARROW_UP_RIGHT("bi-arrow-up-right", '\uf144'),
    ARROW_UP_RIGHT_CIRCLE("bi-arrow-up-right-circle", '\uf141'),
    ARROW_UP_RIGHT_CIRCLE_FILL("bi-arrow-up-right-circle-fill", '\uf140'),
    ARROW_UP_RIGHT_SQUARE("bi-arrow-up-right-square", '\uf143'),
    ARROW_UP_RIGHT_SQUARE_FILL("bi-arrow-up-right-square-fill", '\uf142'),
    ARROW_UP_SHORT("bi-arrow-up-short", '\uf145'),
    ARROW_UP_SQUARE("bi-arrow-up-square", '\uf147'),
    ARROW_UP_SQUARE_FILL("bi-arrow-up-square-fill", '\uf146'),
    ASPECT_RATIO("bi-aspect-ratio", '\uf150'),
    ASPECT_RATIO_FILL("bi-aspect-ratio-fill", '\uf14f'),
    ASTERISK("bi-asterisk", '\uf151'),
    AT("bi-at", '\uf152'),
    AWARD("bi-award", '\uf154'),
    AWARD_FILL("bi-award-fill", '\uf153'),
    BACK("bi-back", '\uf155'),
    BACKSPACE("bi-backspace", '\uf159'),
    BACKSPACE_FILL("bi-backspace-fill", '\uf156'),
    BACKSPACE_REVERSE("bi-backspace-reverse", '\uf158'),
    BACKSPACE_REVERSE_FILL("bi-backspace-reverse-fill", '\uf157'),
    BADGE_3D("bi-badge-3d", '\uf15b'),
    BADGE_3D_FILL("bi-badge-3d-fill", '\uf15a'),
    BADGE_4K("bi-badge-4k", '\uf15d'),
    BADGE_4K_FILL("bi-badge-4k-fill", '\uf15c'),
    BADGE_8K("bi-badge-8k", '\uf15f'),
    BADGE_8K_FILL("bi-badge-8k-fill", '\uf15e'),
    BADGE_AD("bi-badge-ad", '\uf161'),
    BADGE_AD_FILL("bi-badge-ad-fill", '\uf160'),
    BADGE_AR("bi-badge-ar", '\uf163'),
    BADGE_AR_FILL("bi-badge-ar-fill", '\uf162'),
    BADGE_CC("bi-badge-cc", '\uf165'),
    BADGE_CC_FILL("bi-badge-cc-fill", '\uf164'),
    BADGE_HD("bi-badge-hd", '\uf167'),
    BADGE_HD_FILL("bi-badge-hd-fill", '\uf166'),
    BADGE_TM("bi-badge-tm", '\uf169'),
    BADGE_TM_FILL("bi-badge-tm-fill", '\uf168'),
    BADGE_VO("bi-badge-vo", '\uf16b'),
    BADGE_VO_FILL("bi-badge-vo-fill", '\uf16a'),
    BADGE_VR("bi-badge-vr", '\uf16d'),
    BADGE_VR_FILL("bi-badge-vr-fill", '\uf16c'),
    BADGE_WC("bi-badge-wc", '\uf16f'),
    BADGE_WC_FILL("bi-badge-wc-fill", '\uf16e'),
    BAG("bi-bag", '\uf179'),
    BAG_CHECK("bi-bag-check", '\uf171'),
    BAG_CHECK_FILL("bi-bag-check-fill", '\uf170'),
    BAG_DASH("bi-bag-dash", '\uf173'),
    BAG_DASH_FILL("bi-bag-dash-fill", '\uf172'),
    BAG_FILL("bi-bag-fill", '\uf174'),
    BAG_PLUS("bi-bag-plus", '\uf176'),
    BAG_PLUS_FILL("bi-bag-plus-fill", '\uf175'),
    BAG_X("bi-bag-x", '\uf178'),
    BAG_X_FILL("bi-bag-x-fill", '\uf177'),
    BAR_CHART("bi-bar-chart", '\uf17e'),
    BAR_CHART_FILL("bi-bar-chart-fill", '\uf17a'),
    BAR_CHART_LINE("bi-bar-chart-line", '\uf17c'),
    BAR_CHART_LINE_FILL("bi-bar-chart-line-fill", '\uf17b'),
    BAR_CHART_STEPS("bi-bar-chart-steps", '\uf17d'),
    BASKET("bi-basket", '\uf180'),
    BASKET2("bi-basket2", '\uf182'),
    BASKET2_FILL("bi-basket2-fill", '\uf181'),
    BASKET3("bi-basket3", '\uf184'),
    BASKET3_FILL("bi-basket3-fill", '\uf183'),
    BASKET_FILL("bi-basket-fill", '\uf17f'),
    BATTERY("bi-battery", '\uf188'),
    BATTERY_CHARGING("bi-battery-charging", '\uf185'),
    BATTERY_FULL("bi-battery-full", '\uf186'),
    BATTERY_HALF("bi-battery-half", '\uf187'),
    BELL("bi-bell", '\uf18a'),
    BELL_FILL("bi-bell-fill", '\uf189'),
    BEZIER("bi-bezier", '\uf18b'),
    BEZIER2("bi-bezier2", '\uf18c'),
    BICYCLE("bi-bicycle", '\uf18d'),
    BINOCULARS("bi-binoculars", '\uf18f'),
    BINOCULARS_FILL("bi-binoculars-fill", '\uf18e'),
    BLOCKQUOTE_LEFT("bi-blockquote-left", '\uf190'),
    BLOCKQUOTE_RIGHT("bi-blockquote-right", '\uf191'),
    BOOK("bi-book", '\uf194'),
    BOOKMARK("bi-bookmark", '\uf1a2'),
    BOOKMARKS("bi-bookmarks", '\uf1a4'),
    BOOKMARKS_FILL("bi-bookmarks-fill", '\uf1a3'),
    BOOKMARK_CHECK("bi-bookmark-check", '\uf196'),
    BOOKMARK_CHECK_FILL("bi-bookmark-check-fill", '\uf195'),
    BOOKMARK_DASH("bi-bookmark-dash", '\uf198'),
    BOOKMARK_DASH_FILL("bi-bookmark-dash-fill", '\uf197'),
    BOOKMARK_FILL("bi-bookmark-fill", '\uf199'),
    BOOKMARK_HEART("bi-bookmark-heart", '\uf19b'),
    BOOKMARK_HEART_FILL("bi-bookmark-heart-fill", '\uf19a'),
    BOOKMARK_PLUS("bi-bookmark-plus", '\uf19d'),
    BOOKMARK_PLUS_FILL("bi-bookmark-plus-fill", '\uf19c'),
    BOOKMARK_STAR("bi-bookmark-star", '\uf19f'),
    BOOKMARK_STAR_FILL("bi-bookmark-star-fill", '\uf19e'),
    BOOKMARK_X("bi-bookmark-x", '\uf1a1'),
    BOOKMARK_X_FILL("bi-bookmark-x-fill", '\uf1a0'),
    BOOKSHELF("bi-bookshelf", '\uf1a5'),
    BOOK_FILL("bi-book-fill", '\uf192'),
    BOOK_HALF("bi-book-half", '\uf193'),
    BOOTSTRAP("bi-bootstrap", '\uf1a8'),
    BOOTSTRAP_FILL("bi-bootstrap-fill", '\uf1a6'),
    BOOTSTRAP_REBOOT("bi-bootstrap-reboot", '\uf1a7'),
    BORDER("bi-border", '\uf1b4'),
    BORDER_ALL("bi-border-all", '\uf1a9'),
    BORDER_BOTTOM("bi-border-bottom", '\uf1aa'),
    BORDER_CENTER("bi-border-center", '\uf1ab'),
    BORDER_INNER("bi-border-inner", '\uf1ac'),
    BORDER_LEFT("bi-border-left", '\uf1ad'),
    BORDER_MIDDLE("bi-border-middle", '\uf1ae'),
    BORDER_OUTER("bi-border-outer", '\uf1af'),
    BORDER_RIGHT("bi-border-right", '\uf1b0'),
    BORDER_STYLE("bi-border-style", '\uf1b1'),
    BORDER_TOP("bi-border-top", '\uf1b2'),
    BORDER_WIDTH("bi-border-width", '\uf1b3'),
    BOUNDING_BOX("bi-bounding-box", '\uf1b6'),
    BOUNDING_BOX_CIRCLES("bi-bounding-box-circles", '\uf1b5'),
    BOX("bi-box", '\uf1c8'),
    BOX_ARROW_DOWN("bi-box-arrow-down", '\uf1b9'),
    BOX_ARROW_DOWN_LEFT("bi-box-arrow-down-left", '\uf1b7'),
    BOX_ARROW_DOWN_RIGHT("bi-box-arrow-down-right", '\uf1b8'),
    BOX_ARROW_IN_DOWN("bi-box-arrow-in-down", '\uf1bc'),
    BOX_ARROW_IN_DOWN_LEFT("bi-box-arrow-in-down-left", '\uf1ba'),
    BOX_ARROW_IN_DOWN_RIGHT("bi-box-arrow-in-down-right", '\uf1bb'),
    BOX_ARROW_IN_LEFT("bi-box-arrow-in-left", '\uf1bd'),
    BOX_ARROW_IN_RIGHT("bi-box-arrow-in-right", '\uf1be'),
    BOX_ARROW_IN_UP("bi-box-arrow-in-up", '\uf1c1'),
    BOX_ARROW_IN_UP_LEFT("bi-box-arrow-in-up-left", '\uf1bf'),
    BOX_ARROW_IN_UP_RIGHT("bi-box-arrow-in-up-right", '\uf1c0'),
    BOX_ARROW_LEFT("bi-box-arrow-left", '\uf1c2'),
    BOX_ARROW_RIGHT("bi-box-arrow-right", '\uf1c3'),
    BOX_ARROW_UP("bi-box-arrow-up", '\uf1c6'),
    BOX_ARROW_UP_LEFT("bi-box-arrow-up-left", '\uf1c4'),
    BOX_ARROW_UP_RIGHT("bi-box-arrow-up-right", '\uf1c5'),
    BOX_SEAM("bi-box-seam", '\uf1c7'),
    BRACES("bi-braces", '\uf1c9'),
    BRICKS("bi-bricks", '\uf1ca'),
    BRIEFCASE("bi-briefcase", '\uf1cc'),
    BRIEFCASE_FILL("bi-briefcase-fill", '\uf1cb'),
    BRIGHTNESS_ALT_HIGH("bi-brightness-alt-high", '\uf1ce'),
    BRIGHTNESS_ALT_HIGH_FILL("bi-brightness-alt-high-fill", '\uf1cd'),
    BRIGHTNESS_ALT_LOW("bi-brightness-alt-low", '\uf1d0'),
    BRIGHTNESS_ALT_LOW_FILL("bi-brightness-alt-low-fill", '\uf1cf'),
    BRIGHTNESS_HIGH("bi-brightness-high", '\uf1d2'),
    BRIGHTNESS_HIGH_FILL("bi-brightness-high-fill", '\uf1d1'),
    BRIGHTNESS_LOW("bi-brightness-low", '\uf1d4'),
    BRIGHTNESS_LOW_FILL("bi-brightness-low-fill", '\uf1d3'),
    BROADCAST("bi-broadcast", '\uf1d6'),
    BROADCAST_PIN("bi-broadcast-pin", '\uf1d5'),
    BRUSH("bi-brush", '\uf1d8'),
    BRUSH_FILL("bi-brush-fill", '\uf1d7'),
    BUCKET("bi-bucket", '\uf1da'),
    BUCKET_FILL("bi-bucket-fill", '\uf1d9'),
    BUG("bi-bug", '\uf1dc'),
    BUG_FILL("bi-bug-fill", '\uf1db'),
    BUILDING("bi-building", '\uf1dd'),
    BULLSEYE("bi-bullseye", '\uf1de'),
    CALCULATOR("bi-calculator", '\uf1e0'),
    CALCULATOR_FILL("bi-calculator-fill", '\uf1df'),
    CALENDAR("bi-calendar", '\uf1f6'),
    CALENDAR2("bi-calendar2", '\uf20c'),
    CALENDAR2_CHECK("bi-calendar2-check", '\uf1f8'),
    CALENDAR2_CHECK_FILL("bi-calendar2-check-fill", '\uf1f7'),
    CALENDAR2_DATE("bi-calendar2-date", '\uf1fa'),
    CALENDAR2_DATE_FILL("bi-calendar2-date-fill", '\uf1f9'),
    CALENDAR2_DAY("bi-calendar2-day", '\uf1fc'),
    CALENDAR2_DAY_FILL("bi-calendar2-day-fill", '\uf1fb'),
    CALENDAR2_EVENT("bi-calendar2-event", '\uf1fe'),
    CALENDAR2_EVENT_FILL("bi-calendar2-event-fill", '\uf1fd'),
    CALENDAR2_FILL("bi-calendar2-fill", '\uf1ff'),
    CALENDAR2_MINUS("bi-calendar2-minus", '\uf201'),
    CALENDAR2_MINUS_FILL("bi-calendar2-minus-fill", '\uf200'),
    CALENDAR2_MONTH("bi-calendar2-month", '\uf203'),
    CALENDAR2_MONTH_FILL("bi-calendar2-month-fill", '\uf202'),
    CALENDAR2_PLUS("bi-calendar2-plus", '\uf205'),
    CALENDAR2_PLUS_FILL("bi-calendar2-plus-fill", '\uf204'),
    CALENDAR2_RANGE("bi-calendar2-range", '\uf207'),
    CALENDAR2_RANGE_FILL("bi-calendar2-range-fill", '\uf206'),
    CALENDAR2_WEEK("bi-calendar2-week", '\uf209'),
    CALENDAR2_WEEK_FILL("bi-calendar2-week-fill", '\uf208'),
    CALENDAR2_X("bi-calendar2-x", '\uf20b'),
    CALENDAR2_X_FILL("bi-calendar2-x-fill", '\uf20a'),
    CALENDAR3("bi-calendar3", '\uf214'),
    CALENDAR3_EVENT("bi-calendar3-event", '\uf20e'),
    CALENDAR3_EVENT_FILL("bi-calendar3-event-fill", '\uf20d'),
    CALENDAR3_FILL("bi-calendar3-fill", '\uf20f'),
    CALENDAR3_RANGE("bi-calendar3-range", '\uf211'),
    CALENDAR3_RANGE_FILL("bi-calendar3-range-fill", '\uf210'),
    CALENDAR3_WEEK("bi-calendar3-week", '\uf213'),
    CALENDAR3_WEEK_FILL("bi-calendar3-week-fill", '\uf212'),
    CALENDAR4("bi-calendar4", '\uf218'),
    CALENDAR4_EVENT("bi-calendar4-event", '\uf215'),
    CALENDAR4_RANGE("bi-calendar4-range", '\uf216'),
    CALENDAR4_WEEK("bi-calendar4-week", '\uf217'),
    CALENDAR_CHECK("bi-calendar-check", '\uf1e2'),
    CALENDAR_CHECK_FILL("bi-calendar-check-fill", '\uf1e1'),
    CALENDAR_DATE("bi-calendar-date", '\uf1e4'),
    CALENDAR_DATE_FILL("bi-calendar-date-fill", '\uf1e3'),
    CALENDAR_DAY("bi-calendar-day", '\uf1e6'),
    CALENDAR_DAY_FILL("bi-calendar-day-fill", '\uf1e5'),
    CALENDAR_EVENT("bi-calendar-event", '\uf1e8'),
    CALENDAR_EVENT_FILL("bi-calendar-event-fill", '\uf1e7'),
    CALENDAR_FILL("bi-calendar-fill", '\uf1e9'),
    CALENDAR_MINUS("bi-calendar-minus", '\uf1eb'),
    CALENDAR_MINUS_FILL("bi-calendar-minus-fill", '\uf1ea'),
    CALENDAR_MONTH("bi-calendar-month", '\uf1ed'),
    CALENDAR_MONTH_FILL("bi-calendar-month-fill", '\uf1ec'),
    CALENDAR_PLUS("bi-calendar-plus", '\uf1ef'),
    CALENDAR_PLUS_FILL("bi-calendar-plus-fill", '\uf1ee'),
    CALENDAR_RANGE("bi-calendar-range", '\uf1f1'),
    CALENDAR_RANGE_FILL("bi-calendar-range-fill", '\uf1f0'),
    CALENDAR_WEEK("bi-calendar-week", '\uf1f3'),
    CALENDAR_WEEK_FILL("bi-calendar-week-fill", '\uf1f2'),
    CALENDAR_X("bi-calendar-x", '\uf1f5'),
    CALENDAR_X_FILL("bi-calendar-x-fill", '\uf1f4'),
    CAMERA("bi-camera", '\uf220'),
    CAMERA2("bi-camera2", '\uf221'),
    CAMERA_FILL("bi-camera-fill", '\uf219'),
    CAMERA_REELS("bi-camera-reels", '\uf21b'),
    CAMERA_REELS_FILL("bi-camera-reels-fill", '\uf21a'),
    CAMERA_VIDEO("bi-camera-video", '\uf21f'),
    CAMERA_VIDEO_FILL("bi-camera-video-fill", '\uf21c'),
    CAMERA_VIDEO_OFF("bi-camera-video-off", '\uf21e'),
    CAMERA_VIDEO_OFF_FILL("bi-camera-video-off-fill", '\uf21d'),
    CAPSLOCK("bi-capslock", '\uf223'),
    CAPSLOCK_FILL("bi-capslock-fill", '\uf222'),
    CARD_CHECKLIST("bi-card-checklist", '\uf224'),
    CARD_HEADING("bi-card-heading", '\uf225'),
    CARD_IMAGE("bi-card-image", '\uf226'),
    CARD_LIST("bi-card-list", '\uf227'),
    CARD_TEXT("bi-card-text", '\uf228'),
    CARET_DOWN("bi-caret-down", '\uf22c'),
    CARET_DOWN_FILL("bi-caret-down-fill", '\uf229'),
    CARET_DOWN_SQUARE("bi-caret-down-square", '\uf22b'),
    CARET_DOWN_SQUARE_FILL("bi-caret-down-square-fill", '\uf22a'),
    CARET_LEFT("bi-caret-left", '\uf230'),
    CARET_LEFT_FILL("bi-caret-left-fill", '\uf22d'),
    CARET_LEFT_SQUARE("bi-caret-left-square", '\uf22f'),
    CARET_LEFT_SQUARE_FILL("bi-caret-left-square-fill", '\uf22e'),
    CARET_RIGHT("bi-caret-right", '\uf234'),
    CARET_RIGHT_FILL("bi-caret-right-fill", '\uf231'),
    CARET_RIGHT_SQUARE("bi-caret-right-square", '\uf233'),
    CARET_RIGHT_SQUARE_FILL("bi-caret-right-square-fill", '\uf232'),
    CARET_UP("bi-caret-up", '\uf238'),
    CARET_UP_FILL("bi-caret-up-fill", '\uf235'),
    CARET_UP_SQUARE("bi-caret-up-square", '\uf237'),
    CARET_UP_SQUARE_FILL("bi-caret-up-square-fill", '\uf236'),
    CART("bi-cart", '\uf242'),
    CART2("bi-cart2", '\uf243'),
    CART3("bi-cart3", '\uf244'),
    CART4("bi-cart4", '\uf245'),
    CART_CHECK("bi-cart-check", '\uf23a'),
    CART_CHECK_FILL("bi-cart-check-fill", '\uf239'),
    CART_DASH("bi-cart-dash", '\uf23c'),
    CART_DASH_FILL("bi-cart-dash-fill", '\uf23b'),
    CART_FILL("bi-cart-fill", '\uf23d'),
    CART_PLUS("bi-cart-plus", '\uf23f'),
    CART_PLUS_FILL("bi-cart-plus-fill", '\uf23e'),
    CART_X("bi-cart-x", '\uf241'),
    CART_X_FILL("bi-cart-x-fill", '\uf240'),
    CASH("bi-cash", '\uf247'),
    CASH_STACK("bi-cash-stack", '\uf246'),
    CAST("bi-cast", '\uf248'),
    CHAT("bi-chat", '\uf268'),
    CHAT_DOTS("bi-chat-dots", '\uf24a'),
    CHAT_DOTS_FILL("bi-chat-dots-fill", '\uf249'),
    CHAT_FILL("bi-chat-fill", '\uf24b'),
    CHAT_LEFT("bi-chat-left", '\uf253'),
    CHAT_LEFT_DOTS("bi-chat-left-dots", '\uf24d'),
    CHAT_LEFT_DOTS_FILL("bi-chat-left-dots-fill", '\uf24c'),
    CHAT_LEFT_FILL("bi-chat-left-fill", '\uf24e'),
    CHAT_LEFT_QUOTE("bi-chat-left-quote", '\uf250'),
    CHAT_LEFT_QUOTE_FILL("bi-chat-left-quote-fill", '\uf24f'),
    CHAT_LEFT_TEXT("bi-chat-left-text", '\uf252'),
    CHAT_LEFT_TEXT_FILL("bi-chat-left-text-fill", '\uf251'),
    CHAT_QUOTE("bi-chat-quote", '\uf255'),
    CHAT_QUOTE_FILL("bi-chat-quote-fill", '\uf254'),
    CHAT_RIGHT("bi-chat-right", '\uf25d'),
    CHAT_RIGHT_DOTS("bi-chat-right-dots", '\uf257'),
    CHAT_RIGHT_DOTS_FILL("bi-chat-right-dots-fill", '\uf256'),
    CHAT_RIGHT_FILL("bi-chat-right-fill", '\uf258'),
    CHAT_RIGHT_QUOTE("bi-chat-right-quote", '\uf25a'),
    CHAT_RIGHT_QUOTE_FILL("bi-chat-right-quote-fill", '\uf259'),
    CHAT_RIGHT_TEXT("bi-chat-right-text", '\uf25c'),
    CHAT_RIGHT_TEXT_FILL("bi-chat-right-text-fill", '\uf25b'),
    CHAT_SQUARE("bi-chat-square", '\uf265'),
    CHAT_SQUARE_DOTS("bi-chat-square-dots", '\uf25f'),
    CHAT_SQUARE_DOTS_FILL("bi-chat-square-dots-fill", '\uf25e'),
    CHAT_SQUARE_FILL("bi-chat-square-fill", '\uf260'),
    CHAT_SQUARE_QUOTE("bi-chat-square-quote", '\uf262'),
    CHAT_SQUARE_QUOTE_FILL("bi-chat-square-quote-fill", '\uf261'),
    CHAT_SQUARE_TEXT("bi-chat-square-text", '\uf264'),
    CHAT_SQUARE_TEXT_FILL("bi-chat-square-text-fill", '\uf263'),
    CHAT_TEXT("bi-chat-text", '\uf267'),
    CHAT_TEXT_FILL("bi-chat-text-fill", '\uf266'),
    CHECK("bi-check", '\uf26e'),
    CHECK2("bi-check2", '\uf272'),
    CHECK2_ALL("bi-check2-all", '\uf26f'),
    CHECK2_CIRCLE("bi-check2-circle", '\uf270'),
    CHECK2_SQUARE("bi-check2-square", '\uf271'),
    CHECK_ALL("bi-check-all", '\uf269'),
    CHECK_CIRCLE("bi-check-circle", '\uf26b'),
    CHECK_CIRCLE_FILL("bi-check-circle-fill", '\uf26a'),
    CHECK_SQUARE("bi-check-square", '\uf26d'),
    CHECK_SQUARE_FILL("bi-check-square-fill", '\uf26c'),
    CHEVRON_BAR_CONTRACT("bi-chevron-bar-contract", '\uf273'),
    CHEVRON_BAR_DOWN("bi-chevron-bar-down", '\uf274'),
    CHEVRON_BAR_EXPAND("bi-chevron-bar-expand", '\uf275'),
    CHEVRON_BAR_LEFT("bi-chevron-bar-left", '\uf276'),
    CHEVRON_BAR_RIGHT("bi-chevron-bar-right", '\uf277'),
    CHEVRON_BAR_UP("bi-chevron-bar-up", '\uf278'),
    CHEVRON_COMPACT_DOWN("bi-chevron-compact-down", '\uf279'),
    CHEVRON_COMPACT_LEFT("bi-chevron-compact-left", '\uf27a'),
    CHEVRON_COMPACT_RIGHT("bi-chevron-compact-right", '\uf27b'),
    CHEVRON_COMPACT_UP("bi-chevron-compact-up", '\uf27c'),
    CHEVRON_CONTRACT("bi-chevron-contract", '\uf27d'),
    CHEVRON_DOUBLE_DOWN("bi-chevron-double-down", '\uf27e'),
    CHEVRON_DOUBLE_LEFT("bi-chevron-double-left", '\uf27f'),
    CHEVRON_DOUBLE_RIGHT("bi-chevron-double-right", '\uf280'),
    CHEVRON_DOUBLE_UP("bi-chevron-double-up", '\uf281'),
    CHEVRON_DOWN("bi-chevron-down", '\uf282'),
    CHEVRON_EXPAND("bi-chevron-expand", '\uf283'),
    CHEVRON_LEFT("bi-chevron-left", '\uf284'),
    CHEVRON_RIGHT("bi-chevron-right", '\uf285'),
    CHEVRON_UP("bi-chevron-up", '\uf286'),
    CIRCLE("bi-circle", '\uf28a'),
    CIRCLE_FILL("bi-circle-fill", '\uf287'),
    CIRCLE_HALF("bi-circle-half", '\uf288'),
    CIRCLE_SQUARE("bi-circle-square", '\uf289'),
    CLIPBOARD("bi-clipboard", '\uf290'),
    CLIPBOARD_CHECK("bi-clipboard-check", '\uf28b'),
    CLIPBOARD_DATA("bi-clipboard-data", '\uf28c'),
    CLIPBOARD_MINUS("bi-clipboard-minus", '\uf28d'),
    CLIPBOARD_PLUS("bi-clipboard-plus", '\uf28e'),
    CLIPBOARD_X("bi-clipboard-x", '\uf28f'),
    CLOCK("bi-clock", '\uf293'),
    CLOCK_FILL("bi-clock-fill", '\uf291'),
    CLOCK_HISTORY("bi-clock-history", '\uf292'),
    CLOUD("bi-cloud", '\uf2c1'),
    CLOUDS("bi-clouds", '\uf2c3'),
    CLOUDS_FILL("bi-clouds-fill", '\uf2c2'),
    CLOUDY("bi-cloudy", '\uf2c5'),
    CLOUDY_FILL("bi-cloudy-fill", '\uf2c4'),
    CLOUD_ARROW_DOWN("bi-cloud-arrow-down", '\uf295'),
    CLOUD_ARROW_DOWN_FILL("bi-cloud-arrow-down-fill", '\uf294'),
    CLOUD_ARROW_UP("bi-cloud-arrow-up", '\uf297'),
    CLOUD_ARROW_UP_FILL("bi-cloud-arrow-up-fill", '\uf296'),
    CLOUD_CHECK("bi-cloud-check", '\uf299'),
    CLOUD_CHECK_FILL("bi-cloud-check-fill", '\uf298'),
    CLOUD_DOWNLOAD("bi-cloud-download", '\uf29b'),
    CLOUD_DOWNLOAD_FILL("bi-cloud-download-fill", '\uf29a'),
    CLOUD_DRIZZLE("bi-cloud-drizzle", '\uf29d'),
    CLOUD_DRIZZLE_FILL("bi-cloud-drizzle-fill", '\uf29c'),
    CLOUD_FILL("bi-cloud-fill", '\uf29e'),
    CLOUD_FOG("bi-cloud-fog", '\uf2a0'),
    CLOUD_FOG2("bi-cloud-fog2", '\uf2a2'),
    CLOUD_FOG2_FILL("bi-cloud-fog2-fill", '\uf2a1'),
    CLOUD_FOG_FILL("bi-cloud-fog-fill", '\uf29f'),
    CLOUD_HAIL("bi-cloud-hail", '\uf2a4'),
    CLOUD_HAIL_FILL("bi-cloud-hail-fill", '\uf2a3'),
    CLOUD_HAZE("bi-cloud-haze", '\uf2a7'),
    CLOUD_HAZE2_FILL("bi-cloud-haze2-fill", '\uf2a8'),
    CLOUD_HAZE_1("bi-cloud-haze-1", '\uf2a5'),
    CLOUD_HAZE_FILL("bi-cloud-haze-fill", '\uf2a6'),
    CLOUD_LIGHTNING("bi-cloud-lightning", '\uf2ac'),
    CLOUD_LIGHTNING_FILL("bi-cloud-lightning-fill", '\uf2a9'),
    CLOUD_LIGHTNING_RAIN("bi-cloud-lightning-rain", '\uf2ab'),
    CLOUD_LIGHTNING_RAIN_FILL("bi-cloud-lightning-rain-fill", '\uf2aa'),
    CLOUD_MINUS("bi-cloud-minus", '\uf2ae'),
    CLOUD_MINUS_FILL("bi-cloud-minus-fill", '\uf2ad'),
    CLOUD_MOON("bi-cloud-moon", '\uf2b0'),
    CLOUD_MOON_FILL("bi-cloud-moon-fill", '\uf2af'),
    CLOUD_PLUS("bi-cloud-plus", '\uf2b2'),
    CLOUD_PLUS_FILL("bi-cloud-plus-fill", '\uf2b1'),
    CLOUD_RAIN("bi-cloud-rain", '\uf2b6'),
    CLOUD_RAIN_FILL("bi-cloud-rain-fill", '\uf2b3'),
    CLOUD_RAIN_HEAVY("bi-cloud-rain-heavy", '\uf2b5'),
    CLOUD_RAIN_HEAVY_FILL("bi-cloud-rain-heavy-fill", '\uf2b4'),
    CLOUD_SLASH("bi-cloud-slash", '\uf2b8'),
    CLOUD_SLASH_FILL("bi-cloud-slash-fill", '\uf2b7'),
    CLOUD_SLEET("bi-cloud-sleet", '\uf2ba'),
    CLOUD_SLEET_FILL("bi-cloud-sleet-fill", '\uf2b9'),
    CLOUD_SNOW("bi-cloud-snow", '\uf2bc'),
    CLOUD_SNOW_FILL("bi-cloud-snow-fill", '\uf2bb'),
    CLOUD_SUN("bi-cloud-sun", '\uf2be'),
    CLOUD_SUN_FILL("bi-cloud-sun-fill", '\uf2bd'),
    CLOUD_UPLOAD("bi-cloud-upload", '\uf2c0'),
    CLOUD_UPLOAD_FILL("bi-cloud-upload-fill", '\uf2bf'),
    CODE("bi-code", '\uf2c8'),
    CODE_SLASH("bi-code-slash", '\uf2c6'),
    CODE_SQUARE("bi-code-square", '\uf2c7'),
    COLLECTION("bi-collection", '\uf2cc'),
    COLLECTION_FILL("bi-collection-fill", '\uf2c9'),
    COLLECTION_PLAY("bi-collection-play", '\uf2cb'),
    COLLECTION_PLAY_FILL("bi-collection-play-fill", '\uf2ca'),
    COLUMNS("bi-columns", '\uf2ce'),
    COLUMNS_GAP("bi-columns-gap", '\uf2cd'),
    COMMAND("bi-command", '\uf2cf'),
    COMPASS("bi-compass", '\uf2d1'),
    COMPASS_FILL("bi-compass-fill", '\uf2d0'),
    CONE("bi-cone", '\uf2d3'),
    CONE_STRIPED("bi-cone-striped", '\uf2d2'),
    CONTROLLER("bi-controller", '\uf2d4'),
    CPU("bi-cpu", '\uf2d6'),
    CPU_FILL("bi-cpu-fill", '\uf2d5'),
    CREDIT_CARD("bi-credit-card", '\uf2dc'),
    CREDIT_CARD_2_BACK("bi-credit-card-2-back", '\uf2d8'),
    CREDIT_CARD_2_BACK_FILL("bi-credit-card-2-back-fill", '\uf2d7'),
    CREDIT_CARD_2_FRONT("bi-credit-card-2-front", '\uf2da'),
    CREDIT_CARD_2_FRONT_FILL("bi-credit-card-2-front-fill", '\uf2d9'),
    CREDIT_CARD_FILL("bi-credit-card-fill", '\uf2db'),
    CROP("bi-crop", '\uf2dd'),
    CUP("bi-cup", '\uf2e0'),
    CUP_FILL("bi-cup-fill", '\uf2de'),
    CUP_STRAW("bi-cup-straw", '\uf2df'),
    CURSOR("bi-cursor", '\uf2e3'),
    CURSOR_FILL("bi-cursor-fill", '\uf2e1'),
    CURSOR_TEXT("bi-cursor-text", '\uf2e2'),
    DASH("bi-dash", '\uf2ea'),
    DASH_CIRCLE("bi-dash-circle", '\uf2e6'),
    DASH_CIRCLE_DOTTED("bi-dash-circle-dotted", '\uf2e4'),
    DASH_CIRCLE_FILL("bi-dash-circle-fill", '\uf2e5'),
    DASH_SQUARE("bi-dash-square", '\uf2e9'),
    DASH_SQUARE_DOTTED("bi-dash-square-dotted", '\uf2e7'),
    DASH_SQUARE_FILL("bi-dash-square-fill", '\uf2e8'),
    DIAGRAM_2("bi-diagram-2", '\uf2ec'),
    DIAGRAM_2_FILL("bi-diagram-2-fill", '\uf2eb'),
    DIAGRAM_3("bi-diagram-3", '\uf2ee'),
    DIAGRAM_3_FILL("bi-diagram-3-fill", '\uf2ed'),
    DIAMOND("bi-diamond", '\uf2f1'),
    DIAMOND_FILL("bi-diamond-fill", '\uf2ef'),
    DIAMOND_HALF("bi-diamond-half", '\uf2f0'),
    DICE_1("bi-dice-1", '\uf2f3'),
    DICE_1_FILL("bi-dice-1-fill", '\uf2f2'),
    DICE_2("bi-dice-2", '\uf2f5'),
    DICE_2_FILL("bi-dice-2-fill", '\uf2f4'),
    DICE_3("bi-dice-3", '\uf2f7'),
    DICE_3_FILL("bi-dice-3-fill", '\uf2f6'),
    DICE_4("bi-dice-4", '\uf2f9'),
    DICE_4_FILL("bi-dice-4-fill", '\uf2f8'),
    DICE_5("bi-dice-5", '\uf2fb'),
    DICE_5_FILL("bi-dice-5-fill", '\uf2fa'),
    DICE_6("bi-dice-6", '\uf2fd'),
    DICE_6_FILL("bi-dice-6-fill", '\uf2fc'),
    DISC("bi-disc", '\uf2ff'),
    DISCORD("bi-discord", '\uf300'),
    DISC_FILL("bi-disc-fill", '\uf2fe'),
    DISPLAY("bi-display", '\uf302'),
    DISPLAY_FILL("bi-display-fill", '\uf301'),
    DISTRIBUTE_HORIZONTAL("bi-distribute-horizontal", '\uf303'),
    DISTRIBUTE_VERTICAL("bi-distribute-vertical", '\uf304'),
    DOOR_CLOSED("bi-door-closed", '\uf306'),
    DOOR_CLOSED_FILL("bi-door-closed-fill", '\uf305'),
    DOOR_OPEN("bi-door-open", '\uf308'),
    DOOR_OPEN_FILL("bi-door-open-fill", '\uf307'),
    DOT("bi-dot", '\uf309'),
    DOWNLOAD("bi-download", '\uf30a'),
    DROPLET("bi-droplet", '\uf30d'),
    DROPLET_FILL("bi-droplet-fill", '\uf30b'),
    DROPLET_HALF("bi-droplet-half", '\uf30c'),
    EARBUDS("bi-earbuds", '\uf30e'),
    EASEL("bi-easel", '\uf310'),
    EASEL_FILL("bi-easel-fill", '\uf30f'),
    EGG("bi-egg", '\uf313'),
    EGG_FILL("bi-egg-fill", '\uf311'),
    EGG_FRIED("bi-egg-fried", '\uf312'),
    EJECT("bi-eject", '\uf315'),
    EJECT_FILL("bi-eject-fill", '\uf314'),
    EMOJI_ANGRY("bi-emoji-angry", '\uf317'),
    EMOJI_ANGRY_FILL("bi-emoji-angry-fill", '\uf316'),
    EMOJI_DIZZY("bi-emoji-dizzy", '\uf319'),
    EMOJI_DIZZY_FILL("bi-emoji-dizzy-fill", '\uf318'),
    EMOJI_EXPRESSIONLESS("bi-emoji-expressionless", '\uf31b'),
    EMOJI_EXPRESSIONLESS_FILL("bi-emoji-expressionless-fill", '\uf31a'),
    EMOJI_FROWN("bi-emoji-frown", '\uf31d'),
    EMOJI_FROWN_FILL("bi-emoji-frown-fill", '\uf31c'),
    EMOJI_HEART_EYES("bi-emoji-heart-eyes", '\uf31f'),
    EMOJI_HEART_EYES_FILL("bi-emoji-heart-eyes-fill", '\uf31e'),
    EMOJI_LAUGHING("bi-emoji-laughing", '\uf321'),
    EMOJI_LAUGHING_FILL("bi-emoji-laughing-fill", '\uf320'),
    EMOJI_NEUTRAL("bi-emoji-neutral", '\uf323'),
    EMOJI_NEUTRAL_FILL("bi-emoji-neutral-fill", '\uf322'),
    EMOJI_SMILE("bi-emoji-smile", '\uf327'),
    EMOJI_SMILE_FILL("bi-emoji-smile-fill", '\uf324'),
    EMOJI_SMILE_UPSIDE_DOWN("bi-emoji-smile-upside-down", '\uf326'),
    EMOJI_SMILE_UPSIDE_DOWN_FILL("bi-emoji-smile-upside-down-fill", '\uf325'),
    EMOJI_SUNGLASSES("bi-emoji-sunglasses", '\uf329'),
    EMOJI_SUNGLASSES_FILL("bi-emoji-sunglasses-fill", '\uf328'),
    EMOJI_WINK("bi-emoji-wink", '\uf32b'),
    EMOJI_WINK_FILL("bi-emoji-wink-fill", '\uf32a'),
    ENVELOPE("bi-envelope", '\uf32f'),
    ENVELOPE_FILL("bi-envelope-fill", '\uf32c'),
    ENVELOPE_OPEN("bi-envelope-open", '\uf32e'),
    ENVELOPE_OPEN_FILL("bi-envelope-open-fill", '\uf32d'),
    ERASER("bi-eraser", '\uf331'),
    ERASER_FILL("bi-eraser-fill", '\uf330'),
    EXCLAMATION("bi-exclamation", '\uf33c'),
    EXCLAMATION_CIRCLE("bi-exclamation-circle", '\uf333'),
    EXCLAMATION_CIRCLE_FILL("bi-exclamation-circle-fill", '\uf332'),
    EXCLAMATION_DIAMOND("bi-exclamation-diamond", '\uf335'),
    EXCLAMATION_DIAMOND_FILL("bi-exclamation-diamond-fill", '\uf334'),
    EXCLAMATION_OCTAGON("bi-exclamation-octagon", '\uf337'),
    EXCLAMATION_OCTAGON_FILL("bi-exclamation-octagon-fill", '\uf336'),
    EXCLAMATION_SQUARE("bi-exclamation-square", '\uf339'),
    EXCLAMATION_SQUARE_FILL("bi-exclamation-square-fill", '\uf338'),
    EXCLAMATION_TRIANGLE("bi-exclamation-triangle", '\uf33b'),
    EXCLAMATION_TRIANGLE_FILL("bi-exclamation-triangle-fill", '\uf33a'),
    EXCLUDE("bi-exclude", '\uf33d'),
    EYE("bi-eye", '\uf341'),
    EYEDROPPER("bi-eyedropper", '\uf342'),
    EYEGLASSES("bi-eyeglasses", '\uf343'),
    EYE_FILL("bi-eye-fill", '\uf33e'),
    EYE_SLASH("bi-eye-slash", '\uf340'),
    EYE_SLASH_FILL("bi-eye-slash-fill", '\uf33f'),
    FACEBOOK("bi-facebook", '\uf344'),
    FILE("bi-file", '\uf3c0'),
    FILES("bi-files", '\uf3c2'),
    FILES_ALT("bi-files-alt", '\uf3c1'),
    FILE_ARROW_DOWN("bi-file-arrow-down", '\uf346'),
    FILE_ARROW_DOWN_FILL("bi-file-arrow-down-fill", '\uf345'),
    FILE_ARROW_UP("bi-file-arrow-up", '\uf348'),
    FILE_ARROW_UP_FILL("bi-file-arrow-up-fill", '\uf347'),
    FILE_BAR_GRAPH("bi-file-bar-graph", '\uf34a'),
    FILE_BAR_GRAPH_FILL("bi-file-bar-graph-fill", '\uf349'),
    FILE_BINARY("bi-file-binary", '\uf34c'),
    FILE_BINARY_FILL("bi-file-binary-fill", '\uf34b'),
    FILE_BREAK("bi-file-break", '\uf34e'),
    FILE_BREAK_FILL("bi-file-break-fill", '\uf34d'),
    FILE_CHECK("bi-file-check", '\uf350'),
    FILE_CHECK_FILL("bi-file-check-fill", '\uf34f'),
    FILE_CODE("bi-file-code", '\uf352'),
    FILE_CODE_FILL("bi-file-code-fill", '\uf351'),
    FILE_DIFF("bi-file-diff", '\uf354'),
    FILE_DIFF_FILL("bi-file-diff-fill", '\uf353'),
    FILE_EARMARK("bi-file-earmark", '\uf392'),
    FILE_EARMARK_ARROW_DOWN("bi-file-earmark-arrow-down", '\uf356'),
    FILE_EARMARK_ARROW_DOWN_FILL("bi-file-earmark-arrow-down-fill", '\uf355'),
    FILE_EARMARK_ARROW_UP("bi-file-earmark-arrow-up", '\uf358'),
    FILE_EARMARK_ARROW_UP_FILL("bi-file-earmark-arrow-up-fill", '\uf357'),
    FILE_EARMARK_BAR_GRAPH("bi-file-earmark-bar-graph", '\uf35a'),
    FILE_EARMARK_BAR_GRAPH_FILL("bi-file-earmark-bar-graph-fill", '\uf359'),
    FILE_EARMARK_BINARY("bi-file-earmark-binary", '\uf35c'),
    FILE_EARMARK_BINARY_FILL("bi-file-earmark-binary-fill", '\uf35b'),
    FILE_EARMARK_BREAK("bi-file-earmark-break", '\uf35e'),
    FILE_EARMARK_BREAK_FILL("bi-file-earmark-break-fill", '\uf35d'),
    FILE_EARMARK_CHECK("bi-file-earmark-check", '\uf360'),
    FILE_EARMARK_CHECK_FILL("bi-file-earmark-check-fill", '\uf35f'),
    FILE_EARMARK_CODE("bi-file-earmark-code", '\uf362'),
    FILE_EARMARK_CODE_FILL("bi-file-earmark-code-fill", '\uf361'),
    FILE_EARMARK_DIFF("bi-file-earmark-diff", '\uf364'),
    FILE_EARMARK_DIFF_FILL("bi-file-earmark-diff-fill", '\uf363'),
    FILE_EARMARK_EASEL("bi-file-earmark-easel", '\uf366'),
    FILE_EARMARK_EASEL_FILL("bi-file-earmark-easel-fill", '\uf365'),
    FILE_EARMARK_EXCEL("bi-file-earmark-excel", '\uf368'),
    FILE_EARMARK_EXCEL_FILL("bi-file-earmark-excel-fill", '\uf367'),
    FILE_EARMARK_FILL("bi-file-earmark-fill", '\uf369'),
    FILE_EARMARK_FONT("bi-file-earmark-font", '\uf36b'),
    FILE_EARMARK_FONT_FILL("bi-file-earmark-font-fill", '\uf36a'),
    FILE_EARMARK_IMAGE("bi-file-earmark-image", '\uf36d'),
    FILE_EARMARK_IMAGE_FILL("bi-file-earmark-image-fill", '\uf36c'),
    FILE_EARMARK_LOCK("bi-file-earmark-lock", '\uf36f'),
    FILE_EARMARK_LOCK2("bi-file-earmark-lock2", '\uf371'),
    FILE_EARMARK_LOCK2_FILL("bi-file-earmark-lock2-fill", '\uf370'),
    FILE_EARMARK_LOCK_FILL("bi-file-earmark-lock-fill", '\uf36e'),
    FILE_EARMARK_MEDICAL("bi-file-earmark-medical", '\uf373'),
    FILE_EARMARK_MEDICAL_FILL("bi-file-earmark-medical-fill", '\uf372'),
    FILE_EARMARK_MINUS("bi-file-earmark-minus", '\uf375'),
    FILE_EARMARK_MINUS_FILL("bi-file-earmark-minus-fill", '\uf374'),
    FILE_EARMARK_MUSIC("bi-file-earmark-music", '\uf377'),
    FILE_EARMARK_MUSIC_FILL("bi-file-earmark-music-fill", '\uf376'),
    FILE_EARMARK_PERSON("bi-file-earmark-person", '\uf379'),
    FILE_EARMARK_PERSON_FILL("bi-file-earmark-person-fill", '\uf378'),
    FILE_EARMARK_PLAY("bi-file-earmark-play", '\uf37b'),
    FILE_EARMARK_PLAY_FILL("bi-file-earmark-play-fill", '\uf37a'),
    FILE_EARMARK_PLUS("bi-file-earmark-plus", '\uf37d'),
    FILE_EARMARK_PLUS_FILL("bi-file-earmark-plus-fill", '\uf37c'),
    FILE_EARMARK_POST("bi-file-earmark-post", '\uf37f'),
    FILE_EARMARK_POST_FILL("bi-file-earmark-post-fill", '\uf37e'),
    FILE_EARMARK_PPT("bi-file-earmark-ppt", '\uf381'),
    FILE_EARMARK_PPT_FILL("bi-file-earmark-ppt-fill", '\uf380'),
    FILE_EARMARK_RICHTEXT("bi-file-earmark-richtext", '\uf383'),
    FILE_EARMARK_RICHTEXT_FILL("bi-file-earmark-richtext-fill", '\uf382'),
    FILE_EARMARK_RULED("bi-file-earmark-ruled", '\uf385'),
    FILE_EARMARK_RULED_FILL("bi-file-earmark-ruled-fill", '\uf384'),
    FILE_EARMARK_SLIDES("bi-file-earmark-slides", '\uf387'),
    FILE_EARMARK_SLIDES_FILL("bi-file-earmark-slides-fill", '\uf386'),
    FILE_EARMARK_SPREADSHEET("bi-file-earmark-spreadsheet", '\uf389'),
    FILE_EARMARK_SPREADSHEET_FILL("bi-file-earmark-spreadsheet-fill", '\uf388'),
    FILE_EARMARK_TEXT("bi-file-earmark-text", '\uf38b'),
    FILE_EARMARK_TEXT_FILL("bi-file-earmark-text-fill", '\uf38a'),
    FILE_EARMARK_WORD("bi-file-earmark-word", '\uf38d'),
    FILE_EARMARK_WORD_FILL("bi-file-earmark-word-fill", '\uf38c'),
    FILE_EARMARK_X("bi-file-earmark-x", '\uf38f'),
    FILE_EARMARK_X_FILL("bi-file-earmark-x-fill", '\uf38e'),
    FILE_EARMARK_ZIP("bi-file-earmark-zip", '\uf391'),
    FILE_EARMARK_ZIP_FILL("bi-file-earmark-zip-fill", '\uf390'),
    FILE_EASEL("bi-file-easel", '\uf394'),
    FILE_EASEL_FILL("bi-file-easel-fill", '\uf393'),
    FILE_EXCEL("bi-file-excel", '\uf396'),
    FILE_EXCEL_FILL("bi-file-excel-fill", '\uf395'),
    FILE_FILL("bi-file-fill", '\uf397'),
    FILE_FONT("bi-file-font", '\uf399'),
    FILE_FONT_FILL("bi-file-font-fill", '\uf398'),
    FILE_IMAGE("bi-file-image", '\uf39b'),
    FILE_IMAGE_FILL("bi-file-image-fill", '\uf39a'),
    FILE_LOCK("bi-file-lock", '\uf39d'),
    FILE_LOCK2("bi-file-lock2", '\uf39f'),
    FILE_LOCK2_FILL("bi-file-lock2-fill", '\uf39e'),
    FILE_LOCK_FILL("bi-file-lock-fill", '\uf39c'),
    FILE_MEDICAL("bi-file-medical", '\uf3a1'),
    FILE_MEDICAL_FILL("bi-file-medical-fill", '\uf3a0'),
    FILE_MINUS("bi-file-minus", '\uf3a3'),
    FILE_MINUS_FILL("bi-file-minus-fill", '\uf3a2'),
    FILE_MUSIC("bi-file-music", '\uf3a5'),
    FILE_MUSIC_FILL("bi-file-music-fill", '\uf3a4'),
    FILE_PERSON("bi-file-person", '\uf3a7'),
    FILE_PERSON_FILL("bi-file-person-fill", '\uf3a6'),
    FILE_PLAY("bi-file-play", '\uf3a9'),
    FILE_PLAY_FILL("bi-file-play-fill", '\uf3a8'),
    FILE_PLUS("bi-file-plus", '\uf3ab'),
    FILE_PLUS_FILL("bi-file-plus-fill", '\uf3aa'),
    FILE_POST("bi-file-post", '\uf3ad'),
    FILE_POST_FILL("bi-file-post-fill", '\uf3ac'),
    FILE_PPT("bi-file-ppt", '\uf3af'),
    FILE_PPT_FILL("bi-file-ppt-fill", '\uf3ae'),
    FILE_RICHTEXT("bi-file-richtext", '\uf3b1'),
    FILE_RICHTEXT_FILL("bi-file-richtext-fill", '\uf3b0'),
    FILE_RULED("bi-file-ruled", '\uf3b3'),
    FILE_RULED_FILL("bi-file-ruled-fill", '\uf3b2'),
    FILE_SLIDES("bi-file-slides", '\uf3b5'),
    FILE_SLIDES_FILL("bi-file-slides-fill", '\uf3b4'),
    FILE_SPREADSHEET("bi-file-spreadsheet", '\uf3b7'),
    FILE_SPREADSHEET_FILL("bi-file-spreadsheet-fill", '\uf3b6'),
    FILE_TEXT("bi-file-text", '\uf3b9'),
    FILE_TEXT_FILL("bi-file-text-fill", '\uf3b8'),
    FILE_WORD("bi-file-word", '\uf3bb'),
    FILE_WORD_FILL("bi-file-word-fill", '\uf3ba'),
    FILE_X("bi-file-x", '\uf3bd'),
    FILE_X_FILL("bi-file-x-fill", '\uf3bc'),
    FILE_ZIP("bi-file-zip", '\uf3bf'),
    FILE_ZIP_FILL("bi-file-zip-fill", '\uf3be'),
    FILM("bi-film", '\uf3c3'),
    FILTER("bi-filter", '\uf3ca'),
    FILTER_CIRCLE("bi-filter-circle", '\uf3c5'),
    FILTER_CIRCLE_FILL("bi-filter-circle-fill", '\uf3c4'),
    FILTER_LEFT("bi-filter-left", '\uf3c6'),
    FILTER_RIGHT("bi-filter-right", '\uf3c7'),
    FILTER_SQUARE("bi-filter-square", '\uf3c9'),
    FILTER_SQUARE_FILL("bi-filter-square-fill", '\uf3c8'),
    FLAG("bi-flag", '\uf3cc'),
    FLAG_FILL("bi-flag-fill", '\uf3cb'),
    FLOWER1("bi-flower1", '\uf3cd'),
    FLOWER2("bi-flower2", '\uf3ce'),
    FLOWER3("bi-flower3", '\uf3cf'),
    FOLDER("bi-folder", '\uf3d7'),
    FOLDER2("bi-folder2", '\uf3d9'),
    FOLDER2_OPEN("bi-folder2-open", '\uf3d8'),
    FOLDER_CHECK("bi-folder-check", '\uf3d0'),
    FOLDER_FILL("bi-folder-fill", '\uf3d1'),
    FOLDER_MINUS("bi-folder-minus", '\uf3d2'),
    FOLDER_PLUS("bi-folder-plus", '\uf3d3'),
    FOLDER_SYMLINK("bi-folder-symlink", '\uf3d5'),
    FOLDER_SYMLINK_FILL("bi-folder-symlink-fill", '\uf3d4'),
    FOLDER_X("bi-folder-x", '\uf3d6'),
    FONTS("bi-fonts", '\uf3da'),
    FORWARD("bi-forward", '\uf3dc'),
    FORWARD_FILL("bi-forward-fill", '\uf3db'),
    FRONT("bi-front", '\uf3dd'),
    FULLSCREEN("bi-fullscreen", '\uf3df'),
    FULLSCREEN_EXIT("bi-fullscreen-exit", '\uf3de'),
    FUNNEL("bi-funnel", '\uf3e1'),
    FUNNEL_FILL("bi-funnel-fill", '\uf3e0'),
    GEAR("bi-gear", '\uf3e5'),
    GEAR_FILL("bi-gear-fill", '\uf3e2'),
    GEAR_WIDE("bi-gear-wide", '\uf3e4'),
    GEAR_WIDE_CONNECTED("bi-gear-wide-connected", '\uf3e3'),
    GEM("bi-gem", '\uf3e6'),
    GEO("bi-geo", '\uf3ea'),
    GEO_ALT("bi-geo-alt", '\uf3e8'),
    GEO_ALT_FILL("bi-geo-alt-fill", '\uf3e7'),
    GEO_FILL("bi-geo-fill", '\uf3e9'),
    GIFT("bi-gift", '\uf3ec'),
    GIFT_FILL("bi-gift-fill", '\uf3eb'),
    GITHUB("bi-github", '\uf3ed'),
    GLOBE("bi-globe", '\uf3ee'),
    GLOBE2("bi-globe2", '\uf3ef'),
    GOOGLE("bi-google", '\uf3f0'),
    GRAPH_DOWN("bi-graph-down", '\uf3f1'),
    GRAPH_UP("bi-graph-up", '\uf3f2'),
    GRID("bi-grid", '\uf3fc'),
    GRID_1X2("bi-grid-1x2", '\uf3f4'),
    GRID_1X2_FILL("bi-grid-1x2-fill", '\uf3f3'),
    GRID_3X2("bi-grid-3x2", '\uf3f7'),
    GRID_3X2_GAP("bi-grid-3x2-gap", '\uf3f6'),
    GRID_3X2_GAP_FILL("bi-grid-3x2-gap-fill", '\uf3f5'),
    GRID_3X3("bi-grid-3x3", '\uf3fa'),
    GRID_3X3_GAP("bi-grid-3x3-gap", '\uf3f9'),
    GRID_3X3_GAP_FILL("bi-grid-3x3-gap-fill", '\uf3f8'),
    GRID_FILL("bi-grid-fill", '\uf3fb'),
    GRIP_HORIZONTAL("bi-grip-horizontal", '\uf3fd'),
    GRIP_VERTICAL("bi-grip-vertical", '\uf3fe'),
    HAMMER("bi-hammer", '\uf3ff'),
    HANDBAG("bi-handbag", '\uf409'),
    HANDBAG_FILL("bi-handbag-fill", '\uf408'),
    HAND_INDEX("bi-hand-index", '\uf403'),
    HAND_INDEX_FILL("bi-hand-index-fill", '\uf400'),
    HAND_INDEX_THUMB("bi-hand-index-thumb", '\uf402'),
    HAND_INDEX_THUMB_FILL("bi-hand-index-thumb-fill", '\uf401'),
    HAND_THUMBS_DOWN("bi-hand-thumbs-down", '\uf405'),
    HAND_THUMBS_DOWN_FILL("bi-hand-thumbs-down-fill", '\uf404'),
    HAND_THUMBS_UP("bi-hand-thumbs-up", '\uf407'),
    HAND_THUMBS_UP_FILL("bi-hand-thumbs-up-fill", '\uf406'),
    HASH("bi-hash", '\uf40a'),
    HDD("bi-hdd", '\uf412'),
    HDD_FILL("bi-hdd-fill", '\uf40b'),
    HDD_NETWORK("bi-hdd-network", '\uf40d'),
    HDD_NETWORK_FILL("bi-hdd-network-fill", '\uf40c'),
    HDD_RACK("bi-hdd-rack", '\uf40f'),
    HDD_RACK_FILL("bi-hdd-rack-fill", '\uf40e'),
    HDD_STACK("bi-hdd-stack", '\uf411'),
    HDD_STACK_FILL("bi-hdd-stack-fill", '\uf410'),
    HEADPHONES("bi-headphones", '\uf413'),
    HEADSET("bi-headset", '\uf414'),
    HEART("bi-heart", '\uf417'),
    HEART_FILL("bi-heart-fill", '\uf415'),
    HEART_HALF("bi-heart-half", '\uf416'),
    HEPTAGON("bi-heptagon", '\uf41a'),
    HEPTAGON_FILL("bi-heptagon-fill", '\uf418'),
    HEPTAGON_HALF("bi-heptagon-half", '\uf419'),
    HEXAGON("bi-hexagon", '\uf41d'),
    HEXAGON_FILL("bi-hexagon-fill", '\uf41b'),
    HEXAGON_HALF("bi-hexagon-half", '\uf41c'),
    HOURGLASS("bi-hourglass", '\uf421'),
    HOURGLASS_BOTTOM("bi-hourglass-bottom", '\uf41e'),
    HOURGLASS_SPLIT("bi-hourglass-split", '\uf41f'),
    HOURGLASS_TOP("bi-hourglass-top", '\uf420'),
    HOUSE("bi-house", '\uf425'),
    HOUSE_DOOR("bi-house-door", '\uf423'),
    HOUSE_DOOR_FILL("bi-house-door-fill", '\uf422'),
    HOUSE_FILL("bi-house-fill", '\uf424'),
    HR("bi-hr", '\uf426'),
    HURRICANE("bi-hurricane", '\uf427'),
    IMAGE("bi-image", '\uf42a'),
    IMAGES("bi-images", '\uf42b'),
    IMAGE_ALT("bi-image-alt", '\uf428'),
    IMAGE_FILL("bi-image-fill", '\uf429'),
    INBOX("bi-inbox", '\uf42d'),
    INBOXES("bi-inboxes", '\uf42f'),
    INBOXES_FILL("bi-inboxes-fill", '\uf42e'),
    INBOX_FILL("bi-inbox-fill", '\uf42c'),
    INFO("bi-info", '\uf434'),
    INFO_CIRCLE("bi-info-circle", '\uf431'),
    INFO_CIRCLE_FILL("bi-info-circle-fill", '\uf430'),
    INFO_SQUARE("bi-info-square", '\uf433'),
    INFO_SQUARE_FILL("bi-info-square-fill", '\uf432'),
    INPUT_CURSOR("bi-input-cursor", '\uf436'),
    INPUT_CURSOR_TEXT("bi-input-cursor-text", '\uf435'),
    INSTAGRAM("bi-instagram", '\uf437'),
    INTERSECT("bi-intersect", '\uf438'),
    JOURNAL("bi-journal", '\uf446'),
    JOURNALS("bi-journals", '\uf447'),
    JOURNAL_ALBUM("bi-journal-album", '\uf439'),
    JOURNAL_ARROW_DOWN("bi-journal-arrow-down", '\uf43a'),
    JOURNAL_ARROW_UP("bi-journal-arrow-up", '\uf43b'),
    JOURNAL_BOOKMARK("bi-journal-bookmark", '\uf43d'),
    JOURNAL_BOOKMARK_FILL("bi-journal-bookmark-fill", '\uf43c'),
    JOURNAL_CHECK("bi-journal-check", '\uf43e'),
    JOURNAL_CODE("bi-journal-code", '\uf43f'),
    JOURNAL_MEDICAL("bi-journal-medical", '\uf440'),
    JOURNAL_MINUS("bi-journal-minus", '\uf441'),
    JOURNAL_PLUS("bi-journal-plus", '\uf442'),
    JOURNAL_RICHTEXT("bi-journal-richtext", '\uf443'),
    JOURNAL_TEXT("bi-journal-text", '\uf444'),
    JOURNAL_X("bi-journal-x", '\uf445'),
    JOYSTICK("bi-joystick", '\uf448'),
    JUSTIFY("bi-justify", '\uf44b'),
    JUSTIFY_LEFT("bi-justify-left", '\uf449'),
    JUSTIFY_RIGHT("bi-justify-right", '\uf44a'),
    KANBAN("bi-kanban", '\uf44d'),
    KANBAN_FILL("bi-kanban-fill", '\uf44c'),
    KEY("bi-key", '\uf44f'),
    KEYBOARD("bi-keyboard", '\uf451'),
    KEYBOARD_FILL("bi-keyboard-fill", '\uf450'),
    KEY_FILL("bi-key-fill", '\uf44e'),
    LADDER("bi-ladder", '\uf452'),
    LAMP("bi-lamp", '\uf454'),
    LAMP_FILL("bi-lamp-fill", '\uf453'),
    LAPTOP("bi-laptop", '\uf456'),
    LAPTOP_FILL("bi-laptop-fill", '\uf455'),
    LAYERS("bi-layers", '\uf45b'),
    LAYERS_FILL("bi-layers-fill", '\uf459'),
    LAYERS_HALF("bi-layers-half", '\uf45a'),
    LAYER_BACKWARD("bi-layer-backward", '\uf457'),
    LAYER_FORWARD("bi-layer-forward", '\uf458'),
    LAYOUT_SIDEBAR("bi-layout-sidebar", '\uf45f'),
    LAYOUT_SIDEBAR_INSET("bi-layout-sidebar-inset", '\uf45d'),
    LAYOUT_SIDEBAR_INSET_REVERSE("bi-layout-sidebar-inset-reverse", '\uf45c'),
    LAYOUT_SIDEBAR_REVERSE("bi-layout-sidebar-reverse", '\uf45e'),
    LAYOUT_SPLIT("bi-layout-split", '\uf460'),
    LAYOUT_TEXT_SIDEBAR("bi-layout-text-sidebar", '\uf462'),
    LAYOUT_TEXT_SIDEBAR_REVERSE("bi-layout-text-sidebar-reverse", '\uf461'),
    LAYOUT_TEXT_WINDOW("bi-layout-text-window", '\uf464'),
    LAYOUT_TEXT_WINDOW_REVERSE("bi-layout-text-window-reverse", '\uf463'),
    LAYOUT_THREE_COLUMNS("bi-layout-three-columns", '\uf465'),
    LAYOUT_WTF("bi-layout-wtf", '\uf466'),
    LIFE_PRESERVER("bi-life-preserver", '\uf467'),
    LIGHTBULB("bi-lightbulb", '\uf46b'),
    LIGHTBULB_FILL("bi-lightbulb-fill", '\uf468'),
    LIGHTBULB_OFF("bi-lightbulb-off", '\uf46a'),
    LIGHTBULB_OFF_FILL("bi-lightbulb-off-fill", '\uf469'),
    LIGHTNING("bi-lightning", '\uf46f'),
    LIGHTNING_CHARGE("bi-lightning-charge", '\uf46d'),
    LIGHTNING_CHARGE_FILL("bi-lightning-charge-fill", '\uf46c'),
    LIGHTNING_FILL("bi-lightning-fill", '\uf46e'),
    LINK("bi-link", '\uf471'),
    LINKEDIN("bi-linkedin", '\uf472'),
    LINK_45DEG("bi-link-45deg", '\uf470'),
    LIST("bi-list", '\uf479'),
    LIST_CHECK("bi-list-check", '\uf473'),
    LIST_NESTED("bi-list-nested", '\uf474'),
    LIST_OL("bi-list-ol", '\uf475'),
    LIST_STARS("bi-list-stars", '\uf476'),
    LIST_TASK("bi-list-task", '\uf477'),
    LIST_UL("bi-list-ul", '\uf478'),
    LOCK("bi-lock", '\uf47b'),
    LOCK_FILL("bi-lock-fill", '\uf47a'),
    MAILBOX("bi-mailbox", '\uf47c'),
    MAILBOX2("bi-mailbox2", '\uf47d'),
    MAP("bi-map", '\uf47f'),
    MAP_FILL("bi-map-fill", '\uf47e'),
    MARKDOWN("bi-markdown", '\uf481'),
    MARKDOWN_FILL("bi-markdown-fill", '\uf480'),
    MASK("bi-mask", '\uf482'),
    MEGAPHONE("bi-megaphone", '\uf484'),
    MEGAPHONE_FILL("bi-megaphone-fill", '\uf483'),
    MENU_APP("bi-menu-app", '\uf486'),
    MENU_APP_FILL("bi-menu-app-fill", '\uf485'),
    MENU_BUTTON("bi-menu-button", '\uf48a'),
    MENU_BUTTON_FILL("bi-menu-button-fill", '\uf487'),
    MENU_BUTTON_WIDE("bi-menu-button-wide", '\uf489'),
    MENU_BUTTON_WIDE_FILL("bi-menu-button-wide-fill", '\uf488'),
    MENU_DOWN("bi-menu-down", '\uf48b'),
    MENU_UP("bi-menu-up", '\uf48c'),
    MIC("bi-mic", '\uf490'),
    MIC_FILL("bi-mic-fill", '\uf48d'),
    MIC_MUTE("bi-mic-mute", '\uf48f'),
    MIC_MUTE_FILL("bi-mic-mute-fill", '\uf48e'),
    MINECART("bi-minecart", '\uf492'),
    MINECART_LOADED("bi-minecart-loaded", '\uf491'),
    MOISTURE("bi-moisture", '\uf493'),
    MOON("bi-moon", '\uf497'),
    MOON_FILL("bi-moon-fill", '\uf494'),
    MOON_STARS("bi-moon-stars", '\uf496'),
    MOON_STARS_FILL("bi-moon-stars-fill", '\uf495'),
    MOUSE("bi-mouse", '\uf499'),
    MOUSE2("bi-mouse2", '\uf49b'),
    MOUSE2_FILL("bi-mouse2-fill", '\uf49a'),
    MOUSE3("bi-mouse3", '\uf49d'),
    MOUSE3_FILL("bi-mouse3-fill", '\uf49c'),
    MOUSE_FILL("bi-mouse-fill", '\uf498'),
    MUSIC_NOTE("bi-music-note", '\uf4a0'),
    MUSIC_NOTE_BEAMED("bi-music-note-beamed", '\uf49e'),
    MUSIC_NOTE_LIST("bi-music-note-list", '\uf49f'),
    MUSIC_PLAYER("bi-music-player", '\uf4a2'),
    MUSIC_PLAYER_FILL("bi-music-player-fill", '\uf4a1'),
    NEWSPAPER("bi-newspaper", '\uf4a3'),
    NODE_MINUS("bi-node-minus", '\uf4a5'),
    NODE_MINUS_FILL("bi-node-minus-fill", '\uf4a4'),
    NODE_PLUS("bi-node-plus", '\uf4a7'),
    NODE_PLUS_FILL("bi-node-plus-fill", '\uf4a6'),
    NUT("bi-nut", '\uf4a9'),
    NUT_FILL("bi-nut-fill", '\uf4a8'),
    OCTAGON("bi-octagon", '\uf4ac'),
    OCTAGON_FILL("bi-octagon-fill", '\uf4aa'),
    OCTAGON_HALF("bi-octagon-half", '\uf4ab'),
    OPTION("bi-option", '\uf4ad'),
    OUTLET("bi-outlet", '\uf4ae'),
    PAINT_BUCKET("bi-paint-bucket", '\uf4af'),
    PALETTE("bi-palette", '\uf4b1'),
    PALETTE2("bi-palette2", '\uf4b2'),
    PALETTE_FILL("bi-palette-fill", '\uf4b0'),
    PAPERCLIP("bi-paperclip", '\uf4b3'),
    PARAGRAPH("bi-paragraph", '\uf4b4'),
    PATCH_CHECK("bi-patch-check", '\uf4b6'),
    PATCH_CHECK_FILL("bi-patch-check-fill", '\uf4b5'),
    PATCH_EXCLAMATION("bi-patch-exclamation", '\uf4b8'),
    PATCH_EXCLAMATION_FILL("bi-patch-exclamation-fill", '\uf4b7'),
    PATCH_MINUS("bi-patch-minus", '\uf4ba'),
    PATCH_MINUS_FILL("bi-patch-minus-fill", '\uf4b9'),
    PATCH_PLUS("bi-patch-plus", '\uf4bc'),
    PATCH_PLUS_FILL("bi-patch-plus-fill", '\uf4bb'),
    PATCH_QUESTION("bi-patch-question", '\uf4be'),
    PATCH_QUESTION_FILL("bi-patch-question-fill", '\uf4bd'),
    PAUSE("bi-pause", '\uf4c4'),
    PAUSE_BTN("bi-pause-btn", '\uf4c0'),
    PAUSE_BTN_FILL("bi-pause-btn-fill", '\uf4bf'),
    PAUSE_CIRCLE("bi-pause-circle", '\uf4c2'),
    PAUSE_CIRCLE_FILL("bi-pause-circle-fill", '\uf4c1'),
    PAUSE_FILL("bi-pause-fill", '\uf4c3'),
    PEACE("bi-peace", '\uf4c6'),
    PEACE_FILL("bi-peace-fill", '\uf4c5'),
    PEN("bi-pen", '\uf4c8'),
    PENCIL("bi-pencil", '\uf4cb'),
    PENCIL_FILL("bi-pencil-fill", '\uf4c9'),
    PENCIL_SQUARE("bi-pencil-square", '\uf4ca'),
    PENTAGON("bi-pentagon", '\uf4ce'),
    PENTAGON_FILL("bi-pentagon-fill", '\uf4cc'),
    PENTAGON_HALF("bi-pentagon-half", '\uf4cd'),
    PEN_FILL("bi-pen-fill", '\uf4c7'),
    PEOPLE("bi-people", '\uf4d0'),
    PEOPLE_FILL("bi-people-fill", '\uf4cf'),
    PERCENT("bi-percent", '\uf4d1'),
    PERSON("bi-person", '\uf4e1'),
    PERSON_BADGE("bi-person-badge", '\uf4d3'),
    PERSON_BADGE_FILL("bi-person-badge-fill", '\uf4d2'),
    PERSON_BOUNDING_BOX("bi-person-bounding-box", '\uf4d4'),
    PERSON_CHECK("bi-person-check", '\uf4d6'),
    PERSON_CHECK_FILL("bi-person-check-fill", '\uf4d5'),
    PERSON_CIRCLE("bi-person-circle", '\uf4d7'),
    PERSON_DASH("bi-person-dash", '\uf4d9'),
    PERSON_DASH_FILL("bi-person-dash-fill", '\uf4d8'),
    PERSON_FILL("bi-person-fill", '\uf4da'),
    PERSON_LINES_FILL("bi-person-lines-fill", '\uf4db'),
    PERSON_PLUS("bi-person-plus", '\uf4dd'),
    PERSON_PLUS_FILL("bi-person-plus-fill", '\uf4dc'),
    PERSON_SQUARE("bi-person-square", '\uf4de'),
    PERSON_X("bi-person-x", '\uf4e0'),
    PERSON_X_FILL("bi-person-x-fill", '\uf4df'),
    PHONE("bi-phone", '\uf4e7'),
    PHONE_FILL("bi-phone-fill", '\uf4e2'),
    PHONE_LANDSCAPE("bi-phone-landscape", '\uf4e4'),
    PHONE_LANDSCAPE_FILL("bi-phone-landscape-fill", '\uf4e3'),
    PHONE_VIBRATE("bi-phone-vibrate", '\uf4e6'),
    PHONE_VIBRATE_FILL("bi-phone-vibrate-fill", '\uf4e5'),
    PIE_CHART("bi-pie-chart", '\uf4e9'),
    PIE_CHART_FILL("bi-pie-chart-fill", '\uf4e8'),
    PIN("bi-pin", '\uf4ed'),
    PIN_ANGLE("bi-pin-angle", '\uf4eb'),
    PIN_ANGLE_FILL("bi-pin-angle-fill", '\uf4ea'),
    PIN_FILL("bi-pin-fill", '\uf4ec'),
    PIP("bi-pip", '\uf4ef'),
    PIP_FILL("bi-pip-fill", '\uf4ee'),
    PLAY("bi-play", '\uf4f5'),
    PLAY_BTN("bi-play-btn", '\uf4f1'),
    PLAY_BTN_FILL("bi-play-btn-fill", '\uf4f0'),
    PLAY_CIRCLE("bi-play-circle", '\uf4f3'),
    PLAY_CIRCLE_FILL("bi-play-circle-fill", '\uf4f2'),
    PLAY_FILL("bi-play-fill", '\uf4f4'),
    PLUG("bi-plug", '\uf4f7'),
    PLUG_FILL("bi-plug-fill", '\uf4f6'),
    PLUS("bi-plus", '\uf4fe'),
    PLUS_CIRCLE("bi-plus-circle", '\uf4fa'),
    PLUS_CIRCLE_DOTTED("bi-plus-circle-dotted", '\uf4f8'),
    PLUS_CIRCLE_FILL("bi-plus-circle-fill", '\uf4f9'),
    PLUS_SQUARE("bi-plus-square", '\uf4fd'),
    PLUS_SQUARE_DOTTED("bi-plus-square-dotted", '\uf4fb'),
    PLUS_SQUARE_FILL("bi-plus-square-fill", '\uf4fc'),
    POWER("bi-power", '\uf4ff'),
    PRINTER("bi-printer", '\uf501'),
    PRINTER_FILL("bi-printer-fill", '\uf500'),
    PUZZLE("bi-puzzle", '\uf503'),
    PUZZLE_FILL("bi-puzzle-fill", '\uf502'),
    QUESTION("bi-question", '\uf50c'),
    QUESTION_CIRCLE("bi-question-circle", '\uf505'),
    QUESTION_CIRCLE_FILL("bi-question-circle-fill", '\uf504'),
    QUESTION_DIAMOND("bi-question-diamond", '\uf507'),
    QUESTION_DIAMOND_FILL("bi-question-diamond-fill", '\uf506'),
    QUESTION_OCTAGON("bi-question-octagon", '\uf509'),
    QUESTION_OCTAGON_FILL("bi-question-octagon-fill", '\uf508'),
    QUESTION_SQUARE("bi-question-square", '\uf50b'),
    QUESTION_SQUARE_FILL("bi-question-square-fill", '\uf50a'),
    RAINBOW("bi-rainbow", '\uf50d'),
    RECEIPT("bi-receipt", '\uf50f'),
    RECEIPT_CUTOFF("bi-receipt-cutoff", '\uf50e'),
    RECEPTION_0("bi-reception-0", '\uf510'),
    RECEPTION_1("bi-reception-1", '\uf511'),
    RECEPTION_2("bi-reception-2", '\uf512'),
    RECEPTION_3("bi-reception-3", '\uf513'),
    RECEPTION_4("bi-reception-4", '\uf514'),
    RECORD("bi-record", '\uf51a'),
    RECORD2("bi-record2", '\uf51c'),
    RECORD2_FILL("bi-record2-fill", '\uf51b'),
    RECORD_BTN("bi-record-btn", '\uf516'),
    RECORD_BTN_FILL("bi-record-btn-fill", '\uf515'),
    RECORD_CIRCLE("bi-record-circle", '\uf518'),
    RECORD_CIRCLE_FILL("bi-record-circle-fill", '\uf517'),
    RECORD_FILL("bi-record-fill", '\uf519'),
    REPLY("bi-reply", '\uf520'),
    REPLY_ALL("bi-reply-all", '\uf51e'),
    REPLY_ALL_FILL("bi-reply-all-fill", '\uf51d'),
    REPLY_FILL("bi-reply-fill", '\uf51f'),
    RSS("bi-rss", '\uf522'),
    RSS_FILL("bi-rss-fill", '\uf521'),
    RULERS("bi-rulers", '\uf523'),
    SAVE("bi-save", '\uf525'),
    SAVE2("bi-save2", '\uf527'),
    SAVE2_FILL("bi-save2-fill", '\uf526'),
    SAVE_FILL("bi-save-fill", '\uf524'),
    SCISSORS("bi-scissors", '\uf528'),
    SCREWDRIVER("bi-screwdriver", '\uf529'),
    SEARCH("bi-search", '\uf52a'),
    SEGMENTED_NAV("bi-segmented-nav", '\uf52b'),
    SERVER("bi-server", '\uf52c'),
    SHARE("bi-share", '\uf52e'),
    SHARE_FILL("bi-share-fill", '\uf52d'),
    SHIELD("bi-shield", '\uf53f'),
    SHIELD_CHECK("bi-shield-check", '\uf52f'),
    SHIELD_EXCLAMATION("bi-shield-exclamation", '\uf530'),
    SHIELD_FILL("bi-shield-fill", '\uf536'),
    SHIELD_FILL_CHECK("bi-shield-fill-check", '\uf531'),
    SHIELD_FILL_EXCLAMATION("bi-shield-fill-exclamation", '\uf532'),
    SHIELD_FILL_MINUS("bi-shield-fill-minus", '\uf533'),
    SHIELD_FILL_PLUS("bi-shield-fill-plus", '\uf534'),
    SHIELD_FILL_X("bi-shield-fill-x", '\uf535'),
    SHIELD_LOCK("bi-shield-lock", '\uf538'),
    SHIELD_LOCK_FILL("bi-shield-lock-fill", '\uf537'),
    SHIELD_MINUS("bi-shield-minus", '\uf539'),
    SHIELD_PLUS("bi-shield-plus", '\uf53a'),
    SHIELD_SHADED("bi-shield-shaded", '\uf53b'),
    SHIELD_SLASH("bi-shield-slash", '\uf53d'),
    SHIELD_SLASH_FILL("bi-shield-slash-fill", '\uf53c'),
    SHIELD_X("bi-shield-x", '\uf53e'),
    SHIFT("bi-shift", '\uf541'),
    SHIFT_FILL("bi-shift-fill", '\uf540'),
    SHOP("bi-shop", '\uf543'),
    SHOP_WINDOW("bi-shop-window", '\uf542'),
    SHUFFLE("bi-shuffle", '\uf544'),
    SIGNPOST("bi-signpost", '\uf54a'),
    SIGNPOST_2("bi-signpost-2", '\uf546'),
    SIGNPOST_2_FILL("bi-signpost-2-fill", '\uf545'),
    SIGNPOST_FILL("bi-signpost-fill", '\uf547'),
    SIGNPOST_SPLIT("bi-signpost-split", '\uf549'),
    SIGNPOST_SPLIT_FILL("bi-signpost-split-fill", '\uf548'),
    SIM("bi-sim", '\uf54c'),
    SIM_FILL("bi-sim-fill", '\uf54b'),
    SKIP_BACKWARD("bi-skip-backward", '\uf552'),
    SKIP_BACKWARD_BTN("bi-skip-backward-btn", '\uf54e'),
    SKIP_BACKWARD_BTN_FILL("bi-skip-backward-btn-fill", '\uf54d'),
    SKIP_BACKWARD_CIRCLE("bi-skip-backward-circle", '\uf550'),
    SKIP_BACKWARD_CIRCLE_FILL("bi-skip-backward-circle-fill", '\uf54f'),
    SKIP_BACKWARD_FILL("bi-skip-backward-fill", '\uf551'),
    SKIP_END("bi-skip-end", '\uf558'),
    SKIP_END_BTN("bi-skip-end-btn", '\uf554'),
    SKIP_END_BTN_FILL("bi-skip-end-btn-fill", '\uf553'),
    SKIP_END_CIRCLE("bi-skip-end-circle", '\uf556'),
    SKIP_END_CIRCLE_FILL("bi-skip-end-circle-fill", '\uf555'),
    SKIP_END_FILL("bi-skip-end-fill", '\uf557'),
    SKIP_FORWARD("bi-skip-forward", '\uf55e'),
    SKIP_FORWARD_BTN("bi-skip-forward-btn", '\uf55a'),
    SKIP_FORWARD_BTN_FILL("bi-skip-forward-btn-fill", '\uf559'),
    SKIP_FORWARD_CIRCLE("bi-skip-forward-circle", '\uf55c'),
    SKIP_FORWARD_CIRCLE_FILL("bi-skip-forward-circle-fill", '\uf55b'),
    SKIP_FORWARD_FILL("bi-skip-forward-fill", '\uf55d'),
    SKIP_START("bi-skip-start", '\uf564'),
    SKIP_START_BTN("bi-skip-start-btn", '\uf560'),
    SKIP_START_BTN_FILL("bi-skip-start-btn-fill", '\uf55f'),
    SKIP_START_CIRCLE("bi-skip-start-circle", '\uf562'),
    SKIP_START_CIRCLE_FILL("bi-skip-start-circle-fill", '\uf561'),
    SKIP_START_FILL("bi-skip-start-fill", '\uf563'),
    SLACK("bi-slack", '\uf565'),
    SLASH("bi-slash", '\uf56a'),
    SLASH_CIRCLE("bi-slash-circle", '\uf567'),
    SLASH_CIRCLE_FILL("bi-slash-circle-fill", '\uf566'),
    SLASH_SQUARE("bi-slash-square", '\uf569'),
    SLASH_SQUARE_FILL("bi-slash-square-fill", '\uf568'),
    SLIDERS("bi-sliders", '\uf56b'),
    SMARTWATCH("bi-smartwatch", '\uf56c'),
    SNOW("bi-snow", '\uf56d'),
    SNOW2("bi-snow2", '\uf56e'),
    SNOW3("bi-snow3", '\uf56f'),
    SORT_ALPHA_DOWN("bi-sort-alpha-down", '\uf571'),
    SORT_ALPHA_DOWN_ALT("bi-sort-alpha-down-alt", '\uf570'),
    SORT_ALPHA_UP("bi-sort-alpha-up", '\uf573'),
    SORT_ALPHA_UP_ALT("bi-sort-alpha-up-alt", '\uf572'),
    SORT_DOWN("bi-sort-down", '\uf575'),
    SORT_DOWN_ALT("bi-sort-down-alt", '\uf574'),
    SORT_NUMERIC_DOWN("bi-sort-numeric-down", '\uf577'),
    SORT_NUMERIC_DOWN_ALT("bi-sort-numeric-down-alt", '\uf576'),
    SORT_NUMERIC_UP("bi-sort-numeric-up", '\uf579'),
    SORT_NUMERIC_UP_ALT("bi-sort-numeric-up-alt", '\uf578'),
    SORT_UP("bi-sort-up", '\uf57b'),
    SORT_UP_ALT("bi-sort-up-alt", '\uf57a'),
    SOUNDWAVE("bi-soundwave", '\uf57c'),
    SPEAKER("bi-speaker", '\uf57e'),
    SPEAKER_FILL("bi-speaker-fill", '\uf57d'),
    SPEEDOMETER("bi-speedometer", '\uf57f'),
    SPEEDOMETER2("bi-speedometer2", '\uf580'),
    SPELLCHECK("bi-spellcheck", '\uf581'),
    SQUARE("bi-square", '\uf584'),
    SQUARE_FILL("bi-square-fill", '\uf582'),
    SQUARE_HALF("bi-square-half", '\uf583'),
    STACK("bi-stack", '\uf585'),
    STAR("bi-star", '\uf588'),
    STARS("bi-stars", '\uf589'),
    STAR_FILL("bi-star-fill", '\uf586'),
    STAR_HALF("bi-star-half", '\uf587'),
    STICKIES("bi-stickies", '\uf58b'),
    STICKIES_FILL("bi-stickies-fill", '\uf58a'),
    STICKY("bi-sticky", '\uf58d'),
    STICKY_FILL("bi-sticky-fill", '\uf58c'),
    STOP("bi-stop", '\uf593'),
    STOPLIGHTS("bi-stoplights", '\uf595'),
    STOPLIGHTS_FILL("bi-stoplights-fill", '\uf594'),
    STOPWATCH("bi-stopwatch", '\uf597'),
    STOPWATCH_FILL("bi-stopwatch-fill", '\uf596'),
    STOP_BTN("bi-stop-btn", '\uf58f'),
    STOP_BTN_FILL("bi-stop-btn-fill", '\uf58e'),
    STOP_CIRCLE("bi-stop-circle", '\uf591'),
    STOP_CIRCLE_FILL("bi-stop-circle-fill", '\uf590'),
    STOP_FILL("bi-stop-fill", '\uf592'),
    SUBTRACT("bi-subtract", '\uf598'),
    SUIT_CLUB("bi-suit-club", '\uf59a'),
    SUIT_CLUB_FILL("bi-suit-club-fill", '\uf599'),
    SUIT_DIAMOND("bi-suit-diamond", '\uf59c'),
    SUIT_DIAMOND_FILL("bi-suit-diamond-fill", '\uf59b'),
    SUIT_HEART("bi-suit-heart", '\uf59e'),
    SUIT_HEART_FILL("bi-suit-heart-fill", '\uf59d'),
    SUIT_SPADE("bi-suit-spade", '\uf5a0'),
    SUIT_SPADE_FILL("bi-suit-spade-fill", '\uf59f'),
    SUN("bi-sun", '\uf5a2'),
    SUNGLASSES("bi-sunglasses", '\uf5a3'),
    SUNRISE("bi-sunrise", '\uf5a5'),
    SUNRISE_FILL("bi-sunrise-fill", '\uf5a4'),
    SUNSET("bi-sunset", '\uf5a7'),
    SUNSET_FILL("bi-sunset-fill", '\uf5a6'),
    SUN_FILL("bi-sun-fill", '\uf5a1'),
    SYMMETRY_HORIZONTAL("bi-symmetry-horizontal", '\uf5a8'),
    SYMMETRY_VERTICAL("bi-symmetry-vertical", '\uf5a9'),
    TABLE("bi-table", '\uf5aa'),
    TABLET("bi-tablet", '\uf5ae'),
    TABLET_FILL("bi-tablet-fill", '\uf5ab'),
    TABLET_LANDSCAPE("bi-tablet-landscape", '\uf5ad'),
    TABLET_LANDSCAPE_FILL("bi-tablet-landscape-fill", '\uf5ac'),
    TAG("bi-tag", '\uf5b0'),
    TAGS("bi-tags", '\uf5b2'),
    TAGS_FILL("bi-tags-fill", '\uf5b1'),
    TAG_FILL("bi-tag-fill", '\uf5af'),
    TELEGRAM("bi-telegram", '\uf5b3'),
    TELEPHONE("bi-telephone", '\uf5c1'),
    TELEPHONE_FILL("bi-telephone-fill", '\uf5b4'),
    TELEPHONE_FORWARD("bi-telephone-forward", '\uf5b6'),
    TELEPHONE_FORWARD_FILL("bi-telephone-forward-fill", '\uf5b5'),
    TELEPHONE_INBOUND("bi-telephone-inbound", '\uf5b8'),
    TELEPHONE_INBOUND_FILL("bi-telephone-inbound-fill", '\uf5b7'),
    TELEPHONE_MINUS("bi-telephone-minus", '\uf5ba'),
    TELEPHONE_MINUS_FILL("bi-telephone-minus-fill", '\uf5b9'),
    TELEPHONE_OUTBOUND("bi-telephone-outbound", '\uf5bc'),
    TELEPHONE_OUTBOUND_FILL("bi-telephone-outbound-fill", '\uf5bb'),
    TELEPHONE_PLUS("bi-telephone-plus", '\uf5be'),
    TELEPHONE_PLUS_FILL("bi-telephone-plus-fill", '\uf5bd'),
    TELEPHONE_X("bi-telephone-x", '\uf5c0'),
    TELEPHONE_X_FILL("bi-telephone-x-fill", '\uf5bf'),
    TERMINAL("bi-terminal", '\uf5c3'),
    TERMINAL_FILL("bi-terminal-fill", '\uf5c2'),
    TEXTAREA("bi-textarea", '\uf5cc'),
    TEXTAREA_RESIZE("bi-textarea-resize", '\uf5ca'),
    TEXTAREA_T("bi-textarea-t", '\uf5cb'),
    TEXT_CENTER("bi-text-center", '\uf5c4'),
    TEXT_INDENT_LEFT("bi-text-indent-left", '\uf5c5'),
    TEXT_INDENT_RIGHT("bi-text-indent-right", '\uf5c6'),
    TEXT_LEFT("bi-text-left", '\uf5c7'),
    TEXT_PARAGRAPH("bi-text-paragraph", '\uf5c8'),
    TEXT_RIGHT("bi-text-right", '\uf5c9'),
    THERMOMETER("bi-thermometer", '\uf5d2'),
    THERMOMETER_HALF("bi-thermometer-half", '\uf5cd'),
    THERMOMETER_HIGH("bi-thermometer-high", '\uf5ce'),
    THERMOMETER_LOW("bi-thermometer-low", '\uf5cf'),
    THERMOMETER_SNOW("bi-thermometer-snow", '\uf5d0'),
    THERMOMETER_SUN("bi-thermometer-sun", '\uf5d1'),
    THREE_DOTS("bi-three-dots", '\uf5d4'),
    THREE_DOTS_VERTICAL("bi-three-dots-vertical", '\uf5d3'),
    TOGGLE2_OFF("bi-toggle2-off", '\uf5d7'),
    TOGGLE2_ON("bi-toggle2-on", '\uf5d8'),
    TOGGLES("bi-toggles", '\uf5d9'),
    TOGGLES2("bi-toggles2", '\uf5da'),
    TOGGLE_OFF("bi-toggle-off", '\uf5d5'),
    TOGGLE_ON("bi-toggle-on", '\uf5d6'),
    TOOLS("bi-tools", '\uf5db'),
    TORNADO("bi-tornado", '\uf5dc'),
    TRASH("bi-trash", '\uf5de'),
    TRASH2("bi-trash2", '\uf5e0'),
    TRASH2_FILL("bi-trash2-fill", '\uf5df'),
    TRASH_FILL("bi-trash-fill", '\uf5dd'),
    TREE("bi-tree", '\uf5e2'),
    TREE_FILL("bi-tree-fill", '\uf5e1'),
    TRIANGLE("bi-triangle", '\uf5e5'),
    TRIANGLE_FILL("bi-triangle-fill", '\uf5e3'),
    TRIANGLE_HALF("bi-triangle-half", '\uf5e4'),
    TROPHY("bi-trophy", '\uf5e7'),
    TROPHY_FILL("bi-trophy-fill", '\uf5e6'),
    TROPICAL_STORM("bi-tropical-storm", '\uf5e8'),
    TRUCK("bi-truck", '\uf5ea'),
    TRUCK_FLATBED("bi-truck-flatbed", '\uf5e9'),
    TSUNAMI("bi-tsunami", '\uf5eb'),
    TV("bi-tv", '\uf5ed'),
    TV_FILL("bi-tv-fill", '\uf5ec'),
    TWITCH("bi-twitch", '\uf5ee'),
    TWITTER("bi-twitter", '\uf5ef'),
    TYPE("bi-type", '\uf5f7'),
    TYPE_BOLD("bi-type-bold", '\uf5f0'),
    TYPE_H1("bi-type-h1", '\uf5f1'),
    TYPE_H2("bi-type-h2", '\uf5f2'),
    TYPE_H3("bi-type-h3", '\uf5f3'),
    TYPE_ITALIC("bi-type-italic", '\uf5f4'),
    TYPE_STRIKETHROUGH("bi-type-strikethrough", '\uf5f5'),
    TYPE_UNDERLINE("bi-type-underline", '\uf5f6'),
    UI_CHECKS("bi-ui-checks", '\uf5f9'),
    UI_CHECKS_GRID("bi-ui-checks-grid", '\uf5f8'),
    UI_RADIOS("bi-ui-radios", '\uf5fb'),
    UI_RADIOS_GRID("bi-ui-radios-grid", '\uf5fa'),
    UMBRELLA("bi-umbrella", '\uf5fd'),
    UMBRELLA_FILL("bi-umbrella-fill", '\uf5fc'),
    UNION("bi-union", '\uf5fe'),
    UNLOCK("bi-unlock", '\uf600'),
    UNLOCK_FILL("bi-unlock-fill", '\uf5ff'),
    UPC("bi-upc", '\uf602'),
    UPC_SCAN("bi-upc-scan", '\uf601'),
    UPLOAD("bi-upload", '\uf603'),
    VECTOR_PEN("bi-vector-pen", '\uf604'),
    VIEW_LIST("bi-view-list", '\uf605'),
    VIEW_STACKED("bi-view-stacked", '\uf606'),
    VINYL("bi-vinyl", '\uf608'),
    VINYL_FILL("bi-vinyl-fill", '\uf607'),
    VOICEMAIL("bi-voicemail", '\uf609'),
    VOLUME_DOWN("bi-volume-down", '\uf60b'),
    VOLUME_DOWN_FILL("bi-volume-down-fill", '\uf60a'),
    VOLUME_MUTE("bi-volume-mute", '\uf60d'),
    VOLUME_MUTE_FILL("bi-volume-mute-fill", '\uf60c'),
    VOLUME_OFF("bi-volume-off", '\uf60f'),
    VOLUME_OFF_FILL("bi-volume-off-fill", '\uf60e'),
    VOLUME_UP("bi-volume-up", '\uf611'),
    VOLUME_UP_FILL("bi-volume-up-fill", '\uf610'),
    VR("bi-vr", '\uf612'),
    WALLET("bi-wallet", '\uf614'),
    WALLET2("bi-wallet2", '\uf615'),
    WALLET_FILL("bi-wallet-fill", '\uf613'),
    WATCH("bi-watch", '\uf616'),
    WATER("bi-water", '\uf617'),
    WHATSAPP("bi-whatsapp", '\uf618'),
    WIFI("bi-wifi", '\uf61c'),
    WIFI_1("bi-wifi-1", '\uf619'),
    WIFI_2("bi-wifi-2", '\uf61a'),
    WIFI_OFF("bi-wifi-off", '\uf61b'),
    WIND("bi-wind", '\uf61d'),
    WINDOW("bi-window", '\uf620'),
    WINDOW_DOCK("bi-window-dock", '\uf61e'),
    WINDOW_SIDEBAR("bi-window-sidebar", '\uf61f'),
    WRENCH("bi-wrench", '\uf621'),
    X("bi-x", '\uf62a'),
    X_CIRCLE("bi-x-circle", '\uf623'),
    X_CIRCLE_FILL("bi-x-circle-fill", '\uf622'),
    X_DIAMOND("bi-x-diamond", '\uf625'),
    X_DIAMOND_FILL("bi-x-diamond-fill", '\uf624'),
    X_OCTAGON("bi-x-octagon", '\uf627'),
    X_OCTAGON_FILL("bi-x-octagon-fill", '\uf626'),
    X_SQUARE("bi-x-square", '\uf629'),
    X_SQUARE_FILL("bi-x-square-fill", '\uf628'),
    YOUTUBE("bi-youtube", '\uf62b'),
    ZOOM_IN("bi-zoom-in", '\uf62c'),
    ZOOM_OUT("bi-zoom-out", '\uf62d');
    
    public static BootstrapIcons findByDescription(String description) {
        for (BootstrapIcons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    BootstrapIcons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}