/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.bytedance;

import org.kordamp.ikonli.Ikon;

/**
 * @author LeeWyatt
 */
public enum BytedanceIconsRegularMZ implements Ikon {

    MACADAMIA_NUT("bd2-macadamia-nut", '\ueed7'),
    MAC_FINDER("bd2-mac-finder", '\ueed8'),
    MAGIC("bd2-magic", '\ueed9'),
    MAGIC_HAT("bd2-magic-hat", '\ueeda'),
    MAGIC_WAND("bd2-magic-wand", '\ueedb'),
    MAGNET("bd2-magnet", '\ueedc'),
    MAIL("bd2-mail", '\ueedd'),
    MAIL_DOWNLOAD("bd2-mail-download", '\ueede'),
    MAIL_EDIT("bd2-mail-edit", '\ueedf'),
    MAILL_ONE("bd2-maill-one", '\ueee0'),
    MAIL_OPEN("bd2-mail-open", '\ueee1'),
    MAIL_PACKAGE("bd2-mail-package", '\ueee2'),
    MAIL_REVIEW("bd2-mail-review", '\ueee3'),
    MAIL_UNPACKING("bd2-mail-unpacking", '\ueee4'),
    MAKEUPS("bd2-makeups", '\ueee5'),
    MALE("bd2-male", '\ueee6'),
    MALL_BAG("bd2-mall-bag", '\ueee7'),
    MANUAL_GEAR("bd2-manual-gear", '\ueee8'),
    MANY_TO_MANY("bd2-many-to-many", '\ueee9'),
    MAP_DISTANCE("bd2-map-distance", '\ueeea'),
    MAP_DRAW("bd2-map-draw", '\ueeeb'),
    MAP_ROAD("bd2-map-road", '\ueeec'),
    MAP_ROAD_TWO("bd2-map-road-two", '\ueeed'),
    MAP_TWO("bd2-map-two", '\ueeee'),
    MARGIN("bd2-margin", '\ueeef'),
    MARGIN_ONE("bd2-margin-one", '\ueef0'),
    MARK("bd2-mark", '\ueef1'),
    MARKET("bd2-market", '\ueef2'),
    MARKET_ANALYSIS("bd2-market-analysis", '\ueef3'),
    MASCARA("bd2-mascara", '\ueef4'),
    MASK("bd2-mask", '\ueef5'),
    MASK_ONE("bd2-mask-one", '\ueef6'),
    MASK_TWO("bd2-mask-two", '\ueef7'),
    MASLOW_PYRAMIDS("bd2-maslow-pyramids", '\ueef8'),
    MASSAGE_CHAIR("bd2-massage-chair", '\ueef9'),
    MASSAGE_CHAIR_ONE("bd2-massage-chair-one", '\ueefa'),
    MASSAGE_TABLE("bd2-massage-table", '\ueefb'),
    MASTER("bd2-master", '\ueefc'),
    MATERIAL("bd2-material", '\ueefd'),
    MATERIAL_THREE("bd2-material-three", '\ueefe'),
    MATERIAL_TWO("bd2-material-two", '\ueeff'),
    MAXIMUM("bd2-maximum", '\uef00'),
    MAYA("bd2-maya", '\uef01'),
    MAYURA_GESTURE("bd2-mayura-gesture", '\uef02'),
    ME("bd2-me", '\uef03'),
    MEASURING_CUP("bd2-measuring-cup", '\uef04'),
    MEDAL_ONE("bd2-medal-one", '\uef05'),
    MEDIAEDITOR("bd2-mediaeditor", '\uef06'),
    MEDICAL_BOX("bd2-medical-box", '\uef07'),
    MEDICAL_FILES("bd2-medical-files", '\uef08'),
    MEDICAL_MARK("bd2-medical-mark", '\uef09'),
    MEDICATION_TIME("bd2-medication-time", '\uef0a'),
    MEDICINE_BOTTLE("bd2-medicine-bottle", '\uef0b'),
    MEDICINE_BOTTLE_ONE("bd2-medicine-bottle-one", '\uef0c'),
    MEDICINE_CHEST("bd2-medicine-chest", '\uef0d'),
    MEMORY("bd2-memory", '\uef0e'),
    MEMORY_CARD("bd2-memory-card", '\uef0f'),
    MEMORY_CARD_ONE("bd2-memory-card-one", '\uef10'),
    MEMORY_ONE("bd2-memory-one", '\uef11'),
    MEN_JACKET("bd2-men-jacket", '\uef12'),
    MENU_FOLD("bd2-menu-fold", '\uef13'),
    MENU_FOLD_ONE("bd2-menu-fold-one", '\uef14'),
    MENU_UNFOLD("bd2-menu-unfold", '\uef15'),
    MENU_UNFOLD_ONE("bd2-menu-unfold-one", '\uef16'),
    MERGE("bd2-merge", '\uef17'),
    MERGE_CELLS("bd2-merge-cells", '\uef18'),
    MESSAGE("bd2-message", '\uef19'),
    MESSAGE_EMOJI("bd2-message-emoji", '\uef1a'),
    MESSAGE_FAILED("bd2-message-failed", '\uef1b'),
    MESSAGE_ONE("bd2-message-one", '\uef1c'),
    MESSAGE_PRIVACY("bd2-message-privacy", '\uef1d'),
    MESSAGES("bd2-messages", '\uef1e'),
    MESSAGE_SEARCH("bd2-message-search", '\uef1f'),
    MESSAGE_SECURITY("bd2-message-security", '\uef20'),
    MESSAGE_SENT("bd2-message-sent", '\uef21'),
    MESSAGES_ONE("bd2-messages-one", '\uef22'),
    MESSAGE_SUCCESS("bd2-message-success", '\uef23'),
    MESSAGE_UNREAD("bd2-message-unread", '\uef24'),
    MICROPHONE("bd2-microphone", '\uef25'),
    MICROPHONE_ONE("bd2-microphone-one", '\uef26'),
    MICROSCOPE("bd2-microscope", '\uef27'),
    MICROSCOPE_ONE("bd2-microscope-one", '\uef28'),
    MICRO_SD("bd2-micro-sd", '\uef29'),
    MICRO_SLR_CAMERA("bd2-micro-slr-camera", '\uef2a'),
    MICROWAVE_OVEN("bd2-microwave-oven", '\uef2b'),
    MICROWAVES("bd2-microwaves", '\uef2c'),
    MIDDLE_FINGER("bd2-middle-finger", '\uef2d'),
    MILK("bd2-milk", '\uef2e'),
    MILK_ONE("bd2-milk-one", '\uef2f'),
    MIN("bd2-min", '\uef30'),
    MINDMAP_LIST("bd2-mindmap-list", '\uef31'),
    MINDMAP_MAP("bd2-mindmap-map", '\uef32'),
    MIND_MAPPING("bd2-mind-mapping", '\uef33'),
    MINI_SD_CARD("bd2-mini-sd-card", '\uef34'),
    MINUS("bd2-minus", '\uef35'),
    MINUS_THE_BOTTOM("bd2-minus-the-bottom", '\uef36'),
    MINUS_THE_TOP("bd2-minus-the-top", '\uef37'),
    MIRROR("bd2-mirror", '\uef38'),
    MIRROR_ONE("bd2-mirror-one", '\uef39'),
    MIRROR_TWO("bd2-mirror-two", '\uef3a'),
    MISALIGNED_SEMICIRCLE("bd2-misaligned-semicircle", '\uef3b'),
    MITSUBISHI("bd2-mitsubishi", '\uef3c'),
    MODIFY("bd2-modify", '\uef3d'),
    MODIFY_TWO("bd2-modify-two", '\uef3e'),
    MONITOR("bd2-monitor", '\uef3f'),
    MONITOR_CAMERA("bd2-monitor-camera", '\uef40'),
    MONITOR_OFF("bd2-monitor-off", '\uef41'),
    MONITOR_ONE("bd2-monitor-one", '\uef42'),
    MONITOR_TWO("bd2-monitor-two", '\uef43'),
    MONKEY("bd2-monkey", '\uef44'),
    MONKEY_ZODIAC("bd2-monkey-zodiac", '\uef45'),
    MONUMENT_ONE("bd2-monument-one", '\uef46'),
    MONUMENT_TWO("bd2-monument-two", '\uef47'),
    MOON("bd2-moon", '\uef48'),
    MORE("bd2-more", '\uef49'),
    MORE_APP("bd2-more-app", '\uef4a'),
    MORE_FOUR("bd2-more-four", '\uef4b'),
    MORE_ONE("bd2-more-one", '\uef4c'),
    MORE_THREE("bd2-more-three", '\uef4d'),
    MORE_TWO("bd2-more-two", '\uef4e'),
    MOSAIC("bd2-mosaic", '\uef4f'),
    MOUNTAIN("bd2-mountain", '\uef50'),
    MOUNTED("bd2-mounted", '\uef51'),
    MOUSE("bd2-mouse", '\uef52'),
    MOUSE_ONE("bd2-mouse-one", '\uef53'),
    MOUSE_ZODIAC("bd2-mouse-zodiac", '\uef54'),
    MOUTH("bd2-mouth", '\uef55'),
    MOVE("bd2-move", '\uef56'),
    MOVE_IN("bd2-move-in", '\uef57'),
    MOVE_IN_ONE("bd2-move-in-one", '\uef58'),
    MOVE_ONE("bd2-move-one", '\uef59'),
    MOVIE("bd2-movie", '\uef5a'),
    MOVIE_BOARD("bd2-movie-board", '\uef5b'),
    MOVING_PICTURE("bd2-moving-picture", '\uef5c'),
    MULTICAST("bd2-multicast", '\uef5d'),
    MULTI_CIRCULAR("bd2-multi-circular", '\uef5e'),
    MULTI_FUNCTION_KNIFE("bd2-multi-function-knife", '\uef5f'),
    MULTILAYER_SPHERE("bd2-multilayer-sphere", '\uef60'),
    MULTI_PICTURE_CAROUSEL("bd2-multi-picture-carousel", '\uef61'),
    MULTI_RECTANGLE("bd2-multi-rectangle", '\uef62'),
    MULTI_RING("bd2-multi-ring", '\uef63'),
    MULTI_TRIANGULAR("bd2-multi-triangular", '\uef64'),
    MULTI_TRIANGULAR_FOUR("bd2-multi-triangular-four", '\uef65'),
    MULTI_TRIANGULAR_THREE("bd2-multi-triangular-three", '\uef66'),
    MULTI_TRIANGULAR_TWO("bd2-multi-triangular-two", '\uef67'),
    MUSCLE("bd2-muscle", '\uef68'),
    MUSEUM_ONE("bd2-museum-one", '\uef69'),
    MUSEUM_TWO("bd2-museum-two", '\uef6a'),
    MUSIC("bd2-music", '\uef6b'),
    MUSIC_CD("bd2-music-cd", '\uef6c'),
    MUSIC_LIST("bd2-music-list", '\uef6d'),
    MUSIC_MENU("bd2-music-menu", '\uef6e'),
    MUSIC_ONE("bd2-music-one", '\uef6f'),
    MUSIC_RHYTHM("bd2-music-rhythm", '\uef70'),
    MUTE("bd2-mute", '\uef71'),
    NAIL_POLISH("bd2-nail-polish", '\uef72'),
    NAIL_POLISH_ONE("bd2-nail-polish-one", '\uef73'),
    NASAL("bd2-nasal", '\uef74'),
    NATURAL_MODE("bd2-natural-mode", '\uef75'),
    NAVIGATION("bd2-navigation", '\uef76'),
    NECKTIE("bd2-necktie", '\uef77'),
    NEEDLE("bd2-needle", '\uef78'),
    NEGATIVE_DYNAMICS("bd2-negative-dynamics", '\uef79'),
    NESTED_ARROWS("bd2-nested-arrows", '\uef7a'),
    NESTS("bd2-nests", '\uef7b'),
    NETWORK_DRIVE("bd2-network-drive", '\uef7c'),
    NETWORK_TREE("bd2-network-tree", '\uef7d'),
    NEURAL("bd2-neural", '\uef7e'),
    NEUTRAL_FACE("bd2-neutral-face", '\uef7f'),
    NEW_AFFERENT("bd2-new-afferent", '\uef80'),
    NEW_COMPUTER("bd2-new-computer", '\uef81'),
    NEW_DIANZIQIAN("bd2-new-dianziqian", '\uef82'),
    NEW_EFFERENT("bd2-new-efferent", '\uef83'),
    NEW_LARK("bd2-new-lark", '\uef84'),
    NEWLYBUILD("bd2-newlybuild", '\uef85'),
    NEW_PICTURE("bd2-new-picture", '\uef86'),
    NEWSPAPER_FOLDING("bd2-newspaper-folding", '\uef87'),
    NEXT("bd2-next", '\uef88'),
    NINE_KEY("bd2-nine-key", '\uef89'),
    NINE_POINTS_CONNECTED("bd2-nine-points-connected", '\uef8a'),
    NINTENDO_SWITCH("bd2-nintendo-switch", '\uef8b'),
    NMR("bd2-nmr", '\uef8c'),
    NODE_FLAT("bd2-node-flat", '\uef8d'),
    NODE_ROUND("bd2-node-round", '\uef8e'),
    NODE_SQUARE("bd2-node-square", '\uef8f'),
    NOODLES("bd2-noodles", '\uef90'),
    NO_SHOOTING("bd2-no-shooting", '\uef91'),
    NOTEBOOK("bd2-notebook", '\uef92'),
    NOTEBOOK_AND_PEN("bd2-notebook-and-pen", '\uef93'),
    NOTEBOOK_ONE("bd2-notebook-one", '\uef94'),
    NOTEPAD("bd2-notepad", '\uef95'),
    NOTES("bd2-notes", '\uef96'),
    NUCLEAR_PLANT("bd2-nuclear-plant", '\uef97'),
    NURSE_CAP("bd2-nurse-cap", '\uef98'),
    NUT("bd2-nut", '\uef99'),
    NUTRITION("bd2-nutrition", '\uef9a'),
    OCEANENGINE("bd2-oceanengine", '\uef9b'),
    OCTAGON("bd2-octagon", '\uef9c'),
    OFF_SCREEN("bd2-off-screen", '\uef9d'),
    OFF_SCREEN_ONE("bd2-off-screen-one", '\uef9e'),
    OFF_SCREEN_TWO("bd2-off-screen-two", '\uef9f'),
    OIL_INDUSTRY("bd2-oil-industry", '\uefa0'),
    OKAY("bd2-okay", '\uefa1'),
    ONE("bd2-one", '\uefa2'),
    ONE_KEY("bd2-one-key", '\uefa3'),
    ONE_ONE("bd2-one-one", '\uefa4'),
    ONESIES("bd2-onesies", '\uefa5'),
    ONE_THIRD_ROTATION("bd2-one-third-rotation", '\uefa6'),
    ONE_TO_MANY("bd2-one-to-many", '\uefa7'),
    ONE_TO_ONE("bd2-one-to-one", '\uefa8'),
    ONLINE_MEETING("bd2-online-meeting", '\uefa9'),
    OPEN("bd2-open", '\uefaa'),
    OPEN_AN_ACCOUNT("bd2-open-an-account", '\uefab'),
    OPEN_DOOR("bd2-open-door", '\uefac'),
    OPEN_ONE("bd2-open-one", '\uefad'),
    OPTIMIZE("bd2-optimize", '\uefae'),
    OPTIONAL("bd2-optional", '\uefaf'),
    ORANGE("bd2-orange", '\uefb0'),
    ORANGE_ONE("bd2-orange-one", '\uefb1'),
    ORANGE_STATION("bd2-orange-station", '\uefb2'),
    ORDER("bd2-order", '\uefb3'),
    ORDERED_LIST("bd2-ordered-list", '\uefb4'),
    ORTHOPEDIC("bd2-orthopedic", '\uefb5'),
    OSCILLATOR("bd2-oscillator", '\uefb6'),
    OTHER("bd2-other", '\uefb7'),
    OUTBOUND("bd2-outbound", '\uefb8'),
    OUTDOOR("bd2-outdoor", '\uefb9'),
    OUTGOING("bd2-outgoing", '\uefba'),
    OVAL_LOVE("bd2-oval-love", '\uefbb'),
    OVAL_LOVE_TWO("bd2-oval-love-two", '\uefbc'),
    OVAL_ONE("bd2-oval-one", '\uefbd'),
    OVEN("bd2-oven", '\uefbe'),
    OVEN_TRAY("bd2-oven-tray", '\uefbf'),
    OVERALL_REDUCTION("bd2-overall-reduction", '\uefc0'),
    OWL("bd2-owl", '\uefc1'),
    PACIFIER("bd2-pacifier", '\uefc2'),
    PAD("bd2-pad", '\uefc3'),
    PAGE("bd2-page", '\uefc4'),
    PAGE_TEMPLATE("bd2-page-template", '\uefc5'),
    PAGODA("bd2-pagoda", '\uefc6'),
    PAINT("bd2-paint", '\uefc7'),
    PAINTED_EGGSHELL("bd2-painted-eggshell", '\uefc8'),
    PAINTED_SCREEN("bd2-painted-screen", '\uefc9'),
    PALACE("bd2-palace", '\uefca'),
    PALM("bd2-palm", '\uefcb'),
    PANDA("bd2-panda", '\uefcc'),
    PANGLE("bd2-pangle", '\uefcd'),
    PANORAMA_HORIZONTAL("bd2-panorama-horizontal", '\uefce'),
    PANTIES("bd2-panties", '\uefcf'),
    PAPERCLIP("bd2-paperclip", '\uefd0'),
    PAPER_MONEY("bd2-paper-money", '\uefd1'),
    PAPER_MONEY_TWO("bd2-paper-money-two", '\uefd2'),
    PAPER_SHIP("bd2-paper-ship", '\uefd3'),
    PARABOLA("bd2-parabola", '\uefd4'),
    PARACHUTE("bd2-parachute", '\uefd5'),
    PARAGRAPH_ALPHABET("bd2-paragraph-alphabet", '\uefd6'),
    PARAGRAPH_BREAK("bd2-paragraph-break", '\uefd7'),
    PARAGRAPH_BREAK_TWO("bd2-paragraph-break-two", '\uefd8'),
    PARAGRAPH_CUT("bd2-paragraph-cut", '\uefd9'),
    PARAGRAPH_RECTANGLE("bd2-paragraph-rectangle", '\uefda'),
    PARAGRAPH_ROUND("bd2-paragraph-round", '\uefdb'),
    PARAGRAPH_TRIANGLE("bd2-paragraph-triangle", '\uefdc'),
    PARAGRAPH_UNFOLD("bd2-paragraph-unfold", '\uefdd'),
    PARALLEL_GATEWAY("bd2-parallel-gateway", '\uefde'),
    PARALLELOGRAM("bd2-parallelogram", '\uefdf'),
    PARENTING_BOOK("bd2-parenting-book", '\uefe0'),
    PARKING("bd2-parking", '\uefe1'),
    PARTY_BALLOON("bd2-party-balloon", '\uefe2'),
    PASSPORT("bd2-passport", '\uefe3'),
    PASSPORT_ONE("bd2-passport-one", '\uefe4'),
    PAUSE("bd2-pause", '\uefe5'),
    PAUSE_ONE("bd2-pause-one", '\uefe6'),
    PAY_CODE("bd2-pay-code", '\uefe7'),
    PAY_CODE_ONE("bd2-pay-code-one", '\uefe8'),
    PAY_CODE_TWO("bd2-pay-code-two", '\uefe9'),
    PAYMENT_METHOD("bd2-payment-method", '\uefea'),
    PAYPAL("bd2-paypal", '\uefeb'),
    PEACH("bd2-peach", '\uefec'),
    PEAR("bd2-pear", '\uefed'),
    PEARL_OF_THE_ORIENT("bd2-pearl-of-the-orient", '\uefee'),
    PEAS("bd2-peas", '\uefef'),
    PENCIL("bd2-pencil", '\ueff0'),
    PENNANT("bd2-pennant", '\ueff1'),
    PENTAGON_ONE("bd2-pentagon-one", '\ueff2'),
    PEOPLE("bd2-people", '\ueff3'),
    PEOPLE_BOTTOM("bd2-people-bottom", '\ueff4'),
    PEOPLE_BOTTOM_CARD("bd2-people-bottom-card", '\ueff5'),
    PEOPLE_DELETE("bd2-people-delete", '\ueff6'),
    PEOPLE_DELETE_ONE("bd2-people-delete-one", '\ueff7'),
    PEOPLE_DOWNLOAD("bd2-people-download", '\ueff8'),
    PEOPLE_LEFT("bd2-people-left", '\ueff9'),
    PEOPLE_MINUS("bd2-people-minus", '\ueffa'),
    PEOPLE_MINUS_ONE("bd2-people-minus-one", '\ueffb'),
    PEOPLE_PLUS("bd2-people-plus", '\ueffc'),
    PEOPLE_PLUS_ONE("bd2-people-plus-one", '\ueffd'),
    PEOPLE_RIGHT("bd2-people-right", '\ueffe'),
    PEOPLES("bd2-peoples", '\uefff'),
    PEOPLE_SAFE("bd2-people-safe", '\uf000'),
    PEOPLE_SAFE_ONE("bd2-people-safe-one", '\uf001'),
    PEOPLE_SEARCH("bd2-people-search", '\uf002'),
    PEOPLE_SEARCH_ONE("bd2-people-search-one", '\uf003'),
    PEOPLE_SPEAK("bd2-people-speak", '\uf004'),
    PEOPLES_TWO("bd2-peoples-two", '\uf005'),
    PEOPLE_TOP("bd2-people-top", '\uf006'),
    PEOPLE_TOP_CARD("bd2-people-top-card", '\uf007'),
    PEOPLE_UNKNOWN("bd2-people-unknown", '\uf008'),
    PEOPLE_UPLOAD("bd2-people-upload", '\uf009'),
    PERCENTAGE("bd2-percentage", '\uf00a'),
    PERFORMANCE("bd2-performance", '\uf00b'),
    PERFUME("bd2-perfume", '\uf00c'),
    PERFUMER_BOTTLE("bd2-perfumer-bottle", '\uf00d'),
    PERIOD("bd2-period", '\uf00e'),
    PERMISSIONS("bd2-permissions", '\uf00f'),
    PERSONAL_COLLECTION("bd2-personal-collection", '\uf010'),
    PERSONAL_PRIVACY("bd2-personal-privacy", '\uf011'),
    PERSPECTIVE("bd2-perspective", '\uf012'),
    PESTICIDE("bd2-pesticide", '\uf013'),
    PETROL("bd2-petrol", '\uf014'),
    PHONE("bd2-phone", '\uf015'),
    PHONE_BOOTH("bd2-phone-booth", '\uf016'),
    PHONE_CALL("bd2-phone-call", '\uf017'),
    PHONE_INCOMING("bd2-phone-incoming", '\uf018'),
    PHONE_INCOMING_ONE("bd2-phone-incoming-one", '\uf019'),
    PHONE_MISSED("bd2-phone-missed", '\uf01a'),
    PHONE_OFF("bd2-phone-off", '\uf01b'),
    PHONE_ONE("bd2-phone-one", '\uf01c'),
    PHONE_OUTGOING("bd2-phone-outgoing", '\uf01d'),
    PHONE_OUTGOING_ONE("bd2-phone-outgoing-one", '\uf01e'),
    PHONE_TELEPHONE("bd2-phone-telephone", '\uf01f'),
    PHONE_TWO("bd2-phone-two", '\uf020'),
    PHONE_VIDEO_CALL("bd2-phone-video-call", '\uf021'),
    PHONOGRAPH("bd2-phonograph", '\uf022'),
    PHOTOGRAPH("bd2-photograph", '\uf023'),
    PIANO("bd2-piano", '\uf024'),
    PIC("bd2-pic", '\uf025'),
    PIC_ONE("bd2-pic-one", '\uf026'),
    PICTURE("bd2-picture", '\uf027'),
    PICTURE_ALBUM("bd2-picture-album", '\uf028'),
    PICTURE_ONE("bd2-picture-one", '\uf029'),
    PIE("bd2-pie", '\uf02a'),
    PIE_FIVE("bd2-pie-five", '\uf02b'),
    PIE_FOUR("bd2-pie-four", '\uf02c'),
    PIE_ONE("bd2-pie-one", '\uf02d'),
    PIE_SEVEN("bd2-pie-seven", '\uf02e'),
    PIE_SIX("bd2-pie-six", '\uf02f'),
    PIE_THREE("bd2-pie-three", '\uf030'),
    PIE_TWO("bd2-pie-two", '\uf031'),
    PIG("bd2-pig", '\uf032'),
    PIGEON("bd2-pigeon", '\uf033'),
    PIG_ZODIAC("bd2-pig-zodiac", '\uf034'),
    PILL("bd2-pill", '\uf035'),
    PILLS("bd2-pills", '\uf036'),
    PIN("bd2-pin", '\uf037'),
    PINEAPPLE("bd2-pineapple", '\uf038'),
    PINWHEEL("bd2-pinwheel", '\uf039'),
    PISCES("bd2-pisces", '\uf03a'),
    PIVOT_TABLE("bd2-pivot-table", '\uf03b'),
    PLAN("bd2-plan", '\uf03c'),
    PLANET("bd2-planet", '\uf03d'),
    PLASTIC_SURGERY("bd2-plastic-surgery", '\uf03e'),
    PLATTE("bd2-platte", '\uf03f'),
    PLAY("bd2-play", '\uf040'),
    PLAYBACK_PROGRESS("bd2-playback-progress", '\uf041'),
    PLAY_BASKETBALL("bd2-play-basketball", '\uf042'),
    PLAY_CYCLE("bd2-play-cycle", '\uf043'),
    PLAY_ONCE("bd2-play-once", '\uf044'),
    PLAY_ONE("bd2-play-one", '\uf045'),
    PLAY_TWO("bd2-play-two", '\uf046'),
    PLAY_VOLLEYBALL("bd2-play-volleyball", '\uf047'),
    PLAY_WRONG("bd2-play-wrong", '\uf048'),
    PLUG("bd2-plug", '\uf049'),
    PLUG_ONE("bd2-plug-one", '\uf04a'),
    PLUS("bd2-plus", '\uf04b'),
    PLUS_CROSS("bd2-plus-cross", '\uf04c'),
    POINT("bd2-point", '\uf04d'),
    POINT_OUT("bd2-point-out", '\uf04e'),
    POKEBALL_ONE("bd2-pokeball-one", '\uf04f'),
    POKER("bd2-poker", '\uf050'),
    POPCORN("bd2-popcorn", '\uf051'),
    POPCORN_ONE("bd2-popcorn-one", '\uf052'),
    POSITIVE_DYNAMICS("bd2-positive-dynamics", '\uf053'),
    POT("bd2-pot", '\uf054'),
    POTENTIOMETER("bd2-potentiometer", '\uf055'),
    POUND("bd2-pound", '\uf056'),
    POUND_SIGN("bd2-pound-sign", '\uf057'),
    POUTING_FACE("bd2-pouting-face", '\uf058'),
    POWDER("bd2-powder", '\uf059'),
    POWER("bd2-power", '\uf05a'),
    POWERPOINT("bd2-powerpoint", '\uf05b'),
    POWER_SUPPLY("bd2-power-supply", '\uf05c'),
    POWER_SUPPLY_ONE("bd2-power-supply-one", '\uf05d'),
    PPT("bd2-ppt", '\uf05e'),
    PREGNANT_WOMEN("bd2-pregnant-women", '\uf05f'),
    PRESCHOOL("bd2-preschool", '\uf060'),
    PRESCRIPTION("bd2-prescription", '\uf061'),
    PRESS("bd2-press", '\uf062'),
    PREVIEW_CLOSE("bd2-preview-close", '\uf063'),
    PREVIEW_CLOSE_ONE("bd2-preview-close-one", '\uf064'),
    PREVIEW_OPEN("bd2-preview-open", '\uf065'),
    PRINTER("bd2-printer", '\uf066'),
    PRINTER_ONE("bd2-printer-one", '\uf067'),
    PRINTER_TWO("bd2-printer-two", '\uf068'),
    PRISON("bd2-prison", '\uf069'),
    PROCESS_LINE("bd2-process-line", '\uf06a'),
    PROJECTOR("bd2-projector", '\uf06b'),
    PROJECTOR_ONE("bd2-projector-one", '\uf06c'),
    PROJECTOR_THREE("bd2-projector-three", '\uf06d'),
    PROJECTOR_TWO("bd2-projector-two", '\uf06e'),
    PROPORTIONAL_SCALING("bd2-proportional-scaling", '\uf06f'),
    PROTECT("bd2-protect", '\uf070'),
    PROTECTION("bd2-protection", '\uf071'),
    PUBLIC_TOILET("bd2-public-toilet", '\uf072'),
    PULL_DOOR("bd2-pull-door", '\uf073'),
    PULL_REQUESTS("bd2-pull-requests", '\uf074'),
    PUMPKIN("bd2-pumpkin", '\uf075'),
    PURE_NATURAL("bd2-pure-natural", '\uf076'),
    PUSH_DOOR("bd2-push-door", '\uf077'),
    PUSHPIN("bd2-pushpin", '\uf078'),
    PUZZLE("bd2-puzzle", '\uf079'),
    PYRAMID("bd2-pyramid", '\uf07a'),
    PYRAMID_ONE("bd2-pyramid-one", '\uf07b'),
    QINGNIAO_CLUE("bd2-qingniao-clue", '\uf07c'),
    QIYEHAO("bd2-qiyehao", '\uf07d'),
    QUADRANGULAR_PYRAMID("bd2-quadrangular-pyramid", '\uf07e'),
    QUADRILATERAL("bd2-quadrilateral", '\uf07f'),
    QUOTE("bd2-quote", '\uf080'),
    RABBIT("bd2-rabbit", '\uf081'),
    RABBIT_ZODIAC("bd2-rabbit-zodiac", '\uf082'),
    RADAR("bd2-radar", '\uf083'),
    RADAR_CHART("bd2-radar-chart", '\uf084'),
    RADAR_THREE("bd2-radar-three", '\uf085'),
    RADAR_TWO("bd2-radar-two", '\uf086'),
    RADIATION("bd2-radiation", '\uf087'),
    RADIO("bd2-radio", '\uf088'),
    RADIO_NANNY("bd2-radio-nanny", '\uf089'),
    RADIO_ONE("bd2-radio-one", '\uf08a'),
    RADIO_TWO("bd2-radio-two", '\uf08b'),
    RADISH("bd2-radish", '\uf08c'),
    RADISH_ONE("bd2-radish-one", '\uf08d'),
    RAILWAY("bd2-railway", '\uf08e'),
    RANKING("bd2-ranking", '\uf08f'),
    RANKING_LIST("bd2-ranking-list", '\uf090'),
    RATTLE("bd2-rattle", '\uf091'),
    RATTLE_ONE("bd2-rattle-one", '\uf092'),
    RAZOR("bd2-razor", '\uf093'),
    READ_BOOK("bd2-read-book", '\uf094'),
    RECEIVE("bd2-receive", '\uf095'),
    RECEIVER("bd2-receiver", '\uf096'),
    RECENT_VIEWS_SORT("bd2-recent-views-sort", '\uf097'),
    RECORD("bd2-record", '\uf098'),
    RECORD_DISC("bd2-record-disc", '\uf099'),
    RECORD_PLAYER("bd2-record-player", '\uf09a'),
    RECTANGLE("bd2-rectangle", '\uf09b'),
    RECTANGLE_ONE("bd2-rectangle-one", '\uf09c'),
    RECTANGLE_SMALL("bd2-rectangle-small", '\uf09d'),
    RECTANGLE_TEAR("bd2-rectangle-tear", '\uf09e'),
    RECTANGLE_X("bd2-rectangle-x", '\uf09f'),
    RECTANGULAR_CIRCULAR_CONNECTION("bd2-rectangular-circular-connection", '\uf0a0'),
    RECTANGULAR_CIRCULAR_SEPARATION("bd2-rectangular-circular-separation", '\uf0a1'),
    RECTANGULAR_VERTEBRA("bd2-rectangular-vertebra", '\uf0a2'),
    RECYCLE_BIN("bd2-recycle-bin", '\uf0a3'),
    RECYCLING("bd2-recycling", '\uf0a4'),
    RECYCLING_POOL("bd2-recycling-pool", '\uf0a5'),
    RED_CROSS("bd2-red-cross", '\uf0a6'),
    RED_ENVELOPE("bd2-red-envelope", '\uf0a7'),
    RED_ENVELOPES("bd2-red-envelopes", '\uf0a8'),
    REDO("bd2-redo", '\uf0a9'),
    REDUCE("bd2-reduce", '\uf0aa'),
    REDUCE_DECIMAL_PLACES("bd2-reduce-decimal-places", '\uf0ab'),
    REDUCE_ONE("bd2-reduce-one", '\uf0ac'),
    REDUCE_TWO("bd2-reduce-two", '\uf0ad'),
    REDUCE_USER("bd2-reduce-user", '\uf0ae'),
    REEL("bd2-reel", '\uf0af'),
    REFRACTION("bd2-refraction", '\uf0b0'),
    REFRESH("bd2-refresh", '\uf0b1'),
    REFRESH_ONE("bd2-refresh-one", '\uf0b2'),
    REFRIGERATOR("bd2-refrigerator", '\uf0b3'),
    REJECT("bd2-reject", '\uf0b4'),
    RELATIONAL_GRAPH("bd2-relational-graph", '\uf0b5'),
    RELIEVED_FACE("bd2-relieved-face", '\uf0b6'),
    RELOAD("bd2-reload", '\uf0b7'),
    REMIND("bd2-remind", '\uf0b8'),
    REMIND_DISABLE("bd2-remind-disable", '\uf0b9'),
    REMOTE_CONTROL("bd2-remote-control", '\uf0ba'),
    REMOTE_CONTROL_ONE("bd2-remote-control-one", '\uf0bb'),
    RENAL("bd2-renal", '\uf0bc'),
    RENAULT("bd2-renault", '\uf0bd'),
    REPAIR("bd2-repair", '\uf0be'),
    REPLAY_FIVE("bd2-replay-five", '\uf0bf'),
    REPLAY_MUSIC("bd2-replay-music", '\uf0c0'),
    REPORT("bd2-report", '\uf0c1'),
    REPOSITIONING("bd2-repositioning", '\uf0c2'),
    RESISTOR("bd2-resistor", '\uf0c3'),
    RESPECT("bd2-respect", '\uf0c4'),
    RESTING("bd2-resting", '\uf0c5'),
    RETRO_BAG("bd2-retro-bag", '\uf0c6'),
    RETURN("bd2-return", '\uf0c7'),
    REVERSE_LENS("bd2-reverse-lens", '\uf0c8'),
    REVERSE_LENS_ONE("bd2-reverse-lens-one", '\uf0c9'),
    REVERSE_OPERATION_IN("bd2-reverse-operation-in", '\uf0ca'),
    REVERSE_OPERATION_OUT("bd2-reverse-operation-out", '\uf0cb'),
    REVERSE_ROTATION("bd2-reverse-rotation", '\uf0cc'),
    RICE("bd2-rice", '\uf0cd'),
    RIDING("bd2-riding", '\uf0ce'),
    RIDING_ONE("bd2-riding-one", '\uf0cf'),
    RIGHT("bd2-right", '\uf0d0'),
    RIGHT_ANGLE("bd2-right-angle", '\uf0d1'),
    RIGHT_BAR("bd2-right-bar", '\uf0d2'),
    RIGHT_BRANCH("bd2-right-branch", '\uf0d3'),
    RIGHT_BRANCH_ONE("bd2-right-branch-one", '\uf0d4'),
    RIGHT_BRANCH_TWO("bd2-right-branch-two", '\uf0d5'),
    RIGHT_C("bd2-right-c", '\uf0d6'),
    RIGHT_EXPAND("bd2-right-expand", '\uf0d7'),
    RIGHT_ONE("bd2-right-one", '\uf0d8'),
    RIGHT_RUN("bd2-right-run", '\uf0d9'),
    RIGHT_SMALL("bd2-right-small", '\uf0da'),
    RIGHT_SMALL_DOWN("bd2-right-small-down", '\uf0db'),
    RIGHT_SMALL_UP("bd2-right-small-up", '\uf0dc'),
    RIGHT_SQUARE("bd2-right-square", '\uf0dd'),
    RIGHT_TWO("bd2-right-two", '\uf0de'),
    RIGHT_USER("bd2-right-user", '\uf0df'),
    RING("bd2-ring", '\uf0e0'),
    RING_ONE("bd2-ring-one", '\uf0e1'),
    RINGS("bd2-rings", '\uf0e2'),
    RIPPLE("bd2-ripple", '\uf0e3'),
    ROAD("bd2-road", '\uf0e4'),
    ROAD_CONE("bd2-road-cone", '\uf0e5'),
    ROAD_ONE("bd2-road-one", '\uf0e6'),
    ROAD_SIGN("bd2-road-sign", '\uf0e7'),
    ROAD_SIGN_BOTH("bd2-road-sign-both", '\uf0e8'),
    ROBOT("bd2-robot", '\uf0e9'),
    ROBOT_ONE("bd2-robot-one", '\uf0ea'),
    ROBOT_TWO("bd2-robot-two", '\uf0eb'),
    ROCK("bd2-rock", '\uf0ec'),
    ROCKET("bd2-rocket", '\uf0ed'),
    ROCKET_ONE("bd2-rocket-one", '\uf0ee'),
    ROCK_GESTURE("bd2-rock-gesture", '\uf0ef'),
    ROCKING_HORSE("bd2-rocking-horse", '\uf0f0'),
    ROLLERSKATES("bd2-rollerskates", '\uf0f1'),
    ROMPER("bd2-romper", '\uf0f2'),
    ROPE_SKIPPING("bd2-rope-skipping", '\uf0f3'),
    ROPE_SKIPPING_ONE("bd2-rope-skipping-one", '\uf0f4'),
    ROTATE("bd2-rotate", '\uf0f5'),
    ROTATE_ONE("bd2-rotate-one", '\uf0f6'),
    ROTATING_ADD("bd2-rotating-add", '\uf0f7'),
    ROTATING_FORWARD("bd2-rotating-forward", '\uf0f8'),
    ROTATION("bd2-rotation", '\uf0f9'),
    ROTATION_HORIZONTAL("bd2-rotation-horizontal", '\uf0fa'),
    ROTATION_ONE("bd2-rotation-one", '\uf0fb'),
    ROTATION_VERTICAL("bd2-rotation-vertical", '\uf0fc'),
    ROUND("bd2-round", '\uf0fd'),
    ROUND_CALIPER("bd2-round-caliper", '\uf0fe'),
    ROUND_DISTORTION("bd2-round-distortion", '\uf0ff'),
    ROUND_MASK("bd2-round-mask", '\uf100'),
    ROUND_SOCKET("bd2-round-socket", '\uf101'),
    ROUND_TRIP("bd2-round-trip", '\uf102'),
    ROUTER("bd2-router", '\uf103'),
    ROUTER_ONE("bd2-router-one", '\uf104'),
    ROW_HEIGHT("bd2-row-height", '\uf105'),
    ROWING("bd2-rowing", '\uf106'),
    RS_MALE("bd2-rs-male", '\uf107'),
    RSS("bd2-rss", '\uf108'),
    RUGBY("bd2-rugby", '\uf109'),
    RUGBY_ONE("bd2-rugby-one", '\uf10a'),
    RULER("bd2-ruler", '\uf10b'),
    RULER_ONE("bd2-ruler-one", '\uf10c'),
    RULE_TWO("bd2-rule-two", '\uf10d'),
    RUN_LEFT("bd2-run-left", '\uf10e'),
    SAFE_RETRIEVAL("bd2-safe-retrieval", '\uf10f'),
    SAGITTARIUS("bd2-sagittarius", '\uf110'),
    SAILBOAT("bd2-sailboat", '\uf111'),
    SAILBOAT_ONE("bd2-sailboat-one", '\uf112'),
    SAILING("bd2-sailing", '\uf113'),
    SALES_REPORT("bd2-sales-report", '\uf114'),
    SANDALS("bd2-sandals", '\uf115'),
    SANDSTORM("bd2-sandstorm", '\uf116'),
    SANDWICH("bd2-sandwich", '\uf117'),
    SANDWICH_ONE("bd2-sandwich-one", '\uf118'),
    SAPLING("bd2-sapling", '\uf119'),
    SAVE("bd2-save", '\uf11a'),
    SAVE_ONE("bd2-save-one", '\uf11b'),
    SCALE("bd2-scale", '\uf11c'),
    SCALE_ONE("bd2-scale-one", '\uf11d'),
    SCALLION("bd2-scallion", '\uf11e'),
    SCAN("bd2-scan", '\uf11f'),
    SCAN_CODE("bd2-scan-code", '\uf120'),
    SCANNING("bd2-scanning", '\uf121'),
    SCANNING_TWO("bd2-scanning-two", '\uf122'),
    SCAN_SETTING("bd2-scan-setting", '\uf123'),
    SCATTER_ALIGNMENT("bd2-scatter-alignment", '\uf124'),
    SCHEDULE("bd2-schedule", '\uf125'),
    SCHOOL("bd2-school", '\uf126'),
    SCISSORS("bd2-scissors", '\uf127'),
    SCOREBOARD("bd2-scoreboard", '\uf128'),
    SCORPIO("bd2-scorpio", '\uf129'),
    SCREEN_ROTATION("bd2-screen-rotation", '\uf12a'),
    SCREENSHOT("bd2-screenshot", '\uf12b'),
    SCREENSHOT_ONE("bd2-screenshot-one", '\uf12c'),
    SCREENSHOT_TWO("bd2-screenshot-two", '\uf12d'),
    SCREWDRIVER("bd2-screwdriver", '\uf12e'),
    SD("bd2-sd", '\uf12f'),
    SD_CARD("bd2-sd-card", '\uf130'),
    SEAL("bd2-seal", '\uf131'),
    SEARCH("bd2-search", '\uf132'),
    SEAT("bd2-seat", '\uf133'),
    SECURITY("bd2-security", '\uf134'),
    SECURITY_STALL("bd2-security-stall", '\uf135'),
    SEEDLING("bd2-seedling", '\uf136'),
    SELECTED("bd2-selected", '\uf137'),
    SELECTED_FOCUS("bd2-selected-focus", '\uf138'),
    SELFIE("bd2-selfie", '\uf139'),
    SEND("bd2-send", '\uf13a'),
    SEND_BACKWARD("bd2-send-backward", '\uf13b'),
    SEND_EMAIL("bd2-send-email", '\uf13c'),
    SEND_ONE("bd2-send-one", '\uf13d'),
    SEND_TO_BACK("bd2-send-to-back", '\uf13e'),
    SENT_TO_BACK("bd2-sent-to-back", '\uf13f'),
    SEO("bd2-seo", '\uf140'),
    SEO_FOLDER("bd2-seo-folder", '\uf141'),
    SERVER("bd2-server", '\uf142'),
    SET_OFF("bd2-set-off", '\uf143'),
    SETTING("bd2-setting", '\uf144'),
    SETTING_COMPUTER("bd2-setting-computer", '\uf145'),
    SETTING_CONFIG("bd2-setting-config", '\uf146'),
    SETTING_LAPTOP("bd2-setting-laptop", '\uf147'),
    SETTING_ONE("bd2-setting-one", '\uf148'),
    SETTING_THREE("bd2-setting-three", '\uf149'),
    SETTING_TWO("bd2-setting-two", '\uf14a'),
    SETTING_WEB("bd2-setting-web", '\uf14b'),
    SEVEN_KEY("bd2-seven-key", '\uf14c'),
    SHADE("bd2-shade", '\uf14d'),
    SHAKE("bd2-shake", '\uf14e'),
    SHARE("bd2-share", '\uf14f'),
    SHARE_ONE("bd2-share-one", '\uf150'),
    SHARE_SYS("bd2-share-sys", '\uf151'),
    SHARE_THREE("bd2-share-three", '\uf152'),
    SHARE_TWO("bd2-share-two", '\uf153'),
    SHAVER("bd2-shaver", '\uf154'),
    SHAVER_ONE("bd2-shaver-one", '\uf155'),
    SHAVING("bd2-shaving", '\uf156'),
    SHEEP_ZODIAC("bd2-sheep-zodiac", '\uf157'),
    SHIELD("bd2-shield", '\uf158'),
    SHIELD_ADD("bd2-shield-add", '\uf159'),
    SHIP("bd2-ship", '\uf15a'),
    SHOP("bd2-shop", '\uf15b'),
    SHOPPING("bd2-shopping", '\uf15c'),
    SHOPPING_BAG("bd2-shopping-bag", '\uf15d'),
    SHOPPING_BAG_ONE("bd2-shopping-bag-one", '\uf15e'),
    SHOPPING_CART("bd2-shopping-cart", '\uf15f'),
    SHOPPING_CART_ADD("bd2-shopping-cart-add", '\uf160'),
    SHOPPING_CART_DEL("bd2-shopping-cart-del", '\uf161'),
    SHOPPING_CART_ONE("bd2-shopping-cart-one", '\uf162'),
    SHOPPING_CART_TWO("bd2-shopping-cart-two", '\uf163'),
    SHOPPING_MALL("bd2-shopping-mall", '\uf164'),
    SHORTS("bd2-shorts", '\uf165'),
    SHORT_SKIRT("bd2-short-skirt", '\uf166'),
    SHOULDER_BAG("bd2-shoulder-bag", '\uf167'),
    SHOVEL("bd2-shovel", '\uf168'),
    SHOVEL_ONE("bd2-shovel-one", '\uf169'),
    SHOWER_HEAD("bd2-shower-head", '\uf16a'),
    SHRIMP("bd2-shrimp", '\uf16b'),
    SHUFFLE("bd2-shuffle", '\uf16c'),
    SHUFFLE_ONE("bd2-shuffle-one", '\uf16d'),
    SHUTTER_PRIORITY("bd2-shutter-priority", '\uf16e'),
    SICKBED("bd2-sickbed", '\uf16f'),
    SIGNAL("bd2-signal", '\uf170'),
    SIGNAL_ONE("bd2-signal-one", '\uf171'),
    SIGNAL_STRENGTH("bd2-signal-strength", '\uf172'),
    SIGNAL_TOWER("bd2-signal-tower", '\uf173'),
    SIGNAL_TOWER_ONE("bd2-signal-tower-one", '\uf174'),
    SIM("bd2-sim", '\uf175'),
    SIM_CARD("bd2-sim-card", '\uf176'),
    SINGLE_BED("bd2-single-bed", '\uf177'),
    SINUSOID("bd2-sinusoid", '\uf178'),
    SIPPY_CUP("bd2-sippy-cup", '\uf179'),
    SIX("bd2-six", '\uf17a'),
    SIX_CIRCULAR_CONNECTION("bd2-six-circular-connection", '\uf17b'),
    SIX_KEY("bd2-six-key", '\uf17c'),
    SIX_POINTS("bd2-six-points", '\uf17d'),
    SKATE("bd2-skate", '\uf17e'),
    SKATES("bd2-skates", '\uf17f'),
    SKATING("bd2-skating", '\uf180'),
    SKETCH("bd2-sketch", '\uf181'),
    SKIING_NORDIC("bd2-skiing-nordic", '\uf182'),
    SKULL("bd2-skull", '\uf183'),
    SLAVE("bd2-slave", '\uf184'),
    SLEAVES("bd2-sleaves", '\uf185'),
    SLEEP("bd2-sleep", '\uf186'),
    SLEEP_ONE("bd2-sleep-one", '\uf187'),
    SLEEP_TWO("bd2-sleep-two", '\uf188'),
    SLIDE("bd2-slide", '\uf189'),
    SLIDE_TWO("bd2-slide-two", '\uf18a'),
    SLIDING_HORIZONTAL("bd2-sliding-horizontal", '\uf18b'),
    SLIDING_VERTICAL("bd2-sliding-vertical", '\uf18c'),
    SLIGHTLY_FROWNING_FACE_WHIT_OPEN_MOUTH("bd2-slightly-frowning-face-whit-open-mouth", '\uf18d'),
    SLIGHTLY_SMILING_FACE("bd2-slightly-smiling-face", '\uf18e'),
    SLIPPERS("bd2-slippers", '\uf18f'),
    SLIPPERS_ONE("bd2-slippers-one", '\uf190'),
    SLY_FACE_WHIT_SMILE("bd2-sly-face-whit-smile", '\uf191'),
    SMART_OPTIMIZATION("bd2-smart-optimization", '\uf192'),
    SMILING_FACE("bd2-smiling-face", '\uf193'),
    SMILING_FACE_WITH_SQUINTING_EYES("bd2-smiling-face-with-squinting-eyes", '\uf194'),
    SNACKS("bd2-snacks", '\uf195'),
    SNAKE_ZODIAC("bd2-snake-zodiac", '\uf196'),
    SNOW("bd2-snow", '\uf197'),
    SNOWFLAKE("bd2-snowflake", '\uf198'),
    SNOWMAN("bd2-snowman", '\uf199'),
    SOAP_BUBBLE("bd2-soap-bubble", '\uf19a'),
    SOCCER("bd2-soccer", '\uf19b'),
    SOCCER_ONE("bd2-soccer-one", '\uf19c'),
    SOCKS("bd2-socks", '\uf19d'),
    SOFA("bd2-sofa", '\uf19e'),
    SOFA_TWO("bd2-sofa-two", '\uf19f'),
    SOFTBALL("bd2-softball", '\uf1a0'),
    SOLAR_ENERGY("bd2-solar-energy", '\uf1a1'),
    SOLAR_ENERGY_ONE("bd2-solar-energy-one", '\uf1a2'),
    SOLID_STATE_DISK("bd2-solid-state-disk", '\uf1a3'),
    SORCERER_HAT("bd2-sorcerer-hat", '\uf1a4'),
    SORT("bd2-sort", '\uf1a5'),
    SORT_AMOUNT_DOWN("bd2-sort-amount-down", '\uf1a6'),
    SORT_AMOUNT_UP("bd2-sort-amount-up", '\uf1a7'),
    SORT_FOUR("bd2-sort-four", '\uf1a8'),
    SORT_ONE("bd2-sort-one", '\uf1a9'),
    SORT_THREE("bd2-sort-three", '\uf1aa'),
    SORT_TWO("bd2-sort-two", '\uf1ab'),
    SOUND("bd2-sound", '\uf1ac'),
    SOUND_ONE("bd2-sound-one", '\uf1ad'),
    SOUND_WAVE("bd2-sound-wave", '\uf1ae'),
    SOURCE_CODE("bd2-source-code", '\uf1af'),
    SOYBEAN_MILK_MAKER("bd2-soybean-milk-maker", '\uf1b0'),
    SPA_CANDLE("bd2-spa-candle", '\uf1b1'),
    SPACE_COLONY("bd2-space-colony", '\uf1b2'),
    SPANNER("bd2-spanner", '\uf1b3'),
    SPEAKER("bd2-speaker", '\uf1b4'),
    SPEAKER_ONE("bd2-speaker-one", '\uf1b5'),
    SPEED("bd2-speed", '\uf1b6'),
    SPEED_ONE("bd2-speed-one", '\uf1b7'),
    SPERM("bd2-sperm", '\uf1b8'),
    SPHERE("bd2-sphere", '\uf1b9'),
    SPIDER_MAN("bd2-spider-man", '\uf1ba'),
    SPIKEDSHOES("bd2-spikedshoes", '\uf1bb'),
    SPINNING_TOP("bd2-spinning-top", '\uf1bc'),
    SPLIT("bd2-split", '\uf1bd'),
    SPLIT_BRANCH("bd2-split-branch", '\uf1be'),
    SPLIT_CELLS("bd2-split-cells", '\uf1bf'),
    SPLIT_TURN_DOWN_LEFT("bd2-split-turn-down-left", '\uf1c0'),
    SPLIT_TURN_DOWN_RIGHT("bd2-split-turn-down-right", '\uf1c1'),
    SPOON("bd2-spoon", '\uf1c2'),
    SPORT("bd2-sport", '\uf1c3'),
    SPORTING("bd2-sporting", '\uf1c4'),
    SQUARE("bd2-square", '\uf1c5'),
    SQUARE_SMALL("bd2-square-small", '\uf1c6'),
    SSD("bd2-ssd", '\uf1c7'),
    STACK_LIGHT("bd2-stack-light", '\uf1c8'),
    STAMP("bd2-stamp", '\uf1c9'),
    STAND_UP("bd2-stand-up", '\uf1ca'),
    STAPLER("bd2-stapler", '\uf1cb'),
    STAR("bd2-star", '\uf1cc'),
    STAR_ONE("bd2-star-one", '\uf1cd'),
    START_TIME_SORT("bd2-start-time-sort", '\uf1ce'),
    STEERING_WHEEL("bd2-steering-wheel", '\uf1cf'),
    STEOLLER("bd2-steoller", '\uf1d0'),
    STEREO_NESTING("bd2-stereo-nesting", '\uf1d1'),
    STEREO_ONE("bd2-stereo-one", '\uf1d2'),
    STEREO_PERSPECTIVE("bd2-stereo-perspective", '\uf1d3'),
    STETHOSCOPE("bd2-stethoscope", '\uf1d4'),
    STICKERS("bd2-stickers", '\uf1d5'),
    STOCK_MARKET("bd2-stock-market", '\uf1d6'),
    STOPWATCH("bd2-stopwatch", '\uf1d7'),
    STOPWATCH_START("bd2-stopwatch-start", '\uf1d8'),
    STORAGE_CARD_ONE("bd2-storage-card-one", '\uf1d9'),
    STORAGE_CARD_TWO("bd2-storage-card-two", '\uf1da'),
    STRAIGHT_RAZOR("bd2-straight-razor", '\uf1db'),
    STRAW_HAT("bd2-straw-hat", '\uf1dc'),
    STRETCHING("bd2-stretching", '\uf1dd'),
    STRETCHING_ONE("bd2-stretching-one", '\uf1de'),
    STRIKETHROUGH("bd2-strikethrough", '\uf1df'),
    STRONGBOX("bd2-strongbox", '\uf1e0'),
    S_TURN_DOWN("bd2-s-turn-down", '\uf1e1'),
    S_TURN_LEFT("bd2-s-turn-left", '\uf1e2'),
    S_TURN_RIGHT("bd2-s-turn-right", '\uf1e3'),
    S_TURN_UP("bd2-s-turn-up", '\uf1e4'),
    SUBTRACT_SELECTION("bd2-subtract-selection", '\uf1e5'),
    SUBTRACT_SELECTION_ONE("bd2-subtract-selection-one", '\uf1e6'),
    SUBWAY("bd2-subway", '\uf1e7'),
    SUCCESS("bd2-success", '\uf1e8'),
    SUCCESS_PICTURE("bd2-success-picture", '\uf1e9'),
    SUM("bd2-sum", '\uf1ea'),
    SUN("bd2-sun", '\uf1eb'),
    SUNBATH("bd2-sunbath", '\uf1ec'),
    SUN_HAT("bd2-sun-hat", '\uf1ed'),
    SUNNY("bd2-sunny", '\uf1ee'),
    SUN_ONE("bd2-sun-one", '\uf1ef'),
    SUNRISE("bd2-sunrise", '\uf1f0'),
    SUNSET("bd2-sunset", '\uf1f1'),
    SUNSHADE("bd2-sunshade", '\uf1f2'),
    SURPRISED_FACE_WITH_OPEN_BIG_MOUTH("bd2-surprised-face-with-open-big-mouth", '\uf1f3'),
    SURPRISED_FACE_WITH_OPEN_MOUTH("bd2-surprised-face-with-open-mouth", '\uf1f4'),
    SURVEILLANCE_CAMERAS("bd2-surveillance-cameras", '\uf1f5'),
    SURVEILLANCE_CAMERAS_ONE("bd2-surveillance-cameras-one", '\uf1f6'),
    SURVEILLANCE_CAMERAS_TWO("bd2-surveillance-cameras-two", '\uf1f7'),
    SWALLOW("bd2-swallow", '\uf1f8'),
    SWEATER("bd2-sweater", '\uf1f9'),
    SWIMMING_POOL("bd2-swimming-pool", '\uf1fa'),
    SWIMMING_RING("bd2-swimming-ring", '\uf1fb'),
    SWIMSUIT("bd2-swimsuit", '\uf1fc'),
    SWING("bd2-swing", '\uf1fd'),
    SWIPE("bd2-swipe", '\uf1fe'),
    SWITCH("bd2-switch", '\uf1ff'),
    SWITCH_BUTTON("bd2-switch-button", '\uf200'),
    SWITCH_CONTRAST("bd2-switch-contrast", '\uf201'),
    SWITCHING_DONE("bd2-switching-done", '\uf202'),
    SWITCH_NINTENDO("bd2-switch-nintendo", '\uf203'),
    SWITCH_ONE("bd2-switch-one", '\uf204'),
    SWITCH_THEMES("bd2-switch-themes", '\uf205'),
    SWITCH_TRACK("bd2-switch-track", '\uf206'),
    SYMBOL("bd2-symbol", '\uf207'),
    SYMBOL_DOUBLE_X("bd2-symbol-double-x", '\uf208'),
    SYMMETRY("bd2-symmetry", '\uf209'),
    SYNC("bd2-sync", '\uf20a'),
    SYSTEM("bd2-system", '\uf20b'),
    TABLE("bd2-table", '\uf20c'),
    TABLE_FILE("bd2-table-file", '\uf20d'),
    TABLE_LAMP("bd2-table-lamp", '\uf20e'),
    TABLE_REPORT("bd2-table-report", '\uf20f'),
    TABLETENNIS("bd2-tabletennis", '\uf210'),
    TAG("bd2-tag", '\uf211'),
    TAG_ONE("bd2-tag-one", '\uf212'),
    TAILORING("bd2-tailoring", '\uf213'),
    TAILORING_TWO("bd2-tailoring-two", '\uf214'),
    TAJ_MAHAL("bd2-taj-mahal", '\uf215'),
    TAKE_OFF("bd2-take-off", '\uf216'),
    TAKE_OFF_ONE("bd2-take-off-one", '\uf217'),
    TAOBAO("bd2-taobao", '\uf218'),
    TAPE("bd2-tape", '\uf219'),
    TAPE_MEASURE("bd2-tape-measure", '\uf21a'),
    TARGET("bd2-target", '\uf21b'),
    TARGET_ONE("bd2-target-one", '\uf21c'),
    TARGET_TWO("bd2-target-two", '\uf21d'),
    TAURUS("bd2-taurus", '\uf21e'),
    TAXI("bd2-taxi", '\uf21f'),
    TEA("bd2-tea", '\uf220'),
    TEA_DRINK("bd2-tea-drink", '\uf221'),
    TEAPOT("bd2-teapot", '\uf222'),
    TEETH("bd2-teeth", '\uf223'),
    TELEGRAM("bd2-telegram", '\uf224'),
    TELESCOPE("bd2-telescope", '\uf225'),
    TENCENT_QQ("bd2-tencent-qq", '\uf226'),
    TENNIS("bd2-tennis", '\uf227'),
    TENT("bd2-tent", '\uf228'),
    TENT_BANNER("bd2-tent-banner", '\uf229'),
    TERMINAL("bd2-terminal", '\uf22a'),
    TERMINATION_FILE("bd2-termination-file", '\uf22b'),
    TERRACE("bd2-terrace", '\uf22c'),
    TEST_TUBE("bd2-test-tube", '\uf22d'),
    TEXT("bd2-text", '\uf22e'),
    TEXTAREA("bd2-textarea", '\uf22f'),
    TEXT_BOLD("bd2-text-bold", '\uf230'),
    TEXT_ITALIC("bd2-text-italic", '\uf231'),
    TEXT_MESSAGE("bd2-text-message", '\uf232'),
    TEXT_RECOGNITION("bd2-text-recognition", '\uf233'),
    TEXT_ROTATION_DOWN("bd2-text-rotation-down", '\uf234'),
    TEXT_ROTATION_LEFT("bd2-text-rotation-left", '\uf235'),
    TEXT_ROTATION_NONE("bd2-text-rotation-none", '\uf236'),
    TEXT_ROTATION_UP("bd2-text-rotation-up", '\uf237'),
    TEXT_STYLE("bd2-text-style", '\uf238'),
    TEXT_STYLE_ONE("bd2-text-style-one", '\uf239'),
    TEXT_UNDERLINE("bd2-text-underline", '\uf23a'),
    TEXTURE("bd2-texture", '\uf23b'),
    TEXTURE_TWO("bd2-texture-two", '\uf23c'),
    TEXT_WRAP_OVERFLOW("bd2-text-wrap-overflow", '\uf23d'),
    TEXT_WRAP_TRUNCATION("bd2-text-wrap-truncation", '\uf23e'),
    THEATER("bd2-theater", '\uf23f'),
    THEME("bd2-theme", '\uf240'),
    THERMOMETER("bd2-thermometer", '\uf241'),
    THERMOMETER_ONE("bd2-thermometer-one", '\uf242'),
    THERMOS_CUP("bd2-thermos-cup", '\uf243'),
    THE_SINGLE_SHOULDER_BAG("bd2-the-single-shoulder-bag", '\uf244'),
    THIN("bd2-thin", '\uf245'),
    THINKING_PROBLEM("bd2-thinking-problem", '\uf246'),
    THREE("bd2-three", '\uf247'),
    THREE_D_GLASSES("bd2-three-d-glasses", '\uf248'),
    THREE_HEXAGONS("bd2-three-hexagons", '\uf249'),
    THREE_KEY("bd2-three-key", '\uf24a'),
    THREE_SLASHES("bd2-three-slashes", '\uf24b'),
    THREE_THREE("bd2-three-three", '\uf24c'),
    THREE_TRIANGLES("bd2-three-triangles", '\uf24d'),
    THUMBS_DOWN("bd2-thumbs-down", '\uf24e'),
    THUMBS_UP("bd2-thumbs-up", '\uf24f'),
    THUNDERBOLT("bd2-thunderbolt", '\uf250'),
    THUNDERSTORM("bd2-thunderstorm", '\uf251'),
    THUNDERSTORM_ONE("bd2-thunderstorm-one", '\uf252'),
    TICKET("bd2-ticket", '\uf253'),
    TICKET_ONE("bd2-ticket-one", '\uf254'),
    TICKETS_CHECKED("bd2-tickets-checked", '\uf255'),
    TICKETS_ONE("bd2-tickets-one", '\uf256'),
    TICKETS_TWO("bd2-tickets-two", '\uf257'),
    TIGER_ZODIAC("bd2-tiger-zodiac", '\uf258'),
    TIKTOK("bd2-tiktok", '\uf259'),
    TIME("bd2-time", '\uf25a'),
    TIMED_MAIL("bd2-timed-mail", '\uf25b'),
    TIMELINE("bd2-timeline", '\uf25c'),
    TIMER("bd2-timer", '\uf25d'),
    TIPS("bd2-tips", '\uf25e'),
    TIPS_ONE("bd2-tips-one", '\uf25f'),
    TIRE_SWING("bd2-tire-swing", '\uf260'),
    TITLE_LEVEL("bd2-title-level", '\uf261'),
    TO_BOTTOM("bd2-to-bottom", '\uf262'),
    TO_BOTTOM_ONE("bd2-to-bottom-one", '\uf263'),
    TOILET("bd2-toilet", '\uf264'),
    TO_LEFT("bd2-to-left", '\uf265'),
    TOMATO("bd2-tomato", '\uf266'),
    TOOL("bd2-tool", '\uf267'),
    TOOLKIT("bd2-toolkit", '\uf268'),
    TOP_BAR("bd2-top-bar", '\uf269'),
    TOPBUZZ("bd2-topbuzz", '\uf26a'),
    TOPIC("bd2-topic", '\uf26b'),
    TOPIC_DISCUSSION("bd2-topic-discussion", '\uf26c'),
    TORCH("bd2-torch", '\uf26d'),
    TO_RIGHT("bd2-to-right", '\uf26e'),
    TO_TOP("bd2-to-top", '\uf26f'),
    TO_TOP_ONE("bd2-to-top-one", '\uf270'),
    TOUR_BUS("bd2-tour-bus", '\uf271'),
    TOWEL("bd2-towel", '\uf272'),
    TOWER("bd2-tower", '\uf273'),
    TOWER_OF_BABEL("bd2-tower-of-babel", '\uf274'),
    TOWER_OF_PISA("bd2-tower-of-pisa", '\uf275'),
    TOXINS("bd2-toxins", '\uf276'),
    TRACE("bd2-trace", '\uf277'),
    TRADEMARK("bd2-trademark", '\uf278'),
    TRADITIONAL_CHINESE_MEDICINE("bd2-traditional-chinese-medicine", '\uf279'),
    TRAIN("bd2-train", '\uf27a'),
    TRANSACTION("bd2-transaction", '\uf27b'),
    TRANSACTION_ORDER("bd2-transaction-order", '\uf27c'),
    TRANSFER("bd2-transfer", '\uf27d'),
    TRANSFER_DATA("bd2-transfer-data", '\uf27e'),
    TRANSFORM("bd2-transform", '\uf27f'),
    TRANSLATE("bd2-translate", '\uf280'),
    TRANSLATION("bd2-translation", '\uf281'),
    TRANSPORT("bd2-transport", '\uf282'),
    TRANSPORTER("bd2-transporter", '\uf283'),
    TRAPEZOID("bd2-trapezoid", '\uf284'),
    TRAY("bd2-tray", '\uf285'),
    TREADMILL("bd2-treadmill", '\uf286'),
    TREADMILL_ONE("bd2-treadmill-one", '\uf287'),
    TREADMILL_TWO("bd2-treadmill-two", '\uf288'),
    TREASURE_CHEST("bd2-treasure-chest", '\uf289'),
    TREE("bd2-tree", '\uf28a'),
    TREE_DIAGRAM("bd2-tree-diagram", '\uf28b'),
    TREE_LIST("bd2-tree-list", '\uf28c'),
    TREE_ONE("bd2-tree-one", '\uf28d'),
    TREE_TWO("bd2-tree-two", '\uf28e'),
    TREND("bd2-trend", '\uf28f'),
    TRENDING_DOWN("bd2-trending-down", '\uf290'),
    TRENDING_UP("bd2-trending-up", '\uf291'),
    TREND_TWO("bd2-trend-two", '\uf292'),
    TRIANGLE("bd2-triangle", '\uf293'),
    TRIANGLE_ROUND_RECTANGLE("bd2-triangle-round-rectangle", '\uf294'),
    TRIANGLE_RULER("bd2-triangle-ruler", '\uf295'),
    TRIANGULAR_PYRAMID("bd2-triangular-pyramid", '\uf296'),
    TROPHY("bd2-trophy", '\uf297'),
    TROUSERS_BELL_BOTTOMS("bd2-trousers-bell-bottoms", '\uf298'),
    TRUCK("bd2-truck", '\uf299'),
    TRUMPET("bd2-trumpet", '\uf29a'),
    TRUNK("bd2-trunk", '\uf29b'),
    T_SHIRT("bd2-t-shirt", '\uf29c'),
    TUB("bd2-tub", '\uf29d'),
    TUCHONG("bd2-tuchong", '\uf29e'),
    TUMBLR("bd2-tumblr", '\uf29f'),
    TURKEY("bd2-turkey", '\uf2a0'),
    TURN_AROUND("bd2-turn-around", '\uf2a1'),
    TURN_OFF_BLUETOOTH("bd2-turn-off-bluetooth", '\uf2a2'),
    TURN_ON("bd2-turn-on", '\uf2a3'),
    TV("bd2-tv", '\uf2a4'),
    TV_ONE("bd2-tv-one", '\uf2a5'),
    TWITTER("bd2-twitter", '\uf2a6'),
    TWO("bd2-two", '\uf2a7'),
    TWO_DIMENSIONAL_CODE("bd2-two-dimensional-code", '\uf2a8'),
    TWO_DIMENSIONAL_CODE_ONE("bd2-two-dimensional-code-one", '\uf2a9'),
    TWO_DIMENSIONAL_CODE_TWO("bd2-two-dimensional-code-two", '\uf2aa'),
    TWO_ELLIPSES("bd2-two-ellipses", '\uf2ab'),
    TWO_FINGERS("bd2-two-fingers", '\uf2ac'),
    TWO_HANDS("bd2-two-hands", '\uf2ad'),
    TWO_KEY("bd2-two-key", '\uf2ae'),
    TWO_SEMICIRCLES("bd2-two-semicircles", '\uf2af'),
    TWO_TRIANGLES("bd2-two-triangles", '\uf2b0'),
    TWO_TRIANGLES_TWO("bd2-two-triangles-two", '\uf2b1'),
    TWO_TWO("bd2-two-two", '\uf2b2'),
    TYPE_DRIVE("bd2-type-drive", '\uf2b3'),
    U_DISK("bd2-u-disk", '\uf2b4'),
    ULIKECAM("bd2-ulikecam", '\uf2b5'),
    UMBRELLA("bd2-umbrella", '\uf2b6'),
    UMBRELLA_ONE("bd2-umbrella-one", '\uf2b7'),
    UMBRELLA_TWO("bd2-umbrella-two", '\uf2b8'),
    UNDO("bd2-undo", '\uf2b9'),
    UNGROUP("bd2-ungroup", '\uf2ba'),
    UNICAST("bd2-unicast", '\uf2bb'),
    UNION_SELECTION("bd2-union-selection", '\uf2bc'),
    UNIVERSAL("bd2-universal", '\uf2bd'),
    UNLIKE("bd2-unlike", '\uf2be'),
    UNLINK("bd2-unlink", '\uf2bf'),
    UNLOCK("bd2-unlock", '\uf2c0'),
    UNLOCK_ONE("bd2-unlock-one", '\uf2c1'),
    UNORDERED_LIST("bd2-unordered-list", '\uf2c2'),
    UP("bd2-up", '\uf2c3'),
    UP_AND_DOWN("bd2-up-and-down", '\uf2c4'),
    UP_C("bd2-up-c", '\uf2c5'),
    UPDATE_ROTATION("bd2-update-rotation", '\uf2c6'),
    UPLOAD("bd2-upload", '\uf2c7'),
    UPLOAD_COMPUTER("bd2-upload-computer", '\uf2c8'),
    UPLOAD_LAPTOP("bd2-upload-laptop", '\uf2c9'),
    UPLOAD_LOGS("bd2-upload-logs", '\uf2ca'),
    UPLOAD_ONE("bd2-upload-one", '\uf2cb'),
    UPLOAD_PICTURE("bd2-upload-picture", '\uf2cc'),
    UPLOAD_THREE("bd2-upload-three", '\uf2cd'),
    UPLOAD_TWO("bd2-upload-two", '\uf2ce'),
    UPLOAD_WEB("bd2-upload-web", '\uf2cf'),
    UP_ONE("bd2-up-one", '\uf2d0'),
    UPSIDE_DOWN_FACE("bd2-upside-down-face", '\uf2d1'),
    UP_SMALL("bd2-up-small", '\uf2d2'),
    UP_SQUARE("bd2-up-square", '\uf2d3'),
    UP_TWO("bd2-up-two", '\uf2d4'),
    USB("bd2-usb", '\uf2d5'),
    USB_MEMORY_STICK("bd2-usb-memory-stick", '\uf2d6'),
    USB_MICRO_ONE("bd2-usb-micro-one", '\uf2d7'),
    USB_MICRO_TWO("bd2-usb-micro-two", '\uf2d8'),
    USB_ONE("bd2-usb-one", '\uf2d9'),
    USB_TYPE_C("bd2-usb-type-c", '\uf2da'),
    USER("bd2-user", '\uf2db'),
    USER_BUSINESS("bd2-user-business", '\uf2dc'),
    USER_POSITIONING("bd2-user-positioning", '\uf2dd'),
    USER_TO_USER_TRANSMISSION("bd2-user-to-user-transmission", '\uf2de'),
    UTERUS("bd2-uterus", '\uf2df'),
    U_TURN_DOWN("bd2-u-turn-down", '\uf2e0'),
    U_TURN_LEFT("bd2-u-turn-left", '\uf2e1'),
    U_TURN_RIGHT("bd2-u-turn-right", '\uf2e2'),
    U_TURN_UP("bd2-u-turn-up", '\uf2e3'),
    VACATION("bd2-vacation", '\uf2e4'),
    VACUUM_CLEANER("bd2-vacuum-cleaner", '\uf2e5'),
    VEGETABLE_BASKET("bd2-vegetable-basket", '\uf2e6'),
    VEGETABLES("bd2-vegetables", '\uf2e7'),
    VERTICALLY_CENTERED("bd2-vertically-centered", '\uf2e8'),
    VERTICAL_SPACING_BETWEEN_ITEMS("bd2-vertical-spacing-between-items", '\uf2e9'),
    VERTICAL_TIDY_UP("bd2-vertical-tidy-up", '\uf2ea'),
    VERTICAL_TIMELINE("bd2-vertical-timeline", '\uf2eb'),
    VEST("bd2-vest", '\uf2ec'),
    VIAL("bd2-vial", '\uf2ed'),
    VICIA_FABA("bd2-vicia-faba", '\uf2ee'),
    VIDEO("bd2-video", '\uf2ef'),
    VIDEOCAMERA("bd2-videocamera", '\uf2f0'),
    VIDEOCAMERA_ONE("bd2-videocamera-one", '\uf2f1'),
    VIDEO_CONFERENCE("bd2-video-conference", '\uf2f2'),
    VIDEO_FILE("bd2-video-file", '\uf2f3'),
    VIDEO_ONE("bd2-video-one", '\uf2f4'),
    VIDEO_TWO("bd2-video-two", '\uf2f5'),
    VIENCHARTS("bd2-viencharts", '\uf2f6'),
    VIEWFINDER("bd2-viewfinder", '\uf2f7'),
    VIEW_GRID_CARD("bd2-view-grid-card", '\uf2f8'),
    VIEW_GRID_DETAIL("bd2-view-grid-detail", '\uf2f9'),
    VIEW_GRID_LIST("bd2-view-grid-list", '\uf2fa'),
    VIEW_LIST("bd2-view-list", '\uf2fb'),
    VIGO("bd2-vigo", '\uf2fc'),
    VIP("bd2-vip", '\uf2fd'),
    VIP_ONE("bd2-vip-one", '\uf2fe'),
    VIRGO("bd2-virgo", '\uf2ff'),
    VIRTUAL_REALITY_GLASSES("bd2-virtual-reality-glasses", '\uf300'),
    VOICE("bd2-voice", '\uf301'),
    VOICE_INPUT("bd2-voice-input", '\uf302'),
    VOICEMAIL("bd2-voicemail", '\uf303'),
    VOICE_MESSAGE("bd2-voice-message", '\uf304'),
    VOICE_OFF("bd2-voice-off", '\uf305'),
    VOICE_ONE("bd2-voice-one", '\uf306'),
    VOLKSWAGEN("bd2-volkswagen", '\uf307'),
    VOLLEYBALL("bd2-volleyball", '\uf308'),
    VOLUME_DOWN("bd2-volume-down", '\uf309'),
    VOLUME_MUTE("bd2-volume-mute", '\uf30a'),
    VOLUME_NOTICE("bd2-volume-notice", '\uf30b'),
    VOLUME_SMALL("bd2-volume-small", '\uf30c'),
    VOLUME_UP("bd2-volume-up", '\uf30d'),
    VR_GLASSES("bd2-vr-glasses", '\uf30e'),
    WAISTLINE("bd2-waistline", '\uf30f'),
    WALLET("bd2-wallet", '\uf310'),
    WALLET_ONE("bd2-wallet-one", '\uf311'),
    WALLET_THREE("bd2-wallet-three", '\uf312'),
    WALLET_TWO("bd2-wallet-two", '\uf313'),
    WAREHOUSING("bd2-warehousing", '\uf314'),
    WASHING_MACHINE("bd2-washing-machine", '\uf315'),
    WASHING_MACHINE_ONE("bd2-washing-machine-one", '\uf316'),
    WATCH("bd2-watch", '\uf317'),
    WATCH_ONE("bd2-watch-one", '\uf318'),
    WATER("bd2-water", '\uf319'),
    WATERFALLS_H("bd2-waterfalls-h", '\uf31a'),
    WATERFALLS_V("bd2-waterfalls-v", '\uf31b'),
    WATER_LEVEL("bd2-water-level", '\uf31c'),
    WATERMELON("bd2-watermelon", '\uf31d'),
    WATERMELON_ONE("bd2-watermelon-one", '\uf31e'),
    WATER_NO("bd2-water-no", '\uf31f'),
    WATERPOLO("bd2-waterpolo", '\uf320'),
    WATERPOLO_ONE("bd2-waterpolo-one", '\uf321'),
    WATER_RATE("bd2-water-rate", '\uf322'),
    WATER_RATE_TWO("bd2-water-rate-two", '\uf323'),
    WAVES("bd2-waves", '\uf324'),
    WAVES_LEFT("bd2-waves-left", '\uf325'),
    WAVES_RIGHT("bd2-waves-right", '\uf326'),
    WEARY_FACE("bd2-weary-face", '\uf327'),
    WEBCAM("bd2-webcam", '\uf328'),
    WEB_PAGE("bd2-web-page", '\uf329'),
    WECHAT("bd2-wechat", '\uf32a'),
    WEIBO("bd2-weibo", '\uf32b'),
    WEIGHT("bd2-weight", '\uf32c'),
    WEIGHTLIFTING("bd2-weightlifting", '\uf32d'),
    WEIXIN_CARDS_OFFERS("bd2-weixin-cards-offers", '\uf32e'),
    WEIXIN_FAVORITES("bd2-weixin-favorites", '\uf32f'),
    WEIXIN_GAMES("bd2-weixin-games", '\uf330'),
    WEIXIN_MARKET("bd2-weixin-market", '\uf331'),
    WEIXIN_MINI_APP("bd2-weixin-mini-app", '\uf332'),
    WEIXIN_PEOPLE_NEARBY("bd2-weixin-people-nearby", '\uf333'),
    WEIXIN_SCAN("bd2-weixin-scan", '\uf334'),
    WEIXIN_SEARCH("bd2-weixin-search", '\uf335'),
    WEIXIN_SHAKE("bd2-weixin-shake", '\uf336'),
    WEIXIN_TOP_STORIES("bd2-weixin-top-stories", '\uf337'),
    WHALE("bd2-whale", '\uf338'),
    WHEELCHAIR("bd2-wheelchair", '\uf339'),
    WHIRLWIND("bd2-whirlwind", '\uf33a'),
    WHISTLING("bd2-whistling", '\uf33b'),
    WHOLE_SITE_ACCELERATOR("bd2-whole-site-accelerator", '\uf33c'),
    WIFI("bd2-wifi", '\uf33d'),
    WIND("bd2-wind", '\uf33e'),
    WINDMILL("bd2-windmill", '\uf33f'),
    WINDMILL_ONE("bd2-windmill-one", '\uf340'),
    WINDMILL_TWO("bd2-windmill-two", '\uf341'),
    WINDOWS("bd2-windows", '\uf342'),
    WIND_TURBINE("bd2-wind-turbine", '\uf343'),
    WINGSUIT_FLYING("bd2-wingsuit-flying", '\uf344'),
    WINKING_FACE("bd2-winking-face", '\uf345'),
    WINKING_FACE_WITH_OPEN_EYES("bd2-winking-face-with-open-eyes", '\uf346'),
    WOMAN("bd2-woman", '\uf347'),
    WOMEN("bd2-women", '\uf348'),
    WOMEN_COAT("bd2-women-coat", '\uf349'),
    WOOLEN_HAT("bd2-woolen-hat", '\uf34a'),
    WORD("bd2-word", '\uf34b'),
    WORKBENCH("bd2-workbench", '\uf34c'),
    WORKER("bd2-worker", '\uf34d'),
    WORLD("bd2-world", '\uf34e'),
    WORRIED_FACE("bd2-worried-face", '\uf34f'),
    WRITE("bd2-write", '\uf350'),
    WRITING_FLUENTLY("bd2-writing-fluently", '\uf351'),
    WRONG_USER("bd2-wrong-user", '\uf352'),
    XIAODU("bd2-xiaodu", '\uf353'),
    XIAODU_HOME("bd2-xiaodu-home", '\uf354'),
    XIGUA("bd2-xigua", '\uf355'),
    XINGFULI("bd2-xingfuli", '\uf356'),
    XINGTU("bd2-xingtu", '\uf357'),
    YEP("bd2-yep", '\uf358'),
    YOUTOBE("bd2-youtobe", '\uf359'),
    YOUTUBE("bd2-youtube", '\uf35a'),
    ZERO_KEY("bd2-zero-key", '\uf35b'),
    ZIJINYUNYING("bd2-zijinyunying", '\uf35c'),
    ZIP("bd2-zip", '\uf35d'),
    ZOOM("bd2-zoom", '\uf35e'),
    ZOOM_IN("bd2-zoom-in", '\uf35f'),
    ZOOM_INTERNAL("bd2-zoom-internal", '\uf360'),
    ZOOM_OUT("bd2-zoom-out", '\uf361');

    public static BytedanceIconsRegularMZ findByDescription(String description) {
        for (BytedanceIconsRegularMZ font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    BytedanceIconsRegularMZ(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}
