/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.carbonicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum CarbonIcons implements Ikon {
    CI_3D_CURSOR("ci-3d-cursor", '\ue901'),
    CI_3D_CURSOR_ALT("ci-3d-cursor-alt", '\ue900'),
    CI_3D_CURVE_AUTO_COLON("ci-3d-curve-auto-colon", '\ue902'),
    CI_3D_CURVE_AUTO_VESSELS("ci-3d-curve-auto-vessels", '\ue903'),
    CI_3D_CURVE_MANUAL("ci-3d-curve-manual", '\ue904'),
    CI_3D_ICA("ci-3d-ica", '\ue905'),
    CI_3D_MPR_TOGGLE("ci-3d-mpr-toggle", '\ue906'),
    CI_3D_PRINT_MESH("ci-3d-print-mesh", '\ue907'),
    CI_3D_SOFTWARE("ci-3d-software", '\ue908'),
    CI_3RD_PARTY_CONNECTED("ci-3rd-party-connected", '\ue909'),
    CI_4K("ci-4k", '\ue90b'),
    CI_4K_FILLED("ci-4k-filled", '\ue90a'),
    ACCESSIBILITY("ci-accessibility", '\ue90f'),
    ACCESSIBILITY_ALT("ci-accessibility-alt", '\ue90c'),
    ACCESSIBILITY_COLOR("ci-accessibility-color", '\ue90e'),
    ACCESSIBILITY_COLOR_FILLED("ci-accessibility-color-filled", '\ue90d'),
    ACCOUNT("ci-account", '\ue910'),
    ACCUMULATION_ICE("ci-accumulation-ice", '\ue911'),
    ACCUMULATION_PRECIPITATION("ci-accumulation-precipitation", '\ue912'),
    ACCUMULATION_RAIN("ci-accumulation-rain", '\ue913'),
    ACCUMULATION_SNOW("ci-accumulation-snow", '\ue914'),
    ACTIVITY("ci-activity", '\ue915'),
    ADD("ci-add", '\ue919'),
    ADD_ALT("ci-add-alt", '\ue916'),
    ADD_COMMENT("ci-add-comment", '\ue917'),
    ADD_FILLED("ci-add-filled", '\ue918'),
    AGRICULTURE_ANALYTICS("ci-agriculture-analytics", '\ue91a'),
    AIRLINE_DIGITAL_GATE("ci-airline-digital-gate", '\ue92b'),
    AIRLINE_MANAGE_GATES("ci-airline-manage-gates", '\ue92c'),
    AIRLINE_PASSENGER_CARE("ci-airline-passenger-care", '\ue92d'),
    AIRLINE_RAPID_BOARD("ci-airline-rapid-board", '\ue92e'),
    AIRPORT_01("ci-airport-01", '\ue92f'),
    AIRPORT_02("ci-airport-02", '\ue930'),
    AIRPORT_LOCATION("ci-airport-location", '\ue931'),
    AI_RESULTS("ci-ai-results", '\ue920'),
    AI_RESULTS_HIGH("ci-ai-results-high", '\ue91b'),
    AI_RESULTS_LOW("ci-ai-results-low", '\ue91c'),
    AI_RESULTS_MEDIUM("ci-ai-results-medium", '\ue91d'),
    AI_RESULTS_URGENT("ci-ai-results-urgent", '\ue91e'),
    AI_RESULTS_VERY_HIGH("ci-ai-results-very-high", '\ue91f'),
    AI_STATUS("ci-ai-status", '\ue92a'),
    AI_STATUS_COMPLETE("ci-ai-status-complete", '\ue921'),
    AI_STATUS_FAILED("ci-ai-status-failed", '\ue922'),
    AI_STATUS_IN_PROGRESS("ci-ai-status-in-progress", '\ue923'),
    AI_STATUS_REJECTED("ci-ai-status-rejected", '\ue929'),
    ALARM("ci-alarm", '\ue934'),
    ALARM_ADD("ci-alarm-add", '\ue932'),
    ALARM_SUBTRACT("ci-alarm-subtract", '\ue933'),
    ALIGN_BOX_BOTTOM_CENTER("ci-align-box-bottom-center", '\ue935'),
    ALIGN_BOX_BOTTOM_LEFT("ci-align-box-bottom-left", '\ue936'),
    ALIGN_BOX_BOTTOM_RIGHT("ci-align-box-bottom-right", '\ue937'),
    ALIGN_BOX_MIDDLE_CENTER("ci-align-box-middle-center", '\ue938'),
    ALIGN_BOX_MIDDLE_LEFT("ci-align-box-middle-left", '\ue939'),
    ALIGN_BOX_MIDDLE_RIGHT("ci-align-box-middle-right", '\ue93a'),
    ALIGN_BOX_TOP_CENTER("ci-align-box-top-center", '\ue93b'),
    ALIGN_BOX_TOP_LEFT("ci-align-box-top-left", '\ue93c'),
    ALIGN_BOX_TOP_RIGHT("ci-align-box-top-right", '\ue93d'),
    ALIGN_HORIZONTAL_CENTER("ci-align-horizontal-center", '\ue93e'),
    ALIGN_HORIZONTAL_LEFT("ci-align-horizontal-left", '\ue93f'),
    ALIGN_HORIZONTAL_RIGHT("ci-align-horizontal-right", '\ue940'),
    ALIGN_VERTICAL_BOTTOM("ci-align-vertical-bottom", '\ue941'),
    ALIGN_VERTICAL_CENTER("ci-align-vertical-center", '\ue942'),
    ALIGN_VERTICAL_TOP("ci-align-vertical-top", '\ue943'),
    ANALYTICS("ci-analytics", '\ue945'),
    ANALYTICS_REFERENCE("ci-analytics-reference", '\ue944'),
    ANGLE("ci-angle", '\ue946'),
    ANNOTATION_VISIBILITY("ci-annotation-visibility", '\ue947'),
    APERTURE("ci-aperture", '\ue948'),
    API("ci-api", '\ue94a'),
    API_1("ci-api-1", '\ue949'),
    APP("ci-app", '\ue94d'),
    APPLE("ci-apple", '\ue94e'),
    APPLICATION("ci-application", '\ue94f'),
    APPS("ci-apps", '\ue950'),
    APP_CONNECTIVITY("ci-app-connectivity", '\ue94b'),
    APP_SWITCHER("ci-app-switcher", '\ue94c'),
    ARCHIVE("ci-archive", '\ue951'),
    AREA("ci-area", '\ue953'),
    AREA_CUSTOM("ci-area-custom", '\ue952'),
    ARRIVAL("ci-arrival", '\ue954'),
    ARROWS("ci-arrows", '\ue961'),
    ARROWS_HORIZONTAL("ci-arrows-horizontal", '\ue95f'),
    ARROWS_VERTICAL("ci-arrows-vertical", '\ue960'),
    ARROW_ANNOTATION("ci-arrow-annotation", '\ue955'),
    ARROW_DOWN("ci-arrow-down", '\ue958'),
    ARROW_DOWN_LEFT("ci-arrow-down-left", '\ue956'),
    ARROW_DOWN_RIGHT("ci-arrow-down-right", '\ue957'),
    ARROW_LEFT("ci-arrow-left", '\ue959'),
    ARROW_RIGHT("ci-arrow-right", '\ue95a'),
    ARROW_SHIFT_DOWN("ci-arrow-shift-down", '\ue95b'),
    ARROW_UP("ci-arrow-up", '\ue95e'),
    ARROW_UP_LEFT("ci-arrow-up-left", '\ue95c'),
    ARROW_UP_RIGHT("ci-arrow-up-right", '\ue95d'),
    ASLEEP("ci-asleep", '\ue963'),
    ASLEEP_FILLED("ci-asleep-filled", '\ue962'),
    ASSET("ci-asset", '\ue964'),
    AT("ci-at", '\ue965'),
    ATTACHMENT("ci-attachment", '\ue966'),
    AUDIO_CONSOLE("ci-audio-console", '\ue967'),
    AUGMENTED_REALITY("ci-augmented-reality", '\ue968'),
    AUTOMATIC("ci-automatic", '\ue96a'),
    AUTO_SCROLL("ci-auto-scroll", '\ue969'),
    AWAKE("ci-awake", '\ue96b'),
    BACK_TO_TOP("ci-back-to-top", '\ue96c'),
    BADGE("ci-badge", '\ue96d'),
    BAGGAGE_CLAIM("ci-baggage-claim", '\ue96e'),
    BAR("ci-bar", '\ue96f'),
    BARRIER("ci-barrier", '\ue970'),
    BASKETBALL("ci-basketball", '\ue971'),
    BAT("ci-bat", '\ue972'),
    BATTERY_CHARGING("ci-battery-charging", '\ue973'),
    BATTERY_EMPTY("ci-battery-empty", '\ue974'),
    BATTERY_FULL("ci-battery-full", '\ue975'),
    BATTERY_HALF("ci-battery-half", '\ue976'),
    BATTERY_LOW("ci-battery-low", '\ue977'),
    BATTERY_QUARTER("ci-battery-quarter", '\ue978'),
    BEE("ci-bee", '\ue97a'),
    BEE_BAT("ci-bee-bat", '\ue979'),
    BICYCLE("ci-bicycle", '\ue97b'),
    BINOCULARS("ci-binoculars", '\ue97c'),
    BLOCH_SPHERE("ci-bloch-sphere", '\ue97d'),
    BLOCKCHAIN("ci-blockchain", '\ue97e'),
    BLOG("ci-blog", '\ue97f'),
    BLUETOOTH("ci-bluetooth", '\ue981'),
    BLUETOOTH_OFF("ci-bluetooth-off", '\ue980'),
    BOOK("ci-book", '\ue982'),
    BOOKMARK("ci-bookmark", '\ue984'),
    BOOKMARK_FILLED("ci-bookmark-filled", '\ue983'),
    BOOLEAN("ci-boolean", '\ue985'),
    BORDER_BOTTOM("ci-border-bottom", '\ue986'),
    BORDER_FULL("ci-border-full", '\ue987'),
    BORDER_LEFT("ci-border-left", '\ue988'),
    BORDER_NONE("ci-border-none", '\ue989'),
    BORDER_RIGHT("ci-border-right", '\ue98a'),
    BORDER_TOP("ci-border-top", '\ue98b'),
    BOT("ci-bot", '\ue98c'),
    BOX("ci-box", '\ue98e'),
    BOX_PLOT("ci-box-plot", '\ue98d'),
    BRANCH("ci-branch", '\ue98f'),
    BRIGHTNESS_CONTRAST("ci-brightness-contrast", '\ue990'),
    BRING_TO_FRONT("ci-bring-to-front", '\ue991'),
    BRUSH_FREEHAND("ci-brush-freehand", '\ue992'),
    BRUSH_POLYGON("ci-brush-polygon", '\ue993'),
    BUILDING("ci-building", '\ue997'),
    BUILDING_INSIGHTS_1("ci-building-insights-1", '\ue994'),
    BUILDING_INSIGHTS_2("ci-building-insights-2", '\ue995'),
    BUILDING_INSIGHTS_3("ci-building-insights-3", '\ue996'),
    BULLHORN("ci-bullhorn", '\ue998'),
    BUOY("ci-buoy", '\ue999'),
    BUS("ci-bus", '\ue99a'),
    CABIN_CARE("ci-cabin-care", '\ue99d'),
    CABIN_CARE_ALERT("ci-cabin-care-alert", '\ue99b'),
    CABIN_CARE_ALT("ci-cabin-care-alt", '\ue99c'),
    CAD("ci-cad", '\ue99e'),
    CAFE("ci-cafe", '\ue99f'),
    CALCULATOR("ci-calculator", '\ue9a1'),
    CALCULATOR_CHECK("ci-calculator-check", '\ue9a0'),
    CALENDAR("ci-calendar", '\ue9a5'),
    CALENDAR_HEAT_MAP("ci-calendar-heat-map", '\ue9a2'),
    CALENDAR_SETTINGS("ci-calendar-settings", '\ue9a3'),
    CALENDAR_TOOLS("ci-calendar-tools", '\ue9a4'),
    CALIBRATE("ci-calibrate", '\ue9a6'),
    CAMERA("ci-camera", '\ue9a8'),
    CAMERA_ACTION("ci-camera-action", '\ue9a7'),
    CAMPSITE("ci-campsite", '\ue9a9'),
    CAR("ci-car", '\ue9ab'),
    CARBON("ci-carbon", '\ue9ac'),
    CARET_DOWN("ci-caret-down", '\ue9ad'),
    CARET_LEFT("ci-caret-left", '\ue9ae'),
    CARET_RIGHT("ci-caret-right", '\ue9af'),
    CARET_SORT("ci-caret-sort", '\ue9b2'),
    CARET_SORT_DOWN("ci-caret-sort-down", '\ue9b0'),
    CARET_SORT_UP("ci-caret-sort-up", '\ue9b1'),
    CARET_UP("ci-caret-up", '\ue9b3'),
    CAROUSEL_HORIZONTAL("ci-carousel-horizontal", '\ue9b4'),
    CAROUSEL_VERTICAL("ci-carousel-vertical", '\ue9b5'),
    CAR_FRONT("ci-car-front", '\ue9aa'),
    CATALOG("ci-catalog", '\ue9b6'),
    CATEGORIES("ci-categories", '\ue9b7'),
    CATEGORY("ci-category", '\ue9bc'),
    CATEGORY_ADD("ci-category-add", '\ue9b8'),
    CATEGORY_AND("ci-category-and", '\ue9b9'),
    CATEGORY_NEW("ci-category-new", '\ue9bb'),
    CATEGORY_NEW_EACH("ci-category-new-each", '\ue9ba'),
    CCX("ci-ccx", '\ue9bd'),
    CDA("ci-cda", '\ue9c1'),
    CD_ARCHIVE("ci-cd-archive", '\ue9be'),
    CD_CREATE_ARCHIVE("ci-cd-create-archive", '\ue9bf'),
    CD_CREATE_EXCHANGE("ci-cd-create-exchange", '\ue9c0'),
    CENTER_CIRCLE("ci-center-circle", '\ue9c2'),
    CENTER_SQUARE("ci-center-square", '\ue9c3'),
    CENTER_TO_FIT("ci-center-to-fit", '\ue9c4'),
    CERTIFICATE("ci-certificate", '\ue9c6'),
    CERTIFICATE_CHECK("ci-certificate-check", '\ue9c5'),
    CHANGE_CATALOG("ci-change-catalog", '\ue9c7'),
    CHARACTER_PATTERNS("ci-character-patterns", '\ue9c8'),
    CHARGING_STATION("ci-charging-station", '\ue9ca'),
    CHARGING_STATION_FILLED("ci-charging-station-filled", '\ue9c9'),
    CHART_3D("ci-chart-3d", '\ue9cb'),
    CHART_AREA("ci-chart-area", '\ue9ce'),
    CHART_AREA_SMOOTH("ci-chart-area-smooth", '\ue9cc'),
    CHART_AREA_STEPPER("ci-chart-area-stepper", '\ue9cd'),
    CHART_AVERAGE("ci-chart-average", '\ue9cf'),
    CHART_BAR("ci-chart-bar", '\ue9d4'),
    CHART_BAR_FLOATING("ci-chart-bar-floating", '\ue9d0'),
    CHART_BAR_OVERLAY("ci-chart-bar-overlay", '\ue9d1'),
    CHART_BAR_STACKED("ci-chart-bar-stacked", '\ue9d2'),
    CHART_BAR_TARGET("ci-chart-bar-target", '\ue9d3'),
    CHART_BUBBLE("ci-chart-bubble", '\ue9d5'),
    CHART_BULLET("ci-chart-bullet", '\ue9d6'),
    CHART_CANDLESTICK("ci-chart-candlestick", '\ue9d7'),
    CHART_CLUSTER_BAR("ci-chart-cluster-bar", '\ue9d8'),
    CHART_COLUMN("ci-chart-column", '\ue9db'),
    CHART_COLUMN_FLOATING("ci-chart-column-floating", '\ue9d9'),
    CHART_COLUMN_TARGET("ci-chart-column-target", '\ue9da'),
    CHART_COMBO("ci-chart-combo", '\ue9dd'),
    CHART_COMBO_STACKED("ci-chart-combo-stacked", '\ue9dc'),
    CHART_CUSTOM("ci-chart-custom", '\ue9de'),
    CHART_ERROR_BAR("ci-chart-error-bar", '\ue9e0'),
    CHART_ERROR_BAR_ALT("ci-chart-error-bar-alt", '\ue9df'),
    CHART_EVALUATION("ci-chart-evaluation", '\ue9e1'),
    CHART_HIGH_LOW("ci-chart-high-low", '\ue9e2'),
    CHART_HISTOGRAM("ci-chart-histogram", '\ue9e3'),
    CHART_LINE("ci-chart-line", '\ue9e6'),
    CHART_LINE_DATA("ci-chart-line-data", '\ue9e4'),
    CHART_LINE_SMOOTH("ci-chart-line-smooth", '\ue9e5'),
    CHART_MARIMEKKO("ci-chart-marimekko", '\ue9e7'),
    CHART_MAXIMUM("ci-chart-maximum", '\ue9e8'),
    CHART_MINIMUM("ci-chart-minimum", '\ue9e9'),
    CHART_MULTITYPE("ci-chart-multitype", '\ue9eb'),
    CHART_MULTI_LINE("ci-chart-multi-line", '\ue9ea'),
    CHART_NETWORK("ci-chart-network", '\ue9ec'),
    CHART_PARALLEL("ci-chart-parallel", '\ue9ed'),
    CHART_PIE("ci-chart-pie", '\ue9ee'),
    CHART_POINT("ci-chart-point", '\ue9ef'),
    CHART_POPULATION("ci-chart-population", '\ue9f0'),
    CHART_RADAR("ci-chart-radar", '\ue9f1'),
    CHART_RADIAL("ci-chart-radial", '\ue9f2'),
    CHART_RELATIONSHIP("ci-chart-relationship", '\ue9f3'),
    CHART_RING("ci-chart-ring", '\ue9f4'),
    CHART_RIVER("ci-chart-river", '\ue9f5'),
    CHART_ROSE("ci-chart-rose", '\ue9f6'),
    CHART_SCATTER("ci-chart-scatter", '\ue9f7'),
    CHART_STACKED("ci-chart-stacked", '\ue9f8'),
    CHART_STEPPER("ci-chart-stepper", '\ue9f9'),
    CHART_SUNBURST("ci-chart-sunburst", '\ue9fa'),
    CHART_TREEMAP("ci-chart-treemap", '\ue9fc'),
    CHART_T_SNE("ci-chart-t-sne", '\ue9fb'),
    CHART_VENN_DIAGRAM("ci-chart-venn-diagram", '\ue9fd'),
    CHART_WATERFALL("ci-chart-waterfall", '\ue9fe'),
    CHAT("ci-chat", '\uea00'),
    CHAT_BOT("ci-chat-bot", '\ue9ff'),
    CHECKBOX("ci-checkbox", '\uea07'),
    CHECKBOX_CHECKED("ci-checkbox-checked", '\uea02'),
    CHECKBOX_CHECKED_FILLED("ci-checkbox-checked-filled", '\uea01'),
    CHECKBOX_INDETERMINATE("ci-checkbox-indeterminate", '\uea04'),
    CHECKBOX_INDETERMINATE_FILLED("ci-checkbox-indeterminate-filled", '\uea03'),
    CHECKBOX_UNDETERMINATE("ci-checkbox-undeterminate", '\uea06'),
    CHECKBOX_UNDETERMINATE_FILLED("ci-checkbox-undeterminate-filled", '\uea05'),
    CHECKMARK("ci-checkmark", '\uea0e'),
    CHECKMARK_FILLED("ci-checkmark-filled", '\uea0a'),
    CHECKMARK_FILLED_ERROR("ci-checkmark-filled-error", '\uea08'),
    CHECKMARK_FILLED_WARNING("ci-checkmark-filled-warning", '\uea09'),
    CHECKMARK_OUTLINE("ci-checkmark-outline", '\uea0d'),
    CHECKMARK_OUTLINE_ERROR("ci-checkmark-outline-error", '\uea0b'),
    CHECKMARK_OUTLINE_WARNING("ci-checkmark-outline-warning", '\uea0c'),
    CHEMISTRY("ci-chemistry", '\uea10'),
    CHEMISTRY_REFERENCE("ci-chemistry-reference", '\uea0f'),
    CHEVRON_DOWN("ci-chevron-down", '\uea11'),
    CHEVRON_LEFT("ci-chevron-left", '\uea12'),
    CHEVRON_MINI("ci-chevron-mini", '\uea13'),
    CHEVRON_RIGHT("ci-chevron-right", '\uea14'),
    CHEVRON_SORT("ci-chevron-sort", '\uea17'),
    CHEVRON_SORT_DOWN("ci-chevron-sort-down", '\uea15'),
    CHEVRON_SORT_UP("ci-chevron-sort-up", '\uea16'),
    CHEVRON_UP("ci-chevron-up", '\uea18'),
    CHIP("ci-chip", '\uea19'),
    CHOICES("ci-choices", '\uea1a'),
    CIRCLE_DASH("ci-circle-dash", '\uea1b'),
    CIRCLE_FILLED("ci-circle-filled", '\uea1c'),
    CIRCLE_MEASUREMENT("ci-circle-measurement", '\uea1d'),
    CIRCLE_PACKING("ci-circle-packing", '\uea1e'),
    CIRCUIT_COMPOSER("ci-circuit-composer", '\uea1f'),
    CLASSIFICATION("ci-classification", '\uea20'),
    CLASSIFIER_LANGUAGE("ci-classifier-language", '\uea21'),
    CLEAN("ci-clean", '\uea22'),
    CLOSE("ci-close", '\uea25'),
    CLOSED_CAPTION("ci-closed-caption", '\uea28'),
    CLOSED_CAPTION_ALT("ci-closed-caption-alt", '\uea26'),
    CLOSED_CAPTION_FILLED("ci-closed-caption-filled", '\uea27'),
    CLOSE_FILLED("ci-close-filled", '\uea23'),
    CLOSE_OUTLINE("ci-close-outline", '\uea24'),
    CLOUD("ci-cloud", '\uea37'),
    CLOUDY("ci-cloudy", '\uea38'),
    CLOUD_APP("ci-cloud-app", '\uea29'),
    CLOUD_CEILING("ci-cloud-ceiling", '\uea2a'),
    CLOUD_DATA_OPS("ci-cloud-data-ops", '\uea2b'),
    CLOUD_DOWNLOAD("ci-cloud-download", '\uea2c'),
    CLOUD_FOUNDRY_1("ci-cloud-foundry-1", '\uea2d'),
    CLOUD_FOUNDRY_2("ci-cloud-foundry-2", '\uea2e'),
    CLOUD_LIGHTNING("ci-cloud-lightning", '\uea2f'),
    CLOUD_RAIN("ci-cloud-rain", '\uea30'),
    CLOUD_SNOW("ci-cloud-snow", '\uea35'),
    CLOUD_UPLOAD("ci-cloud-upload", '\uea36'),
    COBB_ANGLE("ci-cobb-angle", '\uea39'),
    CODE("ci-code", '\uea3b'),
    CODE_REFERENCE("ci-code-reference", '\uea3a'),
    COGNITIVE("ci-cognitive", '\uea3c'),
    COLLABORATE("ci-collaborate", '\uea3d'),
    COLLAPSE_ALL("ci-collapse-all", '\uea3e'),
    COLLAPSE_CATEGORIES("ci-collapse-categories", '\uea3f'),
    COLOR_PALETTE("ci-color-palette", '\uea40'),
    COLOR_SWITCH("ci-color-switch", '\uea41'),
    COLUMN("ci-column", '\uea44'),
    COLUMN_DELETE("ci-column-delete", '\uea42'),
    COLUMN_INSERT("ci-column-insert", '\uea43'),
    COMPARE("ci-compare", '\uea45'),
    COMPASS("ci-compass", '\uea46'),
    COMPOSER_EDIT("ci-composer-edit", '\uea47'),
    CONCEPT("ci-concept", '\uea48'),
    CONNECT("ci-connect", '\uea49'),
    CONNECTION_SIGNAL("ci-connection-signal", '\uea4a'),
    CONSTRUCTION("ci-construction", '\uea4b'),
    CONTAINER_SOFTWARE("ci-container-software", '\uea4c'),
    CONTENT_VIEW("ci-content-view", '\uea4d'),
    CONTOUR_FINDING("ci-contour-finding", '\uea4e'),
    CONTRAST("ci-contrast", '\uea4f'),
    COPY("ci-copy", '\uea52'),
    COPY_FILE("ci-copy-file", '\uea50'),
    COPY_LINK("ci-copy-link", '\uea51'),
    CORN("ci-corn", '\uea53'),
    CORNER("ci-corner", '\uea54'),
    CORONAVIRUS("ci-coronavirus", '\uea55'),
    COURSE("ci-course", '\uea56'),
    COVARIATE("ci-covariate", '\uea57'),
    CREDENTIALS("ci-credentials", '\uea58'),
    CROP("ci-crop", '\uea5b'),
    CROP_GROWTH("ci-crop-growth", '\uea59'),
    CROP_HEALTH("ci-crop-health", '\uea5a'),
    CROSSROADS("ci-crossroads", '\uea5e'),
    CROSS_REFERENCE("ci-cross-reference", '\uea5c'),
    CROSS_TAB("ci-cross-tab", '\uea5d'),
    CROWD_REPORT("ci-crowd-report", '\uea60'),
    CROWD_REPORT_FILLED("ci-crowd-report-filled", '\uea5f'),
    CSV("ci-csv", '\uea61'),
    CU1("ci-cu1", '\uea62'),
    CU3("ci-cu3", '\uea63'),
    CUBE_VIEW("ci-cube-view", '\uea64'),
    CURRENCY_BAHT("ci-currency-baht", '\uea65'),
    CURRENCY_DOLLAR("ci-currency-dollar", '\uea66'),
    CURRENCY_EURO("ci-currency-euro", '\uea67'),
    CURRENCY_LIRA("ci-currency-lira", '\uea68'),
    CURRENCY_POUND("ci-currency-pound", '\uea69'),
    CURRENCY_RUPEE("ci-currency-rupee", '\uea6a'),
    CURRENCY_SHEKEL("ci-currency-shekel", '\uea6b'),
    CURRENCY_WON("ci-currency-won", '\uea6c'),
    CURRENCY_YEN("ci-currency-yen", '\uea6d'),
    CURSOR_1("ci-cursor-1", '\uea6e'),
    CURSOR_2("ci-cursor-2", '\uea6f'),
    CUT("ci-cut", '\uea71'),
    CUT_IN_HALF("ci-cut-in-half", '\uea70'),
    CY("ci-cy", '\uea72'),
    CYCLIST("ci-cyclist", '\uea73'),
    CZ("ci-cz", '\uea74'),
    DASHBOARD("ci-dashboard", '\uea76'),
    DASHBOARD_REFERENCE("ci-dashboard-reference", '\uea75'),
    DATASTORE("ci-datastore", '\uea8e'),
    DATA_1("ci-data-1", '\uea77'),
    DATA_2("ci-data-2", '\uea78'),
    DATA_BASE("ci-data-base", '\uea7a'),
    DATA_BASE_ALT("ci-data-base-alt", '\uea79'),
    DATA_CHECK("ci-data-check", '\uea7b'),
    DATA_CLASS("ci-data-class", '\uea7c'),
    DATA_COLLECTION("ci-data-collection", '\uea7d'),
    DATA_CONNECTED("ci-data-connected", '\uea7e'),
    DATA_ERROR("ci-data-error", '\uea7f'),
    DATA_PLAYER("ci-data-player", '\uea80'),
    DATA_REFERENCE("ci-data-reference", '\uea81'),
    DATA_REFINERY("ci-data-refinery", '\uea83'),
    DATA_REFINERY_REFERENCE("ci-data-refinery-reference", '\uea82'),
    DATA_SET("ci-data-set", '\uea84'),
    DATA_SHARE("ci-data-share", '\uea85'),
    DATA_STRUCTURED("ci-data-structured", '\uea86'),
    DATA_TABLE("ci-data-table", '\uea88'),
    DATA_TABLE_REFERENCE("ci-data-table-reference", '\uea87'),
    DATA_UNSTRUCTURED("ci-data-unstructured", '\uea89'),
    DATA_VIS_1("ci-data-vis-1", '\uea8a'),
    DATA_VIS_2("ci-data-vis-2", '\uea8b'),
    DATA_VIS_3("ci-data-vis-3", '\uea8c'),
    DATA_VIS_4("ci-data-vis-4", '\uea8d'),
    DEBUG("ci-debug", '\uea8f'),
    DECISION_TREE("ci-decision-tree", '\uea90'),
    DELETE("ci-delete", '\uea91'),
    DELIVERY_TRUCK("ci-delivery-truck", '\uea92'),
    DENOMINATE("ci-denominate", '\uea93'),
    DEPARTURE("ci-departure", '\uea94'),
    DEPLOY("ci-deploy", '\uea96'),
    DEPLOYMENT_PATTERN("ci-deployment-pattern", '\uea97'),
    DEPLOYMENT_POLICY("ci-deployment-policy", '\uea98'),
    DEPLOY_RULES("ci-deploy-rules", '\uea95'),
    DEVELOPMENT("ci-development", '\uea99'),
    DEVICES("ci-devices", '\uea9a'),
    DEW_POINT("ci-dew-point", '\uea9c'),
    DEW_POINT_FILLED("ci-dew-point-filled", '\uea9b'),
    DIAGRAM("ci-diagram", '\uea9e'),
    DIAGRAM_REFERENCE("ci-diagram-reference", '\uea9d'),
    DICOM_6000("ci-dicom-6000", '\uea9f'),
    DICOM_OVERLAY("ci-dicom-overlay", '\ueaa0'),
    DIRECTION_BEAR_RIGHT_01("ci-direction-bear-right-01", '\ueaa2'),
    DIRECTION_BEAR_RIGHT_01_FILLED("ci-direction-bear-right-01-filled", '\ueaa1'),
    DIRECTION_BEAR_RIGHT_02("ci-direction-bear-right-02", '\ueaa4'),
    DIRECTION_BEAR_RIGHT_02_FILLED("ci-direction-bear-right-02-filled", '\ueaa3'),
    DIRECTION_CURVE("ci-direction-curve", '\ueaa6'),
    DIRECTION_CURVE_FILLED("ci-direction-curve-filled", '\ueaa5'),
    DIRECTION_MERGE("ci-direction-merge", '\ueaa8'),
    DIRECTION_MERGE_FILLED("ci-direction-merge-filled", '\ueaa7'),
    DIRECTION_RIGHT_01("ci-direction-right-01", '\ueaaa'),
    DIRECTION_RIGHT_01_FILLED("ci-direction-right-01-filled", '\ueaa9'),
    DIRECTION_RIGHT_02("ci-direction-right-02", '\ueaac'),
    DIRECTION_RIGHT_02_FILLED("ci-direction-right-02-filled", '\ueaab'),
    DIRECTION_ROTARY_FIRST_RIGHT("ci-direction-rotary-first-right", '\ueaae'),
    DIRECTION_ROTARY_FIRST_RIGHT_FILLED("ci-direction-rotary-first-right-filled", '\ueaad'),
    DIRECTION_ROTARY_RIGHT("ci-direction-rotary-right", '\ueab0'),
    DIRECTION_ROTARY_RIGHT_FILLED("ci-direction-rotary-right-filled", '\ueaaf'),
    DIRECTION_ROTARY_STRAIGHT("ci-direction-rotary-straight", '\ueab2'),
    DIRECTION_ROTARY_STRAIGHT_FILLED("ci-direction-rotary-straight-filled", '\ueab1'),
    DIRECTION_SHARP_TURN("ci-direction-sharp-turn", '\ueab4'),
    DIRECTION_SHARP_TURN_FILLED("ci-direction-sharp-turn-filled", '\ueab3'),
    DIRECTION_STRAIGHT("ci-direction-straight", '\ueab8'),
    DIRECTION_STRAIGHT_FILLED("ci-direction-straight-filled", '\ueab5'),
    DIRECTION_STRAIGHT_RIGHT("ci-direction-straight-right", '\ueab7'),
    DIRECTION_STRAIGHT_RIGHT_FILLED("ci-direction-straight-right-filled", '\ueab6'),
    DIRECTION_U_TURN("ci-direction-u-turn", '\ueaba'),
    DIRECTION_U_TURN_FILLED("ci-direction-u-turn-filled", '\ueab9'),
    DISTRIBUTE_HORIZONTAL_CENTER("ci-distribute-horizontal-center", '\ueabb'),
    DISTRIBUTE_HORIZONTAL_LEFT("ci-distribute-horizontal-left", '\ueabc'),
    DISTRIBUTE_HORIZONTAL_RIGHT("ci-distribute-horizontal-right", '\ueabd'),
    DISTRIBUTE_VERTICAL_BOTTOM("ci-distribute-vertical-bottom", '\ueabe'),
    DISTRIBUTE_VERTICAL_CENTER("ci-distribute-vertical-center", '\ueabf'),
    DISTRIBUTE_VERTICAL_TOP("ci-distribute-vertical-top", '\ueac0'),
    DNA("ci-dna", '\ueac1'),
    DOC("ci-doc", '\ueac2'),
    DOCUMENT("ci-document", '\uead0'),
    DOCUMENT_ADD("ci-document-add", '\ueac3'),
    DOCUMENT_BLANK("ci-document-blank", '\ueac4'),
    DOCUMENT_DOWNLOAD("ci-document-download", '\ueac5'),
    DOCUMENT_EXPORT("ci-document-export", '\ueac6'),
    DOCUMENT_IMPORT("ci-document-import", '\ueac7'),
    DOCUMENT_PDF("ci-document-pdf", '\ueac8'),
    DOCUMENT_SENTIMENT("ci-document-sentiment", '\ueac9'),
    DOCUMENT_SUBTRACT("ci-document-subtract", '\ueaca'),
    DOCUMENT_TASKS("ci-document-tasks", '\ueacb'),
    DOCUMENT_UNKNOWN("ci-document-unknown", '\ueacc'),
    DOCUMENT_VIEW("ci-document-view", '\ueacd'),
    DOCUMENT_WORD_PROCESSOR("ci-document-word-processor", '\ueacf'),
    DOCUMENT_WORD_PROCESSOR_REFERENCE("ci-document-word-processor-reference", '\ueace'),
    DOT_MARK("ci-dot-mark", '\uead1'),
    DOUBLE_INTEGER("ci-double-integer", '\uead2'),
    DOWNLOAD("ci-download", '\uead5'),
    DOWNLOAD_STUDY("ci-download-study", '\uead4'),
    DOWN_TO_BOTTOM("ci-down-to-bottom", '\uead3'),
    DRAGGABLE("ci-draggable", '\uead8'),
    DRAG_HORIZONTAL("ci-drag-horizontal", '\uead6'),
    DRAG_VERTICAL("ci-drag-vertical", '\uead7'),
    DRAW("ci-draw", '\uead9'),
    DRIVER_ANALYSIS("ci-driver-analysis", '\ueada'),
    DROP_PHOTO("ci-drop-photo", '\ueadc'),
    DROP_PHOTO_FILLED("ci-drop-photo-filled", '\ueadb'),
    DROUGHT("ci-drought", '\ueadd'),
    DVR("ci-dvr", '\ueade'),
    EARTH("ci-earth", '\ueae6'),
    EARTHQUAKE("ci-earthquake", '\ueae7'),
    EARTH_AMERICAS("ci-earth-americas", '\ueae0'),
    EARTH_AMERICAS_FILLED("ci-earth-americas-filled", '\ueadf'),
    EARTH_EUROPE_AFRICA("ci-earth-europe-africa", '\ueae2'),
    EARTH_EUROPE_AFRICA_FILLED("ci-earth-europe-africa-filled", '\ueae1'),
    EARTH_FILLED("ci-earth-filled", '\ueae3'),
    EARTH_SOUTHEAST_ASIA("ci-earth-southeast-asia", '\ueae5'),
    EARTH_SOUTHEAST_ASIA_FILLED("ci-earth-southeast-asia-filled", '\ueae4'),
    EDGE_CLUSTER("ci-edge-cluster", '\ueae8'),
    EDGE_DEVICE("ci-edge-device", '\ueae9'),
    EDGE_ENHANCEMENT("ci-edge-enhancement", '\ueaed'),
    EDGE_ENHANCEMENT_01("ci-edge-enhancement-01", '\ueaea'),
    EDGE_ENHANCEMENT_02("ci-edge-enhancement-02", '\ueaeb'),
    EDGE_ENHANCEMENT_03("ci-edge-enhancement-03", '\ueaec'),
    EDGE_NODE("ci-edge-node", '\ueaee'),
    EDGE_SERVICE("ci-edge-service", '\ueaef'),
    EDIT("ci-edit", '\ueaf2'),
    EDIT_FILTER("ci-edit-filter", '\ueaf0'),
    EDIT_OFF("ci-edit-off", '\ueaf1'),
    EDT_LOOP("ci-edt-loop", '\ueaf3'),
    EDUCATION("ci-education", '\ueaf4'),
    EMAIL("ci-email", '\ueaf6'),
    EMAIL_NEW("ci-email-new", '\ueaf5'),
    ENTERPRISE("ci-enterprise", '\ueaf7'),
    ERASE("ci-erase", '\ueaf9'),
    ERASE_3D("ci-erase-3d", '\ueaf8'),
    ERROR("ci-error", '\ueafc'),
    ERROR_FILLED("ci-error-filled", '\ueafa'),
    ERROR_OUTLINE("ci-error-outline", '\ueafb'),
    EVENT("ci-event", '\ueafe'),
    EVENTS("ci-events", '\ueb00'),
    EVENTS_ALT("ci-events-alt", '\ueaff'),
    EVENT_SCHEDULE("ci-event-schedule", '\ueafd'),
    EXAM_MODE("ci-exam-mode", '\ueb01'),
    EXIT("ci-exit", '\ueb02'),
    EXPAND_ALL("ci-expand-all", '\ueb03'),
    EXPAND_CATEGORIES("ci-expand-categories", '\ueb04'),
    EXPORT("ci-export", '\ueb05'),
    EYEDROPPER("ci-eyedropper", '\ueb06'),
    FACE_ACTIVATED("ci-face-activated", '\ueb09'),
    FACE_ACTIVATED_ADD("ci-face-activated-add", '\ueb07'),
    FACE_ACTIVATED_FILLED("ci-face-activated-filled", '\ueb08'),
    FACE_ADD("ci-face-add", '\ueb0a'),
    FACE_COOL("ci-face-cool", '\ueb0b'),
    FACE_DISSATISFIED("ci-face-dissatisfied", '\ueb0d'),
    FACE_DISSATISFIED_FILLED("ci-face-dissatisfied-filled", '\ueb0c'),
    FACE_DIZZY("ci-face-dizzy", '\ueb0f'),
    FACE_DIZZY_FILLED("ci-face-dizzy-filled", '\ueb0e'),
    FACE_MASK("ci-face-mask", '\ueb10'),
    FACE_NEUTRAL("ci-face-neutral", '\ueb12'),
    FACE_NEUTRAL_FILLED("ci-face-neutral-filled", '\ueb11'),
    FACE_PENDING("ci-face-pending", '\ueb14'),
    FACE_PENDING_FILLED("ci-face-pending-filled", '\ueb13'),
    FACE_SATISFIED("ci-face-satisfied", '\ueb16'),
    FACE_SATISFIED_FILLED("ci-face-satisfied-filled", '\ueb15'),
    FACE_WINK("ci-face-wink", '\ueb18'),
    FACE_WINK_FILLED("ci-face-wink-filled", '\ueb17'),
    FACTOR("ci-factor", '\ueb19'),
    FADE("ci-fade", '\ueb1a'),
    FAVORITE("ci-favorite", '\ueb1c'),
    FAVORITE_FILLED("ci-favorite-filled", '\ueb1b'),
    FETCH_UPLOAD("ci-fetch-upload", '\ueb1e'),
    FETCH_UPLOAD_CLOUD("ci-fetch-upload-cloud", '\ueb1d'),
    FILTER("ci-filter", '\ueb22'),
    FILTER_EDIT("ci-filter-edit", '\ueb1f'),
    FILTER_REMOVE("ci-filter-remove", '\ueb20'),
    FILTER_RESET("ci-filter-reset", '\ueb21'),
    FINANCE("ci-finance", '\ueb23'),
    FINGERPRINT_RECOGNITION("ci-fingerprint-recognition", '\ueb24'),
    FIRE("ci-fire", '\ueb25'),
    FISH("ci-fish", '\ueb27'),
    FISH_MULTIPLE("ci-fish-multiple", '\ueb26'),
    FIT_TO_SCREEN("ci-fit-to-screen", '\ueb28'),
    FLAG("ci-flag", '\ueb2a'),
    FLAGGING_TAXI("ci-flagging-taxi", '\ueb2b'),
    FLAG_FILLED("ci-flag-filled", '\ueb29'),
    FLASH("ci-flash", '\ueb2f'),
    FLASH_FILLED("ci-flash-filled", '\ueb2c'),
    FLASH_OFF("ci-flash-off", '\ueb2e'),
    FLASH_OFF_FILLED("ci-flash-off-filled", '\ueb2d'),
    FLIGHT_INTERNATIONAL("ci-flight-international", '\ueb30'),
    FLIGHT_ROSTER("ci-flight-roster", '\ueb31'),
    FLIGHT_SCHEDULE("ci-flight-schedule", '\ueb32'),
    FLOOD("ci-flood", '\ueb34'),
    FLOOD_WARNING("ci-flood-warning", '\ueb33'),
    FLOW("ci-flow", '\ueb3f'),
    FLOW_CONNECTION("ci-flow-connection", '\ueb35'),
    FLOW_DATA("ci-flow-data", '\ueb36'),
    FOG("ci-fog", '\ueb40'),
    FOLDER("ci-folder", '\ueb46'),
    FOLDERS("ci-folders", '\ueb47'),
    FOLDER_ADD("ci-folder-add", '\ueb41'),
    FOLDER_DETAILS("ci-folder-details", '\ueb43'),
    FOLDER_DETAILS_REFERENCE("ci-folder-details-reference", '\ueb42'),
    FOLDER_OFF("ci-folder-off", '\ueb44'),
    FOLDER_SHARED("ci-folder-shared", '\ueb45'),
    FORECAST_HAIL("ci-forecast-hail", '\ueb49'),
    FORECAST_HAIL_30("ci-forecast-hail-30", '\ueb48'),
    FORECAST_LIGHTNING("ci-forecast-lightning", '\ueb4b'),
    FORECAST_LIGHTNING_30("ci-forecast-lightning-30", '\ueb4a'),
    FORK("ci-fork", '\ueb4c'),
    FORUM("ci-forum", '\ueb4d'),
    FORWARD_10("ci-forward-10", '\ueb4f'),
    FORWARD_30("ci-forward-30", '\ueb50'),
    FORWARD_5("ci-forward-5", '\ueb4e'),
    FRAGILE("ci-fragile", '\ueb51'),
    FRUIT_BOWL("ci-fruit-bowl", '\ueb52'),
    FUSION_BLENDER("ci-fusion-blender", '\ueb58'),
    GAME_CONSOLE("ci-game-console", '\ueb59'),
    GAME_WIRELESS("ci-game-wireless", '\ueb5a'),
    GAMIFICATION("ci-gamification", '\ueb5b'),
    GAS_STATION("ci-gas-station", '\ueb5c'),
    GENDER_FEMALE("ci-gender-female", '\ueb5d'),
    GENDER_MALE("ci-gender-male", '\ueb5e'),
    GENERATE_PDF("ci-generate-pdf", '\ueb5f'),
    GIF("ci-gif", '\ueb60'),
    GIFT("ci-gift", '\ueb61'),
    GLOBE("ci-globe", '\ueb62'),
    GRADIENT("ci-gradient", '\ueb63'),
    GRAPHICAL_DATA_FLOW("ci-graphical-data-flow", '\ueb64'),
    GRID("ci-grid", '\ueb65'),
    GROUP("ci-group", '\ueb66'),
    H("ci-h", '\ueb67'),
    HAIL("ci-hail", '\ueb68'),
    HANGING_PROTOCOL("ci-hanging-protocol", '\ueb69'),
    HARBOR("ci-harbor", '\ueb6a'),
    HASHTAG("ci-hashtag", '\ueb6b'),
    HAZE("ci-haze", '\ueb6d'),
    HAZE_NIGHT("ci-haze-night", '\ueb6c'),
    HD("ci-hd", '\ueb6f'),
    HDR("ci-hdr", '\ueb70'),
    HD_FILLED("ci-hd-filled", '\ueb6e'),
    HEADPHONES("ci-headphones", '\ueb71'),
    HEADSET("ci-headset", '\ueb72'),
    HEALTH_CROSS("ci-health-cross", '\ueb73'),
    HEARING("ci-hearing", '\ueb74'),
    HEAT_MAP("ci-heat-map", '\ueb78'),
    HEAT_MAP_02("ci-heat-map-02", '\ueb75'),
    HEAT_MAP_03("ci-heat-map-03", '\ueb76'),
    HEAT_MAP_STOCKS("ci-heat-map-stocks", '\ueb77'),
    HELICOPTER("ci-helicopter", '\ueb79'),
    HELP("ci-help", '\ueb7c'),
    HELP_DESK("ci-help-desk", '\ueb7a'),
    HELP_FILLED("ci-help-filled", '\ueb7b'),
    HINTON_PLOT("ci-hinton-plot", '\ueb7d'),
    HOLE_FILLING("ci-hole-filling", '\ueb7f'),
    HOLE_FILLING_CURSOR("ci-hole-filling-cursor", '\ueb7e'),
    HOME("ci-home", '\ueb80'),
    HOSPITAL("ci-hospital", '\ueb82'),
    HOSPITAL_BED("ci-hospital-bed", '\ueb81'),
    HOTEL("ci-hotel", '\ueb83'),
    HOURGLASS("ci-hourglass", '\ueb84'),
    HTML("ci-html", '\ueb86'),
    HTML_REFERENCE("ci-html-reference", '\ueb85'),
    HTTP("ci-http", '\ueb87'),
    HUMIDITY("ci-humidity", '\ueb89'),
    HUMIDITY_ALT("ci-humidity-alt", '\ueb88'),
    HURRICANE("ci-hurricane", '\ueb8a'),
    HYBRID_NETWORKING("ci-hybrid-networking", '\ueb8b'),
    IBM_CLOUD("ci-ibm-cloud", '\ueb8c'),
    IBM_SECURITY("ci-ibm-security", '\ueb8d'),
    ICA_2D("ci-ica-2d", '\ueb8e'),
    ICE_ACCRETION("ci-ice-accretion", '\ueb8f'),
    ID("ci-id", '\ueb90'),
    IDEA("ci-idea", '\ueb91'),
    IDENTIFICATION("ci-identification", '\ueb92'),
    IMAGE("ci-image", '\ueb96'),
    IMAGE_MEDICAL("ci-image-medical", '\ueb93'),
    IMAGE_REFERENCE("ci-image-reference", '\ueb94'),
    IMAGE_SEARCH("ci-image-search", '\ueb95'),
    IMPROVE_RELEVANCE("ci-improve-relevance", '\ueb97'),
    INCOMPLETE("ci-incomplete", '\ueb9e'),
    INCOMPLETE_CANCEL("ci-incomplete-cancel", '\ueb9b'),
    INCOMPLETE_ERROR("ci-incomplete-error", '\ueb9c'),
    INCOMPLETE_WARNING("ci-incomplete-warning", '\ueb9d'),
    INCREASE_LEVEL("ci-increase-level", '\ueb9f'),
    INDUSTRY("ci-industry", '\ueba0'),
    INFORMATION("ci-information", '\ueba4'),
    INFORMATION_FILLED("ci-information-filled", '\ueba1'),
    INFORMATION_SQUARE("ci-information-square", '\ueba3'),
    INFORMATION_SQUARE_FILLED("ci-information-square-filled", '\ueba2'),
    INSERT("ci-insert", '\ueba6'),
    INSERT_PAGE("ci-insert-page", '\ueba5'),
    INTEGRATION("ci-integration", '\ueba7'),
    INTERACTIONS("ci-interactions", '\ueba8'),
    INTERACTIVE_SEGMENTATION_CURSOR("ci-interactive-segmentation-cursor", '\ueba9'),
    INTERSECT("ci-intersect", '\uebaa'),
    INVENTORY_MANAGEMENT("ci-inventory-management", '\uebab'),
    IN_PROGRESS("ci-in-progress", '\ueb9a'),
    IN_PROGRESS_ERROR("ci-in-progress-error", '\ueb98'),
    IN_PROGRESS_WARNING("ci-in-progress-warning", '\ueb99'),
    IOT_CONNECT("ci-iot-connect", '\uebac'),
    IOT_PLATFORM("ci-iot-platform", '\uebad'),
    ISO("ci-iso", '\uebb0'),
    ISO_FILLED("ci-iso-filled", '\uebae'),
    ISO_OUTLINE("ci-iso-outline", '\uebaf'),
    JOIN_INNER("ci-join-inner", '\uebb1'),
    JOIN_LEFT("ci-join-left", '\uebb2'),
    JOIN_OUTER("ci-join-outer", '\uebb3'),
    JOIN_RIGHT("ci-join-right", '\uebb4'),
    JPG("ci-jpg", '\uebb5'),
    JSON("ci-json", '\uebb7'),
    JSON_REFERENCE("ci-json-reference", '\uebb6'),
    JUMP_LINK("ci-jump-link", '\uebb8'),
    KEEP_DRY("ci-keep-dry", '\uebb9'),
    KEYBOARD("ci-keyboard", '\uebba'),
    LANGUAGE("ci-language", '\uebbb'),
    LAPTOP("ci-laptop", '\uebbc'),
    LASSO("ci-lasso", '\uebbd'),
    LAUNCH("ci-launch", '\uebc1'),
    LAUNCH_STUDY_1("ci-launch-study-1", '\uebbe'),
    LAUNCH_STUDY_2("ci-launch-study-2", '\uebbf'),
    LAUNCH_STUDY_3("ci-launch-study-3", '\uebc0'),
    LAYERS("ci-layers", '\uebc2'),
    LEGEND("ci-legend", '\uebc3'),
    LETTER_AA("ci-letter-aa", '\uebc4'),
    LETTER_BB("ci-letter-bb", '\uebc5'),
    LETTER_CC("ci-letter-cc", '\uebc6'),
    LETTER_DD("ci-letter-dd", '\uebc7'),
    LETTER_EE("ci-letter-ee", '\uebc8'),
    LETTER_FF("ci-letter-ff", '\uebc9'),
    LETTER_GG("ci-letter-gg", '\uebca'),
    LETTER_HH("ci-letter-hh", '\uebcb'),
    LETTER_II("ci-letter-ii", '\uebcc'),
    LETTER_JJ("ci-letter-jj", '\uebcd'),
    LETTER_KK("ci-letter-kk", '\uebce'),
    LETTER_LL("ci-letter-ll", '\uebcf'),
    LETTER_MM("ci-letter-mm", '\uebd0'),
    LETTER_NN("ci-letter-nn", '\uebd1'),
    LETTER_OO("ci-letter-oo", '\uebd2'),
    LETTER_PP("ci-letter-pp", '\uebd3'),
    LETTER_QQ("ci-letter-qq", '\uebd4'),
    LETTER_RR("ci-letter-rr", '\uebd5'),
    LETTER_SS("ci-letter-ss", '\uebd6'),
    LETTER_TT("ci-letter-tt", '\uebd7'),
    LETTER_UU("ci-letter-uu", '\uebd8'),
    LETTER_VV("ci-letter-vv", '\uebd9'),
    LETTER_WW("ci-letter-ww", '\uebda'),
    LETTER_XX("ci-letter-xx", '\uebdb'),
    LETTER_YY("ci-letter-yy", '\uebdc'),
    LETTER_ZZ("ci-letter-zz", '\uebdd'),
    LICENSE("ci-license", '\uebe4'),
    LICENSE_DRAFT("ci-license-draft", '\uebde'),
    LICENSE_GLOBAL("ci-license-global", '\uebdf'),
    LICENSE_MAINTENANCE("ci-license-maintenance", '\uebe1'),
    LICENSE_MAINTENANCE_DRAFT("ci-license-maintenance-draft", '\uebe0'),
    LICENSE_THIRD_PARTY("ci-license-third-party", '\uebe3'),
    LICENSE_THIRD_PARTY_DRAFT("ci-license-third-party-draft", '\uebe2'),
    LIGHT("ci-light", '\uebe6'),
    LIGHTNING("ci-lightning", '\uebe7'),
    LIGHT_FILLED("ci-light-filled", '\uebe5'),
    LINK("ci-link", '\uebe8'),
    LINUX("ci-linux", '\uebea'),
    LINUX_ALT("ci-linux-alt", '\uebe9'),
    LIST("ci-list", '\uebf0'),
    LIST_BOXES("ci-list-boxes", '\uebeb'),
    LIST_BULLETED("ci-list-bulleted", '\uebec'),
    LIST_CHECKED("ci-list-checked", '\uebed'),
    LIST_DROPDOWN("ci-list-dropdown", '\uebee'),
    LIST_NUMBERED("ci-list-numbered", '\uebef'),
    LOCATION("ci-location", '\uebfb'),
    LOCATION_COMPANY("ci-location-company", '\uebf2'),
    LOCATION_COMPANY_FILLED("ci-location-company-filled", '\uebf1'),
    LOCATION_HAZARD("ci-location-hazard", '\uebf4'),
    LOCATION_HAZARD_FILLED("ci-location-hazard-filled", '\uebf3'),
    LOCATION_HEART("ci-location-heart", '\uebf6'),
    LOCATION_HEART_FILLED("ci-location-heart-filled", '\uebf5'),
    LOCATION_PERSON("ci-location-person", '\uebf8'),
    LOCATION_PERSON_FILLED("ci-location-person-filled", '\uebf7'),
    LOCATION_STAR("ci-location-star", '\uebfa'),
    LOCATION_STAR_FILLED("ci-location-star-filled", '\uebf9'),
    LOCKED("ci-locked", '\uebfc'),
    LOGIN("ci-login", '\uebfd'),
    LOGOUT("ci-logout", '\uec17'),
    LOGO_DIGG("ci-logo-digg", '\uebfe'),
    LOGO_FACEBOOK("ci-logo-facebook", '\uebff'),
    LOGO_FLICKR("ci-logo-flickr", '\uec00'),
    LOGO_GITHUB("ci-logo-github", '\uec01'),
    LOGO_GLASSDOOR("ci-logo-glassdoor", '\uec02'),
    LOGO_INSTAGRAM("ci-logo-instagram", '\uec03'),
    LOGO_JUPYTER("ci-logo-jupyter", '\uec04'),
    LOGO_KEYBASE("ci-logo-keybase", '\uec05'),
    LOGO_LINKEDIN("ci-logo-linkedin", '\uec06'),
    LOGO_LIVESTREAM("ci-logo-livestream", '\uec07'),
    LOGO_MEDIUM("ci-logo-medium", '\uec08'),
    LOGO_OPENSHIFT("ci-logo-openshift", '\uec09'),
    LOGO_PINTEREST("ci-logo-pinterest", '\uec0a'),
    LOGO_PYTHON("ci-logo-python", '\uec0b'),
    LOGO_QUORA("ci-logo-quora", '\uec0c'),
    LOGO_R_SCRIPT("ci-logo-r-script", '\uec0d'),
    LOGO_SKYPE("ci-logo-skype", '\uec0e'),
    LOGO_SLACK("ci-logo-slack", '\uec0f'),
    LOGO_SNAPCHAT("ci-logo-snapchat", '\uec10'),
    LOGO_TUMBLR("ci-logo-tumblr", '\uec11'),
    LOGO_TWITTER("ci-logo-twitter", '\uec12'),
    LOGO_VMWARE("ci-logo-vmware", '\uec13'),
    LOGO_XING("ci-logo-xing", '\uec14'),
    LOGO_YELP("ci-logo-yelp", '\uec15'),
    LOGO_YOUTUBE("ci-logo-youtube", '\uec16'),
    LOOP("ci-loop", '\uec18'),
    MACHINE_LEARNING("ci-machine-learning", '\uec1d'),
    MACHINE_LEARNING_MODEL("ci-machine-learning-model", '\uec1c'),
    MAC_COMMAND("ci-mac-command", '\uec19'),
    MAC_OPTION("ci-mac-option", '\uec1a'),
    MAC_SHIFT("ci-mac-shift", '\uec1b'),
    MAGIC_WAND("ci-magic-wand", '\uec1f'),
    MAGIC_WAND_FILLED("ci-magic-wand-filled", '\uec1e'),
    MAGNIFY("ci-magnify", '\uec20'),
    MAIL_ALL("ci-mail-all", '\uec21'),
    MAIL_REPLY("ci-mail-reply", '\uec22'),
    MAMMOGRAM("ci-mammogram", '\uec23'),
    MANAGED_SOLUTIONS("ci-managed-solutions", '\uec25'),
    MANAGE_PROTECTION("ci-manage-protection", '\uec24'),
    MAP("ci-map", '\uec27'),
    MAP_BOUNDARY("ci-map-boundary", '\uec26'),
    MARINE_WARNING("ci-marine-warning", '\uec28'),
    MATH_CURVE("ci-math-curve", '\uec29'),
    MATRIX("ci-matrix", '\uec2a'),
    MAXIMIZE("ci-maximize", '\uec2b'),
    MEDICATION("ci-medication", '\uec2e'),
    MEDICATION_ALERT("ci-medication-alert", '\uec2c'),
    MEDICATION_REMINDER("ci-medication-reminder", '\uec2d'),
    MENU("ci-menu", '\uec2f'),
    METER("ci-meter", '\uec31'),
    METER_ALT("ci-meter-alt", '\uec30'),
    MICROPHONE("ci-microphone", '\uec35'),
    MICROPHONE_FILLED("ci-microphone-filled", '\uec32'),
    MICROPHONE_OFF("ci-microphone-off", '\uec34'),
    MICROPHONE_OFF_FILLED("ci-microphone-off-filled", '\uec33'),
    MICROSCOPE("ci-microscope", '\uec36'),
    MIGRATE("ci-migrate", '\uec38'),
    MIGRATE_ALT("ci-migrate-alt", '\uec37'),
    MILESTONE("ci-milestone", '\uec39'),
    MINIMIZE("ci-minimize", '\uec3a'),
    MISUSE("ci-misuse", '\uec3d'),
    MISUSE_ALT("ci-misuse-alt", '\uec3b'),
    MISUSE_OUTLINE("ci-misuse-outline", '\uec3c'),
    MIXED_RAIN_HAIL("ci-mixed-rain-hail", '\uec3e'),
    MOBILE("ci-mobile", '\uec44'),
    MOBILE_ADD("ci-mobile-add", '\uec3f'),
    MOBILE_AUDIO("ci-mobile-audio", '\uec40'),
    MOBILE_CHECK("ci-mobile-check", '\uec41'),
    MOBILE_DOWNLOAD("ci-mobile-download", '\uec42'),
    MOBILE_LANDSCAPE("ci-mobile-landscape", '\uec43'),
    MODEL("ci-model", '\uec49'),
    MODEL_ALT("ci-model-alt", '\uec45'),
    MODEL_BUILDER("ci-model-builder", '\uec47'),
    MODEL_BUILDER_REFERENCE("ci-model-builder-reference", '\uec46'),
    MODEL_REFERENCE("ci-model-reference", '\uec48'),
    MONEY("ci-money", '\uec4a'),
    MONSTER("ci-monster", '\uec4b'),
    MONUMENT("ci-monument", '\uec4c'),
    MOON("ci-moon", '\uec4d'),
    MOSTLY_CLOUDY("ci-mostly-cloudy", '\uec4f'),
    MOSTLY_CLOUDY_NIGHT("ci-mostly-cloudy-night", '\uec4e'),
    MOUNTAIN("ci-mountain", '\uec50'),
    MOV("ci-mov", '\uec51'),
    MOVE("ci-move", '\uec52'),
    MOVEMENT("ci-movement", '\uec53'),
    MP3("ci-mp3", '\uec54'),
    MP4("ci-mp4", '\uec55'),
    MPEG("ci-mpeg", '\uec56'),
    MPG2("ci-mpg2", '\uec57'),
    MUSIC("ci-music", '\uec58'),
    NAME_SPACE("ci-name-space", '\uec59'),
    NAVAID_CIVIL("ci-navaid-civil", '\uec5a'),
    NAVAID_DME("ci-navaid-dme", '\uec5b'),
    NAVAID_HELIPAD("ci-navaid-helipad", '\uec5c'),
    NAVAID_MILITARY("ci-navaid-military", '\uec5e'),
    NAVAID_MILITARY_CIVIL("ci-navaid-military-civil", '\uec5d'),
    NAVAID_NDB("ci-navaid-ndb", '\uec75'),
    NAVAID_PRIVATE("ci-navaid-private", '\uec76'),
    NAVAID_SEAPLANE("ci-navaid-seaplane", '\uec77'),
    NAVAID_TACAN("ci-navaid-tacan", '\uec78'),
    NAVAID_VHFOR("ci-navaid-vhfor", '\uec79'),
    NAVAID_VORTAC("ci-navaid-vortac", '\uec7e'),
    NETWORK_1("ci-network-1", '\uec7f'),
    NETWORK_2("ci-network-2", '\uec80'),
    NETWORK_3("ci-network-3", '\uec82'),
    NETWORK_3_REFERENCE("ci-network-3-reference", '\uec81'),
    NETWORK_4("ci-network-4", '\uec83'),
    NEW_TAB("ci-new-tab", '\uec84'),
    NEXT_FILLED("ci-next-filled", '\uec85'),
    NEXT_OUTLINE("ci-next-outline", '\uec86'),
    NOMINAL("ci-nominal", '\uec89'),
    NOMINATE("ci-nominate", '\uec8a'),
    NON_CERTIFIED("ci-non-certified", '\uec8b'),
    NOODLE_BOWL("ci-noodle-bowl", '\uec8c'),
    NOTEBOOK("ci-notebook", '\uec91'),
    NOTEBOOK_REFERENCE("ci-notebook-reference", '\uec90'),
    NOTIFICATION("ci-notification", '\uec96'),
    NOTIFICATION_FILLED("ci-notification-filled", '\uec92'),
    NOTIFICATION_NEW("ci-notification-new", '\uec93'),
    NOTIFICATION_OFF("ci-notification-off", '\uec95'),
    NOTIFICATION_OFF_FILLED("ci-notification-off-filled", '\uec94'),
    NOT_AVAILABLE("ci-not-available", '\uec8d'),
    NOT_SENT("ci-not-sent", '\uec8f'),
    NOT_SENT_FILLED("ci-not-sent-filled", '\uec8e'),
    NO_IMAGE("ci-no-image", '\uec87'),
    NO_TICKET("ci-no-ticket", '\uec88'),
    NUMBER_0("ci-number-0", '\uec97'),
    NUMBER_1("ci-number-1", '\uec98'),
    NUMBER_2("ci-number-2", '\uec99'),
    NUMBER_3("ci-number-3", '\uec9a'),
    NUMBER_4("ci-number-4", '\uec9b'),
    NUMBER_5("ci-number-5", '\uec9c'),
    NUMBER_6("ci-number-6", '\uec9d'),
    NUMBER_7("ci-number-7", '\uec9e'),
    NUMBER_8("ci-number-8", '\uec9f'),
    NUMBER_9("ci-number-9", '\ueca0'),
    NUMBER_SMALL_0("ci-number-small-0", '\ueca1'),
    NUMBER_SMALL_1("ci-number-small-1", '\ueca2'),
    NUMBER_SMALL_2("ci-number-small-2", '\ueca3'),
    NUMBER_SMALL_3("ci-number-small-3", '\ueca4'),
    NUMBER_SMALL_4("ci-number-small-4", '\ueca5'),
    NUMBER_SMALL_5("ci-number-small-5", '\ueca6'),
    NUMBER_SMALL_6("ci-number-small-6", '\ueca7'),
    NUMBER_SMALL_7("ci-number-small-7", '\ueca8'),
    NUMBER_SMALL_8("ci-number-small-8", '\ueca9'),
    NUMBER_SMALL_9("ci-number-small-9", '\uecaa'),
    OBJECT_STORAGE("ci-object-storage", '\uecab'),
    OBSERVED_HAIL("ci-observed-hail", '\uecac'),
    OBSERVED_LIGHTNING("ci-observed-lightning", '\uecad'),
    OMEGA("ci-omega", '\uecae'),
    OPACITY("ci-opacity", '\uecaf'),
    OPEN_PANEL_BOTTOM("ci-open-panel-bottom", '\uecb0'),
    OPEN_PANEL_FILLED_BOTTOM("ci-open-panel-filled-bottom", '\uecb1'),
    OPEN_PANEL_FILLED_LEFT("ci-open-panel-filled-left", '\uecb2'),
    OPEN_PANEL_FILLED_RIGHT("ci-open-panel-filled-right", '\uecb3'),
    OPEN_PANEL_FILLED_TOP("ci-open-panel-filled-top", '\uecb4'),
    OPEN_PANEL_LEFT("ci-open-panel-left", '\uecb5'),
    OPEN_PANEL_RIGHT("ci-open-panel-right", '\uecb6'),
    OPEN_PANEL_TOP("ci-open-panel-top", '\uecb7'),
    OPERATION("ci-operation", '\uecba'),
    OPERATIONS_FIELD("ci-operations-field", '\uecbb'),
    OPERATIONS_RECORD("ci-operations-record", '\uecbc'),
    OPERATION_GAUGE("ci-operation-gauge", '\uecb8'),
    OPERATION_IF("ci-operation-if", '\uecb9'),
    ORDINAL("ci-ordinal", '\uecbd'),
    OUTAGE("ci-outage", '\uecbe'),
    OUTLOOK_SEVERE("ci-outlook-severe", '\uecbf'),
    OVERFLOW_MENU_HORIZONTAL("ci-overflow-menu-horizontal", '\uecc0'),
    OVERFLOW_MENU_VERTICAL("ci-overflow-menu-vertical", '\uecc1'),
    OVERLAY("ci-overlay", '\uecc2'),
    PACKAGE("ci-package", '\uecc3'),
    PAGE_BREAK("ci-page-break", '\uecc4'),
    PAGE_FIRST("ci-page-first", '\uecc5'),
    PAGE_LAST("ci-page-last", '\uecc6'),
    PAGE_NUMBER("ci-page-number", '\uecc7'),
    PAGE_SCROLL("ci-page-scroll", '\uecc8'),
    PAINT_BRUSH("ci-paint-brush", '\uecca'),
    PAINT_BRUSH_ALT("ci-paint-brush-alt", '\uecc9'),
    PALM_TREE("ci-palm-tree", '\ueccb'),
    PANEL_EXPANSION("ci-panel-expansion", '\uecce'),
    PAN_HORIZONTAL("ci-pan-horizontal", '\ueccc'),
    PAN_VERTICAL("ci-pan-vertical", '\ueccd'),
    PARAGRAPH("ci-paragraph", '\ueccf'),
    PARENT_CHILD("ci-parent-child", '\uecd0'),
    PARTLY_CLOUDY("ci-partly-cloudy", '\uecd2'),
    PARTLY_CLOUDY_NIGHT("ci-partly-cloudy-night", '\uecd1'),
    PARTNERSHIP("ci-partnership", '\uecd3'),
    PASSENGER_DRINKS("ci-passenger-drinks", '\uecd4'),
    PASSENGER_PLUS("ci-passenger-plus", '\uecd5'),
    PASSWORD("ci-password", '\uecd6'),
    PASTE("ci-paste", '\uecd7'),
    PAUSE("ci-pause", '\uecdd'),
    PAUSE_FILLED("ci-pause-filled", '\uecd8'),
    PAUSE_FUTURE("ci-pause-future", '\uecd9'),
    PAUSE_OUTLINE("ci-pause-outline", '\uecdb'),
    PAUSE_OUTLINE_FILLED("ci-pause-outline-filled", '\uecda'),
    PAUSE_PAST("ci-pause-past", '\uecdc'),
    PDF("ci-pdf", '\uecdf'),
    PDF_REFERENCE("ci-pdf-reference", '\uecde'),
    PEDESTRIAN("ci-pedestrian", '\uece1'),
    PEDESTRIAN_CHILD("ci-pedestrian-child", '\uece0'),
    PENDING("ci-pending", '\uece3'),
    PENDING_FILLED("ci-pending-filled", '\uece2'),
    PERCENTAGE("ci-percentage", '\uece5'),
    PERCENTAGE_FILLED("ci-percentage-filled", '\uece4'),
    PERSON("ci-person", '\uece7'),
    PERSON_FAVORITE("ci-person-favorite", '\uece6'),
    PEST("ci-pest", '\uece8'),
    PET_IMAGE_B("ci-pet-image-b", '\uece9'),
    PET_IMAGE_O("ci-pet-image-o", '\uecea'),
    PHONE("ci-phone", '\uecee'),
    PHONE_FILLED("ci-phone-filled", '\ueceb'),
    PHONE_OFF("ci-phone-off", '\ueced'),
    PHONE_OFF_FILLED("ci-phone-off-filled", '\uecec'),
    PHRASE_SENTIMENT("ci-phrase-sentiment", '\uecef'),
    PICNIC_AREA("ci-picnic-area", '\uecf0'),
    PILLS("ci-pills", '\uecf3'),
    PILLS_ADD("ci-pills-add", '\uecf1'),
    PILLS_SUBTRACT("ci-pills-subtract", '\uecf2'),
    PIN("ci-pin", '\uecf5'),
    PIN_FILLED("ci-pin-filled", '\uecf4'),
    PLANE("ci-plane", '\uecf8'),
    PLANE_PRIVATE("ci-plane-private", '\uecf6'),
    PLANE_SEA("ci-plane-sea", '\uecf7'),
    PLAY("ci-play", '\uecfd'),
    PLAYLIST("ci-playlist", '\uecfe'),
    PLAY_FILLED("ci-play-filled", '\uecfa'),
    PLAY_FILLED_ALT("ci-play-filled-alt", '\uecf9'),
    PLAY_OUTLINE("ci-play-outline", '\uecfc'),
    PLAY_OUTLINE_FILLED("ci-play-outline-filled", '\uecfb'),
    PLUG("ci-plug", '\ued00'),
    PLUG_FILLED("ci-plug-filled", '\uecff'),
    PNG("ci-png", '\ued01'),
    POINTER_TEXT("ci-pointer-text", '\ued02'),
    POLICE("ci-police", '\ued03'),
    POLICY("ci-policy", '\ued04'),
    POPUP("ci-popup", '\ued05'),
    PORTFOLIO("ci-portfolio", '\ued06'),
    POWER("ci-power", '\ued07'),
    PPT("ci-ppt", '\ued08'),
    PRESENTATION_FILE("ci-presentation-file", '\ued09'),
    PRESSURE("ci-pressure", '\ued0b'),
    PRESSURE_FILLED("ci-pressure-filled", '\ued0a'),
    PREVIOUS_FILLED("ci-previous-filled", '\ued0c'),
    PREVIOUS_OUTLINE("ci-previous-outline", '\ued0d'),
    PRINTER("ci-printer", '\ued0e'),
    PRODUCT("ci-product", '\ued0f'),
    PURCHASE("ci-purchase", '\ued10'),
    QQ_PLOT("ci-qq-plot", '\ued11'),
    QR_CODE("ci-qr-code", '\ued12'),
    QUADRANT_PLOT("ci-quadrant-plot", '\ued13'),
    QUERY("ci-query", '\ued15'),
    QUERY_QUEUE("ci-query-queue", '\ued14'),
    QUEUED("ci-queued", '\ued16'),
    QUOTES("ci-quotes", '\ued17'),
    RADAR("ci-radar", '\ued1a'),
    RADAR_ENHANCED("ci-radar-enhanced", '\ued18'),
    RADAR_WEATHER("ci-radar-weather", '\ued19'),
    RADIO("ci-radio", '\ued1d'),
    RADIO_BUTTON("ci-radio-button", '\ued1c'),
    RADIO_BUTTON_CHECKED("ci-radio-button-checked", '\ued1b'),
    RAIN("ci-rain", '\ued23'),
    RAIN_DRIZZLE("ci-rain-drizzle", '\ued1e'),
    RAIN_DROP("ci-rain-drop", '\ued1f'),
    RAIN_HEAVY("ci-rain-heavy", '\ued20'),
    RAIN_SCATTERED("ci-rain-scattered", '\ued22'),
    RAIN_SCATTERED_NIGHT("ci-rain-scattered-night", '\ued21'),
    RAW("ci-raw", '\ued24'),
    RECEIPT("ci-receipt", '\ued25'),
    RECENTLY_VIEWED("ci-recently-viewed", '\ued26'),
    RECOMMEND("ci-recommend", '\ued27'),
    RECORDING("ci-recording", '\ued2a'),
    RECORDING_FILLED("ci-recording-filled", '\ued29'),
    RECORDING_FILLED_ALT("ci-recording-filled-alt", '\ued28'),
    REDO("ci-redo", '\ued2b'),
    REFLECT_HORIZONTAL("ci-reflect-horizontal", '\ued2d'),
    REFLECT_VERTICAL("ci-reflect-vertical", '\ued2e'),
    REF_EVAPOTRANSPIRATION("ci-ref-evapotranspiration", '\ued2c'),
    REGION_ANALYSIS_AREA("ci-region-analysis-area", '\ued2f'),
    REGION_ANALYSIS_VOLUME("ci-region-analysis-volume", '\ued30'),
    REGISTRATION("ci-registration", '\ued31'),
    REMINDER("ci-reminder", '\ued33'),
    REMINDER_MEDICAL("ci-reminder-medical", '\ued32'),
    RENEW("ci-renew", '\ued34'),
    REPEAT("ci-repeat", '\ued36'),
    REPEAT_ONE("ci-repeat-one", '\ued35'),
    REPLY("ci-reply", '\ued37'),
    REPORT("ci-report", '\ued39'),
    REPORT_DATA("ci-report-data", '\ued38'),
    REQUEST_QUOTE("ci-request-quote", '\ued3a'),
    RESEARCH_BLOCH_SPHERE("ci-research-bloch-sphere", '\ued3b'),
    RESEARCH_HINTON_PLOT("ci-research-hinton-plot", '\ued3c'),
    RESEARCH_MATRIX("ci-research-matrix", '\ued3d'),
    RESET("ci-reset", '\ued3f'),
    RESET_ALT("ci-reset-alt", '\ued3e'),
    RESTART("ci-restart", '\ued40'),
    RESTAURANT("ci-restaurant", '\ued42'),
    RESTAURANT_FINE("ci-restaurant-fine", '\ued41'),
    REWIND_10("ci-rewind-10", '\ued44'),
    REWIND_30("ci-rewind-30", '\ued45'),
    REWIND_5("ci-rewind-5", '\ued43'),
    ROAD("ci-road", '\ued47'),
    ROADMAP("ci-roadmap", '\ued48'),
    ROAD_WEATHER("ci-road-weather", '\ued46'),
    ROCKET("ci-rocket", '\ued49'),
    ROTATE("ci-rotate", '\ued54'),
    ROTATE_180("ci-rotate-180", '\ued4a'),
    ROTATE_360("ci-rotate-360", '\ued4b'),
    ROTATE_CLOCKWISE("ci-rotate-clockwise", '\ued4f'),
    ROTATE_CLOCKWISE_ALT("ci-rotate-clockwise-alt", '\ued4d'),
    ROTATE_CLOCKWISE_ALT_FILLED("ci-rotate-clockwise-alt-filled", '\ued4c'),
    ROTATE_CLOCKWISE_FILLED("ci-rotate-clockwise-filled", '\ued4e'),
    ROTATE_COUNTERCLOCKWISE("ci-rotate-counterclockwise", '\ued53'),
    ROTATE_COUNTERCLOCKWISE_ALT("ci-rotate-counterclockwise-alt", '\ued51'),
    ROTATE_COUNTERCLOCKWISE_ALT_FILLED("ci-rotate-counterclockwise-alt-filled", '\ued50'),
    ROTATE_COUNTERCLOCKWISE_FILLED("ci-rotate-counterclockwise-filled", '\ued52'),
    ROW("ci-row", '\ued59'),
    ROW_COLLAPSE("ci-row-collapse", '\ued55'),
    ROW_DELETE("ci-row-delete", '\ued56'),
    ROW_EXPAND("ci-row-expand", '\ued57'),
    ROW_INSERT("ci-row-insert", '\ued58'),
    RSS("ci-rss", '\ued5a'),
    RULE("ci-rule", '\ued5b'),
    RULER("ci-ruler", '\ued5d'),
    RULER_ALT("ci-ruler-alt", '\ued5c'),
    RUN("ci-run", '\ued5e'),
    S("ci-s", '\ued60'),
    SAILBOAT_COASTAL("ci-sailboat-coastal", '\ued61'),
    SAILBOAT_OFFSHORE("ci-sailboat-offshore", '\ued62'),
    SANKEY_DIAGRAM("ci-sankey-diagram", '\ued63'),
    SATELLITE("ci-satellite", '\ued66'),
    SATELLITE_RADAR("ci-satellite-radar", '\ued64'),
    SATELLITE_WEATHER("ci-satellite-weather", '\ued65'),
    SAVE("ci-save", '\ued6b'),
    SAVE_ANNOTATION("ci-save-annotation", '\ued67'),
    SAVE_IMAGE("ci-save-image", '\ued68'),
    SAVE_MODEL("ci-save-model", '\ued69'),
    SAVE_SERIES("ci-save-series", '\ued6a'),
    SCALE("ci-scale", '\ued6c'),
    SCALES("ci-scales", '\ued6e'),
    SCALES_TIPPED("ci-scales-tipped", '\ued6d'),
    SCALPEL("ci-scalpel", '\ued72'),
    SCALPEL_CURSOR("ci-scalpel-cursor", '\ued6f'),
    SCALPEL_LASSO("ci-scalpel-lasso", '\ued70'),
    SCALPEL_SELECT("ci-scalpel-select", '\ued71'),
    SCAN("ci-scan", '\ued73'),
    SCATTER_MATRIX("ci-scatter-matrix", '\ued74'),
    SCHEMATICS("ci-schematics", '\ued75'),
    SCOOTER("ci-scooter", '\ued77'),
    SCOOTER_FRONT("ci-scooter-front", '\ued76'),
    SCREEN("ci-screen", '\ued79'),
    SCREEN_OFF("ci-screen-off", '\ued78'),
    SCRIPT("ci-script", '\ued7b'),
    SCRIPT_REFERENCE("ci-script-reference", '\ued7a'),
    SDK("ci-sdk", '\ued7c'),
    SEARCH("ci-search", '\ued7d'),
    SECURITY("ci-security", '\ued7e'),
    SELECT_01("ci-select-01", '\ued7f'),
    SELECT_02("ci-select-02", '\ued80'),
    SEND("ci-send", '\ued85'),
    SEND_ALT("ci-send-alt", '\ued82'),
    SEND_ALT_FILLED("ci-send-alt-filled", '\ued81'),
    SEND_FILLED("ci-send-filled", '\ued83'),
    SEND_TO_BACK("ci-send-to-back", '\ued84'),
    SERVICE_DESK("ci-service-desk", '\ued86'),
    SETTINGS("ci-settings", '\ued89'),
    SETTINGS_ADJUST("ci-settings-adjust", '\ued87'),
    SETTINGS_CHECK("ci-settings-check", '\ued88'),
    SHARE("ci-share", '\ued8b'),
    SHARE_KNOWLEDGE("ci-share-knowledge", '\ued8a'),
    SHOPPING_BAG("ci-shopping-bag", '\ued8c'),
    SHOPPING_CART("ci-shopping-cart", '\ued8d'),
    SHOPPING_CATALOG("ci-shopping-catalog", '\ued8e'),
    SHRINK_SCREEN("ci-shrink-screen", '\ued90'),
    SHRINK_SCREEN_FILLED("ci-shrink-screen-filled", '\ued8f'),
    SHUFFLE("ci-shuffle", '\ued91'),
    SHUTTLE("ci-shuttle", '\ued92'),
    SIGMA("ci-sigma", '\ued93'),
    SIGNAL_STRENGTH("ci-signal-strength", '\ued94'),
    SKILL_LEVEL("ci-skill-level", '\ued98'),
    SKILL_LEVEL_ADVANCED("ci-skill-level-advanced", '\ued95'),
    SKILL_LEVEL_BASIC("ci-skill-level-basic", '\ued96'),
    SKILL_LEVEL_INTERMEDIATE("ci-skill-level-intermediate", '\ued97'),
    SKIP_BACK("ci-skip-back", '\ued9e'),
    SKIP_BACK_FILLED("ci-skip-back-filled", '\ued99'),
    SKIP_BACK_OUTLINE("ci-skip-back-outline", '\ued9c'),
    SKIP_BACK_OUTLINE_FILLED("ci-skip-back-outline-filled", '\ued9a'),
    SKIP_BACK_OUTLINE_SOLID("ci-skip-back-outline-solid", '\ued9b'),
    SKIP_BACK_SOLID_FILLED("ci-skip-back-solid-filled", '\ued9d'),
    SKIP_FORWARD("ci-skip-forward", '\ueda4'),
    SKIP_FORWARD_FILLED("ci-skip-forward-filled", '\ued9f'),
    SKIP_FORWARD_OUTLINE("ci-skip-forward-outline", '\ueda2'),
    SKIP_FORWARD_OUTLINE_FILLED("ci-skip-forward-outline-filled", '\ueda0'),
    SKIP_FORWARD_OUTLINE_SOLID("ci-skip-forward-outline-solid", '\ueda1'),
    SKIP_FORWARD_SOLID_FILLED("ci-skip-forward-solid-filled", '\ueda3'),
    SLEET("ci-sleet", '\ueda5'),
    SMELL("ci-smell", '\ueda6'),
    SMOKE("ci-smoke", '\ueda7'),
    SMOOTHING("ci-smoothing", '\ueda9'),
    SMOOTHING_CURSOR("ci-smoothing-cursor", '\ueda8'),
    SNOOZE("ci-snooze", '\uedaa'),
    SNOW("ci-snow", '\uedb0'),
    SNOWFLAKE("ci-snowflake", '\uedb1'),
    SNOW_BLIZZARD("ci-snow-blizzard", '\uedab'),
    SNOW_DENSITY("ci-snow-density", '\uedac'),
    SNOW_HEAVY("ci-snow-heavy", '\uedad'),
    SNOW_SCATTERED("ci-snow-scattered", '\uedaf'),
    SNOW_SCATTERED_NIGHT("ci-snow-scattered-night", '\uedae'),
    SOCCER("ci-soccer", '\uedb2'),
    SOIL_MOISTURE("ci-soil-moisture", '\uedb5'),
    SOIL_MOISTURE_FIELD("ci-soil-moisture-field", '\uedb3'),
    SOIL_MOISTURE_GLOBAL("ci-soil-moisture-global", '\uedb4'),
    SOIL_TEMPERATURE("ci-soil-temperature", '\uedb8'),
    SOIL_TEMPERATURE_FIELD("ci-soil-temperature-field", '\uedb6'),
    SOIL_TEMPERATURE_GLOBAL("ci-soil-temperature-global", '\uedb7'),
    SPELL_CHECK("ci-spell-check", '\uedb9'),
    SPINE_LABEL("ci-spine-label", '\uedba'),
    SPLIT("ci-split", '\uedbd'),
    SPLIT_DISCARD("ci-split-discard", '\uedbb'),
    SPLIT_SCREEN("ci-split-screen", '\uedbc'),
    SPRAY_PAINT("ci-spray-paint", '\uedbe'),
    SPROUT("ci-sprout", '\uedbf'),
    SQL("ci-sql", '\uedc0'),
    STACKED_MOVE("ci-stacked-move", '\uedc2'),
    STACKED_SCROLLING_1("ci-stacked-scrolling-1", '\uedc3'),
    STACKED_SCROLLING_2("ci-stacked-scrolling-2", '\uedc4'),
    STACK_LIMITATION("ci-stack-limitation", '\uedc1'),
    STAMP("ci-stamp", '\uedc5'),
    STAR("ci-star", '\uedc9'),
    STAR_FILLED("ci-star-filled", '\uedc6'),
    STAR_HALF("ci-star-half", '\uedc7'),
    STAR_REVIEW("ci-star-review", '\uedc8'),
    STAY_INSIDE("ci-stay-inside", '\uedca'),
    STEM_LEAF_PLOT("ci-stem-leaf-plot", '\uedcb'),
    STETHOSCOPE("ci-stethoscope", '\uedcc'),
    STOP("ci-stop", '\uedd1'),
    STOP_FILLED("ci-stop-filled", '\uedce'),
    STOP_FILLED_ALT("ci-stop-filled-alt", '\uedcd'),
    STOP_OUTLINE("ci-stop-outline", '\uedd0'),
    STOP_OUTLINE_FILLED("ci-stop-outline-filled", '\uedcf'),
    STORAGE_REQUEST("ci-storage-request", '\uedd2'),
    STORE("ci-store", '\uedd3'),
    STORM_TRACKER("ci-storm-tracker", '\uedd4'),
    STRAWBERRY("ci-strawberry", '\uedd5'),
    STRESS_BREATH_EDITOR("ci-stress-breath-editor", '\uedd6'),
    STRING_INTEGER("ci-string-integer", '\uedd7'),
    STRING_TEXT("ci-string-text", '\uedd8'),
    STUDY_NEXT("ci-study-next", '\uedd9'),
    STUDY_PREVIOUS("ci-study-previous", '\uedda'),
    STUDY_SKIP("ci-study-skip", '\ueddb'),
    SUBTRACT("ci-subtract", '\uedde'),
    SUBTRACT_ALT("ci-subtract-alt", '\ueddd'),
    SUB_VOLUME("ci-sub-volume", '\ueddc'),
    SUMMARY_KPI("ci-summary-kpi", '\ueddf'),
    SUN("ci-sun", '\uede0'),
    SUNNY("ci-sunny", '\uede1'),
    SUNRISE("ci-sunrise", '\uede2'),
    SUNSET("ci-sunset", '\uede3'),
    SVG("ci-svg", '\uede4'),
    SWIM("ci-swim", '\uede5'),
    SWITCHER("ci-switcher", '\uede6'),
    SYS_PROVISION("ci-sys-provision", '\uede7'),
    S_ALT("ci-s-alt", '\ued5f'),
    T("ci-t", '\uede9'),
    TABLE("ci-table", '\uedec'),
    TABLET("ci-tablet", '\uedee'),
    TABLET_LANDSCAPE("ci-tablet-landscape", '\ueded'),
    TABLE_OF_CONTENTS("ci-table-of-contents", '\uedea'),
    TABLE_SPLIT("ci-table-split", '\uedeb'),
    TAG("ci-tag", '\uedf1'),
    TAG_EDIT("ci-tag-edit", '\uedef'),
    TAG_GROUP("ci-tag-group", '\uedf0'),
    TASK("ci-task", '\uedf3'),
    TASK_VIEW("ci-task-view", '\uedf2'),
    TASTE("ci-taste", '\uedf4'),
    TAXI("ci-taxi", '\uedf5'),
    TEMPERATURE("ci-temperature", '\uedfd'),
    TEMPERATURE_FEELS_LIKE("ci-temperature-feels-like", '\uedf6'),
    TEMPERATURE_FRIGID("ci-temperature-frigid", '\uedf7'),
    TEMPERATURE_HOT("ci-temperature-hot", '\uedf8'),
    TEMPERATURE_INVERSION("ci-temperature-inversion", '\uedf9'),
    TEMPERATURE_MAX("ci-temperature-max", '\uedfa'),
    TEMPERATURE_MIN("ci-temperature-min", '\uedfb'),
    TEMPERATURE_WATER("ci-temperature-water", '\uedfc'),
    TEMPLATE("ci-template", '\uedfe'),
    TENNIS("ci-tennis", '\uee00'),
    TENNIS_BALL("ci-tennis-ball", '\uedff'),
    TERM("ci-term", '\uee01'),
    TERMINAL("ci-terminal", '\uee02'),
    TEXT_ALIGN_CENTER("ci-text-align-center", '\uee03'),
    TEXT_ALIGN_JUSTIFY("ci-text-align-justify", '\uee04'),
    TEXT_ALIGN_LEFT("ci-text-align-left", '\uee05'),
    TEXT_ALIGN_RIGHT("ci-text-align-right", '\uee06'),
    TEXT_ALL_CAPS("ci-text-all-caps", '\uee07'),
    TEXT_ANNOTATION_TOGGLE("ci-text-annotation-toggle", '\uee08'),
    TEXT_BOLD("ci-text-bold", '\uee09'),
    TEXT_COLOR("ci-text-color", '\uee0a'),
    TEXT_CREATION("ci-text-creation", '\uee0b'),
    TEXT_FILL("ci-text-fill", '\uee0c'),
    TEXT_FOOTNOTE("ci-text-footnote", '\uee0d'),
    TEXT_HIGHLIGHT("ci-text-highlight", '\uee0e'),
    TEXT_INDENT("ci-text-indent", '\uee11'),
    TEXT_INDENT_LESS("ci-text-indent-less", '\uee0f'),
    TEXT_INDENT_MORE("ci-text-indent-more", '\uee10'),
    TEXT_ITALIC("ci-text-italic", '\uee12'),
    TEXT_KERNING("ci-text-kerning", '\uee13'),
    TEXT_LEADING("ci-text-leading", '\uee14'),
    TEXT_LINE_SPACING("ci-text-line-spacing", '\uee15'),
    TEXT_LINK("ci-text-link", '\uee17'),
    TEXT_LINK_ANALYSIS("ci-text-link-analysis", '\uee16'),
    TEXT_MINING("ci-text-mining", '\uee19'),
    TEXT_MINING_APPLIER("ci-text-mining-applier", '\uee18'),
    TEXT_NEW_LINE("ci-text-new-line", '\uee1a'),
    TEXT_SCALE("ci-text-scale", '\uee1b'),
    TEXT_SELECTION("ci-text-selection", '\uee1c'),
    TEXT_SMALL_CAPS("ci-text-small-caps", '\uee1d'),
    TEXT_STRIKETHROUGH("ci-text-strikethrough", '\uee1e'),
    TEXT_SUBSCRIPT("ci-text-subscript", '\uee1f'),
    TEXT_SUPERSCRIPT("ci-text-superscript", '\uee20'),
    TEXT_TRACKING("ci-text-tracking", '\uee21'),
    TEXT_UNDERLINE("ci-text-underline", '\uee22'),
    TEXT_VERTICAL_ALIGNMENT("ci-text-vertical-alignment", '\uee23'),
    TEXT_WRAP("ci-text-wrap", '\uee24'),
    THEATER("ci-theater", '\uee25'),
    THIS_SIDE_UP("ci-this-side-up", '\uee26'),
    THRESHOLD("ci-threshold", '\uee27'),
    THUMBNAIL_1("ci-thumbnail-1", '\uee28'),
    THUMBNAIL_2("ci-thumbnail-2", '\uee29'),
    THUMBNAIL_PREVIEW("ci-thumbnail-preview", '\uee2a'),
    THUMBS_DOWN("ci-thumbs-down", '\uee2b'),
    THUMBS_UP("ci-thumbs-up", '\uee2c'),
    THUNDERSTORM("ci-thunderstorm", '\uee31'),
    THUNDERSTORM_SCATTERED("ci-thunderstorm-scattered", '\uee2e'),
    THUNDERSTORM_SCATTERED_NIGHT("ci-thunderstorm-scattered-night", '\uee2d'),
    THUNDERSTORM_SEVERE("ci-thunderstorm-severe", '\uee2f'),
    THUNDERSTORM_STRONG("ci-thunderstorm-strong", '\uee30'),
    TICKET("ci-ticket", '\uee32'),
    TIDES("ci-tides", '\uee33'),
    TIF("ci-tif", '\uee34'),
    TIME("ci-time", '\uee36'),
    TIMER("ci-timer", '\uee37'),
    TIME_PLOT("ci-time-plot", '\uee35'),
    TOOLS("ci-tools", '\uee3a'),
    TOOLS_ALT("ci-tools-alt", '\uee39'),
    TOOL_BOX("ci-tool-box", '\uee38'),
    TORNADO("ci-tornado", '\uee3c'),
    TORNADO_WARNING("ci-tornado-warning", '\uee3b'),
    TOUCH_1("ci-touch-1", '\uee3d'),
    TOUCH_2("ci-touch-2", '\uee3e'),
    TOUCH_INTERACTION("ci-touch-interaction", '\uee3f'),
    TRAFFIC_CONE("ci-traffic-cone", '\uee40'),
    TRAFFIC_EVENT("ci-traffic-event", '\uee41'),
    TRAFFIC_FLOW("ci-traffic-flow", '\uee43'),
    TRAFFIC_FLOW_INCIDENT("ci-traffic-flow-incident", '\uee42'),
    TRAFFIC_INCIDENT("ci-traffic-incident", '\uee44'),
    TRAFFIC_WEATHER_INCIDENT("ci-traffic-weather-incident", '\uee45'),
    TRAIN("ci-train", '\uee49'),
    TRAIN_HEART("ci-train-heart", '\uee46'),
    TRAIN_TICKET("ci-train-ticket", '\uee47'),
    TRAIN_TIME("ci-train-time", '\uee48'),
    TRAM("ci-tram", '\uee4a'),
    TRANSGENDER("ci-transgender", '\uee4b'),
    TRANSLATE("ci-translate", '\uee4c'),
    TRASH_CAN("ci-trash-can", '\uee4d'),
    TREE("ci-tree", '\uee50'),
    TREE_VIEW("ci-tree-view", '\uee4f'),
    TREE_VIEW_ALT("ci-tree-view-alt", '\uee4e'),
    TROPHY("ci-trophy", '\uee52'),
    TROPHY_FILLED("ci-trophy-filled", '\uee51'),
    TROPICAL_STORM("ci-tropical-storm", '\uee55'),
    TROPICAL_STORM_MODEL_TRACKS("ci-tropical-storm-model-tracks", '\uee53'),
    TROPICAL_STORM_TRACKS("ci-tropical-storm-tracks", '\uee54'),
    TROPICAL_WARNING("ci-tropical-warning", '\uee56'),
    TSV("ci-tsv", '\uee57'),
    TWO_PERSON_LIFT("ci-two-person-lift", '\uee58'),
    TXT("ci-txt", '\uee5a'),
    TXT_REFERENCE("ci-txt-reference", '\uee59'),
    TYPES("ci-types", '\uee5c'),
    TYPE_PATTERN("ci-type-pattern", '\uee5b'),
    T_ALT("ci-t-alt", '\uede8'),
    U1("ci-u1", '\uee5d'),
    U2("ci-u2", '\uee5e'),
    U3("ci-u3", '\uee5f'),
    UMBRELLA("ci-umbrella", '\uee60'),
    UNDEFINED("ci-undefined", '\uee62'),
    UNDEFINED_FILLED("ci-undefined-filled", '\uee61'),
    UNDO("ci-undo", '\uee63'),
    UNKNOWN("ci-unknown", '\uee65'),
    UNKNOWN_FILLED("ci-unknown-filled", '\uee64'),
    UNLINK("ci-unlink", '\uee66'),
    UNLOCKED("ci-unlocked", '\uee67'),
    UPGRADE("ci-upgrade", '\uee69'),
    UPLOAD("ci-upload", '\uee6a'),
    UP_TO_TOP("ci-up-to-top", '\uee68'),
    USB("ci-usb", '\uee6b'),
    USER("ci-user", '\uee81'),
    USER_ACTIVITY("ci-user-activity", '\uee6c'),
    USER_ADMIN("ci-user-admin", '\uee6d'),
    USER_AVATAR("ci-user-avatar", '\uee70'),
    USER_AVATAR_FILLED("ci-user-avatar-filled", '\uee6f'),
    USER_AVATAR_FILLED_ALT("ci-user-avatar-filled-alt", '\uee6e'),
    USER_CERTIFICATION("ci-user-certification", '\uee71'),
    USER_DATA("ci-user-data", '\uee72'),
    USER_FAVORITE("ci-user-favorite", '\uee75'),
    USER_FAVORITE_ALT("ci-user-favorite-alt", '\uee74'),
    USER_FAVORITE_ALT_FILLED("ci-user-favorite-alt-filled", '\uee73'),
    USER_FILLED("ci-user-filled", '\uee76'),
    USER_FOLLOW("ci-user-follow", '\uee77'),
    USER_IDENTIFICATION("ci-user-identification", '\uee78'),
    USER_MULTIPLE("ci-user-multiple", '\uee79'),
    USER_ONLINE("ci-user-online", '\uee7a'),
    USER_PROFILE("ci-user-profile", '\uee7c'),
    USER_PROFILE_ALT("ci-user-profile-alt", '\uee7b'),
    USER_ROLE("ci-user-role", '\uee7d'),
    USER_SIMULATION("ci-user-simulation", '\uee7e'),
    USER_SPEAKER("ci-user-speaker", '\uee7f'),
    USER_X_RAY("ci-user-x-ray", '\uee80'),
    UV_INDEX("ci-uv-index", '\uee84'),
    UV_INDEX_ALT("ci-uv-index-alt", '\uee82'),
    UV_INDEX_FILLED("ci-uv-index-filled", '\uee83'),
    VAN("ci-van", '\uee85'),
    VIDEO("ci-video", '\uee8b'),
    VIDEO_ADD("ci-video-add", '\uee86'),
    VIDEO_CHAT("ci-video-chat", '\uee87'),
    VIDEO_FILLED("ci-video-filled", '\uee88'),
    VIDEO_OFF("ci-video-off", '\uee8a'),
    VIDEO_OFF_FILLED("ci-video-off-filled", '\uee89'),
    VIEW("ci-view", '\uee92'),
    VIEW_FILLED("ci-view-filled", '\uee8c'),
    VIEW_MODE_1("ci-view-mode-1", '\uee8d'),
    VIEW_MODE_2("ci-view-mode-2", '\uee8e'),
    VIEW_NEXT("ci-view-next", '\uee8f'),
    VIEW_OFF("ci-view-off", '\uee91'),
    VIEW_OFF_FILLED("ci-view-off-filled", '\uee90'),
    VIRTUAL_COLUMN("ci-virtual-column", '\uee94'),
    VIRTUAL_COLUMN_KEY("ci-virtual-column-key", '\uee93'),
    VIRTUAL_MACHINE("ci-virtual-machine", '\uee95'),
    VIRTUAL_PRIVATE_CLOUD("ci-virtual-private-cloud", '\uee97'),
    VIRTUAL_PRIVATE_CLOUD_ALT("ci-virtual-private-cloud-alt", '\uee96'),
    VISUAL_RECOGNITION("ci-visual-recognition", '\uee98'),
    VMDK_DISK("ci-vmdk-disk", '\uee99'),
    VOICEMAIL("ci-voicemail", '\uee9a'),
    VOLUME_DOWN("ci-volume-down", '\uee9c'),
    VOLUME_DOWN_FILLED("ci-volume-down-filled", '\uee9b'),
    VOLUME_MUTE("ci-volume-mute", '\uee9e'),
    VOLUME_MUTE_FILLED("ci-volume-mute-filled", '\uee9d'),
    VOLUME_UP("ci-volume-up", '\ueea0'),
    VOLUME_UP_FILLED("ci-volume-up-filled", '\uee9f'),
    VPN("ci-vpn", '\ueea1'),
    WALLET("ci-wallet", '\ueea2'),
    WARNING("ci-warning", '\ueeab'),
    WARNING_ALT("ci-warning-alt", '\ueea6'),
    WARNING_ALT_FILLED("ci-warning-alt-filled", '\ueea3'),
    WARNING_ALT_INVERTED("ci-warning-alt-inverted", '\ueea5'),
    WARNING_ALT_INVERTED_FILLED("ci-warning-alt-inverted-filled", '\ueea4'),
    WARNING_FILLED("ci-warning-filled", '\ueea7'),
    WARNING_OTHER("ci-warning-other", '\ueea8'),
    WARNING_SQUARE("ci-warning-square", '\ueeaa'),
    WARNING_SQUARE_FILLED("ci-warning-square-filled", '\ueea9'),
    WATCH("ci-watch", '\ueeac'),
    WATSON("ci-watson", '\ueeae'),
    WATSON_MACHINE_LEARNING("ci-watson-machine-learning", '\ueead'),
    WAVE_DIRECTION("ci-wave-direction", '\ueeaf'),
    WAVE_HEIGHT("ci-wave-height", '\ueeb0'),
    WAVE_PERIOD("ci-wave-period", '\ueeb1'),
    WEATHER_FRONT_COLD("ci-weather-front-cold", '\ueeb2'),
    WEATHER_FRONT_STATIONARY("ci-weather-front-stationary", '\ueeb3'),
    WEATHER_FRONT_WARM("ci-weather-front-warm", '\ueeb4'),
    WEATHER_STATION("ci-weather-station", '\ueeb5'),
    WEBSHEET("ci-websheet", '\ueeb6'),
    WHEAT("ci-wheat", '\ueeb7'),
    WIFI("ci-wifi", '\ueeb9'),
    WIFI_OFF("ci-wifi-off", '\ueeb8'),
    WIKIS("ci-wikis", '\ueeba'),
    WINDOW_AUTO("ci-window-auto", '\ueebd'),
    WINDOW_BASE("ci-window-base", '\ueebe'),
    WINDOW_OVERLAY("ci-window-overlay", '\ueebf'),
    WINDY("ci-windy", '\ueecd'),
    WINDY_DUST("ci-windy-dust", '\ueeca'),
    WINDY_SNOW("ci-windy-snow", '\ueecb'),
    WINDY_STRONG("ci-windy-strong", '\ueecc'),
    WIND_GUSTS("ci-wind-gusts", '\ueebb'),
    WIND_STREAM("ci-wind-stream", '\ueebc'),
    WINTER_WARNING("ci-winter-warning", '\ueece'),
    WINTRY_MIX("ci-wintry-mix", '\ueecf'),
    WIRELESS_CHECKOUT("ci-wireless-checkout", '\ueed0'),
    WMV("ci-wmv", '\ueed1'),
    WORD_CLOUD("ci-word-cloud", '\ueed2'),
    WORKSPACE("ci-workspace", '\ueed4'),
    WORKSPACE_IMPORT("ci-workspace-import", '\ueed3'),
    WORSHIP("ci-worship", '\ueed8'),
    WORSHIP_CHRISTIAN("ci-worship-christian", '\ueed5'),
    WORSHIP_JEWISH("ci-worship-jewish", '\ueed6'),
    WORSHIP_MUSLIM("ci-worship-muslim", '\ueed7'),
    X("ci-x", '\ueeda'),
    XLS("ci-xls", '\ueedb'),
    XML("ci-xml", '\ueedc'),
    X_AXIS("ci-x-axis", '\ueed9'),
    Y("ci-y", '\ueede'),
    Y_AXIS("ci-y-axis", '\ueedd'),
    Z("ci-z", '\ueee0'),
    ZIP("ci-zip", '\ueee2'),
    ZIP_REFERENCE("ci-zip-reference", '\ueee1'),
    ZOOM_IN("ci-zoom-in", '\ueee3'),
    ZOOM_OUT("ci-zoom-out", '\ueee4'),
    ZOOM_PAN("ci-zoom-pan", '\ueee5'),
    ZOOM_RESET("ci-zoom-reset", '\ueee6'),
    Z_AXIS("ci-z-axis", '\ueedf');
    
    public static CarbonIcons findByDescription(String description) {
        for (CarbonIcons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    CarbonIcons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}