/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.coreui;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum CoreUiBrands implements Ikon {
    ABOUT_ME("cib-about-me", '\uea03'),
    ABSTRACT("cib-abstract", '\uea04'),
    ACM("cib-acm", '\uea05'),
    ADDTHIS("cib-addthis", '\uea06'),
    ADGUARD("cib-adguard", '\uea07'),
    ADOBE("cib-adobe", '\uea08'),
    ADOBE_ACROBAT_READER("cib-adobe-acrobat-reader", '\uea09'),
    ADOBE_AFTER_EFFECTS("cib-adobe-after-effects", '\uea0a'),
    ADOBE_AUDITION("cib-adobe-audition", '\uea0b'),
    ADOBE_CREATIVE_CLOUD("cib-adobe-creative-cloud", '\uea0c'),
    ADOBE_DREAMWEAVER("cib-adobe-dreamweaver", '\uea0d'),
    ADOBE_ILLUSTRATOR("cib-adobe-illustrator", '\uea0e'),
    ADOBE_INDESIGN("cib-adobe-indesign", '\uea0f'),
    ADOBE_LIGHTROOM("cib-adobe-lightroom", '\uea10'),
    ADOBE_LIGHTROOM_CLASSIC("cib-adobe-lightroom-classic", '\uea11'),
    ADOBE_PHOTOSHOP("cib-adobe-photoshop", '\uea12'),
    ADOBE_PREMIERE("cib-adobe-premiere", '\uea13'),
    ADOBE_TYPEKIT("cib-adobe-typekit", '\uea14'),
    ADOBE_XD("cib-adobe-xd", '\uea15'),
    AIRBNB("cib-airbnb", '\uea16'),
    ALGOLIA("cib-algolia", '\uea17'),
    ALIPAY("cib-alipay", '\uea18'),
    ALLOCINE("cib-allocine", '\uea19'),
    AMAZON("cib-amazon", '\uea1a'),
    AMAZON_AWS("cib-amazon-aws", '\uea1b'),
    AMAZON_PAY("cib-amazon-pay", '\uea1c'),
    AMD("cib-amd", '\uea1d'),
    AMERICAN_EXPRESS("cib-american-express", '\uea1e'),
    ANACONDA("cib-anaconda", '\uea1f'),
    ANALOGUE("cib-analogue", '\uea20'),
    ANDROID("cib-android", '\uea21'),
    ANDROID_ALT("cib-android-alt", '\uea22'),
    ANGELLIST("cib-angellist", '\uea23'),
    ANGULAR("cib-angular", '\uea24'),
    ANGULAR_UNIVERSAL("cib-angular-universal", '\uea25'),
    ANSIBLE("cib-ansible", '\uea26'),
    APACHE("cib-apache", '\uea27'),
    APACHE_AIRFLOW("cib-apache-airflow", '\uea28'),
    APACHE_FLINK("cib-apache-flink", '\uea29'),
    APACHE_SPARK("cib-apache-spark", '\uea2a'),
    APPLE("cib-apple", '\uea2d'),
    APPLE_MUSIC("cib-apple-music", '\uea2e'),
    APPLE_PAY("cib-apple-pay", '\uea2f'),
    APPLE_PODCASTS("cib-apple-podcasts", '\uea30'),
    APPVEYOR("cib-appveyor", '\uea31'),
    APP_STORE("cib-app-store", '\uea2b'),
    APP_STORE_IOS("cib-app-store-ios", '\uea2c'),
    ARAL("cib-aral", '\uea32'),
    ARCHIVE_OF_OUR_OWN("cib-archive-of-our-own", '\uea34'),
    ARCH_LINUX("cib-arch-linux", '\uea33'),
    ARDUINO("cib-arduino", '\uea35'),
    ARTSTATION("cib-artstation", '\uea36'),
    ARXIV("cib-arxiv", '\uea37'),
    ASANA("cib-asana", '\uea38'),
    ATLASSIAN("cib-atlassian", '\uea3a'),
    ATOM("cib-atom", '\uea3b'),
    AT_AND_T("cib-at-and-t", '\uea39'),
    AUDIBLE("cib-audible", '\uea3c'),
    AURELIA("cib-aurelia", '\uea3d'),
    AUTH0("cib-auth0", '\uea3e'),
    AUTOMATIC("cib-automatic", '\uea3f'),
    AUTOTASK("cib-autotask", '\uea40'),
    AVENTRIX("cib-aventrix", '\uea41'),
    AZURE_ARTIFACTS("cib-azure-artifacts", '\uea42'),
    AZURE_DEVOPS("cib-azure-devops", '\uea43'),
    AZURE_PIPELINES("cib-azure-pipelines", '\uea44'),
    BABEL("cib-babel", '\uea45'),
    BAIDU("cib-baidu", '\uea46'),
    BAMBOO("cib-bamboo", '\uea47'),
    BANCONTACT("cib-bancontact", '\uea48'),
    BANDCAMP("cib-bandcamp", '\uea49'),
    BASECAMP("cib-basecamp", '\uea4a'),
    BATHASU("cib-bathasu", '\uea4b'),
    BEHANCE("cib-behance", '\uea4c'),
    BIG_CARTEL("cib-big-cartel", '\uea4d'),
    BING("cib-bing", '\uea4e'),
    BIT("cib-bit", '\uea4f'),
    BITBUCKET("cib-bitbucket", '\uea50'),
    BITCOIN("cib-bitcoin", '\uea51'),
    BITDEFENDER("cib-bitdefender", '\uea52'),
    BITLY("cib-bitly", '\uea53'),
    BLACKBERRY("cib-blackberry", '\uea54'),
    BLENDER("cib-blender", '\uea55'),
    BLOGGER("cib-blogger", '\uea56'),
    BLOGGER_B("cib-blogger-b", '\uea57'),
    BLUETOOTH("cib-bluetooth", '\uea58'),
    BLUETOOTH_B("cib-bluetooth-b", '\uea59'),
    BOEING("cib-boeing", '\uea5a'),
    BOOST("cib-boost", '\uea5b'),
    BOOTSTRAP("cib-bootstrap", '\uea5c'),
    BOWER("cib-bower", '\uea5d'),
    BRAND_AI("cib-brand-ai", '\uea5e'),
    BRAVE("cib-brave", '\uea5f'),
    BTC("cib-btc", '\uea60'),
    BUDDY("cib-buddy", '\uea61'),
    BUFFER("cib-buffer", '\uea62'),
    BUYSELLADS("cib-buysellads", '\uea64'),
    BUY_ME_A_COFFEE("cib-buy-me-a-coffee", '\uea63'),
    BUZZFEED("cib-buzzfeed", '\uea65'),
    C("cib-c", '\uea66'),
    CAKEPHP("cib-cakephp", '\uea67'),
    CAMPAIGN_MONITOR("cib-campaign-monitor", '\uea68'),
    CANVA("cib-canva", '\uea69'),
    CASHAPP("cib-cashapp", '\uea6a'),
    CASSANDRA("cib-cassandra", '\uea6b'),
    CASTRO("cib-castro", '\uea6c'),
    CC_AMAZON_PAY("cib-cc-amazon-pay", '\uea6d'),
    CC_AMEX("cib-cc-amex", '\uea6e'),
    CC_APPLE_PAY("cib-cc-apple-pay", '\uea6f'),
    CC_DINERS_CLUB("cib-cc-diners-club", '\uea70'),
    CC_DISCOVER("cib-cc-discover", '\uea71'),
    CC_JCB("cib-cc-jcb", '\uea72'),
    CC_MASTERCARD("cib-cc-mastercard", '\uea73'),
    CC_PAYPAL("cib-cc-paypal", '\uea74'),
    CC_STRIPE("cib-cc-stripe", '\uea75'),
    CC_VISA("cib-cc-visa", '\uea76'),
    CENTOS("cib-centos", '\uea77'),
    CEVO("cib-cevo", '\uea78'),
    CHASE("cib-chase", '\uea79'),
    CHEF("cib-chef", '\uea7a'),
    CHROMECAST("cib-chromecast", '\uea7b'),
    CIRCLE("cib-circle", '\uea7c'),
    CIRCLECI("cib-circleci", '\uea7d'),
    CIRRUSCI("cib-cirrusci", '\uea7e'),
    CISCO("cib-cisco", '\uea7f'),
    CIVICRM("cib-civicrm", '\uea80'),
    CLOCKIFY("cib-clockify", '\uea81'),
    CLOJURE("cib-clojure", '\uea82'),
    CLOUDBEES("cib-cloudbees", '\uea83'),
    CLOUDFLARE("cib-cloudflare", '\uea84'),
    CMAKE("cib-cmake", '\uea85'),
    CODACY("cib-codacy", '\uea87'),
    CODECADEMY("cib-codecademy", '\uea89'),
    CODECOV("cib-codecov", '\uea8a'),
    CODEIGNITER("cib-codeigniter", '\uea8b'),
    CODEPEN("cib-codepen", '\uea8c'),
    CODERWALL("cib-coderwall", '\uea8d'),
    CODESANDBOX("cib-codesandbox", '\uea8e'),
    CODESHIP("cib-codeship", '\uea8f'),
    CODEWARS("cib-codewars", '\uea90'),
    CODE_CLIMATE("cib-code-climate", '\uea88'),
    CODIO("cib-codio", '\uea91'),
    COFFEESCRIPT("cib-coffeescript", '\uea92'),
    COMMON_WORKFLOW_LANGUAGE("cib-common-workflow-language", '\uea93'),
    COMPOSER("cib-composer", '\uea94'),
    CONDA_FORGE("cib-conda-forge", '\uea95'),
    CONEKTA("cib-conekta", '\uea96'),
    CONFLUENCE("cib-confluence", '\uea97'),
    COREUI("cib-coreui", '\uea98'),
    COREUI_C("cib-coreui-c", '\uea99'),
    COREUI_500PX("cib-500px", '\uea01'),
    COREUI_500PX_5("cib-500px-5", '\uea02'),
    COURSERA("cib-coursera", '\uea9a'),
    COVERALLS("cib-coveralls", '\uea9b'),
    CO_OP("cib-co-op", '\uea86'),
    CPANEL("cib-cpanel", '\uea9c'),
    CPLUSPLUS("cib-cplusplus", '\uea9d'),
    CREATIVE_COMMONS("cib-creative-commons", '\uea9e'),
    CREATIVE_COMMONS_BY("cib-creative-commons-by", '\uea9f'),
    CREATIVE_COMMONS_NC("cib-creative-commons-nc", '\ueaa0'),
    CREATIVE_COMMONS_NC_EU("cib-creative-commons-nc-eu", '\ueaa1'),
    CREATIVE_COMMONS_NC_JP("cib-creative-commons-nc-jp", '\ueaa2'),
    CREATIVE_COMMONS_ND("cib-creative-commons-nd", '\ueaa3'),
    CREATIVE_COMMONS_PD("cib-creative-commons-pd", '\ueaa4'),
    CREATIVE_COMMONS_PD_ALT("cib-creative-commons-pd-alt", '\ueaa5'),
    CREATIVE_COMMONS_REMIX("cib-creative-commons-remix", '\ueaa6'),
    CREATIVE_COMMONS_SA("cib-creative-commons-sa", '\ueaa7'),
    CREATIVE_COMMONS_SAMPLING("cib-creative-commons-sampling", '\ueaa8'),
    CREATIVE_COMMONS_SAMPLING_PLUS("cib-creative-commons-sampling-plus", '\ueaa9'),
    CREATIVE_COMMONS_SHARE("cib-creative-commons-share", '\ueaaa'),
    CREATIVE_COMMONS_ZERO("cib-creative-commons-zero", '\ueaab'),
    CRUNCHBASE("cib-crunchbase", '\ueaac'),
    CRUNCHYROLL("cib-crunchyroll", '\ueaad'),
    CSS3("cib-css3", '\ueaae'),
    CSS3_SHILED("cib-css3-shiled", '\ueaaf'),
    CSSWIZARDRY("cib-csswizardry", '\ueab0'),
    D3_JS("cib-d3-js", '\ueab1'),
    DAILYMOTION("cib-dailymotion", '\ueab2'),
    DASHLANE("cib-dashlane", '\ueab3'),
    DAZN("cib-dazn", '\ueab4'),
    DBLP("cib-dblp", '\ueab5'),
    DEBIAN("cib-debian", '\ueab6'),
    DEEPIN("cib-deepin", '\ueab7'),
    DEEZER("cib-deezer", '\ueab8'),
    DELICIOUS("cib-delicious", '\ueab9'),
    DELL("cib-dell", '\ueaba'),
    DENO("cib-deno", '\ueabb'),
    DEPENDABOT("cib-dependabot", '\ueabc'),
    DESIGNER_NEWS("cib-designer-news", '\ueabd'),
    DEVIANTART("cib-deviantart", '\ueabf'),
    DEVRANT("cib-devrant", '\ueac0'),
    DEV_TO("cib-dev-to", '\ueabe'),
    DIASPORA("cib-diaspora", '\ueac1'),
    DIGG("cib-digg", '\ueac2'),
    DIGITAL_OCEAN("cib-digital-ocean", '\ueac3'),
    DISCORD("cib-discord", '\ueac4'),
    DISCOURSE("cib-discourse", '\ueac5'),
    DISCOVER("cib-discover", '\ueac6'),
    DISQUS("cib-disqus", '\ueac7'),
    DISROOT("cib-disroot", '\ueac8'),
    DJANGO("cib-django", '\ueac9'),
    DOCKER("cib-docker", '\ueaca'),
    DOCUSIGN("cib-docusign", '\ueacb'),
    DOT_NET("cib-dot-net", '\ueacc'),
    DRAUGIEM_LV("cib-draugiem-lv", '\ueacd'),
    DRIBBBLE("cib-dribbble", '\ueace'),
    DRONE("cib-drone", '\ueacf'),
    DROPBOX("cib-dropbox", '\uead0'),
    DRUPAL("cib-drupal", '\uead1'),
    DTUBE("cib-dtube", '\uead2'),
    DUCKDUCKGO("cib-duckduckgo", '\uead3'),
    DYNATRACE("cib-dynatrace", '\uead4'),
    EBAY("cib-ebay", '\uead5'),
    ECLIPSEIDE("cib-eclipseide", '\uead6'),
    ELASTIC("cib-elastic", '\uead7'),
    ELASTIC_CLOUD("cib-elastic-cloud", '\uead8'),
    ELASTIC_SEARCH("cib-elastic-search", '\uead9'),
    ELASTIC_STACK("cib-elastic-stack", '\ueada'),
    ELECTRON("cib-electron", '\ueadb'),
    ELEMENTARY("cib-elementary", '\ueadc'),
    ELEVENTY("cib-eleventy", '\ueadd'),
    ELLO("cib-ello", '\ueade'),
    ELSEVIER("cib-elsevier", '\ueadf'),
    EMLAKJET("cib-emlakjet", '\ueae0'),
    EMPIREKRED("cib-empirekred", '\ueae1'),
    ENVATO("cib-envato", '\ueae2'),
    EPIC_GAMES("cib-epic-games", '\ueae3'),
    EPSON("cib-epson", '\ueae4'),
    ESEA("cib-esea", '\ueae5'),
    ESLINT("cib-eslint", '\ueae6'),
    ETHEREUM("cib-ethereum", '\ueae7'),
    ETSY("cib-etsy", '\ueae8'),
    EVENTBRITE("cib-eventbrite", '\ueaea'),
    EVENT_STORE("cib-event-store", '\ueae9'),
    EVERNOTE("cib-evernote", '\ueaeb'),
    EVERPLACES("cib-everplaces", '\ueaec'),
    EVRY("cib-evry", '\ueaed'),
    EXERCISM("cib-exercism", '\ueaee'),
    EXPERTS_EXCHANGE("cib-experts-exchange", '\ueaef'),
    EXPO("cib-expo", '\ueaf0'),
    EYEEM("cib-eyeem", '\ueaf1'),
    FACEBOOK("cib-facebook", '\ueaf3'),
    FACEBOOK_F("cib-facebook-f", '\ueaf4'),
    FACEIT("cib-faceit", '\ueaf5'),
    FANDANGO("cib-fandango", '\ueaf6'),
    FAVRO("cib-favro", '\ueaf7'),
    FEATHUB("cib-feathub", '\ueaf8'),
    FEDEX("cib-fedex", '\ueaf9'),
    FEDORA("cib-fedora", '\ueafa'),
    FEEDLY("cib-feedly", '\ueafb'),
    FIDO_ALLIANCE("cib-fido-alliance", '\ueafc'),
    FIGMA("cib-figma", '\ueafd'),
    FILEZILLA("cib-filezilla", '\ueafe'),
    FIREBASE("cib-firebase", '\ueaff'),
    FITBIT("cib-fitbit", '\ueb00'),
    FLASK("cib-flask", '\ueb01'),
    FLATTR("cib-flattr", '\ueb02'),
    FLICKR("cib-flickr", '\ueb03'),
    FLIPBOARD("cib-flipboard", '\ueb04'),
    FLUTTER("cib-flutter", '\ueb05'),
    FNAC("cib-fnac", '\ueb06'),
    FOURSQUARE("cib-foursquare", '\ueb07'),
    FRAMER("cib-framer", '\ueb08'),
    FREEBSD("cib-freebsd", '\ueb09'),
    FREECODECAMP("cib-freecodecamp", '\ueb0a'),
    FURRY_NETWORK("cib-furry-network", '\ueb0c'),
    FUR_AFFINITY("cib-fur-affinity", '\ueb0b'),
    F_SECURE("cib-f-secure", '\ueaf2'),
    GARMIN("cib-garmin", '\ueb0d'),
    GATSBY("cib-gatsby", '\ueb0e'),
    GAUGES("cib-gauges", '\ueb0f'),
    GENIUS("cib-genius", '\ueb10'),
    GENTOO("cib-gentoo", '\ueb11'),
    GEOCACHING("cib-geocaching", '\ueb12'),
    GERRIT("cib-gerrit", '\ueb13'),
    GG("cib-gg", '\ueb14'),
    GHOST("cib-ghost", '\ueb15'),
    GIMP("cib-gimp", '\ueb16'),
    GIT("cib-git", '\ueb17'),
    GITEA("cib-gitea", '\ueb18'),
    GITHUB("cib-github", '\ueb19'),
    GITKRAKEN("cib-gitkraken", '\ueb1a'),
    GITLAB("cib-gitlab", '\ueb1b'),
    GITPOD("cib-gitpod", '\ueb1c'),
    GITTER("cib-gitter", '\ueb1d'),
    GLASSDOOR("cib-glassdoor", '\ueb1e'),
    GLITCH("cib-glitch", '\ueb1f'),
    GMAIL("cib-gmail", '\ueb20'),
    GNU("cib-gnu", '\ueb21'),
    GNU_PRIVACY_GUARD("cib-gnu-privacy-guard", '\ueb22'),
    GNU_SOCIAL("cib-gnu-social", '\ueb23'),
    GO("cib-go", '\ueb24'),
    GODOT_ENGINE("cib-godot-engine", '\ueb25'),
    GOG_COM("cib-gog-com", '\ueb26'),
    GOLDENLINE("cib-goldenline", '\ueb27'),
    GOODREADS("cib-goodreads", '\ueb28'),
    GOOGLE("cib-google", '\ueb29'),
    GOOGLES_CHOLAR("cib-googles-cholar", '\ueb33'),
    GOOGLE_ADS("cib-google-ads", '\ueb2a'),
    GOOGLE_ALLO("cib-google-allo", '\ueb2b'),
    GOOGLE_ANALYTICS("cib-google-analytics", '\ueb2c'),
    GOOGLE_CHROME("cib-google-chrome", '\ueb2d'),
    GOOGLE_CLOUD("cib-google-cloud", '\ueb2e'),
    GOOGLE_KEEP("cib-google-keep", '\ueb2f'),
    GOOGLE_PAY("cib-google-pay", '\ueb30'),
    GOOGLE_PLAY("cib-google-play", '\ueb31'),
    GOOGLE_PODCASTS("cib-google-podcasts", '\ueb32'),
    GOV_UK("cib-gov-uk", '\ueb34'),
    GRADLE("cib-gradle", '\ueb35'),
    GRAFANA("cib-grafana", '\ueb36'),
    GRAPHCOOL("cib-graphcool", '\ueb37'),
    GRAPHQL("cib-graphql", '\ueb38'),
    GRAV("cib-grav", '\ueb39'),
    GRAVATAR("cib-gravatar", '\ueb3a'),
    GREENKEEPER("cib-greenkeeper", '\ueb3b'),
    GREENSOCK("cib-greensock", '\ueb3c'),
    GROOVY("cib-groovy", '\ueb3d'),
    GROUPON("cib-groupon", '\ueb3e'),
    GRUNT("cib-grunt", '\ueb3f'),
    GULP("cib-gulp", '\ueb40'),
    GUMROAD("cib-gumroad", '\ueb41'),
    GUMTREE("cib-gumtree", '\ueb42'),
    HABR("cib-habr", '\ueb43'),
    HACKADAY("cib-hackaday", '\ueb44'),
    HACKEREARTH("cib-hackerearth", '\ueb45'),
    HACKERONE("cib-hackerone", '\ueb46'),
    HACKERRANK("cib-hackerrank", '\ueb47'),
    HACKHANDS("cib-hackhands", '\ueb48'),
    HACKSTER("cib-hackster", '\ueb49'),
    HAPPYCOW("cib-happycow", '\ueb4a'),
    HASHNODE("cib-hashnode", '\ueb4b'),
    HASKELL("cib-haskell", '\ueb4c'),
    HATENA_BOOKMARK("cib-hatena-bookmark", '\ueb4d'),
    HAXE("cib-haxe", '\ueb4e'),
    HELM("cib-helm", '\ueb4f'),
    HERE("cib-here", '\ueb50'),
    HEROKU("cib-heroku", '\ueb51'),
    HEXO("cib-hexo", '\ueb52'),
    HIGHLY("cib-highly", '\ueb53'),
    HIPCHAT("cib-hipchat", '\ueb54'),
    HITACHI("cib-hitachi", '\ueb55'),
    HOCKEYAPP("cib-hockeyapp", '\ueb56'),
    HOMIFY("cib-homify", '\ueb57'),
    HOOTSUITE("cib-hootsuite", '\ueb58'),
    HOTJAR("cib-hotjar", '\ueb59'),
    HOUZZ("cib-houzz", '\ueb5a'),
    HP("cib-hp", '\ueb5b'),
    HTML5("cib-html5", '\ueb5c'),
    HTML5_SHIELD("cib-html5-shield", '\ueb5d'),
    HTMLACADEMY("cib-htmlacademy", '\ueb5e'),
    HUAWEI("cib-huawei", '\ueb5f'),
    HUBSPOT("cib-hubspot", '\ueb60'),
    HULU("cib-hulu", '\ueb61'),
    HUMBLE_BUNDLE("cib-humble-bundle", '\ueb62'),
    IATA("cib-iata", '\ueb63'),
    IBM("cib-ibm", '\ueb64'),
    ICLOUD("cib-icloud", '\ueb65'),
    ICONJAR("cib-iconjar", '\ueb66'),
    ICQ("cib-icq", '\ueb67'),
    IDEAL("cib-ideal", '\ueb68'),
    IFIXIT("cib-ifixit", '\ueb69'),
    IMDB("cib-imdb", '\ueb6a'),
    INDEED("cib-indeed", '\ueb6b'),
    INKSCAPE("cib-inkscape", '\ueb6c'),
    INSTACART("cib-instacart", '\ueb6d'),
    INSTAGRAM("cib-instagram", '\ueb6e'),
    INSTAPAPER("cib-instapaper", '\ueb6f'),
    INTEL("cib-intel", '\ueb70'),
    INTELLIJIDEA("cib-intellijidea", '\ueb71'),
    INTERCOM("cib-intercom", '\ueb72'),
    INTERNET_EXPLORER("cib-internet-explorer", '\ueb73'),
    INVISION("cib-invision", '\ueb74'),
    IONIC("cib-ionic", '\ueb75'),
    ISSUU("cib-issuu", '\ueb76'),
    ITCH_IO("cib-itch-io", '\ueb77'),
    JABBER("cib-jabber", '\ueb78'),
    JAVA("cib-java", '\ueb79'),
    JAVASCRIPT("cib-javascript", '\ueb7a'),
    JEKYLL("cib-jekyll", '\ueb7b'),
    JENKINS("cib-jenkins", '\ueb7c'),
    JEST("cib-jest", '\ueb7d'),
    JET("cib-jet", '\ueb7e'),
    JETBRAINS("cib-jetbrains", '\ueb7f'),
    JIRA("cib-jira", '\ueb80'),
    JOOMLA("cib-joomla", '\ueb81'),
    JQUERY("cib-jquery", '\ueb82'),
    JS("cib-js", '\ueb83'),
    JSDELIVR("cib-jsdelivr", '\ueb84'),
    JSFIDDLE("cib-jsfiddle", '\ueb85'),
    JSON("cib-json", '\ueb86'),
    JUPYTER("cib-jupyter", '\ueb87'),
    JUSTGIVING("cib-justgiving", '\ueb88'),
    KAGGLE("cib-kaggle", '\ueb89'),
    KAIOS("cib-kaios", '\ueb8a'),
    KASPERSKY("cib-kaspersky", '\ueb8b'),
    KENTICO("cib-kentico", '\ueb8c'),
    KERAS("cib-keras", '\ueb8d'),
    KEYBASE("cib-keybase", '\ueb8e'),
    KEYCDN("cib-keycdn", '\ueb8f'),
    KHAN_ACADEMY("cib-khan-academy", '\ueb90'),
    KIBANA("cib-kibana", '\ueb91'),
    KICKSTARTER("cib-kickstarter", '\ueb92'),
    KIK("cib-kik", '\ueb93'),
    KIRBY("cib-kirby", '\ueb94'),
    KLOUT("cib-klout", '\ueb95'),
    KNOWN("cib-known", '\ueb96'),
    KODI("cib-kodi", '\ueb98'),
    KODING("cib-koding", '\ueb99'),
    KOTLIN("cib-kotlin", '\ueb9a'),
    KO_FI("cib-ko-fi", '\ueb97'),
    KRITA("cib-krita", '\ueb9b'),
    KUBERNETES("cib-kubernetes", '\ueb9c'),
    LANYRD("cib-lanyrd", '\ueb9d'),
    LARAVEL("cib-laravel", '\ueb9e'),
    LARAVEL_HORIZON("cib-laravel-horizon", '\ueb9f'),
    LARAVEL_NOVA("cib-laravel-nova", '\ueba0'),
    LAST_FM("cib-last-fm", '\ueba1'),
    LATEX("cib-latex", '\ueba2'),
    LAUNCHPAD("cib-launchpad", '\ueba3'),
    LEETCODE("cib-leetcode", '\ueba4'),
    LENOVO("cib-lenovo", '\ueba5'),
    LESS("cib-less", '\ueba6'),
    LETS_ENCRYPT("cib-lets-encrypt", '\ueba7'),
    LETTERBOXD("cib-letterboxd", '\ueba8'),
    LGTM("cib-lgtm", '\ueba9'),
    LIBERAPAY("cib-liberapay", '\uebaa'),
    LIBRARYTHING("cib-librarything", '\uebab'),
    LIBREOFFICE("cib-libreoffice", '\uebac'),
    LINE("cib-line", '\uebad'),
    LINKEDIN("cib-linkedin", '\uebae'),
    LINKEDIN_IN("cib-linkedin-in", '\uebaf'),
    LINUX("cib-linux", '\uebb0'),
    LINUX_FOUNDATION("cib-linux-foundation", '\uebb1'),
    LINUX_MINT("cib-linux-mint", '\uebb2'),
    LIVEJOURNAL("cib-livejournal", '\uebb3'),
    LIVESTREAM("cib-livestream", '\uebb4'),
    LOGSTASH("cib-logstash", '\uebb5'),
    LUA("cib-lua", '\uebb6'),
    LUMEN("cib-lumen", '\uebb7'),
    LYFT("cib-lyft", '\uebb8'),
    MACYS("cib-macys", '\uebb9'),
    MAGENTO("cib-magento", '\uebba'),
    MAGISK("cib-magisk", '\uebbb'),
    MAILCHIMP("cib-mailchimp", '\uebbd'),
    MAIL_RU("cib-mail-ru", '\uebbc'),
    MAKERBOT("cib-makerbot", '\uebbe'),
    MANJARO("cib-manjaro", '\uebbf'),
    MARKDOWN("cib-markdown", '\uebc0'),
    MARKETO("cib-marketo", '\uebc1'),
    MASTERCARD("cib-mastercard", '\uebc2'),
    MASTODON("cib-mastodon", '\uebc3'),
    MATERIAL_DESIGN("cib-material-design", '\uebc4'),
    MATHWORKS("cib-mathworks", '\uebc5'),
    MATRIX("cib-matrix", '\uebc6'),
    MATTERMOST("cib-mattermost", '\uebc7'),
    MATTERNET("cib-matternet", '\uebc8'),
    MAXCDN("cib-maxcdn", '\uebc9'),
    MCAFEE("cib-mcafee", '\uebca'),
    MEDIAFIRE("cib-mediafire", '\uebcc'),
    MEDIA_TEMPLE("cib-media-temple", '\uebcb'),
    MEDIUM("cib-medium", '\uebcd'),
    MEDIUM_M("cib-medium-m", '\uebce'),
    MEETUP("cib-meetup", '\uebcf'),
    MEGA("cib-mega", '\uebd0'),
    MENDELEY("cib-mendeley", '\uebd1'),
    MESSENGER("cib-messenger", '\uebd2'),
    METEOR("cib-meteor", '\uebd3'),
    MICROGENETICS("cib-microgenetics", '\uebd5'),
    MICROSOFT("cib-microsoft", '\uebd6'),
    MICROSOFT_EDGE("cib-microsoft-edge", '\uebd7'),
    MICRO_BLOG("cib-micro-blog", '\uebd4'),
    MINETEST("cib-minetest", '\uebd8'),
    MINUTEMAILER("cib-minutemailer", '\uebd9'),
    MIX("cib-mix", '\uebda'),
    MIXCLOUD("cib-mixcloud", '\uebdb'),
    MIXER("cib-mixer", '\uebdc'),
    MOJANG("cib-mojang", '\uebdd'),
    MONERO("cib-monero", '\uebde'),
    MONGODB("cib-mongodb", '\uebdf'),
    MONKEYTIE("cib-monkeytie", '\uebe0'),
    MONOGRAM("cib-monogram", '\uebe1'),
    MONZO("cib-monzo", '\uebe2'),
    MOO("cib-moo", '\uebe3'),
    MOZILLA("cib-mozilla", '\uebe4'),
    MOZILLA_FIREFOX("cib-mozilla-firefox", '\uebe5'),
    MUSESCORE("cib-musescore", '\uebe6'),
    MXLINUX("cib-mxlinux", '\uebe7'),
    MYSPACE("cib-myspace", '\uebe8'),
    MYSQL("cib-mysql", '\uebe9'),
    NATIVESCRIPT("cib-nativescript", '\uebea'),
    NEC("cib-nec", '\uebeb'),
    NEO4J("cib-neo4j", '\uebec'),
    NETFLIX("cib-netflix", '\uebed'),
    NETLIFY("cib-netlify", '\uebee'),
    NEXTCLOUD("cib-nextcloud", '\uebf0'),
    NEXTDOOR("cib-nextdoor", '\uebf1'),
    NEXT_JS("cib-next-js", '\uebef'),
    NGINX("cib-nginx", '\uebf2'),
    NIM("cib-nim", '\uebf3'),
    NINTENDO("cib-nintendo", '\uebf4'),
    NINTENDO_3DS("cib-nintendo-3ds", '\uebf5'),
    NINTENDO_GAMECUBE("cib-nintendo-gamecube", '\uebf6'),
    NINTENDO_SWITCH("cib-nintendo-switch", '\uebf7'),
    NODEMON("cib-nodemon", '\uebfa'),
    NODE_JS("cib-node-js", '\uebf8'),
    NODE_RED("cib-node-red", '\uebf9'),
    NOKIA("cib-nokia", '\uebfb'),
    NOTION("cib-notion", '\uebfc'),
    NPM("cib-npm", '\uebfd'),
    NUCLEO("cib-nucleo", '\uebfe'),
    NUGET("cib-nuget", '\uebff'),
    NUXT_JS("cib-nuxt-js", '\uec00'),
    NVIDIA("cib-nvidia", '\uec01'),
    OCAML("cib-ocaml", '\uec02'),
    OCTAVE("cib-octave", '\uec03'),
    OCTOPUS_DEPLOY("cib-octopus-deploy", '\uec04'),
    OCULUS("cib-oculus", '\uec05'),
    ODNOKLASSNIKI("cib-odnoklassniki", '\uec06'),
    OPENSTREETMAP("cib-openstreetmap", '\uec0b'),
    OPENSUSE("cib-opensuse", '\uec0c'),
    OPENVPN("cib-openvpn", '\uec0d'),
    OPEN_ACCESS("cib-open-access", '\uec07'),
    OPEN_COLLECTIVE("cib-open-collective", '\uec08'),
    OPEN_ID("cib-open-id", '\uec09'),
    OPEN_SOURCE_INITIATIVE("cib-open-source-initiative", '\uec0a'),
    OPERA("cib-opera", '\uec0e'),
    OPSGENIE("cib-opsgenie", '\uec0f'),
    ORACLE("cib-oracle", '\uec10'),
    ORCID("cib-orcid", '\uec11'),
    ORIGIN("cib-origin", '\uec12'),
    OSI("cib-osi", '\uec13'),
    OSMC("cib-osmc", '\uec14'),
    OVERCAST("cib-overcast", '\uec15'),
    OVERLEAF("cib-overleaf", '\uec16'),
    OVH("cib-ovh", '\uec17'),
    PAGEKIT("cib-pagekit", '\uec18'),
    PALANTIR("cib-palantir", '\uec19'),
    PANDORA("cib-pandora", '\uec1a'),
    PANTHEON("cib-pantheon", '\uec1b'),
    PATREON("cib-patreon", '\uec1c'),
    PAYPAL("cib-paypal", '\uec1d'),
    PERISCOPE("cib-periscope", '\uec1e'),
    PHP("cib-php", '\uec1f'),
    PICARTO_TV("cib-picarto-tv", '\uec20'),
    PINBOARD("cib-pinboard", '\uec21'),
    PINGDOM("cib-pingdom", '\uec22'),
    PINGUP("cib-pingup", '\uec23'),
    PINTEREST("cib-pinterest", '\uec24'),
    PINTEREST_P("cib-pinterest-p", '\uec25'),
    PIVOTALTRACKER("cib-pivotaltracker", '\uec26'),
    PLANGRID("cib-plangrid", '\uec27'),
    PLAYERFM("cib-playerfm", '\uec29'),
    PLAYER_ME("cib-player-me", '\uec28'),
    PLAYSTATION("cib-playstation", '\uec2a'),
    PLAYSTATION3("cib-playstation3", '\uec2b'),
    PLAYSTATION4("cib-playstation4", '\uec2c'),
    PLESK("cib-plesk", '\uec2d'),
    PLEX("cib-plex", '\uec2e'),
    PLURALSIGHT("cib-pluralsight", '\uec2f'),
    PLURK("cib-plurk", '\uec30'),
    POCKET("cib-pocket", '\uec31'),
    POSTGRESQL("cib-postgresql", '\uec32'),
    POSTMAN("cib-postman", '\uec33'),
    POSTWOMAN("cib-postwoman", '\uec34'),
    POWERSHELL("cib-powershell", '\uec35'),
    PRETTIER("cib-prettier", '\uec36'),
    PRISMIC("cib-prismic", '\uec37'),
    PROBOT("cib-probot", '\uec38'),
    PROCESSWIRE("cib-processwire", '\uec39'),
    PRODUCT_HUNT("cib-product-hunt", '\uec3a'),
    PROTONMAIL("cib-protonmail", '\uec3c'),
    PROTO_IO("cib-proto-io", '\uec3b'),
    PROXMOX("cib-proxmox", '\uec3d'),
    PYPI("cib-pypi", '\uec3e'),
    PYTHON("cib-python", '\uec3f'),
    PYTORCH("cib-pytorch", '\uec40'),
    QGIS("cib-qgis", '\uec41'),
    QIITA("cib-qiita", '\uec42'),
    QQ("cib-qq", '\uec43'),
    QUALCOMM("cib-qualcomm", '\uec44'),
    QUANTCAST("cib-quantcast", '\uec45'),
    QUANTOPIAN("cib-quantopian", '\uec46'),
    QUARKUS("cib-quarkus", '\uec47'),
    QUORA("cib-quora", '\uec48'),
    QWIKLABS("cib-qwiklabs", '\uec49'),
    QZONE("cib-qzone", '\uec4a'),
    R("cib-r", '\uec4b'),
    RADIOPUBLIC("cib-radiopublic", '\uec4c'),
    RAILS("cib-rails", '\uec4d'),
    RASPBERRY_PI("cib-raspberry-pi", '\uec4e'),
    REACT("cib-react", '\uec4f'),
    README("cib-readme", '\uec51'),
    READ_THE_DOCS("cib-read-the-docs", '\uec50'),
    REALM("cib-realm", '\uec52'),
    REASON("cib-reason", '\uec53'),
    REDBUBBLE("cib-redbubble", '\uec54'),
    REDDIT("cib-reddit", '\uec55'),
    REDDIT_ALT("cib-reddit-alt", '\uec56'),
    REDHAT("cib-redhat", '\uec57'),
    REDIS("cib-redis", '\uec58'),
    REDUX("cib-redux", '\uec59'),
    RENREN("cib-renren", '\uec5a'),
    REVERBNATION("cib-reverbnation", '\uec5b'),
    RIOT("cib-riot", '\uec5c'),
    RIPPLE("cib-ripple", '\uec5d'),
    RISEUP("cib-riseup", '\uec5e'),
    ROLLUP_JS("cib-rollup-js", '\uec5f'),
    ROOTS("cib-roots", '\uec60'),
    ROUNDCUBE("cib-roundcube", '\uec61'),
    RSS("cib-rss", '\uec62'),
    RSTUDIO("cib-rstudio", '\uec63'),
    RUBY("cib-ruby", '\uec64'),
    RUBYGEMS("cib-rubygems", '\uec65'),
    RUNKEEPER("cib-runkeeper", '\uec66'),
    RUST("cib-rust", '\uec67'),
    SAFARI("cib-safari", '\uec68'),
    SAHIBINDEN("cib-sahibinden", '\uec69'),
    SALESFORCE("cib-salesforce", '\uec6a'),
    SALTSTACK("cib-saltstack", '\uec6b'),
    SAMSUNG("cib-samsung", '\uec6c'),
    SAMSUNG_PAY("cib-samsung-pay", '\uec6d'),
    SAP("cib-sap", '\uec6e'),
    SASS("cib-sass", '\uec6f'),
    SASS_ALT("cib-sass-alt", '\uec70'),
    SAUCELABS("cib-saucelabs", '\uec71'),
    SCALA("cib-scala", '\uec72'),
    SCALEWAY("cib-scaleway", '\uec73'),
    SCRIBD("cib-scribd", '\uec74'),
    SCRUTINIZERCI("cib-scrutinizerci", '\uec75'),
    SEAGATE("cib-seagate", '\uec76'),
    SEGA("cib-sega", '\uec77'),
    SELLFY("cib-sellfy", '\uec78'),
    SEMAPHORECI("cib-semaphoreci", '\uec79'),
    SENSU("cib-sensu", '\uec7a'),
    SENTRY("cib-sentry", '\uec7b'),
    SERVER_FAULT("cib-server-fault", '\uec7c'),
    SHAZAM("cib-shazam", '\uec7d'),
    SHELL("cib-shell", '\uec7e'),
    SHOPIFY("cib-shopify", '\uec7f'),
    SHOWPAD("cib-showpad", '\uec80'),
    SIEMENS("cib-siemens", '\uec81'),
    SIGNAL("cib-signal", '\uec82'),
    SINA_WEIBO("cib-sina-weibo", '\uec83'),
    SITEPOINT("cib-sitepoint", '\uec84'),
    SKETCH("cib-sketch", '\uec85'),
    SKILLSHARE("cib-skillshare", '\uec86'),
    SKYLINER("cib-skyliner", '\uec87'),
    SKYPE("cib-skype", '\uec88'),
    SLACK("cib-slack", '\uec89'),
    SLASHDOT("cib-slashdot", '\uec8a'),
    SLICKPIC("cib-slickpic", '\uec8b'),
    SLIDES("cib-slides", '\uec8c'),
    SLIDESHARE("cib-slideshare", '\uec8d'),
    SMASHINGMAGAZINE("cib-smashingmagazine", '\uec8e'),
    SNAPCHAT("cib-snapchat", '\uec8f'),
    SNAPCRAFT("cib-snapcraft", '\uec90'),
    SNYK("cib-snyk", '\uec91'),
    SOCIETY6("cib-society6", '\uec92'),
    SOCKET_IO("cib-socket-io", '\uec93'),
    SOGOU("cib-sogou", '\uec94'),
    SOLUS("cib-solus", '\uec95'),
    SONGKICK("cib-songkick", '\uec96'),
    SONOS("cib-sonos", '\uec97'),
    SOUNDCLOUD("cib-soundcloud", '\uec98'),
    SOURCEFORGE("cib-sourceforge", '\uec99'),
    SOURCEGRAPH("cib-sourcegraph", '\uec9a'),
    SPACEMACS("cib-spacemacs", '\uec9b'),
    SPACEX("cib-spacex", '\uec9c'),
    SPARKFUN("cib-sparkfun", '\uec9d'),
    SPARKPOST("cib-sparkpost", '\uec9e'),
    SPDX("cib-spdx", '\uec9f'),
    SPEAKER_DECK("cib-speaker-deck", '\ueca0'),
    SPECTRUM("cib-spectrum", '\ueca1'),
    SPOTIFY("cib-spotify", '\ueca2'),
    SPOTLIGHT("cib-spotlight", '\ueca3'),
    SPREAKER("cib-spreaker", '\ueca4'),
    SPRING("cib-spring", '\ueca5'),
    SPRINT("cib-sprint", '\ueca6'),
    SQUARESPACE("cib-squarespace", '\ueca7'),
    STACKBIT("cib-stackbit", '\ueca8'),
    STACKEXCHANGE("cib-stackexchange", '\ueca9'),
    STACKOVERFLOW("cib-stackoverflow", '\uecaa'),
    STACKPATH("cib-stackpath", '\uecab'),
    STACKSHARE("cib-stackshare", '\uecac'),
    STADIA("cib-stadia", '\uecad'),
    STATAMIC("cib-statamic", '\uecae'),
    STATICMAN("cib-staticman", '\uecaf'),
    STATUSPAGE("cib-statuspage", '\uecb0'),
    STEAM("cib-steam", '\uecb1'),
    STEEM("cib-steem", '\uecb2'),
    STEEMIT("cib-steemit", '\uecb3'),
    STITCHER("cib-stitcher", '\uecb4'),
    STORIFY("cib-storify", '\uecb5'),
    STORYBOOK("cib-storybook", '\uecb6'),
    STRAPI("cib-strapi", '\uecb7'),
    STRAVA("cib-strava", '\uecb8'),
    STRIPE("cib-stripe", '\uecb9'),
    STRIPE_S("cib-stripe-s", '\uecba'),
    STUBHUB("cib-stubhub", '\uecbb'),
    STUMBLEUPON("cib-stumbleupon", '\uecbc'),
    STYLESHARE("cib-styleshare", '\uecbd'),
    STYLUS("cib-stylus", '\uecbe'),
    SUBLIME_TEXT("cib-sublime-text", '\uecbf'),
    SUBVERSION("cib-subversion", '\uecc0'),
    SUPERUSER("cib-superuser", '\uecc1'),
    SVELTE("cib-svelte", '\uecc2'),
    SVG("cib-svg", '\uecc3'),
    SWAGGER("cib-swagger", '\uecc4'),
    SWARM("cib-swarm", '\uecc5'),
    SWIFT("cib-swift", '\uecc6'),
    SYMANTEC("cib-symantec", '\uecc7'),
    SYMFONY("cib-symfony", '\uecc8'),
    SYNOLOGY("cib-synology", '\uecc9'),
    TABLEAU("cib-tableau", '\ueccb'),
    TAILS("cib-tails", '\ueccc'),
    TAPAS("cib-tapas", '\ueccd'),
    TEAMVIEWER("cib-teamviewer", '\uecce'),
    TED("cib-ted", '\ueccf'),
    TEESPRING("cib-teespring", '\uecd0'),
    TELEGRAM("cib-telegram", '\uecd1'),
    TELEGRAM_PLANE("cib-telegram-plane", '\uecd2'),
    TENCENT_QQ("cib-tencent-qq", '\uecd3'),
    TENCENT_WEIBO("cib-tencent-weibo", '\uecd4'),
    TENSORFLOW("cib-tensorflow", '\uecd5'),
    TERRAFORM("cib-terraform", '\uecd6'),
    TESLA("cib-tesla", '\uecd7'),
    THE_MIGHTY("cib-the-mighty", '\uecd8'),
    THE_MOVIE_DATABASE("cib-the-movie-database", '\uecd9'),
    TIDAL("cib-tidal", '\uecda'),
    TIKTOK("cib-tiktok", '\uecdb'),
    TINDER("cib-tinder", '\uecdc'),
    TODOIST("cib-todoist", '\uecdd'),
    TOGGL("cib-toggl", '\uecde'),
    TOPCODER("cib-topcoder", '\uecdf'),
    TOPTAL("cib-toptal", '\uece0'),
    TOR("cib-tor", '\uece1'),
    TOSHIBA("cib-toshiba", '\uece2'),
    TRAINERROAD("cib-trainerroad", '\uece3'),
    TRAKT("cib-trakt", '\uece4'),
    TRAVISCI("cib-travisci", '\uece5'),
    TREEHOUSE("cib-treehouse", '\uece6'),
    TRELLO("cib-trello", '\uece7'),
    TRIPADVISOR("cib-tripadvisor", '\uece8'),
    TRULIA("cib-trulia", '\uece9'),
    TUMBLR("cib-tumblr", '\uecea'),
    TWILIO("cib-twilio", '\ueceb'),
    TWITCH("cib-twitch", '\uecec'),
    TWITTER("cib-twitter", '\ueced'),
    TWOO("cib-twoo", '\uecee'),
    TYPESCRIPT("cib-typescript", '\uecef'),
    TYPO3("cib-typo3", '\uecf0'),
    T_MOBILE("cib-t-mobile", '\uecca'),
    UBER("cib-uber", '\uecf1'),
    UBISOFT("cib-ubisoft", '\uecf2'),
    UBLOCK_ORIGIN("cib-ublock-origin", '\uecf3'),
    UBUNTU("cib-ubuntu", '\uecf4'),
    UDACITY("cib-udacity", '\uecf5'),
    UDEMY("cib-udemy", '\uecf6'),
    UIKIT("cib-uikit", '\uecf7'),
    UMBRACO("cib-umbraco", '\uecf8'),
    UNITY("cib-unity", '\uecf9'),
    UNREAL_ENGINE("cib-unreal-engine", '\uecfa'),
    UNSPLASH("cib-unsplash", '\uecfb'),
    UNTAPPD("cib-untappd", '\uecfc'),
    UPWORK("cib-upwork", '\uecfd'),
    USB("cib-usb", '\uecfe'),
    V8("cib-v8", '\uecff'),
    VAGRANT("cib-vagrant", '\ued00'),
    VENMO("cib-venmo", '\ued01'),
    VERIZON("cib-verizon", '\ued02'),
    VIADEO("cib-viadeo", '\ued03'),
    VIBER("cib-viber", '\ued04'),
    VIM("cib-vim", '\ued05'),
    VIMEO("cib-vimeo", '\ued06'),
    VIMEO_V("cib-vimeo-v", '\ued07'),
    VINE("cib-vine", '\ued08'),
    VIRB("cib-virb", '\ued09'),
    VISA("cib-visa", '\ued0a'),
    VISUAL_STUDIO("cib-visual-studio", '\ued0b'),
    VISUAL_STUDIO_CODE("cib-visual-studio-code", '\ued0c'),
    VK("cib-vk", '\ued0d'),
    VLC("cib-vlc", '\ued0e'),
    VSCO("cib-vsco", '\ued0f'),
    VUE_JS("cib-vue-js", '\ued10'),
    WATTPAD("cib-wattpad", '\ued11'),
    WEASYL("cib-weasyl", '\ued12'),
    WEBCOMPONENTS_ORG("cib-webcomponents-org", '\ued13'),
    WEBPACK("cib-webpack", '\ued14'),
    WEBSTORM("cib-webstorm", '\ued15'),
    WECHAT("cib-wechat", '\ued16'),
    WHATSAPP("cib-whatsapp", '\ued17'),
    WHEN_I_WORK("cib-when-i-work", '\ued18'),
    WII("cib-wii", '\ued19'),
    WIIU("cib-wiiu", '\ued1a'),
    WIKIPEDIA("cib-wikipedia", '\ued1b'),
    WINDOWS("cib-windows", '\ued1c'),
    WIRE("cib-wire", '\ued1d'),
    WIREGUARD("cib-wireguard", '\ued1e'),
    WIX("cib-wix", '\ued1f'),
    WOLFRAM("cib-wolfram", '\ued20'),
    WOLFRAM_LANGUAGE("cib-wolfram-language", '\ued21'),
    WOLFRAM_MATHEMATICA("cib-wolfram-mathematica", '\ued22'),
    WORDPRESS("cib-wordpress", '\ued23'),
    WPENGINE("cib-wpengine", '\ued24'),
    XBOX("cib-xbox", '\ued26'),
    XCODE("cib-xcode", '\ued27'),
    XERO("cib-xero", '\ued28'),
    XIAOMI("cib-xiaomi", '\ued29'),
    XING("cib-xing", '\ued2a'),
    XRP("cib-xrp", '\ued2b'),
    XSPLIT("cib-xsplit", '\ued2c'),
    X_PACK("cib-x-pack", '\ued25'),
    YAHOO("cib-yahoo", '\ued2e'),
    YAMMER("cib-yammer", '\ued2f'),
    YANDEX("cib-yandex", '\ued30'),
    YARN("cib-yarn", '\ued31'),
    YELP("cib-yelp", '\ued32'),
    YOUTUBE("cib-youtube", '\ued33'),
    Y_COMBINATOR("cib-y-combinator", '\ued2d'),
    ZALANDO("cib-zalando", '\ued34'),
    ZAPIER("cib-zapier", '\ued35'),
    ZEIT("cib-zeit", '\ued36'),
    ZENDESK("cib-zendesk", '\ued37'),
    ZERPLY("cib-zerply", '\ued38'),
    ZILLOW("cib-zillow", '\ued39'),
    ZINGAT("cib-zingat", '\ued3a'),
    ZOOM("cib-zoom", '\ued3b'),
    ZORIN("cib-zorin", '\ued3c'),
    ZULIP("cib-zulip", '\ued3d');

    public static CoreUiBrands findByDescription(String description) {
        for (CoreUiBrands font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    CoreUiBrands(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}