/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.fluentui;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum FluentUiRegularMZ implements Ikon {
    MAGIC_WAND_16('\ufa36'),
    MAGIC_WAND_20('\ufa37'),
    MAGIC_WAND_24('\uf505'),
    MAGIC_WAND_28('\ufa38'),
    MAGIC_WAND_48('\ufa39'),
    MAIL_16('\ufa3a'),
    MAIL_20('\uf506'),
    MAIL_24('\uf507'),
    MAIL_28('\uf508'),
    MAIL_48('\uf509'),
    MAIL_ADD_24('\uf50a'),
    MAIL_ALL_20('\uf50b'),
    MAIL_ALL_24('\uf50c'),
    MAIL_ALL_ACCOUNTS_24('\uf50d'),
    MAIL_ALL_READ_20('\uf50e'),
    MAIL_ALL_UNREAD_20('\uf50f'),
    MAIL_CLOCK_20('\uf510'),
    MAIL_COPY_20('\uf511'),
    MAIL_COPY_24('\uf512'),
    MAIL_INBOX_16('\uf513'),
    MAIL_INBOX_20('\uf514'),
    MAIL_INBOX_24('\uf515'),
    MAIL_INBOX_28('\uf516'),
    MAIL_INBOX_ADD_16('\uf517'),
    MAIL_INBOX_ADD_20('\uf518'),
    MAIL_INBOX_ADD_24('\uf519'),
    MAIL_INBOX_ADD_28('\uf51a'),
    MAIL_INBOX_DISMISS_16('\uf51b'),
    MAIL_INBOX_DISMISS_20('\uf51c'),
    MAIL_INBOX_DISMISS_24('\uf51d'),
    MAIL_INBOX_DISMISS_28('\uf51e'),
    MAIL_MOVE_TO_FOCUSSED_24('\uf51f'),
    MAIL_OUTBOX_20('\uf8c8'),
    MAIL_OUTBOX_24('\uf520'),
    MAIL_READ_16('\ufa3b'),
    MAIL_READ_20('\uf521'),
    MAIL_READ_24('\uf522'),
    MAIL_READ_28('\uf523'),
    MAIL_READ_48('\uf524'),
    MAIL_UNREAD_16('\uf525'),
    MAIL_UNREAD_20('\uf526'),
    MAIL_UNREAD_24('\uf527'),
    MAIL_UNREAD_28('\uf528'),
    MAIL_UNREAD_48('\uf529'),
    MAIL_UNSUBSCRIBE_24('\uf52a'),
    MALWARE_DETECTED_16('\uf52b'),
    MALWARE_DETECTED_24('\uf52c'),
    MANUFACTURER_24('\uf52d'),
    MAP_24('\uf52e'),
    MAP_DRIVE_16('\uf52f'),
    MAP_DRIVE_20('\uf530'),
    MAP_DRIVE_24('\uf531'),
    MATCH_APP_LAYOUT_24('\uf532'),
    MATH_FORMAT_LINEAR_24('\ufa3c'),
    MATH_FORMAT_PROFESSIONAL_24('\ufa3d'),
    MATH_FORMULA_24('\ufa3e'),
    MAXIMIZE_16('\uf533'),
    MAXIMIZE_20('\ufa3f'),
    MAXIMIZE_24('\ufa40'),
    MAXIMIZE_28('\ufa41'),
    MAXIMIZE_48('\ufa42'),
    MEET_NOW_16('\ufa43'),
    MEET_NOW_20('\uf534'),
    MEET_NOW_24('\uf535'),
    MEGAPHONE_16('\uf536'),
    MEGAPHONE_20('\uf537'),
    MEGAPHONE_24('\uf538'),
    MEGAPHONE_28('\uf539'),
    MEGAPHONE_OFF_24('\uf53a'),
    MENTION_16('\uf53b'),
    MENTION_20('\uf53c'),
    MENTION_24('\uf53d'),
    MERGE_24('\uf53e'),
    MIC_OFF_12('\uf53f'),
    MIC_OFF_16('\uf540'),
    MIC_OFF_20('\ufa44'),
    MIC_OFF_24('\uf541'),
    MIC_OFF_28('\uf542'),
    MIC_OFF_48('\ufa45'),
    MIC_ON_16('\uf543'),
    MIC_ON_20('\uf544'),
    MIC_ON_24('\uf545'),
    MIC_ON_28('\uf546'),
    MIC_ON_48('\uf547'),
    MIC_PROHIBITED_24('\ufa46'),
    MIC_SETTINGS_24('\uf548'),
    MIDI_20('\uf549'),
    MIDI_24('\uf54a'),
    MINIMIZE_12('\ufa47'),
    MINIMIZE_16('\ufa48'),
    MINIMIZE_20('\ufa49'),
    MINIMIZE_24('\ufa4a'),
    MINIMIZE_28('\ufa4b'),
    MINIMIZE_48('\ufa4c'),
    MISSING_METADATA_16('\uf54b'),
    MISSING_METADATA_24('\uf54c'),
    MOBILE_OPTIMIZED_24('\uf54d'),
    MONEY_16('\uf54e'),
    MONEY_20('\uf54f'),
    MONEY_24('\uf550'),
    MORE_16('\uf551'),
    MORE_20('\uf552'),
    MORE_24('\uf553'),
    MORE_28('\uf554'),
    MORE_48('\uf555'),
    MORE_CIRCLE_20('\ufa4d'),
    MORE_VERTICAL_20('\uf556'),
    MORE_VERTICAL_24('\uf557'),
    MORE_VERTICAL_28('\uf558'),
    MORE_VERTICAL_48('\uf559'),
    MOVIES_AND_TV_16('\ufa4e'),
    MOVIES_AND_TV_20('\ufa4f'),
    MOVIES_AND_TV_24('\uf55a'),
    MULTISELECT_20('\uf55b'),
    MULTISELECT_24('\uf55c'),
    MUSIC_20('\uf55d'),
    MUSIC_24('\uf55e'),
    MUSIC_NOTES_16('\ufa52'),
    MUSIC_NOTES_24('\ufa53'),
    MUSIC_NOTE_20('\ufa50'),
    MUSIC_NOTE_24('\ufa51'),
    MY_LOCATION_24('\uf55f'),
    NAVIGATION_20('\uf560'),
    NAVIGATION_24('\uf561'),
    NAVIGATION_UNREAD_24('\ufa54'),
    NETWORK_CHECK_24('\uf562'),
    NEWS_20('\uf565'),
    NEWS_24('\uf566'),
    NEWS_28('\uf567'),
    NEW_16('\uf563'),
    NEW_24('\uf564'),
    NEXT_16('\uf568'),
    NEXT_20('\uf569'),
    NEXT_24('\uf56a'),
    NOTEBOOK_24('\uf570'),
    NOTEBOOK_ERROR_24('\uf571'),
    NOTEBOOK_LIGHTNING_24('\uf572'),
    NOTEBOOK_QUESTION_MARK_24('\uf573'),
    NOTEBOOK_SECTION_24('\uf574'),
    NOTEBOOK_SYNC_24('\uf575'),
    NOTEPAD_20('\uf576'),
    NOTEPAD_24('\uf577'),
    NOTEPAD_28('\uf578'),
    NOTE_20('\uf56b'),
    NOTE_24('\uf56c'),
    NOTE_ADD_16('\uf56d'),
    NOTE_ADD_20('\uf56e'),
    NOTE_ADD_24('\uf56f'),
    NUMBER_ROW_16('\uf579'),
    NUMBER_ROW_20('\uf57a'),
    NUMBER_ROW_24('\uf57b'),
    NUMBER_SYMBOL_16('\uf57c'),
    NUMBER_SYMBOL_20('\uf57d'),
    NUMBER_SYMBOL_24('\uf57e'),
    NUMBER_SYMBOL_DISMISS_24('\ufa55'),
    OFFICE_APPS_24('\uf57f'),
    OFFICE_APPS_28('\uf580'),
    OPEN_16('\uf581'),
    OPEN_20('\uf582'),
    OPEN_24('\uf583'),
    OPEN_28('\ufa56'),
    OPEN_48('\ufa57'),
    OPEN_FOLDER_16('\ufa58'),
    OPEN_FOLDER_20('\ufa59'),
    OPEN_FOLDER_24('\uf584'),
    OPEN_FOLDER_28('\ufa5a'),
    OPEN_FOLDER_48('\ufa5b'),
    OPEN_IN_BROWSER_24('\uf585'),
    OPEN_OFF_16('\ufa5c'),
    OPEN_OFF_20('\ufa5d'),
    OPEN_OFF_24('\ufa5e'),
    OPEN_OFF_28('\ufa5f'),
    OPEN_OFF_48('\ufa60'),
    OPTIONS_16('\uf586'),
    OPTIONS_20('\uf587'),
    OPTIONS_24('\uf588'),
    ORGANIZATION_20('\uf589'),
    ORGANIZATION_24('\uf58a'),
    ORGANIZATION_28('\uf58b'),
    OWNER_24('\uf58c'),
    PAGE_20('\uf58d'),
    PAGE_FIT_16('\uf58e'),
    PAGE_FIT_20('\uf58f'),
    PAGE_FIT_24('\uf590'),
    PAINT_BRUSH_16('\uf591'),
    PAINT_BRUSH_20('\uf592'),
    PAINT_BRUSH_24('\uf593'),
    PAINT_BRUSH_ARROW_DOWN_24('\ufa61'),
    PAINT_BRUSH_ARROW_UP_24('\ufa62'),
    PAINT_BUCKET_16('\uf594'),
    PAINT_BUCKET_20('\uf595'),
    PAINT_BUCKET_24('\uf596'),
    PAIR_24('\uf597'),
    PANE_CLOSE_16('\uf598'),
    PANE_CLOSE_20('\uf599'),
    PANE_CLOSE_24('\uf59a'),
    PANE_OPEN_16('\uf59b'),
    PANE_OPEN_20('\uf59c'),
    PANE_OPEN_24('\uf59d'),
    PASSWORD_24('\uf59e'),
    PATIENT_24('\uf59f'),
    PAUSE_12('\ufa63'),
    PAUSE_16('\uf5a0'),
    PAUSE_20('\uf5a1'),
    PAUSE_24('\uf5a2'),
    PAUSE_48('\uf5a3'),
    PAYMENT_16('\ufa64'),
    PAYMENT_20('\uf5a4'),
    PAYMENT_24('\uf5a5'),
    PAYMENT_28('\ufa65'),
    PEN_SETTINGS_24('\uf5a6'),
    PEOPLE_16('\uf5a7'),
    PEOPLE_20('\uf5a8'),
    PEOPLE_24('\uf5a9'),
    PEOPLE_28('\uf5aa'),
    PEOPLE_ADD_16('\uf5ab'),
    PEOPLE_ADD_20('\uf5ac'),
    PEOPLE_ADD_24('\uf5ad'),
    PEOPLE_AUDIENCE_24('\uf5ae'),
    PEOPLE_COMMUNITY_16('\uf5af'),
    PEOPLE_COMMUNITY_20('\uf5b0'),
    PEOPLE_COMMUNITY_24('\uf5b1'),
    PEOPLE_COMMUNITY_28('\uf5b2'),
    PEOPLE_COMMUNITY_ADD_24('\uf5b3'),
    PEOPLE_PROHIBITED_16('\ufa66'),
    PEOPLE_PROHIBITED_20('\uf5b4'),
    PEOPLE_SEARCH_24('\uf5b5'),
    PEOPLE_SETTINGS_20('\uf5b6'),
    PEOPLE_SWAP_16('\ufa67'),
    PEOPLE_SWAP_20('\ufa68'),
    PEOPLE_SWAP_24('\ufa69'),
    PEOPLE_SWAP_28('\ufa6a'),
    PEOPLE_TEAM_16('\uf5b7'),
    PEOPLE_TEAM_20('\uf5b8'),
    PEOPLE_TEAM_24('\uf5b9'),
    PEOPLE_TEAM_28('\uf5ba'),
    PEOPLE_TEAM_ADD_20('\ufa6b'),
    PEOPLE_TEAM_ADD_24('\ufa6c'),
    PEOPLE_TEAM_DISMISS_24('\ufa6d'),
    PERSON_12('\uf5bb'),
    PERSON_16('\uf5bc'),
    PERSON_20('\uf5bd'),
    PERSON_24('\uf5be'),
    PERSON_28('\uf5bf'),
    PERSON_48('\uf5c0'),
    PERSON_ACCOUNTS_24('\uf5c1'),
    PERSON_ADD_20('\uf5c2'),
    PERSON_ADD_24('\uf5c3'),
    PERSON_ARROW_LEFT_20('\uf5c4'),
    PERSON_ARROW_LEFT_24('\uf5c5'),
    PERSON_ARROW_RIGHT_16('\uf5c6'),
    PERSON_ARROW_RIGHT_20('\uf5c7'),
    PERSON_ARROW_RIGHT_24('\uf5c8'),
    PERSON_AVAILABLE_16('\uf5c9'),
    PERSON_AVAILABLE_20('\ufa6e'),
    PERSON_AVAILABLE_24('\uf5ca'),
    PERSON_BLOCK_24('\uf5cb'),
    PERSON_BOARD_16('\uf5cc'),
    PERSON_BOARD_20('\uf5cd'),
    PERSON_BOARD_24('\uf5ce'),
    PERSON_CALL_24('\uf5cf'),
    PERSON_CLOCK_16('\ufa6f'),
    PERSON_CLOCK_20('\ufa70'),
    PERSON_CLOCK_24('\ufa71'),
    PERSON_DELETE_16('\uf5d0'),
    PERSON_DELETE_20('\ufa72'),
    PERSON_DELETE_24('\uf5d1'),
    PERSON_FEEDBACK_20('\uf5d2'),
    PERSON_FEEDBACK_24('\uf5d3'),
    PERSON_MAIL_16('\ufa73'),
    PERSON_MAIL_20('\ufa74'),
    PERSON_MAIL_24('\ufa75'),
    PERSON_MAIL_28('\ufa76'),
    PERSON_MAIL_48('\ufa77'),
    PERSON_PROHIBITED_20('\uf5d4'),
    PERSON_PROHIBITED_24('\ufa78'),
    PERSON_QUESTION_MARK_16('\uf5d5'),
    PERSON_QUESTION_MARK_20('\uf5d6'),
    PERSON_QUESTION_MARK_24('\uf5d7'),
    PERSON_SUPPORT_16('\uf5d8'),
    PERSON_SUPPORT_20('\uf5d9'),
    PERSON_SUPPORT_24('\uf5da'),
    PERSON_SWAP_16('\uf5db'),
    PERSON_SWAP_20('\uf5dc'),
    PERSON_SWAP_24('\uf5dd'),
    PERSON_VOICE_20('\uf5de'),
    PERSON_VOICE_24('\uf5df'),
    PHONE_16('\ufa79'),
    PHONE_20('\uf5e0'),
    PHONE_24('\uf5e1'),
    PHONE_28('\uf5e2'),
    PHONE_ADD_NEW_APP_24('\uf5e3'),
    PHONE_DESKTOP_16('\uf5e4'),
    PHONE_DESKTOP_20('\uf5e5'),
    PHONE_DESKTOP_24('\uf5e6'),
    PHONE_DESKTOP_28('\uf5e7'),
    PHONE_ERROR_24('\uf5e8'),
    PHONE_HOME_LOCK_24('\uf5e9'),
    PHONE_LAPTOP_20('\uf5ea'),
    PHONE_LAPTOP_24('\uf5eb'),
    PHONE_LINK_SETUP_24('\uf5ec'),
    PHONE_MOBILE_20('\uf5ed'),
    PHONE_MOBILE_24('\uf5ee'),
    PHONE_PAGE_HEADER_24('\uf5ef'),
    PHONE_PAGINATION_24('\uf5f0'),
    PHONE_SCREEN_TIME_24('\uf5f1'),
    PHONE_SHAKE_24('\uf5f2'),
    PHONE_STATUS_BAR_24('\uf5f3'),
    PHONE_TABLET_20('\uf5f4'),
    PHONE_TABLET_24('\uf5f5'),
    PHONE_TO_PC_20('\uf5f6'),
    PHONE_TO_PC_24('\uf5f7'),
    PHONE_UPDATE_24('\uf5f8'),
    PHONE_VERTICAL_SCROLL_24('\uf5f9'),
    PHONE_VIBRATE_24('\uf5fa'),
    PHOTO_FILTER_24('\uf5fb'),
    PICTURE_IN_PICTURE_16('\uf5fc'),
    PICTURE_IN_PICTURE_20('\uf5fd'),
    PICTURE_IN_PICTURE_24('\uf5fe'),
    PIN_12('\uf5ff'),
    PIN_16('\uf600'),
    PIN_20('\uf601'),
    PIN_24('\uf602'),
    PIN_OFF_20('\uf603'),
    PIN_OFF_24('\uf604'),
    PLAY_20('\uf605'),
    PLAY_24('\uf606'),
    PLAY_48('\uf607'),
    PLAY_CIRCLE_24('\uf608'),
    PLUG_DISCONNECTED_20('\uf609'),
    PLUG_DISCONNECTED_24('\uf60a'),
    PLUG_DISCONNECTED_28('\uf60b'),
    POINT_SCAN_24('\uf60c'),
    POLL_20('\ufa7a'),
    POLL_24('\uf60d'),
    POWER_20('\uf60e'),
    POWER_24('\uf60f'),
    POWER_28('\uf610'),
    PREDICTIONS_24('\uf611'),
    PREMIUM_16('\uf612'),
    PREMIUM_20('\uf613'),
    PREMIUM_24('\uf614'),
    PREMIUM_28('\uf615'),
    PRESENCE_AVAILABLE_10('\ufa7b'),
    PRESENCE_AVAILABLE_12('\ufa7c'),
    PRESENCE_AVAILABLE_16('\ufa7d'),
    PRESENCE_BLOCKED_10('\uf616'),
    PRESENCE_BLOCKED_12('\uf617'),
    PRESENCE_BLOCKED_16('\uf618'),
    PRESENCE_DND_10('\ufa7e'),
    PRESENCE_DND_12('\ufa7f'),
    PRESENCE_DND_16('\ufa80'),
    PRESENCE_OFFLINE_10('\uf619'),
    PRESENCE_OFFLINE_12('\uf61a'),
    PRESENCE_OFFLINE_16('\uf61b'),
    PRESENCE_OOF_10('\uf61c'),
    PRESENCE_OOF_12('\uf61d'),
    PRESENCE_OOF_16('\uf61e'),
    PRESENCE_UNKNOWN_10('\uf61f'),
    PRESENCE_UNKNOWN_12('\uf620'),
    PRESENCE_UNKNOWN_16('\uf621'),
    PRESENTER_24('\uf622'),
    PRESENTER_OFF_24('\uf623'),
    PREVIEW_LINK_16('\uf624'),
    PREVIEW_LINK_20('\uf625'),
    PREVIEW_LINK_24('\uf626'),
    PREVIOUS_16('\uf627'),
    PREVIOUS_20('\uf628'),
    PREVIOUS_24('\uf629'),
    PRINT_20('\uf62a'),
    PRINT_24('\uf62b'),
    PRINT_48('\uf62c'),
    PROHIBITED_20('\uf62d'),
    PROHIBITED_24('\uf62e'),
    PROHIBITED_28('\uf62f'),
    PROHIBITED_48('\uf630'),
    PROOFREAD_LANGUAGE_24('\uf631'),
    PROTOCOL_HANDLER_16('\uf632'),
    PROTOCOL_HANDLER_20('\uf633'),
    PROTOCOL_HANDLER_24('\uf634'),
    PULSE_24('\ufa81'),
    QR_CODE_20('\ufa82'),
    QR_CODE_24('\uf635'),
    QR_CODE_28('\uf636'),
    QUESTION_16('\uf637'),
    QUESTION_20('\uf638'),
    QUESTION_24('\uf639'),
    QUESTION_28('\uf63a'),
    QUESTION_48('\uf63b'),
    QUESTION_CIRCLE_16('\uf63c'),
    QUESTION_CIRCLE_20('\uf63d'),
    QUESTION_CIRCLE_24('\uf63e'),
    QUESTION_CIRCLE_28('\uf63f'),
    QUESTION_CIRCLE_48('\uf640'),
    QUIZ_NEW_24('\uf641'),
    QUIZ_NEW_28('\uf642'),
    QUIZ_NEW_48('\uf643'),
    RADIO_BUTTON_20('\uf644'),
    RADIO_BUTTON_24('\uf645'),
    RATING_MATURE_16('\uf646'),
    RATING_MATURE_20('\uf647'),
    RATING_MATURE_24('\uf648'),
    READING_LIST_16('\uf651'),
    READING_LIST_20('\uf652'),
    READING_LIST_24('\uf653'),
    READING_LIST_28('\uf654'),
    READING_LIST_ADD_16('\uf655'),
    READING_LIST_ADD_20('\uf656'),
    READING_LIST_ADD_24('\uf657'),
    READING_LIST_ADD_28('\uf658'),
    READING_MODE_20('\uf659'),
    READING_MODE_24('\uf65a'),
    READING_MODE_MOBILE_20('\uf65b'),
    READING_MODE_MOBILE_24('\uf65c'),
    READ_ALOUD_20('\uf64d'),
    READ_ALOUD_24('\uf64e'),
    READ_ONLY_16('\uf64f'),
    READ_ONLY_24('\uf650'),
    REAL_ESTATE_24('\ufa83'),
    RECIEPT_20('\uf65d'),
    RECIEPT_24('\uf65e'),
    RECOMMENDED_24('\uf65f'),
    RECORD_16('\uf660'),
    RECORD_20('\uf661'),
    RECORD_24('\uf662'),
    REMOVE_12('\uf663'),
    REMOVE_16('\uf664'),
    REMOVE_20('\uf665'),
    REMOVE_24('\uf666'),
    REMOVE_RECENT_24('\uf667'),
    RENAME_16('\uf668'),
    RENAME_20('\uf669'),
    RENAME_24('\uf66a'),
    RENAME_28('\uf66b'),
    RESIZE_20('\uf66c'),
    RESIZE_IMAGE_24('\uf66d'),
    RESIZE_TABLE_24('\uf66e'),
    RESIZE_VIDEO_24('\uf66f'),
    RESTORE_16('\uf670'),
    REWARD_16('\uf671'),
    REWARD_20('\uf672'),
    REWARD_24('\uf673'),
    REWIND_20('\uf674'),
    REWIND_24('\uf675'),
    RE_ORDER_16('\uf649'),
    RE_ORDER_24('\uf64a'),
    RE_ORDER_DOTS_20('\uf64b'),
    RE_ORDER_DOTS_24('\uf64c'),
    RIBBON_24('\ufa84'),
    RIBBON_STAR_20('\ufa85'),
    RIBBON_STAR_24('\ufa86'),
    ROCKET_16('\uf676'),
    ROCKET_20('\uf677'),
    ROCKET_24('\uf678'),
    ROUTER_24('\uf679'),
    ROW_TRIPLE_24('\uf67a'),
    RULER_16('\uf67b'),
    RULER_20('\uf67c'),
    RULER_24('\uf67d'),
    RUN_16('\ufa87'),
    RUN_20('\ufa88'),
    RUN_24('\uf67e'),
    SAVE_20('\uf67f'),
    SAVE_24('\uf680'),
    SAVE_AS_20('\uf681'),
    SAVE_AS_24('\uf682'),
    SAVE_COPY_24('\uf683'),
    SAVINGS_16('\uf684'),
    SAVINGS_20('\uf685'),
    SAVINGS_24('\uf686'),
    SCALES_24('\ufa89'),
    SCALES_32('\ufa8a'),
    SCALE_FILL_24('\uf687'),
    SCALE_FIT_16('\uf688'),
    SCALE_FIT_20('\uf689'),
    SCALE_FIT_24('\uf68a'),
    SCAN_24('\uf68b'),
    SCRATCHPAD_24('\uf68c'),
    SCREENSHOT_20('\uf68d'),
    SCREENSHOT_24('\uf68e'),
    SEARCH_20('\uf68f'),
    SEARCH_24('\uf690'),
    SEARCH_28('\uf691'),
    SEARCH_INFO_20('\uf692'),
    SEARCH_INFO_24('\uf693'),
    SEARCH_SHIELD_20('\ufa8b'),
    SEARCH_SQUARE_24('\uf694'),
    SELECT_ALL_24('\uf695'),
    SELECT_ALL_OFF_24('\uf696'),
    SELECT_OBJECT_20('\uf697'),
    SELECT_OBJECT_24('\uf698'),
    SEND_20('\uf699'),
    SEND_24('\uf69a'),
    SEND_28('\uf69b'),
    SEND_CLOCK_20('\uf69c'),
    SEND_COPY_24('\uf69d'),
    SEND_LOGGING_24('\uf69e'),
    SEND_TO_BACK_20('\uf69f'),
    SEND_TO_BACK_24('\uf6a0'),
    SERIAL_PORT_16('\uf6a1'),
    SERIAL_PORT_20('\uf6a2'),
    SERIAL_PORT_24('\uf6a3'),
    SERVICE_BELL_24('\uf6a4'),
    SETTINGS_16('\uf6a8'),
    SETTINGS_20('\uf6a9'),
    SETTINGS_24('\uf6aa'),
    SETTINGS_28('\uf6ab'),
    SET_TOP_STACK_16('\uf6a5'),
    SET_TOP_STACK_20('\uf6a6'),
    SET_TOP_STACK_24('\uf6a7'),
    SHAPES_16('\uf6ac'),
    SHAPES_20('\uf6ad'),
    SHAPES_24('\uf6ae'),
    SHARE_20('\uf6af'),
    SHARE_24('\uf6b0'),
    SHARE_ANDROID_20('\uf6b1'),
    SHARE_ANDROID_24('\uf6b2'),
    SHARE_CLOSE_TRAY_24('\uf6b3'),
    SHARE_DESKTOP_24('\uf6b4'),
    SHARE_IOS_20('\uf6b5'),
    SHARE_IOS_24('\uf6b6'),
    SHARE_IOS_28('\uf6b7'),
    SHARE_IOS_48('\uf6b8'),
    SHARE_SCREEN_20('\uf6b9'),
    SHARE_SCREEN_24('\uf6ba'),
    SHARE_SCREEN_28('\uf6bb'),
    SHARE_STOP_16('\ufa8c'),
    SHARE_STOP_20('\ufa8d'),
    SHARE_STOP_24('\uf6bc'),
    SHARE_STOP_28('\uf6bd'),
    SHARE_STOP_48('\ufa8e'),
    SHIELD_20('\uf6be'),
    SHIELD_24('\uf6bf'),
    SHIELD_DISMISS_20('\uf6c0'),
    SHIELD_DISMISS_24('\uf6c1'),
    SHIELD_DISMISS_SHIELD_20('\ufa8f'),
    SHIELD_ERROR_20('\uf6c2'),
    SHIELD_ERROR_24('\uf6c3'),
    SHIELD_KEYHOLE_16('\uf6c4'),
    SHIELD_KEYHOLE_20('\uf6c5'),
    SHIELD_KEYHOLE_24('\uf6c6'),
    SHIELD_PROHIBITED_20('\uf6c7'),
    SHIELD_PROHIBITED_24('\uf6c8'),
    SHIFTS_24('\uf6c9'),
    SHIFTS_24H_20('\uf6ca'),
    SHIFTS_24H_24('\uf6cb'),
    SHIFTS_28('\uf6cc'),
    SHIFTS_30_MINUTES_24('\uf6cd'),
    SHIFTS_ACTIVITY_20('\uf6ce'),
    SHIFTS_ACTIVITY_24('\uf6cf'),
    SHIFTS_ADD_24('\uf6d0'),
    SHIFTS_APPROVE_24('\uf6d1'),
    SHIFTS_AVAILABILITY_24('\uf6d2'),
    SHIFTS_DAY_20('\ufa90'),
    SHIFTS_DAY_24('\ufa91'),
    SHIFTS_DENY_24('\uf6d3'),
    SHIFTS_OPEN_20('\uf6d4'),
    SHIFTS_OPEN_24('\uf6d5'),
    SHIFTS_PENDING_24('\uf6d6'),
    SHIFTS_TEAM_24('\uf6d7'),
    SHIP_20('\uf6d8'),
    SHIP_24('\uf6d9'),
    SIDEBAR_SEARCH_LTR_20('\ufa92'),
    SIDEBAR_SEARCH_RTL_20('\ufa93'),
    SIGNATURE_16('\uf6db'),
    SIGNATURE_20('\uf6dc'),
    SIGNATURE_24('\uf6dd'),
    SIGNATURE_28('\uf6de'),
    SIGNED_16('\uf6df'),
    SIGNED_20('\uf6e0'),
    SIGNED_24('\uf6e1'),
    SIGN_OUT_20('\ufa94'),
    SIGN_OUT_24('\uf6da'),
    SIM_16('\uf6e2'),
    SIM_20('\uf6e3'),
    SIM_24('\uf6e4'),
    SLEEP_24('\uf6e5'),
    SLIDE_ADD_24('\uf6e6'),
    SLIDE_DESIGN_24('\uf6e7'),
    SLIDE_HIDE_24('\uf6e8'),
    SLIDE_LAYOUT_20('\uf6e9'),
    SLIDE_LAYOUT_24('\uf6ea'),
    SLIDE_MICROPHONE_24('\uf6eb'),
    SLIDE_MULTIPLE_ARROW_RIGHT_24('\ufa95'),
    SLIDE_SEARCH_24('\ufa96'),
    SLIDE_SEARCH_28('\ufa97'),
    SLIDE_SIZE_24('\ufa98'),
    SLIDE_TEXT_16('\ufa99'),
    SLIDE_TEXT_20('\ufa9a'),
    SLIDE_TEXT_24('\uf6ec'),
    SLIDE_TEXT_28('\ufa9b'),
    SLIDE_TEXT_48('\ufa9c'),
    SLOW_MODE_16('\uf6ed'),
    SLOW_MODE_20('\uf6ee'),
    SLOW_MODE_24('\uf6ef'),
    SLOW_MODE_28('\uf6f0'),
    SMALL_16('\uf6f1'),
    SMALL_20('\uf6f2'),
    SMALL_24('\uf6f3'),
    SNOOZE_16('\uf6f4'),
    SNOOZE_24('\uf6f5'),
    SOUND_SOURCE_24('\uf6f6'),
    SOUND_SOURCE_28('\uf6f7'),
    SPACEBAR_24('\uf6f8'),
    SPEAKER_0_16('\ufa9d'),
    SPEAKER_0_20('\ufa9e'),
    SPEAKER_0_24('\uf6f9'),
    SPEAKER_0_28('\ufa9f'),
    SPEAKER_0_48('\ufaa0'),
    SPEAKER_16('\uf6fa'),
    SPEAKER_1_16('\ufaa1'),
    SPEAKER_1_20('\ufaa2'),
    SPEAKER_1_24('\uf6fb'),
    SPEAKER_1_28('\ufaa3'),
    SPEAKER_1_48('\ufaa4'),
    SPEAKER_20('\uf6fc'),
    SPEAKER_24('\uf6fd'),
    SPEAKER_28('\uf6fe'),
    SPEAKER_48('\ufaa5'),
    SPEAKER_BLUETOOTH_24('\uf6ff'),
    SPEAKER_BLUETOOTH_28('\ufaa6'),
    SPEAKER_EDIT_16('\uf700'),
    SPEAKER_EDIT_20('\uf701'),
    SPEAKER_EDIT_24('\uf702'),
    SPEAKER_NONE_16('\ufaa7'),
    SPEAKER_NONE_20('\uf703'),
    SPEAKER_NONE_24('\uf704'),
    SPEAKER_NONE_28('\uf705'),
    SPEAKER_NONE_48('\ufaa8'),
    SPEAKER_OFF_16('\ufaa9'),
    SPEAKER_OFF_20('\ufaaa'),
    SPEAKER_OFF_24('\uf706'),
    SPEAKER_OFF_28('\uf707'),
    SPEAKER_OFF_48('\ufaab'),
    SPEAKER_SETTINGS_24('\uf708'),
    SPEAKER_USB_24('\ufaac'),
    SPEAKER_USB_28('\ufaad'),
    SPINNER_IOS_20('\uf709'),
    SPORTS_16('\uf70a'),
    SPORTS_20('\uf70b'),
    SPORTS_24('\uf70c'),
    SPORT_16('\ufaae'),
    SPORT_20('\ufaaf'),
    SPORT_24('\ufab0'),
    SPORT_AMERICAN_FOOTBALL_24('\ufab1'),
    SPORT_BASEBALL_24('\ufab2'),
    SPORT_BASKETBALL_24('\ufab3'),
    SPORT_HOCKEY_24('\ufab4'),
    STAR_12('\uf70d'),
    STAR_16('\uf70e'),
    STAR_20('\uf70f'),
    STAR_24('\uf710'),
    STAR_28('\uf711'),
    STAR_ADD_16('\uf712'),
    STAR_ADD_20('\uf713'),
    STAR_ADD_24('\uf714'),
    STAR_ARROW_RIGHT_24('\uf715'),
    STAR_ARROW_RIGHT_START_24('\uf716'),
    STAR_EDIT_24('\ufab5'),
    STAR_EMPHASIS_24('\uf717'),
    STAR_OFF_12('\uf718'),
    STAR_OFF_16('\uf719'),
    STAR_OFF_20('\uf71a'),
    STAR_OFF_24('\uf71b'),
    STAR_OFF_28('\uf71c'),
    STAR_PROHIBITED_16('\uf71d'),
    STAR_PROHIBITED_20('\uf71e'),
    STAR_PROHIBITED_24('\uf71f'),
    STAR_SETTINGS_24('\uf720'),
    STATUS_16('\uf721'),
    STATUS_20('\uf722'),
    STATUS_24('\uf723'),
    STETHOSCOPE_20('\uf724'),
    STETHOSCOPE_24('\uf725'),
    STICKER_20('\uf726'),
    STICKER_24('\uf727'),
    STICKER_ADD_24('\uf728'),
    STOP_16('\uf729'),
    STOP_20('\uf72a'),
    STOP_24('\uf72b'),
    STORAGE_24('\uf72c'),
    STORE_16('\uf72d'),
    STORE_20('\uf72e'),
    STORE_24('\uf72f'),
    STORE_MICROSOFT_16('\uf730'),
    STORE_MICROSOFT_20('\uf731'),
    STORE_MICROSOFT_24('\uf732'),
    STYLE_GUIDE_24('\uf733'),
    SUBWAY_20('\uf735'),
    SUBWAY_24('\uf736'),
    SUB_GRID_24('\uf734'),
    SUGGESTION_24('\uf737'),
    SURFACE_EARBUDS_20('\uf738'),
    SURFACE_EARBUDS_24('\uf739'),
    SURFACE_HUB_20('\uf73a'),
    SURFACE_HUB_24('\uf73b'),
    SWIPE_DOWN_24('\uf73c'),
    SWIPE_RIGHT_24('\uf73d'),
    SWIPE_UP_24('\uf73e'),
    SYMBOLS_24('\uf73f'),
    SYNC_OFF_16('\uf740'),
    SYNC_OFF_20('\uf741'),
    SYSTEM_24('\uf742'),
    TABLET_20('\uf779'),
    TABLET_24('\uf77a'),
    TABLE_16('\ufab8'),
    TABLE_20('\uf75d'),
    TABLE_24('\uf75e'),
    TABLE_28('\ufab9'),
    TABLE_48('\ufaba'),
    TABLE_ADD_24('\uf75f'),
    TABLE_CELLS_MERGE_20('\uf760'),
    TABLE_CELLS_MERGE_24('\uf761'),
    TABLE_CELLS_SPLIT_20('\uf762'),
    TABLE_CELLS_SPLIT_24('\uf763'),
    TABLE_COLUMN_DELETE_24('\uf764'),
    TABLE_COLUMN_INSERT_24('\uf765'),
    TABLE_COLUMN_RESIZE_24('\uf766'),
    TABLE_DELETE_24('\uf767'),
    TABLE_EDIT_24('\uf768'),
    TABLE_FREEZE_24('\uf769'),
    TABLE_FREEZE_COLUMN_24('\uf76a'),
    TABLE_FREEZE_ROW_24('\uf76b'),
    TABLE_INSERT_DOWN_24('\uf76c'),
    TABLE_INSERT_LEFT_24('\uf76d'),
    TABLE_INSERT_RIGHT_24('\uf76e'),
    TABLE_INSERT_UP_24('\uf76f'),
    TABLE_MOVE_DOWN_24('\uf770'),
    TABLE_MOVE_LEFT_24('\uf771'),
    TABLE_MOVE_RIGHT_24('\uf772'),
    TABLE_MOVE_UP_24('\uf773'),
    TABLE_ROW_DELETE_24('\uf774'),
    TABLE_ROW_INSERT_24('\uf775'),
    TABLE_ROW_RESIZE_24('\uf776'),
    TABLE_SETTINGS_24('\uf777'),
    TABLE_SIMPLE_16('\ufabb'),
    TABLE_SIMPLE_20('\ufabc'),
    TABLE_SIMPLE_24('\ufabd'),
    TABLE_SIMPLE_28('\ufabe'),
    TABLE_SIMPLE_48('\ufabf'),
    TABLE_SWITCH_24('\uf778'),
    TABS_24('\uf77b'),
    TAB_16('\uf743'),
    TAB_20('\uf744'),
    TAB_24('\uf745'),
    TAB_28('\uf746'),
    TAB_DESKTOP_20('\uf747'),
    TAB_DESKTOP_ARROW_CLOCKWISE_16('\uf748'),
    TAB_DESKTOP_ARROW_CLOCKWISE_20('\uf749'),
    TAB_DESKTOP_ARROW_CLOCKWISE_24('\uf74a'),
    TAB_DESKTOP_ARROW_LEFT_20('\ufab6'),
    TAB_DESKTOP_CLOCK_20('\uf74b'),
    TAB_DESKTOP_COPY_20('\uf74c'),
    TAB_DESKTOP_IMAGE_16('\uf74d'),
    TAB_DESKTOP_IMAGE_20('\uf74e'),
    TAB_DESKTOP_IMAGE_24('\uf74f'),
    TAB_DESKTOP_MULTIPLE_20('\uf750'),
    TAB_DESKTOP_NEW_PAGE_20('\uf751'),
    TAB_INPRIVATE_ACCOUNT_20('\uf756'),
    TAB_INPRIVATE_ACCOUNT_24('\uf757'),
    TAB_IN_PRIVATE_16('\uf752'),
    TAB_IN_PRIVATE_20('\uf753'),
    TAB_IN_PRIVATE_24('\uf754'),
    TAB_IN_PRIVATE_28('\uf755'),
    TAB_NEW_20('\uf758'),
    TAB_NEW_24('\uf759'),
    TAB_PROHIBITED_24('\ufab7'),
    TAB_SWEEP_24('\uf75a'),
    TAB_TRACKING_PREVENTION_20('\uf75b'),
    TAB_TRACKING_PREVENTION_24('\uf75c'),
    TAG_16('\ufac0'),
    TAG_20('\uf77c'),
    TAG_24('\uf77d'),
    TAP_DOUBLE_24('\uf77e'),
    TAP_SINGLE_24('\uf77f'),
    TARGET_16('\uf780'),
    TARGET_20('\uf781'),
    TARGET_24('\uf782'),
    TARGET_EDIT_16('\uf783'),
    TARGET_EDIT_20('\uf784'),
    TARGET_EDIT_24('\uf785'),
    TASKS_APP_20('\ufac1'),
    TASKS_APP_24('\uf78a'),
    TASKS_APP_28('\uf78b'),
    TASK_LIST_20('\uf786'),
    TASK_LIST_24('\uf787'),
    TASK_LIST_ADD_20('\uf788'),
    TASK_LIST_ADD_24('\uf789'),
    TEAM_ADD_24('\uf78c'),
    TEAM_DELETE_24('\uf78d'),
    TEDDY_24('\uf78e'),
    TEMPERATURE_20('\uf78f'),
    TEMPERATURE_24('\uf790'),
    TENT_12('\ufac2'),
    TENT_16('\ufac3'),
    TENT_20('\ufac4'),
    TENT_24('\uf791'),
    TENT_28('\ufac5'),
    TENT_48('\ufac6'),
    TEST_CALL_24('\uf792'),
    TEXTBOX_20('\uf80f'),
    TEXTBOX_24('\uf810'),
    TEXTBOX_ALIGN_20('\uf811'),
    TEXTBOX_ALIGN_24('\uf812'),
    TEXTBOX_ALIGN_BOTTOM_20('\uf813'),
    TEXTBOX_ALIGN_BOTTOM_24('\uf814'),
    TEXTBOX_ALIGN_MIDDLE_20('\uf815'),
    TEXTBOX_ALIGN_MIDDLE_24('\uf816'),
    TEXTBOX_ALIGN_TOP_20('\uf817'),
    TEXTBOX_ALIGN_TOP_24('\uf818'),
    TEXTBOX_VERTICAL_20('\uf819'),
    TEXTBOX_VERTICAL_24('\uf81a'),
    TEXT_24('\uf793'),
    TEXT_ADD_24('\uf794'),
    TEXT_ADD_SPACE_AFTER_20('\uf795'),
    TEXT_ADD_SPACE_AFTER_24('\uf796'),
    TEXT_ADD_SPACE_BEFORE_20('\uf797'),
    TEXT_ADD_SPACE_BEFORE_24('\uf798'),
    TEXT_ALIGN_CENTER_20('\uf799'),
    TEXT_ALIGN_CENTER_24('\uf79a'),
    TEXT_ALIGN_DISTRIBUTED_20('\uf79b'),
    TEXT_ALIGN_DISTRIBUTED_24('\uf79c'),
    TEXT_ALIGN_JUSTIFY_20('\uf79d'),
    TEXT_ALIGN_JUSTIFY_24('\uf79e'),
    TEXT_ALIGN_LEFT_20('\uf79f'),
    TEXT_ALIGN_LEFT_24('\uf7a0'),
    TEXT_ALIGN_RIGHT_20('\uf7a1'),
    TEXT_ALIGN_RIGHT_24('\uf7a2'),
    TEXT_ASTERISK_20('\uf7a3'),
    TEXT_BOLD_16('\ufac7'),
    TEXT_BOLD_20('\uf7a4'),
    TEXT_BOLD_24('\uf7a5'),
    TEXT_BULLET_LIST_20('\uf7a6'),
    TEXT_BULLET_LIST_24('\uf7a7'),
    TEXT_BULLET_LIST_ADD_24('\uf7a8'),
    TEXT_BULLET_LIST_SQUARE_24('\uf7a9'),
    TEXT_BULLET_LIST_SQUARE_WARNING_16('\uf7aa'),
    TEXT_BULLET_LIST_SQUARE_WARNING_20('\uf7ab'),
    TEXT_BULLET_LIST_SQUARE_WARNING_24('\uf7ac'),
    TEXT_BULLET_LIST_TREE_16('\uf7ad'),
    TEXT_BULLET_LIST_TREE_20('\uf7ae'),
    TEXT_BULLET_LIST_TREE_24('\uf7af'),
    TEXT_CHANGE_ACCEPT_20('\uf7b0'),
    TEXT_CHANGE_ACCEPT_24('\uf7b1'),
    TEXT_CHANGE_CASE_20('\uf7b2'),
    TEXT_CHANGE_CASE_24('\uf7b3'),
    TEXT_CHANGE_NEXT_20('\uf7b4'),
    TEXT_CHANGE_NEXT_24('\uf7b5'),
    TEXT_CHANGE_PREVIOUS_20('\uf7b6'),
    TEXT_CHANGE_PREVIOUS_24('\uf7b7'),
    TEXT_CHANGE_REJECT_20('\uf7b8'),
    TEXT_CHANGE_REJECT_24('\uf7b9'),
    TEXT_CHANGE_SETTINGS_20('\uf7ba'),
    TEXT_CHANGE_SETTINGS_24('\uf7bb'),
    TEXT_CLEAR_FORMATTING_20('\uf7bc'),
    TEXT_CLEAR_FORMATTING_24('\uf7bd'),
    TEXT_COLLAPSE_24('\uf7be'),
    TEXT_COLOR_16('\ufac8'),
    TEXT_COLOR_20('\uf7bf'),
    TEXT_COLOR_24('\uf7c0'),
    TEXT_COLOR_ACCENT_16('\ufac9'),
    TEXT_COLOR_ACCENT_20('\ufaca'),
    TEXT_COLOR_ACCENT_24('\ufacb'),
    TEXT_COLUMN_ONE_20('\uf7c1'),
    TEXT_COLUMN_ONE_24('\uf7c2'),
    TEXT_COLUMN_ONE_NARROW_20('\ufacc'),
    TEXT_COLUMN_ONE_NARROW_24('\ufacd'),
    TEXT_COLUMN_ONE_WIDE_20('\uface'),
    TEXT_COLUMN_ONE_WIDE_24('\ufacf'),
    TEXT_COLUMN_THREE_20('\uf7c3'),
    TEXT_COLUMN_THREE_24('\uf7c4'),
    TEXT_COLUMN_TWO_20('\uf7c5'),
    TEXT_COLUMN_TWO_24('\uf7c6'),
    TEXT_COLUMN_TWO_LEFT_20('\uf7c7'),
    TEXT_COLUMN_TWO_LEFT_24('\uf7c8'),
    TEXT_COLUMN_TWO_RIGHT_20('\uf7c9'),
    TEXT_COLUMN_TWO_RIGHT_24('\uf7ca'),
    TEXT_CONTINUOUS_24('\ufad0'),
    TEXT_DESCRIPTION_20('\uf7cb'),
    TEXT_DESCRIPTION_24('\uf7cc'),
    TEXT_DIRECTION_20('\uf7cd'),
    TEXT_DIRECTION_24('\uf7ce'),
    TEXT_DIRECTION_HORIZONTAL_LTR_20('\uf7cf'),
    TEXT_DIRECTION_HORIZONTAL_LTR_24('\uf7d0'),
    TEXT_DIRECTION_ROTATE_270_20('\uf7d1'),
    TEXT_DIRECTION_ROTATE_270_24('\uf7d2'),
    TEXT_DIRECTION_ROTATE_270_AC_20('\uf7d3'),
    TEXT_DIRECTION_ROTATE_270_AC_24('\uf7d4'),
    TEXT_DIRECTION_ROTATE_90_20('\uf7d5'),
    TEXT_DIRECTION_ROTATE_90_24('\uf7d6'),
    TEXT_DIRECTION_VERTICAL_20('\uf7d7'),
    TEXT_DIRECTION_VERTICAL_24('\uf7d8'),
    TEXT_EDIT_STYLE_20('\uf7d9'),
    TEXT_EDIT_STYLE_24('\uf7da'),
    TEXT_EFFECTS_20('\uf7db'),
    TEXT_EFFECTS_24('\uf7dc'),
    TEXT_EXPAND_24('\uf7dd'),
    TEXT_FIELD_16('\uf7de'),
    TEXT_FIELD_20('\uf7df'),
    TEXT_FIELD_24('\uf7e0'),
    TEXT_FIRST_LINE_20('\uf7e1'),
    TEXT_FIRST_LINE_24('\uf7e2'),
    TEXT_FONT_16('\uf7e3'),
    TEXT_FONT_20('\uf7e4'),
    TEXT_FONT_24('\uf7e5'),
    TEXT_FONT_SIZE_20('\uf7e6'),
    TEXT_FONT_SIZE_24('\uf7e7'),
    TEXT_FOOTNOTE_20('\uf7e8'),
    TEXT_FOOTNOTE_24('\uf7e9'),
    TEXT_GRAMMAR_OPTIONS_16('\uf7ea'),
    TEXT_GRAMMAR_OPTIONS_20('\uf7eb'),
    TEXT_GRAMMAR_OPTIONS_24('\uf7ec'),
    TEXT_HANGING_20('\uf7ed'),
    TEXT_HANGING_24('\uf7ee'),
    TEXT_HEADER_1_20('\uf7ef'),
    TEXT_HEADER_2_20('\uf7f0'),
    TEXT_HEADER_3_20('\uf7f1'),
    TEXT_INDENT_DECREASE_20('\ufad1'),
    TEXT_INDENT_DECREASE_24('\uf7f2'),
    TEXT_INDENT_INCREASE_20('\ufad2'),
    TEXT_INDENT_INCREASE_24('\uf7f3'),
    TEXT_ITALIC_16('\ufad3'),
    TEXT_ITALIC_20('\uf7f4'),
    TEXT_ITALIC_24('\uf7f5'),
    TEXT_LINE_SPACING_20('\uf7f6'),
    TEXT_LINE_SPACING_24('\uf7f7'),
    TEXT_NUMBER_FORMAT_24('\uf7f8'),
    TEXT_NUMBER_LIST_LTR_20('\uf7f9'),
    TEXT_NUMBER_LIST_LTR_24('\uf7fa'),
    TEXT_NUMBER_LIST_RTL_24('\uf7fb'),
    TEXT_PARAGRAPH_SETTINGS_20('\uf7fc'),
    TEXT_PARAGRAPH_SETTINGS_24('\uf7fd'),
    TEXT_PROOFING_TOOLS_20('\uf7fe'),
    TEXT_PROOFING_TOOLS_24('\uf7ff'),
    TEXT_QUOTE_20('\uf800'),
    TEXT_QUOTE_24('\uf801'),
    TEXT_SORT_ASCENDING_20('\uf802'),
    TEXT_SORT_DESCENDING_20('\uf803'),
    TEXT_STRIKETHROUGH_16('\ufad4'),
    TEXT_STRIKETHROUGH_20('\uf804'),
    TEXT_STRIKETHROUGH_24('\uf805'),
    TEXT_SUBSCRIPT_20('\uf806'),
    TEXT_SUBSCRIPT_24('\uf807'),
    TEXT_SUPERSCRIPT_20('\uf808'),
    TEXT_SUPERSCRIPT_24('\uf809'),
    TEXT_UNDERLINE_16('\ufad5'),
    TEXT_UNDERLINE_20('\uf80a'),
    TEXT_UNDERLINE_24('\uf80b'),
    TEXT_WORD_COUNT_20('\uf80c'),
    TEXT_WORD_COUNT_24('\uf80d'),
    TEXT_WRAP_24('\uf80e'),
    TEXT_WRAP_BEHIND_20('\ufad6'),
    TEXT_WRAP_BEHIND_24('\ufad7'),
    TEXT_WRAP_FRONT_20('\ufad8'),
    TEXT_WRAP_FRONT_24('\ufad9'),
    TEXT_WRAP_LINE_20('\ufada'),
    TEXT_WRAP_LINE_24('\ufadb'),
    TEXT_WRAP_SQUARE_20('\ufadc'),
    TEXT_WRAP_SQUARE_24('\ufadd'),
    TEXT_WRAP_THROUGH_20('\ufade'),
    TEXT_WRAP_THROUGH_24('\ufadf'),
    TEXT_WRAP_TIGHT_20('\ufae0'),
    TEXT_WRAP_TIGHT_24('\ufae1'),
    TEXT_WRAP_TOP_BOTTOM_20('\ufae2'),
    TEXT_WRAP_TOP_BOTTOM_24('\ufae3'),
    THINKING_20('\uf81b'),
    THINKING_24('\uf81c'),
    THUMB_DISLIKE_20('\uf81d'),
    THUMB_DISLIKE_24('\uf81e'),
    THUMB_LIKE_20('\uf81f'),
    THUMB_LIKE_24('\uf820'),
    TICKET_20('\uf821'),
    TICKET_24('\uf822'),
    TICKET_DIAGONAL_16('\ufae4'),
    TICKET_DIAGONAL_20('\ufae5'),
    TICKET_DIAGONAL_24('\ufae6'),
    TICKET_DIAGONAL_28('\ufae7'),
    TIMELINE_24('\uf825'),
    TIMER_10_24('\uf826'),
    TIMER_16('\ufae8'),
    TIMER_20('\ufae9'),
    TIMER_24('\uf827'),
    TIMER_2_24('\uf828'),
    TIMER_OFF_24('\uf829'),
    TIME_AND_WEATHER_24('\uf823'),
    TIME_PICKER_24('\uf824'),
    TOGGLE_LEFT_16('\ufaea'),
    TOGGLE_LEFT_20('\ufaeb'),
    TOGGLE_LEFT_24('\ufaec'),
    TOGGLE_LEFT_28('\ufaed'),
    TOGGLE_LEFT_48('\ufaee'),
    TOGGLE_RIGHT_16('\uf82a'),
    TOGGLE_RIGHT_20('\uf82b'),
    TOGGLE_RIGHT_24('\uf82c'),
    TOGGLE_RIGHT_28('\ufaef'),
    TOGGLE_RIGHT_48('\ufaf0'),
    TOOLBOX_16('\uf82d'),
    TOOLBOX_20('\uf82e'),
    TOOLBOX_24('\uf82f'),
    TOOLBOX_28('\uf830'),
    TOP_SPEED_24('\uf831'),
    TRANSLATE_16('\uf832'),
    TRANSLATE_20('\uf833'),
    TRANSLATE_24('\uf834'),
    TROPHY_16('\uf835'),
    TROPHY_20('\uf836'),
    TROPHY_24('\uf837'),
    TV_16('\ufaf1'),
    TV_20('\ufaf2'),
    TV_24('\ufaf3'),
    TV_28('\ufaf4'),
    TV_48('\ufaf5'),
    UNINSTALL_APP_24('\uf838'),
    UNLOCK_20('\uf839'),
    UNLOCK_24('\uf83a'),
    UNLOCK_28('\uf83b'),
    UPLOAD_24('\uf83c'),
    USB_PORT_20('\uf83d'),
    USB_PORT_24('\uf83e'),
    USB_STICK_20('\uf83f'),
    USB_STICK_24('\uf840'),
    VAULT_16('\uf841'),
    VAULT_20('\uf842'),
    VAULT_24('\uf843'),
    VEHICLE_BICYCLE_16('\ufaf6'),
    VEHICLE_BICYCLE_20('\ufaf7'),
    VEHICLE_BICYCLE_24('\uf844'),
    VEHICLE_BUS_16('\ufaf8'),
    VEHICLE_BUS_20('\ufaf9'),
    VEHICLE_BUS_24('\uf845'),
    VEHICLE_CAB_24('\uf846'),
    VEHICLE_CAR_16('\uf847'),
    VEHICLE_CAR_20('\uf848'),
    VEHICLE_CAR_24('\uf849'),
    VEHICLE_CAR_28('\ufafa'),
    VEHICLE_CAR_48('\ufafb'),
    VEHICLE_SHIP_16('\ufafc'),
    VEHICLE_SHIP_20('\ufafd'),
    VEHICLE_SHIP_24('\ufafe'),
    VEHICLE_SUBWAY_16('\ufaff'),
    VEHICLE_SUBWAY_20('\ufb00'),
    VEHICLE_SUBWAY_24('\ufb01'),
    VEHICLE_TRUCK_16('\ufb02'),
    VEHICLE_TRUCK_20('\ufb03'),
    VEHICLE_TRUCK_24('\uf84a'),
    VIDEO_16('\uf84b'),
    VIDEO_20('\uf84c'),
    VIDEO_24('\uf84d'),
    VIDEO_28('\uf84e'),
    VIDEO_BACKGROUND_EFFECT_24('\uf84f'),
    VIDEO_CLIP_20('\ufb04'),
    VIDEO_CLIP_24('\uf850'),
    VIDEO_OFF_20('\uf851'),
    VIDEO_OFF_24('\uf852'),
    VIDEO_OFF_28('\uf853'),
    VIDEO_PERSON_24('\uf854'),
    VIDEO_PERSON_OFF_24('\uf855'),
    VIDEO_PERSON_STAR_24('\uf856'),
    VIDEO_PLAY_PAUSE_24('\uf857'),
    VIDEO_SECURITY_20('\uf858'),
    VIDEO_SECURITY_24('\uf859'),
    VIDEO_SWITCH_24('\uf85a'),
    VIEW_DESKTOP_20('\uf85b'),
    VIEW_DESKTOP_24('\uf85c'),
    VIEW_DESKTOP_MOBILE_20('\uf85d'),
    VIEW_DESKTOP_MOBILE_24('\uf85e'),
    VISUAL_SEARCH_16('\uf85f'),
    VISUAL_SEARCH_20('\uf860'),
    VISUAL_SEARCH_24('\uf861'),
    VOICEMAIL_16('\uf862'),
    VOICEMAIL_20('\uf863'),
    VOICEMAIL_24('\uf864'),
    VOTE_20('\ufb05'),
    VOTE_24('\ufb06'),
    WALKIE_TALKIE_24('\uf865'),
    WALKIE_TALKIE_28('\uf866'),
    WALLPAPER_24('\uf867'),
    WARNING_16('\uf868'),
    WARNING_20('\uf869'),
    WARNING_24('\uf86a'),
    WEATHER_BLOWING_SNOW_20('\uf86b'),
    WEATHER_BLOWING_SNOW_24('\uf86c'),
    WEATHER_BLOWING_SNOW_48('\uf86d'),
    WEATHER_CLOUDY_20('\uf86e'),
    WEATHER_CLOUDY_24('\uf86f'),
    WEATHER_CLOUDY_48('\uf870'),
    WEATHER_DRIZZLE_20('\ufb07'),
    WEATHER_DRIZZLE_24('\ufb08'),
    WEATHER_DRIZZLE_48('\ufb09'),
    WEATHER_DUSTSTORM_20('\uf871'),
    WEATHER_DUSTSTORM_24('\uf872'),
    WEATHER_DUSTSTORM_48('\uf873'),
    WEATHER_FOG_20('\uf874'),
    WEATHER_FOG_24('\uf875'),
    WEATHER_FOG_48('\uf876'),
    WEATHER_HAIL_DAY_20('\uf877'),
    WEATHER_HAIL_DAY_24('\uf878'),
    WEATHER_HAIL_DAY_48('\uf879'),
    WEATHER_HAIL_NIGHT_20('\uf87a'),
    WEATHER_HAIL_NIGHT_24('\uf87b'),
    WEATHER_HAIL_NIGHT_48('\uf87c'),
    WEATHER_HAZE_20('\ufb0a'),
    WEATHER_HAZE_24('\ufb0b'),
    WEATHER_HAZE_48('\ufb0c'),
    WEATHER_MOON_16('\ufb0d'),
    WEATHER_MOON_20('\uf87d'),
    WEATHER_MOON_24('\uf87e'),
    WEATHER_MOON_28('\ufb0e'),
    WEATHER_MOON_48('\uf87f'),
    WEATHER_MOON_OFF_16('\ufb0f'),
    WEATHER_MOON_OFF_20('\ufb10'),
    WEATHER_MOON_OFF_24('\ufb11'),
    WEATHER_MOON_OFF_28('\ufb12'),
    WEATHER_MOON_OFF_48('\ufb13'),
    WEATHER_PARTLY_CLOUDY_DAY_20('\uf880'),
    WEATHER_PARTLY_CLOUDY_DAY_24('\uf881'),
    WEATHER_PARTLY_CLOUDY_DAY_48('\uf882'),
    WEATHER_PARTLY_CLOUDY_NIGHT_20('\uf883'),
    WEATHER_PARTLY_CLOUDY_NIGHT_24('\uf884'),
    WEATHER_PARTLY_CLOUDY_NIGHT_48('\uf885'),
    WEATHER_RAIN_20('\uf886'),
    WEATHER_RAIN_24('\uf887'),
    WEATHER_RAIN_48('\uf888'),
    WEATHER_RAIN_SHOWERS_DAY_20('\uf889'),
    WEATHER_RAIN_SHOWERS_DAY_24('\uf88a'),
    WEATHER_RAIN_SHOWERS_DAY_48('\uf88b'),
    WEATHER_RAIN_SHOWERS_NIGHT_20('\uf88c'),
    WEATHER_RAIN_SHOWERS_NIGHT_24('\uf88d'),
    WEATHER_RAIN_SHOWERS_NIGHT_48('\uf88e'),
    WEATHER_RAIN_SNOW_20('\uf88f'),
    WEATHER_RAIN_SNOW_24('\uf890'),
    WEATHER_RAIN_SNOW_48('\uf891'),
    WEATHER_SNOWFLAKE_20('\uf89b'),
    WEATHER_SNOWFLAKE_24('\uf89c'),
    WEATHER_SNOWFLAKE_48('\uf89d'),
    WEATHER_SNOW_20('\uf892'),
    WEATHER_SNOW_24('\uf893'),
    WEATHER_SNOW_48('\uf894'),
    WEATHER_SNOW_SHOWER_DAY_20('\uf895'),
    WEATHER_SNOW_SHOWER_DAY_24('\uf896'),
    WEATHER_SNOW_SHOWER_DAY_48('\uf897'),
    WEATHER_SNOW_SHOWER_NIGHT_20('\uf898'),
    WEATHER_SNOW_SHOWER_NIGHT_24('\uf899'),
    WEATHER_SNOW_SHOWER_NIGHT_48('\uf89a'),
    WEATHER_SQUALLS_20('\uf89e'),
    WEATHER_SQUALLS_24('\uf89f'),
    WEATHER_SQUALLS_48('\uf8a0'),
    WEATHER_SUNNY_20('\uf8a1'),
    WEATHER_SUNNY_24('\uf8a2'),
    WEATHER_SUNNY_48('\uf8a3'),
    WEATHER_SUNNY_HIGH_20('\ufb14'),
    WEATHER_SUNNY_HIGH_24('\ufb15'),
    WEATHER_SUNNY_HIGH_48('\ufb16'),
    WEATHER_SUNNY_LOW_20('\ufb17'),
    WEATHER_SUNNY_LOW_24('\ufb18'),
    WEATHER_SUNNY_LOW_48('\ufb19'),
    WEATHER_THUNDERSTORM_20('\uf8a4'),
    WEATHER_THUNDERSTORM_24('\uf8a5'),
    WEATHER_THUNDERSTORM_48('\uf8a6'),
    WEB_ASSET_24('\uf8a7'),
    WEEKEND_12('\uf8a8'),
    WEEKEND_24('\uf8a9'),
    WHITEBOARD_20('\uf8aa'),
    WHITEBOARD_24('\uf8ab'),
    WIFI_1_20('\uf8ac'),
    WIFI_1_24('\uf8ad'),
    WIFI_2_20('\uf8ae'),
    WIFI_2_24('\uf8af'),
    WIFI_3_20('\uf8b0'),
    WIFI_3_24('\uf8b1'),
    WIFI_4_20('\uf8b2'),
    WIFI_4_24('\uf8b3'),
    WIFI_PROTECTED_24('\uf8b4'),
    WINDOW_20('\uf8b5'),
    WINDOW_AD_20('\uf8b6'),
    WINDOW_DEV_TOOLS_16('\uf8b7'),
    WINDOW_DEV_TOOLS_20('\uf8b8'),
    WINDOW_DEV_TOOLS_24('\uf8b9'),
    WINDOW_HORIZONTAL_20('\ufb1a'),
    WINDOW_INPRIVATE_20('\uf8ba'),
    WINDOW_INPRIVATE_ACCOUNT_20('\uf8bb'),
    WINDOW_MULTIPLE_20('\uf8bc'),
    WINDOW_NEW_16('\ufb1b'),
    WINDOW_NEW_20('\uf8bd'),
    WINDOW_NEW_24('\ufb1c'),
    WINDOW_SHIELD_16('\uf8be'),
    WINDOW_SHIELD_20('\uf8bf'),
    WINDOW_SHIELD_24('\uf8c0'),
    WINDOW_VERTICAL_20('\ufb1d'),
    WRENCH_16('\ufb1e'),
    WRENCH_20('\ufb1f'),
    WRENCH_24('\uf8c1'),
    XBOX_CONSOLE_20('\uf8c2'),
    XBOX_CONSOLE_24('\uf8c3'),
    ZOOM_IN_20('\uf8c4'),
    ZOOM_IN_24('\uf8c5'),
    ZOOM_OUT_20('\uf8c6'),
    ZOOM_OUT_24('\uf8c7');

    public static FluentUiRegularMZ findByDescription(String description) {
        for (FluentUiRegularMZ font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    FluentUiRegularMZ(int code) {
        this.description = "fltrmz-"+name().toLowerCase().replace("_","-");
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}