/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.hawcons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum HawconsFilled implements Ikon {
    AIR_SOCK("hwf-air-sock", '\ue701'),
    AMUSED_FACE("hwf-amused-face", '\ue73e'),
    AMUSED_FACE_CLOSED_EYES("hwf-amused-face-closed-eyes", '\ue73f'),
    AMUSED_FACE_CLOSED_EYES2("hwf-amused-face-closed-eyes2", '\ue740'),
    ANGRY_FACE("hwf-angry-face", '\ue728'),
    ANGRY_FACE_EYEBROWS("hwf-angry-face-eyebrows", '\ue72b'),
    ANGRY_FACE_OPEN_MOUTH_EYEBROWS("hwf-angry-face-open-mouth-eyebrows", '\ue739'),
    ANGRY_FACE_TEETH("hwf-angry-face-teeth", '\ue735'),
    ASTONISHED_FACE("hwf-astonished-face", '\ue74c'),
    ASTONISHED_FACE2("hwf-astonished-face2", '\ue74d'),
    AWARD("hwf-award", '\ue6b5'),
    AWARD2("hwf-award2", '\ue6b6'),
    AWARD3("hwf-award3", '\ue6b7'),
    AWARD4("hwf-award4", '\ue6b8'),
    BAROMETER("hwf-barometer", '\ue6fc'),
    BASEBALL("hwf-baseball", '\ue698'),
    BASEBALL_SET("hwf-baseball-set", '\ue6a1'),
    BASKETBALL("hwf-basketball", '\ue697'),
    BASKETBALL2("hwf-basketball2", '\ue6a0'),
    BASKETBALL_HOOP("hwf-basketball-hoop", '\ue6aa'),
    BILLIARD_BALL("hwf-billiard-ball", '\ue69b'),
    BOOK("hwf-book", '\ue61d'),
    BOOKMARK("hwf-bookmark", '\ue611'),
    BOOKMARK_ADD("hwf-bookmark-add", '\ue612'),
    BOOKMARK_REMOVE("hwf-bookmark-remove", '\ue613'),
    BOOK_BOOKMARK("hwf-book-bookmark", '\ue61e'),
    BOWLING_BALL("hwf-bowling-ball", '\ue69a'),
    BOWLING_PINS("hwf-bowling-pins", '\ue6c3'),
    BOWLING_PIN_BALL("hwf-bowling-pin-ball", '\ue6c4'),
    BOX("hwf-box", '\ue68a'),
    BOX2("hwf-box2", '\ue68c'),
    BOX3("hwf-box3", '\ue68d'),
    BOXING_GLOVE("hwf-boxing-glove", '\ue6bb'),
    BOX_BOOKMARK("hwf-box-bookmark", '\ue68e'),
    BOX_FILLED("hwf-box-filled", '\ue68b'),
    CERTIFICATE("hwf-certificate", '\ue688'),
    CHECKERED_FLAG("hwf-checkered-flag", '\ue6be'),
    CLIPBOARD("hwf-clipboard", '\ue622'),
    CLIPBOARD_ADD("hwf-clipboard-add", '\ue620'),
    CLIPBOARD_CHECKED("hwf-clipboard-checked", '\ue625'),
    CLIPBOARD_DOWNLOAD("hwf-clipboard-download", '\ue623'),
    CLIPBOARD_EDIT("hwf-clipboard-edit", '\ue61f'),
    CLIPBOARD_LIST("hwf-clipboard-list", '\ue627'),
    CLIPBOARD_MOVE("hwf-clipboard-move", '\ue6b4'),
    CLIPBOARD_REMOVE("hwf-clipboard-remove", '\ue621'),
    CLIPBOARD_TEXT("hwf-clipboard-text", '\ue626'),
    CLIPBOARD_UPLOAD("hwf-clipboard-upload", '\ue624'),
    CLOUD("hwf-cloud", '\ue682'),
    CLOUD2("hwf-cloud2", '\ue6c9'),
    CLOUDS("hwf-clouds", '\ue6dc'),
    CLOUDS2("hwf-clouds2", '\ue6f0'),
    CLOUD_ADD("hwf-cloud-add", '\ue6dd'),
    CLOUD_DOWNLOAD("hwf-cloud-download", '\ue67f'),
    CLOUD_ERROR("hwf-cloud-error", '\ue681'),
    CLOUD_ERROR2("hwf-cloud-error2", '\ue6df'),
    CLOUD_FOG("hwf-cloud-fog", '\ue6e0'),
    CLOUD_LIGHTNING("hwf-cloud-lightning", '\ue6d2'),
    CLOUD_MOON("hwf-cloud-moon", '\ue6cb'),
    CLOUD_MOON_FOG("hwf-cloud-moon-fog", '\ue6e2'),
    CLOUD_MOON_LIGHTNING("hwf-cloud-moon-lightning", '\ue6d4'),
    CLOUD_MOON_RAIN("hwf-cloud-moon-rain", '\ue6ce'),
    CLOUD_MOON_RAINDROPS("hwf-cloud-moon-raindrops", '\ue6d8'),
    CLOUD_MOON_SNOW("hwf-cloud-moon-snow", '\ue6d1'),
    CLOUD_MOON_SNOWFLAKES("hwf-cloud-moon-snowflakes", '\ue6db'),
    CLOUD_RAIN("hwf-cloud-rain", '\ue6cc'),
    CLOUD_RAINDROPS("hwf-cloud-raindrops", '\ue6d6'),
    CLOUD_REMOVE("hwf-cloud-remove", '\ue6de'),
    CLOUD_SNOW("hwf-cloud-snow", '\ue6cf'),
    CLOUD_SNOWFLAKES("hwf-cloud-snowflakes", '\ue6d9'),
    CLOUD_SUN("hwf-cloud-sun", '\ue6ca'),
    CLOUD_SUN_FOG("hwf--cloud-sun-fog", '\ue6e1'),
    CLOUD_SUN_LIGHTNING("hwf-cloud-sun-lightning", '\ue6d3'),
    CLOUD_SUN_RAIN("hwf-cloud-sun-rain", '\ue6cd'),
    CLOUD_SUN_RAINDROPS("hwf-cloud-sun-raindrops", '\ue6d7'),
    CLOUD_SUN_SNOW("hwf-cloud-sun-snow", '\ue6d0'),
    CLOUD_SUN_SNOWFLAKES("hwf-cloud-sun-snowflakes", '\ue6da'),
    CLOUD_UPLOAD("hwf-cloud-upload", '\ue680'),
    CLOUD_WIND("hwf-cloud-wind", '\ue6d5'),
    COMBINATION_LOCK("hwf-combination-lock", '\ue677'),
    COMPASS("hwf-compass", '\ue706'),
    COMPASS2("hwf-compass2", '\ue707'),
    COMPASS3("hwf-compass3", '\ue708'),
    COMPASS4("hwf-compass4", '\ue709'),
    COMPASS_EAST("hwf-compass-east", '\ue6ff'),
    COMPASS_NORTH("hwf-compass-north", '\ue6fd'),
    COMPASS_SOUTH("hwf-compass-south", '\ue700'),
    COMPASS_WEST("hwf-compass-west", '\ue6fe'),
    CRESCENT("hwf-crescent", '\ue6f5'),
    CRESCENT2("hwf-crescent2", '\ue6fb'),
    DEGREE_CELSIUS("hwf-degree-celsius", '\ue704'),
    DEGREE_FAHRENHEIT("hwf-degree-fahrenheit", '\ue703'),
    DIVING_GOGGLES("hwf-diving-goggles", '\ue6c5'),
    DOCUMENT("hwf-document", '\ue635'),
    DOCUMENTS("hwf-documents", '\ue646'),
    DOCUMENTS2("hwf-documents2", '\ue647'),
    DOCUMENT_ADD("hwf-document-add", '\ue64f'),
    DOCUMENT_BOOKMARK("hwf-document-bookmark", '\ue63a'),
    DOCUMENT_CANCEL("hwf-document-cancel", '\ue64d'),
    DOCUMENT_CERTIFICATE("hwf-document-certificate", '\ue687'),
    DOCUMENT_CHECKED("hwf-document-checked", '\ue64e'),
    DOCUMENT_CLOUD("hwf-document-cloud", '\ue645'),
    DOCUMENT_CODE("hwf-document-code", '\ue644'),
    DOCUMENT_DIAGRAMS("hwf-document-diagrams", '\ue63b'),
    DOCUMENT_DOWNLOAD("hwf-document-download", '\ue638'),
    DOCUMENT_EDIT("hwf-document-edit", '\ue686'),
    DOCUMENT_ERROR("hwf-document-error", '\ue64c'),
    DOCUMENT_FILE_3GP("hwf-document-file-3gp", '\ue7fa'),
    DOCUMENT_FILE_AAC("hwf-document-file-aac", '\ue7fc'),
    DOCUMENT_FILE_AI("hwf-document-file-ai", '\ue7d2'),
    DOCUMENT_FILE_AIFF("hwf-document-file-aiff", '\ue7fb'),
    DOCUMENT_FILE_APP("hwf-document-file-app", '\ue7c6'),
    DOCUMENT_FILE_ASP("hwf-document-file-asp", '\ue7e5'),
    DOCUMENT_FILE_AVI("hwf-document-file-avi", '\ue7ec'),
    DOCUMENT_FILE_BMP("hwf-document-file-bmp", '\ue7d3'),
    DOCUMENT_FILE_C("hwf-document-file-c", '\ue7da'),
    DOCUMENT_FILE_CPP("hwf-document-file-cpp", '\ue7dd'),
    DOCUMENT_FILE_CSS("hwf-document-file-css", '\ue7cf'),
    DOCUMENT_FILE_DAT("hwf-document-file-dat", '\ue7e7'),
    DOCUMENT_FILE_DMG("hwf-document-file-dmg", '\ue801'),
    DOCUMENT_FILE_DOC("hwf-document-file-doc", '\ue7e0'),
    DOCUMENT_FILE_DOCX("hwf-document-file-docx", '\ue7e3'),
    DOCUMENT_FILE_DOT("hwf-document-file-dot", '\ue7f2'),
    DOCUMENT_FILE_DOTX("hwf-document-file-dotx", '\ue7ee'),
    DOCUMENT_FILE_DWG("hwf-document-file-dwg", '\ue7d4'),
    DOCUMENT_FILE_DXF("hwf-document-file-dxf", '\ue7df'),
    DOCUMENT_FILE_EPS("hwf-document-file-eps", '\ue7d5'),
    DOCUMENT_FILE_EXE("hwf-document-file-exe", '\ue7eb'),
    DOCUMENT_FILE_FLV("hwf-document-file-flv", '\ue7f6'),
    DOCUMENT_FILE_GIF("hwf-document-file-gif", '\ue804'),
    DOCUMENT_FILE_H("hwf-document-file-h", '\ue7ea'),
    DOCUMENT_FILE_HTML("hwf-document-file-html", '\ue7ce'),
    DOCUMENT_FILE_ICS("hwf-document-file-ics", '\ue7e6'),
    DOCUMENT_FILE_ISO("hwf-document-file-iso", '\ue802'),
    DOCUMENT_FILE_JAVA("hwf-document-file-java", '\ue7d0'),
    DOCUMENT_FILE_JPG("hwf-document-file-jpg", '\ue7cc'),
    DOCUMENT_FILE_KEY("hwf-document-file-key", '\ue7cd'),
    DOCUMENT_FILE_M4V("hwf-document-file-m4v", '\ue7f5'),
    DOCUMENT_FILE_MID("hwf-document-file-mid", '\ue7f9'),
    DOCUMENT_FILE_MOV("hwf-document-file-mov", '\ue7cb'),
    DOCUMENT_FILE_MP3("hwf-document-file-mp3", '\ue7c9'),
    DOCUMENT_FILE_MP4("hwf-document-file-mp4", '\ue7ca'),
    DOCUMENT_FILE_MPG("hwf-document-file-mpg", '\ue7f7'),
    DOCUMENT_FILE_NUMBERS("hwf-document-file-numbers", '\ue7c4'),
    DOCUMENT_FILE_ODP("hwf-document-file-odp", '\ue7ed'),
    DOCUMENT_FILE_ODS("hwf-document-file-ods", '\ue7f0'),
    DOCUMENT_FILE_ODT("hwf-document-file-odt", '\ue7e1'),
    DOCUMENT_FILE_OTS("hwf-document-file-ots", '\ue7d7'),
    DOCUMENT_FILE_OTT("hwf-document-file-ott", '\ue7ff'),
    DOCUMENT_FILE_PAGES("hwf-document-file-pages", '\ue7c5'),
    DOCUMENT_FILE_PDF("hwf-document-file-pdf", '\ue7c8'),
    DOCUMENT_FILE_PHP("hwf-document-file-php", '\ue7d8'),
    DOCUMENT_FILE_PNG("hwf-document-file-png", '\ue7c7'),
    DOCUMENT_FILE_PPS("hwf-document-file-pps", '\ue7f1'),
    DOCUMENT_FILE_PPT("hwf-document-file-ppt", '\ue7e4'),
    DOCUMENT_FILE_PSD("hwf-document-file-psd", '\ue7d1'),
    DOCUMENT_FILE_PY("hwf-document-file-py", '\ue7d9'),
    DOCUMENT_FILE_QT("hwf-document-file-qt", '\ue7f8'),
    DOCUMENT_FILE_RAR("hwf-document-file-rar", '\ue803'),
    DOCUMENT_FILE_RB("hwf-document-file-rb", '\ue7dc'),
    DOCUMENT_FILE_RTF("hwf-document-file-rtf", '\ue7f4'),
    DOCUMENT_FILE_SQL("hwf-document-file-sql", '\ue7db'),
    DOCUMENT_FILE_TGA("hwf-document-file-tga", '\ue7de'),
    DOCUMENT_FILE_TGZ("hwf-document-file-tgz", '\ue800'),
    DOCUMENT_FILE_TIFF("hwf-document-file-tiff", '\ue7d6'),
    DOCUMENT_FILE_TXT("hwf-document-file-txt", '\ue7f3'),
    DOCUMENT_FILE_WAV("hwf-document-file-wav", '\ue7fd'),
    DOCUMENT_FILE_XLS("hwf-document-file-xls", '\ue7e2'),
    DOCUMENT_FILE_XLSX("hwf-document-file-xlsx", '\ue7ef'),
    DOCUMENT_FILE_XML("hwf-document-file-xml", '\ue7e8'),
    DOCUMENT_FILE_YML("hwf-document-file-yml", '\ue7e9'),
    DOCUMENT_FILE_ZIP("hwf-document-file-zip", '\ue7fe'),
    DOCUMENT_FONT("hwf-document-font", '\ue655'),
    DOCUMENT_FORBIDDEN("hwf-document-forbidden", '\ue651'),
    DOCUMENT_GRAPH("hwf-document-graph", '\ue641'),
    DOCUMENT_INFORMATION("hwf-document-information", '\ue652'),
    DOCUMENT_LIST("hwf-document-list", '\ue654'),
    DOCUMENT_LOCKED("hwf-document-locked", '\ue64b'),
    DOCUMENT_MOVIE("hwf-document-movie", '\ue63f'),
    DOCUMENT_MUSIC("hwf-document-music", '\ue63e'),
    DOCUMENT_PLAY("hwf-document-play", '\ue640'),
    DOCUMENT_RECORDING("hwf-document-recording", '\ue63c'),
    DOCUMENT_REMOVE("hwf-document-remove", '\ue650'),
    DOCUMENT_SCAN("hwf-document-scan", '\ue67e'),
    DOCUMENT_SEARCH("hwf-document-search", '\ue648'),
    DOCUMENT_SHRED("hwf-document-shred", '\ue67c'),
    DOCUMENT_STAR("hwf-document-star", '\ue649'),
    DOCUMENT_TABLE("hwf-document-table", '\ue63d'),
    DOCUMENT_TEXT("hwf-document-text", '\ue636'),
    DOCUMENT_TEXT2("hwf-document-text2", '\ue637'),
    DOCUMENT_TEXT3("hwf-document-text3", '\ue643'),
    DOCUMENT_TIME("hwf-document-time", '\ue642'),
    DOCUMENT_UNLOCKED("hwf-document-unlocked", '\ue64a'),
    DOCUMENT_UPLOAD("hwf-document-upload", '\ue639'),
    DOCUMENT_ZIP("hwf-document-zip", '\ue66b'),
    EYE("hwf-eye", '\ue615'),
    EYE_HIDDEN("hwf-eye-hidden", '\ue614'),
    FACE_CLOSED_EYES_OPEN_MOUTH("hwf-face-closed-eyes-open-mouth", '\ue741'),
    FACE_CLOSED_EYES_OPEN_MOUTH2("hwf-face-closed-eyes-open-mouth2", '\ue742'),
    FACE_CLOSED_EYES_OPEN_MOUTH3("hwf-face-closed-eyes-open-mouth3", '\ue743'),
    FACE_CLOSED_MEYES("hwf-face-closed-meyes", '\ue73d'),
    FACE_GLASSES("hwf-face-glasses", '\ue750'),
    FACE_MISSING_MOTH("hwf-face-missing-moth", '\ue716'),
    FACE_MOUSTACHE("hwf-face-moustache", '\ue74e'),
    FACE_MOUSTACHE2("hwf-face-moustache2", '\ue74f'),
    FACE_OPEN_MOUTH("hwf-face-open-mouth", '\ue71a'),
    FACE_OPEN_MOUTH2("hwf-face-open-mouth2", '\ue71b'),
    FACE_OPEN_MOUTH_EYEBROWS("hwf-face-open-mouth-eyebrows", '\ue737'),
    FACE_OPEN_MOUTH_EYEBROWS2("hwf-face-open-mouth-eyebrows2", '\ue738'),
    FACE_STUCK_OUT_TONGUE("hwf-face-stuck-out-tongue", '\ue731'),
    FACE_STUCK_OUT_TONGUE2("hwf-face-stuck-out-tongue2", '\ue732'),
    FACE_SUNGLASSES("hwf-face-sunglasses", '\ue751'),
    FAKE_GRINNING_FACE_EYEBROWS("hwf-fake-grinning-face-eyebrows", '\ue72f'),
    FILE_3GP("hwf-file-3gp", '\ue7b9'),
    FILE_AAC("hwf-file-aac", '\ue7bb'),
    FILE_AI("hwf-file-ai", '\ue791'),
    FILE_AIFF("hwf-file-aiff", '\ue7ba'),
    FILE_APP("hwf-file-app", '\ue785'),
    FILE_ASP("hwf-file-asp", '\ue7a4'),
    FILE_AVI("hwf-file-avi", '\ue7ab'),
    FILE_BMP("hwf-file-bmp", '\ue792'),
    FILE_C("hwf-file-c", '\ue799'),
    FILE_CPP("hwf-file-cpp", '\ue79c'),
    FILE_CSS("hwf-file-css", '\ue78e'),
    FILE_DAT("hwf-file-dat", '\ue7a6'),
    FILE_DMG("hwf-file-dmg", '\ue7c0'),
    FILE_DOC("hwf-file-doc", '\ue79f'),
    FILE_DOCX("hwf-file-docx", '\ue7a2'),
    FILE_DOT("hwf-file-dot", '\ue7b1'),
    FILE_DOTX("hwf-file-dotx", '\ue7ad'),
    FILE_DWG("hwf-file-dwg", '\ue793'),
    FILE_DXF("hwf-file-dxf", '\ue79e'),
    FILE_EPS("hwf-file-eps", '\ue794'),
    FILE_EXE("hwf-file-exe", '\ue7aa'),
    FILE_FLV("hwf-file-flv", '\ue7b5'),
    FILE_GIF("hwf-file-gif", '\ue7c3'),
    FILE_H("hwf-file-h", '\ue7a9'),
    FILE_HTML("hwf-file-html", '\ue78d'),
    FILE_ICS("hwf-file-ics", '\ue7a5'),
    FILE_ISO("hwf-file-iso", '\ue7c1'),
    FILE_JAVA("hwf-file-java", '\ue78f'),
    FILE_JPG("hwf-file-jpg", '\ue78b'),
    FILE_KEY("hwf-file-key", '\ue78c'),
    FILE_M4V("hwf-file-m4v", '\ue7b4'),
    FILE_MID("hwf-file-mid", '\ue7b8'),
    FILE_MOV("hwf-file-mov", '\ue78a'),
    FILE_MP3("hwf-file-mp3", '\ue788'),
    FILE_MP4("hwf-file-mp4", '\ue789'),
    FILE_MPG("hwf-file-mpg", '\ue7b6'),
    FILE_NUMBERS("hwf-file-numbers", '\ue783'),
    FILE_ODP("hwf-file-odp", '\ue7ac'),
    FILE_ODS("hwf-file-ods", '\ue7af'),
    FILE_ODT("hwf-file-odt", '\ue7a0'),
    FILE_OTS("hwf-file-ots", '\ue796'),
    FILE_OTT("hwf-file-ott", '\ue7be'),
    FILE_PAGES("hwf-file-pages", '\ue784'),
    FILE_PDF("hwf-file-pdf", '\ue787'),
    FILE_PHP("hwf-file-php", '\ue797'),
    FILE_PNG("hwf-file-png", '\ue786'),
    FILE_PPS("hwf-file-pps", '\ue7b0'),
    FILE_PPT("hwf-file-ppt", '\ue7a3'),
    FILE_PSD("hwf-file-psd", '\ue790'),
    FILE_PY("hwf-file-py", '\ue798'),
    FILE_QUICKTIME("hwf-file-quicktime", '\ue7b7'),
    FILE_RAR("hwf-file-rar", '\ue7c2'),
    FILE_RB("hwf-file-rb", '\ue79b'),
    FILE_RTF("hwf-file-rtf", '\ue7b3'),
    FILE_SQL("hwf-file-sql", '\ue79a'),
    FILE_TGA("hwf-file-tga", '\ue79d'),
    FILE_TGZ("hwf-file-tgz", '\ue7bf'),
    FILE_TIFF("hwf-file-tiff", '\ue795'),
    FILE_TXT("hwf-file-txt", '\ue7b2'),
    FILE_WAV("hwf-file-wav", '\ue7bc'),
    FILE_XLS("hwf-file-xls", '\ue7a1'),
    FILE_XLSX("hwf-file-xlsx", '\ue7ae'),
    FILE_XML("hwf-file-xml", '\ue7a7'),
    FILE_YML("hwf-file-yml", '\ue7a8'),
    FILE_ZIP("hwf-file-zip", '\ue7bd'),
    FLAG("hwf-flag", '\ue60d'),
    FLAG2("hwf-flag2", '\ue60e'),
    FLAG3("hwf-flag3", '\ue60f'),
    FLAG4("hwf-flag4", '\ue610'),
    FLASHED_FACE("hwf-flashed-face", '\ue713'),
    FLASHED_FACE2("hwf-flashed-face2", '\ue714'),
    FLASHED_FACE_GLASSES("hwf-flashed-face-glasses", '\ue715'),
    FOLDER("hwf-folder", '\ue65c'),
    FOLDER2("hwf-folder2", '\ue65d'),
    FOLDERS("hwf-folders", '\ue65e'),
    FOLDER_ADD("hwf-folder-add", '\ue667'),
    FOLDER_BOOKMARK("hwf-folder-bookmark", '\ue66a'),
    FOLDER_CANCEL("hwf-folder-cancel", '\ue665'),
    FOLDER_CHECKED("hwf-folder-checked", '\ue666'),
    FOLDER_DOWNLOAD("hwf-folder-download", '\ue65f'),
    FOLDER_ERROR("hwf-folder-error", '\ue664'),
    FOLDER_FORBIDDEN("hwf-folder-forbidden", '\ue669'),
    FOLDER_INFORMATION("hwf-folder-information", '\ue653'),
    FOLDER_LOCKED("hwf-folder-locked", '\ue662'),
    FOLDER_REMOVE("hwf-folder-remove", '\ue668'),
    FOLDER_SEARCH("hwf-folder-search", '\ue663'),
    FOLDER_UNLOCKED("hwf-folder-unlocked", '\ue661'),
    FOLDER_UPLOAD("hwf-folder-upload", '\ue660'),
    FOOTBALL("hwf-football", '\ue69e'),
    FOOTBALL2("hwf-football2", '\ue69f'),
    FULL_MOON("hwf-full-moon", '\ue6f4'),
    GIBBOUS_MOON("hwf-gibbous-moon", '\ue6f7'),
    GIBBOUS_MOON2("hwf-gibbous-moon2", '\ue6f9'),
    GOLF("hwf-golf", '\ue6b2'),
    GRINNING_FACE("hwf-grinning-face", '\ue72c'),
    GRINNING_FACE2("hwf-grinning-face2", '\ue746'),
    GRINNING_FACE_EYEBROWS("hwf-grinning-face-eyebrows", '\ue725'),
    GRINNING_FACE_EYEBROWS2("hwf-grinning-face-eyebrows2", '\ue72e'),
    GRINNING_FACE_TEETH("hwf-grinning-face-teeth", '\ue734'),
    GRINNING_FACE_TEETH2("hwf-grinning-face-teeth2", '\ue736'),
    HALF_MOON("hwf-half-moon", '\ue6f6'),
    HALF_MOON2("hwf-half-moon2", '\ue6fa'),
    HIGH_FIVE("hwf-high-five", '\ue755'),
    HOCKEY_STICK("hwf-hockey-stick", '\ue6af'),
    HOCKEY_STICKS("hwf-hockey-sticks", '\ue6b0'),
    ICE_SKATE("hwf-ice-skate", '\ue6c8'),
    INBOX("hwf-inbox", '\ue656'),
    INBOXES("hwf-inboxes", '\ue657'),
    INBOX_DOCUMENT("hwf-inbox-document", '\ue658'),
    INBOX_DOCUMENT_TEXT("hwf-inbox-document-text", '\ue659'),
    INBOX_DOWNLOAD("hwf-inbox-download", '\ue65a'),
    INBOX_FILLED("hwf-inbox-filled", '\ue683'),
    INBOX_UPLOAD("hwf-inbox-upload", '\ue65b'),
    INFORMATION("hwf-information", '\ue61b'),
    INFORMATION2("hwf-information2", '\ue61c'),
    KEY("hwf-key", '\ue617'),
    KEY2("hwf-key2", '\ue618'),
    KISSING_FACE("hwf-kissing-face", '\ue733'),
    KISSING_FACE2("hwf-kissing-face2", '\ue73c'),
    LAUGHING_FACE("hwf-laughing-face", '\ue71d'),
    LAUGHING_FACE2("hwf-laughing-face2", '\ue71e'),
    LAUGHING_FACE3("hwf-laughing-face3", '\ue744'),
    LIGHTNING("hwf-lightning", '\ue710'),
    LOCK("hwf-lock", '\ue670'),
    LOCK_OPEN("hwf-lock-open", '\ue671'),
    LOCK_OPEN2("hwf-lock-open2", '\ue672'),
    LOCK_ROUNDED("hwf-lock-rounded", '\ue674'),
    LOCK_ROUNDED_OPEN("hwf-lock-rounded-open", '\ue675'),
    LOCK_ROUNDED_OPEN2("hwf-lock-rounded-open2", '\ue676'),
    LOCK_STRIPES("hwf-lock-stripes", '\ue673'),
    MAIL_ADD("hwf-mail-add", '\ue60b'),
    MAIL_CANCEL("hwf-mail-cancel", '\ue609'),
    MAIL_CHECKED("hwf-mail-checked", '\ue608'),
    MAIL_ENVELOPE("hwf-mail-envelope", '\ue600'),
    MAIL_ENVELOPE_CLOSED("hwf-mail-envelope-closed", '\ue602'),
    MAIL_ENVELOPE_CLOSED2("hwf-mail-envelope-closed2", '\ue605'),
    MAIL_ENVELOPE_OPEN("hwf-mail-envelope-open", '\ue601'),
    MAIL_ENVELOPE_OPEN2("hwf-mail-envelope-open2", '\ue603'),
    MAIL_ENVELOPE_OPEN3("hwf-mail-envelope-open3", '\ue604'),
    MAIL_ENVELOPE_OPEN4("hwf-mail-envelope-open4", '\ue606'),
    MAIL_ERROR("hwf-mail-error", '\ue607'),
    MAIL_REMOVE("hwf-mail-remove", '\ue60c'),
    MAIL__FORBIDDEN("hwf-mail--forbidden", '\ue60a'),
    MEDAL("hwf-medal", '\ue6a6'),
    MEDAL2("hwf-medal2", '\ue6a7'),
    MEDAL3("hwf-medal3", '\ue6b9'),
    MEDAL4("hwf-medal4", '\ue6ba'),
    MIDDLE_FINGER("hwf-middle-finger", '\ue753'),
    MOON("hwf-moon", '\ue6e4'),
    MOON2("hwf-moon2", '\ue6f8'),
    MOONRISE("hwf-moonrise", '\ue6f1'),
    MOONSET("hwf-moonset", '\ue6f2'),
    MOON_STARS("hwf-moon-stars", '\ue6e3'),
    MOVE("hwf-move", '\ue6b3'),
    NEUTRAL_FACE("hwf-neutral-face", '\ue717'),
    NEUTRAL_FACE2("hwf-neutral-face2", '\ue721'),
    NEUTRAL_FACE_EYEBROWS("hwf-neutral-face-eyebrows", '\ue727'),
    NOTE("hwf-note", '\ue628'),
    NOTEBOOK("hwf-notebook", '\ue62f'),
    NOTEBOOK2("hwf-notebook2", '\ue630'),
    NOTEBOOK3("hwf-notebook3", '\ue631'),
    NOTEBOOK4("hwf-notebook4", '\ue632'),
    NOTEBOOK_LIST("hwf-notebook-list", '\ue634'),
    NOTEBOOK_TEXT("hwf-notebook-text", '\ue633'),
    NOTE_ADD("hwf-note-add", '\ue629'),
    NOTE_CHECKED("hwf-note-checked", '\ue62d'),
    NOTE_IMPORTANT("hwf-note-important", '\ue62e'),
    NOTE_LIST("hwf-note-list", '\ue62c'),
    NOTE_REMOVE("hwf-note-remove", '\ue62a'),
    NOTE_TEXT("hwf-note-text", '\ue62b'),
    ONE_FINGER("hwf-one-finger", '\ue767'),
    ONE_FINGER_CLICK("hwf-one-finger-click", '\ue76c'),
    ONE_FINGER_CLICK2("hwf-one-finger-click2", '\ue77a'),
    ONE_FINGER_DOUBLE_TAP("hwf-one-finger-double-tap", '\ue768'),
    ONE_FINGER_DOUBLE_TAP2("hwf-one-finger-double-tap2", '\ue774'),
    ONE_FINGER_SWIPE("hwf-one-finger-swipe", '\ue77c'),
    ONE_FINGER_SWIPE_DOWN("hwf-one-finger-swipe-down", '\ue766'),
    ONE_FINGER_SWIPE_DOWN2("hwf-one-finger-swipe-down2", '\ue782'),
    ONE_FINGER_SWIPE_HORIZONTALLY("hwf-one-finger-swipe-horizontally", '\ue77b'),
    ONE_FINGER_SWIPE_LEFT("hwf-one-finger-swipe-left", '\ue763'),
    ONE_FINGER_SWIPE_LEFT2("hwf-one-finger-swipe-left2", '\ue77f'),
    ONE_FINGER_SWIPE_RIGHT("hwf-one-finger-swipe-right", '\ue764'),
    ONE_FINGER_SWIPE_RIGHT2("hwf-one-finger-swipe-right2", '\ue780'),
    ONE_FINGER_SWIPE_UP("hwf-one-finger-swipe-up", '\ue765'),
    ONE_FINGER_SWIPE_UP2("hwf-one-finger-swipe-up2", '\ue781'),
    ONE_FINGER_TAP("hwf-one-finger-tap", '\ue769'),
    ONE_FINGER_TAP2("hwf-one-finger-tap2", '\ue778'),
    ONE_FINGER_TAP_HOLD("hwf-one-finger-tap-hold", '\ue76a'),
    ONE_FINGER_TAP_HOLD2("hwf-one-finger-tap-hold2", '\ue779'),
    PACKAGE("hwf-package", '\ue689'),
    PAPERCLIP("hwf-paperclip", '\ue696'),
    PEN("hwf-pen", '\ue684'),
    PEN_ANGLED("hwf-pen-angled", '\ue685'),
    PRINTER("hwf-printer", '\ue678'),
    PRINTER2("hwf-printer2", '\ue679'),
    PRINTER_TEXT("hwf-printer-text", '\ue67a'),
    PRINTER_TEXT2("hwf-printer-text2", '\ue67b'),
    RAINBOW("hwf-rainbow", '\ue6ea'),
    RAINDROP("hwf-raindrop", '\ue6ed'),
    RAINDROPS("hwf-raindrops", '\ue6ec'),
    ROCK_N_ROLL("hwf-rock-n-roll", '\ue754'),
    SAD_FACE("hwf-sad-face", '\ue719'),
    SAD_FACE2("hwf-sad-face2", '\ue722'),
    SAD_FACE3("hwf-sad-face3", '\ue72d'),
    SAD_FACE4("hwf-sad-face4", '\ue747'),
    SAD_FACE5("hwf-sad-face5", '\ue748'),
    SAD_FACE6("hwf-sad-face6", '\ue74a'),
    SAD_FACE_CLOSED_EYES("hwf-sad-face-closed-eyes", '\ue749'),
    SAD_FACE_EYEBROWS("hwf-sad-face-eyebrows", '\ue726'),
    SAD_FACE__TIGHTLY_CLOSED_EYES("hwf-sad-face--tightly-closed-eyes", '\ue73b'),
    SAILING_BOAT("hwf-sailing-boat", '\ue6c1'),
    SAILING_BOAT_WATER("hwf-sailing-boat-water", '\ue6c2'),
    SEARCH("hwf-search", '\ue66d'),
    SEARCH_MINUS("hwf-search-minus", '\ue66f'),
    SEARCH_PLUS("hwf-search-plus", '\ue66e'),
    SHREDDER("hwf-shredder", '\ue67d'),
    SHUTTLECOCK("hwf-shuttlecock", '\ue6b1'),
    SMILING_FACE("hwf-smiling-face", '\ue718'),
    SMILING_FACE2("hwf-smiling-face2", '\ue723'),
    SMILING_FACE3("hwf-smiling-face3", '\ue745'),
    SMILING_FACE4("hwf-smiling-face4", '\ue74b'),
    SMILING_FACE_EYEBROWS("hwf-smiling-face-eyebrows", '\ue724'),
    SMIRKING_FACE("hwf-smirking-face", '\ue71f'),
    SMIRKING_FACE_SUNGLASSES("hwf-smirking-face-sunglasses", '\ue752'),
    SNOWFLAKE("hwf-snowflake", '\ue712'),
    SOCCER_BALL("hwf-soccer-ball", '\ue69c'),
    SOCCER_COURT("hwf-soccer-court", '\ue69d'),
    SOCCER_SHOE("hwf-soccer-shoe", '\ue6c7'),
    SPORTS_SHOE("hwf-sports-shoe", '\ue6c6'),
    STAR("hwf-star", '\ue616'),
    STARS("hwf-stars", '\ue6ef'),
    STOP_WATCH("hwf-stop-watch", '\ue6ad'),
    STOP_WATCH2("hwf-stop-watch2", '\ue6ae'),
    STUBBORN_FACE("hwf-stubborn-face", '\ue720'),
    SUN("hwf-sun", '\ue6e5'),
    SUNGLASSES("hwf-sunglasses", '\ue6ee'),
    SUNRISE("hwf-sunrise", '\ue6e6'),
    SUNSET("hwf-sunset", '\ue6e7'),
    SUNSET2("hwf-sunset2", '\ue6e8'),
    SUNSET3("hwf-sunset3", '\ue6e9'),
    TABLE_TENNIS("hwf-table-tennis", '\ue6ab'),
    TAG("hwf-tag", '\ue690'),
    TAGS("hwf-tags", '\ue691'),
    TAG_ADD("hwf-tag-add", '\ue692'),
    TAG_CANCEL("hwf-tag-cancel", '\ue695'),
    TAG_CHECKED("hwf-tag-checked", '\ue694'),
    TAG_CORD("hwf-tag-cord", '\ue68f'),
    TAG_REMOVE("hwf-tag-remove", '\ue693'),
    TARGET("hwf-target", '\ue6c0'),
    TARGET_ARROW("hwf-target-arrow", '\ue6bf'),
    TENNIS_BALL("hwf-tennis-ball", '\ue699'),
    TENNIS_BALL2("hwf-tennis-ball2", '\ue6a2'),
    TENNIS_RACKET("hwf-tennis-racket", '\ue6a9'),
    THERMOMETER("hwf-thermometer", '\ue70a'),
    THERMOMETER_FULL("hwf-thermometer-full", '\ue70f'),
    THERMOMETER_HALF("hwf-thermometer-half", '\ue70d'),
    THERMOMETER_LOW("hwf-thermometer-low", '\ue70b'),
    THERMOMETER_QUARTER("hwf-thermometer-quarter", '\ue70c'),
    THERMOMETER_THREE_QUARTERS("hwf-thermometer-three-quarters", '\ue70e'),
    THREE_FINGERS("hwf-three-fingers", '\ue771'),
    THREE_FINGERS_DOUBLE_TAP("hwf-three-fingers-double-tap", '\ue75f'),
    THREE_FINGERS_DOUBLE_TAP2("hwf-three-fingers-double-tap2", '\ue772'),
    THREE_FINGERS_SWIPE_DOWN("hwf-three-fingers-swipe-down", '\ue770'),
    THREE_FINGERS_SWIPE_LEFT("hwf-three-fingers-swipe-left", '\ue76d'),
    THREE_FINGERS_SWIPE_RIGHT("hwf-three-fingers-swipe-right", '\ue76e'),
    THREE_FINGERS_SWIPE_UP("hwf-three-fingers-swipe-up", '\ue76f'),
    THUMB_DOWN("hwf-thumb-down", '\ue757'),
    THUMB_DOWN2("hwf-thumb-down2", '\ue759'),
    THUMB_FINGER_TAP("hwf-thumb-finger-tap", '\ue76b'),
    THUMB_UP("hwf-thumb-up", '\ue756'),
    THUMB_UP2("hwf-thumb-up2", '\ue758'),
    TORNADO("hwf-tornado", '\ue702'),
    TRASH_CAN("hwf-trash-can", '\ue619'),
    TRASH_CAN2("hwf-trash-can2", '\ue61a'),
    TROPHY("hwf-trophy", '\ue6a3'),
    TROPHY2("hwf-trophy2", '\ue6a5'),
    TROPHY_ONE("hwf-trophy-one", '\ue6a4'),
    TWO_FINGERS("hwf-two-fingers", '\ue75e'),
    TWO_FINGERS_DOUBLE_TAP("hwf-two-fingers-double-tap", '\ue77d'),
    TWO_FINGERS_RESIZE_IN("hwf-two-fingers-resize-in", '\ue761'),
    TWO_FINGERS_RESIZE_OUT("hwf-two-fingers-resize-out", '\ue760'),
    TWO_FINGERS_ROTATE("hwf-two-fingers-rotate", '\ue762'),
    TWO_FINGERS_SWIPE_DOWN("hwf-two-fingers-swipe-down", '\ue75d'),
    TWO_FINGERS_SWIPE_DOWN2("hwf-two-fingers-swipe-down2", '\ue775'),
    TWO_FINGERS_SWIPE_LEFT("hwf-two-fingers-swipe-left", '\ue75a'),
    TWO_FINGERS_SWIPE_LEFT2("hwf-two-fingers-swipe-left2", '\ue777'),
    TWO_FINGERS_SWIPE_RIGHT("hwf-two-fingers-swipe-right", '\ue75b'),
    TWO_FINGERS_SWIPE_RIGHT2("hwf-two-fingers-swipe-right2", '\ue776'),
    TWO_FINGERS_SWIPE_UP("hwf-two-fingers-swipe-up", '\ue75c'),
    TWO_FINGERS_SWIPE_UP2("hwf-two-fingers-swipe-up2", '\ue773'),
    TWO_FINGERS_TAP("hwf-two-fingers-tap", '\ue77e'),
    UMBRELLA("hwf-umbrella", '\ue6eb'),
    UNAMUSED_FACE_TIGHTLY_CLOSED_EYES("hwf-unamused-face-tightly-closed-eyes", '\ue73a'),
    VOLLEYBALL("hwf-volleyball", '\ue6ac'),
    VOLLEYBALL_WATER("hwf-volleyball-water", '\ue6bd'),
    WARNING("hwf-warning", '\ue705'),
    WEIGHTS("hwf-weights", '\ue6a8'),
    WHISTLE("hwf-whistle", '\ue6bc'),
    WIND("hwf-wind", '\ue6f3'),
    WIND_TURBINE("hwf-wind-turbine", '\ue711'),
    WINKING_FACE("hwf-winking-face", '\ue71c'),
    WINKING_FACE2("hwf-winking-face2", '\ue72a'),
    WORRIED_FACE("hwf-worried-face", '\ue729'),
    WORRIED_FACE_EYEBROWS("hwf-worried-face-eyebrows", '\ue730'),
    ZIP("hwf-zip", '\ue66c');

    public static HawconsFilled findByDescription(String description) {
        for (HawconsFilled font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    HawconsFilled(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}