/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.hawcons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum HawconsStroke implements Ikon {
    AIR_SOCK("hws-air-sock", '\ue701'),
    AMUSED_FACE("hws-amused-face", '\ue73f'),
    AMUSED_FACE_CLOSED_EYES("hws-amused-face-closed-eyes", '\ue740'),
    AMUSED_FACE_CLOSED_EYES2("hws-amused-face-closed-eyes2", '\ue741'),
    ANGRY_FACE("hws-angry-face", '\ue728'),
    ANGRY_FACE_EYEBROWS("hws-angry-face-eyebrows", '\ue72b'),
    ANGRY_FACE_OPEN_MOUTH_EYEBROWS("hws-angry-face-open-mouth-eyebrows", '\ue73a'),
    ANGRY_FACE_TEETH("hws-angry-face-teeth", '\ue735'),
    ASTONISHED_FACE("hws-astonished-face", '\ue74d'),
    ASTONISHED_FACE2("hws-astonished-face2", '\ue74e'),
    AWARD("hws-award", '\ue6b5'),
    AWARD2("hws-award2", '\ue6b6'),
    AWARD3("hws-award3", '\ue6b7'),
    AWARD4("hws-award4", '\ue6b8'),
    BAROMETER("hws-barometer", '\ue6fc'),
    BASEBALL("hws-baseball", '\ue698'),
    BASEBALL_SET("hws-baseball-set", '\ue6a1'),
    BASKETBALL("hws-basketball", '\ue697'),
    BASKETBALL2("hws-basketball2", '\ue6a0'),
    BASKETBALL_HOOP("hws-basketball-hoop", '\ue6aa'),
    BILLIARD_BALL("hws-billiard-ball", '\ue69b'),
    BOOK("hws-book", '\ue61d'),
    BOOK_BOOKMARK("hws-book-bookmark", '\ue61e'),
    BOOKMARK("hws-bookmark", '\ue611'),
    BOOKMARK_ADD("hws-bookmark-add", '\ue612'),
    BOOKMARK_REMOVE("hws-bookmark-remove", '\ue613'),
    BOWLING_BALL("hws-bowling-ball", '\ue69a'),
    BOWLING_PIN_BALL("hws-bowling-pin-ball", '\ue6c4'),
    BOWLING_PINS("hws-bowling-pins", '\ue6c3'),
    BOX("hws-box", '\ue68a'),
    BOX2("hws-box2", '\ue68c'),
    BOX3("hws-box3", '\ue68d'),
    BOX_BOOKMARK("hws-box-bookmark", '\ue68e'),
    BOX_FILLED("hws-box-filled", '\ue68b'),
    BOXING_GLOVE("hws-boxing-glove", '\ue6bb'),
    CERTIFICATE("hws-certificate", '\ue688'),
    CHECKERED_FLAG("hws-checkered-flag", '\ue6be'),
    CLIPBOARD("hws-clipboard", '\ue622'),
    CLIPBOARD_ADD("hws-clipboard-add", '\ue620'),
    CLIPBOARD_CHECKED("hws-clipboard-checked", '\ue625'),
    CLIPBOARD_DOWNLOAD("hws-clipboard-download", '\ue623'),
    CLIPBOARD_EDIT("hws-clipboard-edit", '\ue61f'),
    CLIPBOARD_LIST("hws-clipboard-list", '\ue627'),
    CLIPBOARD_MOVE("hws-clipboard-move", '\ue6b4'),
    CLIPBOARD_REMOVE("hws-clipboard-remove", '\ue621'),
    CLIPBOARD_TEXT("hws-clipboard-text", '\ue626'),
    CLIPBOARD_UPLOAD("hws-clipboard-upload", '\ue624'),
    CLOUD("hws-cloud", '\ue682'),
    CLOUD2("hws-cloud2", '\ue6c9'),
    CLOUD_ADD("hws-cloud-add", '\ue6dd'),
    CLOUD_DOWNLOAD("hws-cloud-download", '\ue67f'),
    CLOUD_ERROR("hws-cloud-error", '\ue681'),
    CLOUD_ERROR2("hws-cloud-error2", '\ue6df'),
    CLOUD_FOG("hws-cloud-fog", '\ue6e0'),
    CLOUD_LIGHTNING("hws-cloud-lightning", '\ue6d2'),
    CLOUD_MOON("hws-cloud-moon", '\ue6cb'),
    CLOUD_MOON_FOG("hws-cloud-moon-fog", '\ue6e2'),
    CLOUD_MOON_LIGHTNING("hws-cloud-moon-lightning", '\ue6d4'),
    CLOUD_MOON_RAIN("hws-cloud-moon-rain", '\ue6ce'),
    CLOUD_MOON_RAINDROPS("hws-cloud-moon-raindrops", '\ue6d8'),
    CLOUD_MOON_SNOW("hws-cloud-moon-snow", '\ue6d1'),
    CLOUD_MOON_SNOWFLAKES("hws-cloud-moon-snowflakes", '\ue6db'),
    CLOUD_RAIN("hws-cloud-rain", '\ue6cc'),
    CLOUD_RAINDROPS("hws-cloud-raindrops", '\ue6d6'),
    CLOUD_REMOVE("hws-cloud-remove", '\ue6de'),
    CLOUD_SNOW("hws-cloud-snow", '\ue6cf'),
    CLOUD_SNOWFLAKES("hws-cloud-snowflakes", '\ue6d9'),
    CLOUD_SUN("hws-cloud-sun", '\ue6ca'),
    CLOUD_SUN_FOG("hws--cloud-sun-fog", '\ue6e1'),
    CLOUD_SUN_LIGHTNING("hws-cloud-sun-lightning", '\ue6d3'),
    CLOUD_SUN_RAIN("hws-cloud-sun-rain", '\ue6cd'),
    CLOUD_SUN_RAINDROPS("hws-cloud-sun-raindrops", '\ue6d7'),
    CLOUD_SUN_SNOW("hws-cloud-sun-snow", '\ue6d0'),
    CLOUD_SUN_SNOWFLAKES("hws-cloud-sun-snowflakes", '\ue6da'),
    CLOUD_UPLOAD("hws-cloud-upload", '\ue680'),
    CLOUD_WIND("hws-cloud-wind", '\ue6d5'),
    CLOUDS("hws-clouds", '\ue6dc'),
    CLOUDS2("hws-clouds2", '\ue6f0'),
    COMBINATION_LOCK("hws-combination-lock", '\ue677'),
    COMPASS("hws-compass", '\ue706'),
    COMPASS2("hws-compass2", '\ue707'),
    COMPASS3("hws-compass3", '\ue708'),
    COMPASS4("hws-compass4", '\ue709'),
    COMPASS_EAST("hws-compass-east", '\ue6ff'),
    COMPASS_NORTH("hws-compass-north", '\ue6fd'),
    COMPASS_SOUTH("hws-compass-south", '\ue700'),
    COMPASS_WEST("hws-compass-west", '\ue6fe'),
    CRESCENT("hws-crescent", '\ue6f5'),
    CRESCENT2("hws-crescent2", '\ue6fb'),
    DEGREE_CELSIUS("hws-degree-celsius", '\ue704'),
    DEGREE_FAHRENHEIT("hws-degree-fahrenheit", '\ue703'),
    DIVING_GOGGLES("hws-diving-goggles", '\ue6c5'),
    DOCUMENT("hws-document", '\ue635'),
    DOCUMENT_ADD("hws-document-add", '\ue64f'),
    DOCUMENT_BOOKMARK("hws-document-bookmark", '\ue63a'),
    DOCUMENT_CANCEL("hws-document-cancel", '\ue64d'),
    DOCUMENT_CERTIFICATE("hws-document-certificate", '\ue687'),
    DOCUMENT_CHECKED("hws-document-checked", '\ue64e'),
    DOCUMENT_CLOUD("hws-document-cloud", '\ue645'),
    DOCUMENT_CODE("hws-document-code", '\ue644'),
    DOCUMENT_DIAGRAMS("hws-document-diagrams", '\ue63b'),
    DOCUMENT_DOWNLOAD("hws-document-download", '\ue638'),
    DOCUMENT_EDIT("hws-document-edit", '\ue686'),
    DOCUMENT_ERROR("hws-document-error", '\ue64c'),
    DOCUMENT_FILE_3GP("hws-document-file-3gp", '\ue7fb'),
    DOCUMENT_FILE_AAC("hws-document-file-aac", '\ue7fd'),
    DOCUMENT_FILE_AI("hws-document-file-ai", '\ue7d3'),
    DOCUMENT_FILE_AIFF("hws-document-file-aiff", '\ue7fc'),
    DOCUMENT_FILE_APP("hws-document-file-app", '\ue7c7'),
    DOCUMENT_FILE_ASP("hws-document-file-asp", '\ue7e6'),
    DOCUMENT_FILE_AVI("hws-document-file-avi", '\ue7ed'),
    DOCUMENT_FILE_BMP("hws-document-file-bmp", '\ue7d4'),
    DOCUMENT_FILE_C("hws-document-file-c", '\ue7db'),
    DOCUMENT_FILE_CPP("hws-document-file-cpp", '\ue7de'),
    DOCUMENT_FILE_CSS("hws-document-file-css", '\ue7d0'),
    DOCUMENT_FILE_DAT("hws-document-file-dat", '\ue7e8'),
    DOCUMENT_FILE_DMG("hws-document-file-dmg", '\ue802'),
    DOCUMENT_FILE_DOC("hws-document-file-doc", '\ue7e1'),
    DOCUMENT_FILE_DOCX("hws-document-file-docx", '\ue7e4'),
    DOCUMENT_FILE_DOT("hws-document-file-dot", '\ue7f3'),
    DOCUMENT_FILE_DOTX("hws-document-file-dotx", '\ue7ef'),
    DOCUMENT_FILE_DWG("hws-document-file-dwg", '\ue7d5'),
    DOCUMENT_FILE_DXF("hws-document-file-dxf", '\ue7e0'),
    DOCUMENT_FILE_EPS("hws-document-file-eps", '\ue7d6'),
    DOCUMENT_FILE_EXE("hws-document-file-exe", '\ue7ec'),
    DOCUMENT_FILE_FLV("hws-document-file-flv", '\ue7f7'),
    DOCUMENT_FILE_GIF("hws-document-file-gif", '\ue805'),
    DOCUMENT_FILE_H("hws-document-file-h", '\ue7eb'),
    DOCUMENT_FILE_HTML("hws-document-file-html", '\ue7cf'),
    DOCUMENT_FILE_ICS("hws-document-file-ics", '\ue7e7'),
    DOCUMENT_FILE_ISO("hws-document-file-iso", '\ue803'),
    DOCUMENT_FILE_JAVA("hws-document-file-java", '\ue7d1'),
    DOCUMENT_FILE_JPG("hws-document-file-jpg", '\ue7cd'),
    DOCUMENT_FILE_KEY("hws-document-file-key", '\ue7ce'),
    DOCUMENT_FILE_M4V("hws-document-file-m4v", '\ue7f6'),
    DOCUMENT_FILE_MID("hws-document-file-mid", '\ue7fa'),
    DOCUMENT_FILE_MOV("hws-document-file-mov", '\ue7cc'),
    DOCUMENT_FILE_MP3("hws-document-file-mp3", '\ue7ca'),
    DOCUMENT_FILE_MP4("hws-document-file-mp4", '\ue7cb'),
    DOCUMENT_FILE_MPG("hws-document-file-mpg", '\ue7f8'),
    DOCUMENT_FILE_NUMBERS("hws-document-file-numbers", '\ue7c5'),
    DOCUMENT_FILE_ODP("hws-document-file-odp", '\ue7ee'),
    DOCUMENT_FILE_ODS("hws-document-file-ods", '\ue7f1'),
    DOCUMENT_FILE_ODT("hws-document-file-odt", '\ue7e2'),
    DOCUMENT_FILE_OTS("hws-document-file-ots", '\ue7d8'),
    DOCUMENT_FILE_OTT("hws-document-file-ott", '\ue800'),
    DOCUMENT_FILE_PAGES("hws-document-file-pages", '\ue7c6'),
    DOCUMENT_FILE_PDF("hws-document-file-pdf", '\ue7c9'),
    DOCUMENT_FILE_PHP("hws-document-file-php", '\ue7d9'),
    DOCUMENT_FILE_PNG("hws-document-file-png", '\ue7c8'),
    DOCUMENT_FILE_PPS("hws-document-file-pps", '\ue7f2'),
    DOCUMENT_FILE_PPT("hws-document-file-ppt", '\ue7e5'),
    DOCUMENT_FILE_PSD("hws-document-file-psd", '\ue7d2'),
    DOCUMENT_FILE_PY("hws-document-file-py", '\ue7da'),
    DOCUMENT_FILE_QT("hws-document-file-qt", '\ue7f9'),
    DOCUMENT_FILE_RAR("hws-document-file-rar", '\ue804'),
    DOCUMENT_FILE_RB("hws-document-file-rb", '\ue7dd'),
    DOCUMENT_FILE_RTF("hws-document-file-rtf", '\ue7f5'),
    DOCUMENT_FILE_SQL("hws-document-file-sql", '\ue7dc'),
    DOCUMENT_FILE_TGA("hws-document-file-tga", '\ue7df'),
    DOCUMENT_FILE_TGZ("hws-document-file-tgz", '\ue801'),
    DOCUMENT_FILE_TIFF("hws-document-file-tiff", '\ue7d7'),
    DOCUMENT_FILE_TXT("hws-document-file-txt", '\ue7f4'),
    DOCUMENT_FILE_WAV("hws-document-file-wav", '\ue7fe'),
    DOCUMENT_FILE_XLS("hws-document-file-xls", '\ue7e3'),
    DOCUMENT_FILE_XLSX("hws-document-file-xlsx", '\ue7f0'),
    DOCUMENT_FILE_XML("hws-document-file-xml", '\ue7e9'),
    DOCUMENT_FILE_YML("hws-document-file-yml", '\ue7ea'),
    DOCUMENT_FILE_ZIP("hws-document-file-zip", '\ue7ff'),
    DOCUMENT_FONT("hws-document-font", '\ue655'),
    DOCUMENT_FORBIDDEN("hws-document-forbidden", '\ue651'),
    DOCUMENT_GRAPH("hws-document-graph", '\ue641'),
    DOCUMENT_INFORMATION("hws-document-information", '\ue652'),
    DOCUMENT_LIST("hws-document-list", '\ue654'),
    DOCUMENT_LOCKED("hws-document-locked", '\ue64b'),
    DOCUMENT_MOVIE("hws-document-movie", '\ue63f'),
    DOCUMENT_MUSIC("hws-document-music", '\ue63e'),
    DOCUMENT_PLAY("hws-document-play", '\ue640'),
    DOCUMENT_RECORDING("hws-document-recording", '\ue63c'),
    DOCUMENT_REMOVE("hws-document-remove", '\ue650'),
    DOCUMENT_SCAN("hws-document-scan", '\ue67e'),
    DOCUMENT_SEARCH("hws-document-search", '\ue648'),
    DOCUMENT_SHRED("hws-document-shred", '\ue67c'),
    DOCUMENT_STAR("hws-document-star", '\ue649'),
    DOCUMENT_TABLE("hws-document-table", '\ue63d'),
    DOCUMENT_TEXT("hws-document-text", '\ue636'),
    DOCUMENT_TEXT2("hws-document-text2", '\ue637'),
    DOCUMENT_TEXT3("hws-document-text3", '\ue643'),
    DOCUMENT_TIME("hws-document-time", '\ue642'),
    DOCUMENT_UNLOCKED("hws-document-unlocked", '\ue64a'),
    DOCUMENT_UPLOAD("hws-document-upload", '\ue639'),
    DOCUMENT_ZIP("hws-document-zip", '\ue66b'),
    DOCUMENTS("hws-documents", '\ue646'),
    DOCUMENTS2("hws-documents2", '\ue647'),
    EYE("hws-eye", '\ue615'),
    EYE_HIDDEN("hws-eye-hidden", '\ue614'),
    FACE_CLOSED_EYES_OPEN_MOUTH("hws-face-closed-eyes-open-mouth", '\ue742'),
    FACE_CLOSED_EYES_OPEN_MOUTH2("hws-face-closed-eyes-open-mouth2", '\ue743'),
    FACE_CLOSED_EYES_OPEN_MOUTH3("hws-face-closed-eyes-open-mouth3", '\ue744'),
    FACE_CLOSED_MEYES("hws-face-closed-meyes", '\ue73e'),
    FACE_GLASSES("hws-face-glasses", '\ue751'),
    FACE_MISSING_MOTH("hws-face-missing-moth", '\ue716'),
    FACE_MOUSTACHE("hws-face-moustache", '\ue74f'),
    FACE_MOUSTACHE2("hws-face-moustache2", '\ue750'),
    FACE_OPEN_MOUTH("hws-face-open-mouth", '\ue71a'),
    FACE_OPEN_MOUTH2("hws-face-open-mouth2", '\ue71b'),
    FACE_OPEN_MOUTH_EYEBROWS("hws-face-open-mouth-eyebrows", '\ue738'),
    FACE_OPEN_MOUTH_EYEBROWS2("hws-face-open-mouth-eyebrows2", '\ue739'),
    FACE_STUCK_OUT_TONGUE("hws-face-stuck-out-tongue", '\ue731'),
    FACE_STUCK_OUT_TONGUE2("hws-face-stuck-out-tongue2", '\ue732'),
    FACE_SUNGLASSES("hws-face-sunglasses", '\ue752'),
    FAKE_GRINNING_FACE_EYEBROWS("hws-fake-grinning-face-eyebrows", '\ue72f'),
    FILE_3GP("hws-file-3gp", '\ue7ba'),
    FILE_AAC("hws-file-aac", '\ue7bc'),
    FILE_AI("hws-file-ai", '\ue792'),
    FILE_AIFF("hws-file-aiff", '\ue7bb'),
    FILE_APP("hws-file-app", '\ue786'),
    FILE_ASP("hws-file-asp", '\ue7a5'),
    FILE_AVI("hws-file-avi", '\ue7ac'),
    FILE_BMP("hws-file-bmp", '\ue793'),
    FILE_C("hws-file-c", '\ue79a'),
    FILE_CPP("hws-file-cpp", '\ue79d'),
    FILE_CSS("hws-file-css", '\ue78f'),
    FILE_DAT("hws-file-dat", '\ue7a7'),
    FILE_DMG("hws-file-dmg", '\ue7c1'),
    FILE_DOC("hws-file-doc", '\ue7a0'),
    FILE_DOCX("hws-file-docx", '\ue7a3'),
    FILE_DOT("hws-file-dot", '\ue7b2'),
    FILE_DOTX("hws-file-dotx", '\ue7ae'),
    FILE_DWG("hws-file-dwg", '\ue794'),
    FILE_DXF("hws-file-dxf", '\ue79f'),
    FILE_EPS("hws-file-eps", '\ue795'),
    FILE_EXE("hws-file-exe", '\ue7ab'),
    FILE_FLV("hws-file-flv", '\ue7b6'),
    FILE_GIF("hws-file-gif", '\ue7c4'),
    FILE_H("hws-file-h", '\ue7aa'),
    FILE_HTML("hws-file-html", '\ue78e'),
    FILE_ICS("hws-file-ics", '\ue7a6'),
    FILE_ISO("hws-file-iso", '\ue7c2'),
    FILE_JAVA("hws-file-java", '\ue790'),
    FILE_JPG("hws-file-jpg", '\ue78c'),
    FILE_KEY("hws-file-key", '\ue78d'),
    FILE_M4V("hws-file-m4v", '\ue7b5'),
    FILE_MID("hws-file-mid", '\ue7b9'),
    FILE_MOV("hws-file-mov", '\ue78b'),
    FILE_MP3("hws-file-mp3", '\ue789'),
    FILE_MP4("hws-file-mp4", '\ue78a'),
    FILE_MPG("hws-file-mpg", '\ue7b7'),
    FILE_NUMBERS("hws-file-numbers", '\ue784'),
    FILE_ODP("hws-file-odp", '\ue7ad'),
    FILE_ODS("hws-file-ods", '\ue7b0'),
    FILE_ODT("hws-file-odt", '\ue7a1'),
    FILE_OTS("hws-file-ots", '\ue797'),
    FILE_OTT("hws-file-ott", '\ue7bf'),
    FILE_PAGES("hws-file-pages", '\ue785'),
    FILE_PDF("hws-file-pdf", '\ue788'),
    FILE_PHP("hws-file-php", '\ue798'),
    FILE_PNG("hws-file-png", '\ue787'),
    FILE_PPS("hws-file-pps", '\ue7b1'),
    FILE_PPT("hws-file-ppt", '\ue7a4'),
    FILE_PSD("hws-file-psd", '\ue791'),
    FILE_PY("hws-file-py", '\ue799'),
    FILE_QUICKTIME("hws-file-quicktime", '\ue7b8'),
    FILE_RAR("hws-file-rar", '\ue7c3'),
    FILE_RB("hws-file-rb", '\ue79c'),
    FILE_RTF("hws-file-rtf", '\ue7b4'),
    FILE_SQL("hws-file-sql", '\ue79b'),
    FILE_TGA("hws-file-tga", '\ue79e'),
    FILE_TGZ("hws-file-tgz", '\ue7c0'),
    FILE_TIFF("hws-file-tiff", '\ue796'),
    FILE_TXT("hws-file-txt", '\ue7b3'),
    FILE_WAV("hws-file-wav", '\ue7bd'),
    FILE_XLS("hws-file-xls", '\ue7a2'),
    FILE_XLSX("hws-file-xlsx", '\ue7af'),
    FILE_XML("hws-file-xml", '\ue7a8'),
    FILE_YML("hws-file-yml", '\ue7a9'),
    FILE_ZIP("hws-file-zip", '\ue7be'),
    FLAG("hws-flag", '\ue60d'),
    FLAG2("hws-flag2", '\ue60e'),
    FLAG3("hws-flag3", '\ue60f'),
    FLAG4("hws-flag4", '\ue610'),
    FLASHED_FACE("hws-flashed-face", '\ue713'),
    FLASHED_FACE2("hws-flashed-face2", '\ue714'),
    FLASHED_FACE_GLASSES("hws-flashed-face-glasses", '\ue715'),
    FOLDER("hws-folder", '\ue65c'),
    FOLDER2("hws-folder2", '\ue65d'),
    FOLDER_ADD("hws-folder-add", '\ue667'),
    FOLDER_BOOKMARK("hws-folder-bookmark", '\ue66a'),
    FOLDER_CANCEL("hws-folder-cancel", '\ue665'),
    FOLDER_CHECKED("hws-folder-checked", '\ue666'),
    FOLDER_DOWNLOAD("hws-folder-download", '\ue65f'),
    FOLDER_ERROR("hws-folder-error", '\ue664'),
    FOLDER_FORBIDDEN("hws-folder-forbidden", '\ue669'),
    FOLDER_INFORMATION("hws-folder-information", '\ue653'),
    FOLDER_LOCKED("hws-folder-locked", '\ue662'),
    FOLDER_REMOVE("hws-folder-remove", '\ue668'),
    FOLDER_SEARCH("hws-folder-search", '\ue663'),
    FOLDER_UNLOCKED("hws-folder-unlocked", '\ue661'),
    FOLDER_UPLOAD("hws-folder-upload", '\ue660'),
    FOLDERS("hws-folders", '\ue65e'),
    FOOTBALL("hws-football", '\ue69e'),
    FOOTBALL2("hws-football2", '\ue69f'),
    FULL_MOON("hws-full-moon", '\ue6f4'),
    GIBBOUS_MOON("hws-gibbous-moon", '\ue6f7'),
    GIBBOUS_MOON2("hws-gibbous-moon2", '\ue6f9'),
    GOLF("hws-golf", '\ue6b2'),
    GRINNING_FACE("hws-grinning-face", '\ue72c'),
    GRINNING_FACE2("hws-grinning-face2", '\ue747'),
    GRINNING_FACE_EYEBROWS("hws-grinning-face-eyebrows", '\ue725'),
    GRINNING_FACE_EYEBROWS2("hws-grinning-face-eyebrows2", '\ue72e'),
    GRINNING_FACE_TEETH("hws-grinning-face-teeth", '\ue734'),
    GRINNING_FACE_TEETH2("hws-grinning-face-teeth2", '\ue737'),
    HALF_MOON("hws-half-moon", '\ue6f6'),
    HALF_MOON2("hws-half-moon2", '\ue6fa'),
    HIGH_FIVE("hws-high-five", '\ue756'),
    HOCKEY_STICK("hws-hockey-stick", '\ue6af'),
    HOCKEY_STICKS("hws-hockey-sticks", '\ue6b0'),
    ICE_SKATE("hws-ice-skate", '\ue6c8'),
    INBOX("hws-inbox", '\ue656'),
    INBOX_DOCUMENT("hws-inbox-document", '\ue658'),
    INBOX_DOCUMENT_TEXT("hws-inbox-document-text", '\ue659'),
    INBOX_DOWNLOAD("hws-inbox-download", '\ue65a'),
    INBOX_FILLED("hws-inbox-filled", '\ue683'),
    INBOX_UPLOAD("hws-inbox-upload", '\ue65b'),
    INBOXES("hws-inboxes", '\ue657'),
    INFORMATION("hws-information", '\ue61b'),
    INFORMATION2("hws-information2", '\ue61c'),
    KEY("hws-key", '\ue617'),
    KEY2("hws-key2", '\ue618'),
    KISSING_FACE("hws-kissing-face", '\ue733'),
    KISSING_FACE2("hws-kissing-face2", '\ue73d'),
    LAUGHING_FACE("hws-laughing-face", '\ue71d'),
    LAUGHING_FACE2("hws-laughing-face2", '\ue71e'),
    LAUGHING_FACE3("hws-laughing-face3", '\ue745'),
    LIGHTNING("hws-lightning", '\ue710'),
    LOCK("hws-lock", '\ue670'),
    LOCK_OPEN("hws-lock-open", '\ue671'),
    LOCK_OPEN2("hws-lock-open2", '\ue672'),
    LOCK_ROUNDED("hws-lock-rounded", '\ue674'),
    LOCK_ROUNDED_OPEN("hws-lock-rounded-open", '\ue675'),
    LOCK_ROUNDED_OPEN2("hws-lock-rounded-open2", '\ue676'),
    LOCK_STRIPES("hws-lock-stripes", '\ue673'),
    MAIL__FORBIDDEN("hws-mail--forbidden", '\ue60a'),
    MAIL_ADD("hws-mail-add", '\ue60b'),
    MAIL_CANCEL("hws-mail-cancel", '\ue609'),
    MAIL_CHECKED("hws-mail-checked", '\ue608'),
    MAIL_ENVELOPE("hws-mail-envelope", '\ue600'),
    MAIL_ENVELOPE_CLOSED("hws-mail-envelope-closed", '\ue602'),
    MAIL_ENVELOPE_CLOSED2("hws-mail-envelope-closed2", '\ue605'),
    MAIL_ENVELOPE_OPEN("hws-mail-envelope-open", '\ue601'),
    MAIL_ENVELOPE_OPEN2("hws-mail-envelope-open2", '\ue603'),
    MAIL_ENVELOPE_OPEN3("hws-mail-envelope-open3", '\ue604'),
    MAIL_ENVELOPE_OPEN4("hws-mail-envelope-open4", '\ue606'),
    MAIL_ERROR("hws-mail-error", '\ue607'),
    MAIL_REMOVE("hws-mail-remove", '\ue60c'),
    MEDAL("hws-medal", '\ue6a6'),
    MEDAL2("hws-medal2", '\ue6a7'),
    MEDAL3("hws-medal3", '\ue6b9'),
    MEDAL4("hws-medal4", '\ue6ba'),
    MIDDLE_FINGER("hws-middle-finger", '\ue754'),
    MOON("hws-moon", '\ue6e4'),
    MOON2("hws-moon2", '\ue6f8'),
    MOON_STARS("hws-moon-stars", '\ue6e3'),
    MOONRISE("hws-moonrise", '\ue6f1'),
    MOONSET("hws-moonset", '\ue6f2'),
    MOVE("hws-move", '\ue6b3'),
    NEUTRAL_FACE("hws-neutral-face", '\ue717'),
    NEUTRAL_FACE2("hws-neutral-face2", '\ue721'),
    NEUTRAL_FACE_EYEBROWS("hws-neutral-face-eyebrows", '\ue727'),
    NOTE("hws-note", '\ue628'),
    NOTE_ADD("hws-note-add", '\ue629'),
    NOTE_CHECKED("hws-note-checked", '\ue62d'),
    NOTE_IMPORTANT("hws-note-important", '\ue62e'),
    NOTE_LIST("hws-note-list", '\ue62c'),
    NOTE_REMOVE("hws-note-remove", '\ue62a'),
    NOTE_TEXT("hws-note-text", '\ue62b'),
    NOTEBOOK("hws-notebook", '\ue62f'),
    NOTEBOOK2("hws-notebook2", '\ue630'),
    NOTEBOOK3("hws-notebook3", '\ue631'),
    NOTEBOOK4("hws-notebook4", '\ue632'),
    NOTEBOOK_LIST("hws-notebook-list", '\ue634'),
    NOTEBOOK_TEXT("hws-notebook-text", '\ue633'),
    ONE_FINGER("hws-one-finger", '\ue768'),
    ONE_FINGER_CLICK("hws-one-finger-click", '\ue76d'),
    ONE_FINGER_CLICK2("hws-one-finger-click2", '\ue77b'),
    ONE_FINGER_DOUBLE_TAP("hws-one-finger-double-tap", '\ue769'),
    ONE_FINGER_DOUBLE_TAP2("hws-one-finger-double-tap2", '\ue775'),
    ONE_FINGER_SWIPE("hws-one-finger-swipe", '\ue77d'),
    ONE_FINGER_SWIPE_DOWN("hws-one-finger-swipe-down", '\ue767'),
    ONE_FINGER_SWIPE_DOWN2("hws-one-finger-swipe-down2", '\ue783'),
    ONE_FINGER_SWIPE_HORIZONTALLY("hws-one-finger-swipe-horizontally", '\ue77c'),
    ONE_FINGER_SWIPE_LEFT("hws-one-finger-swipe-left", '\ue764'),
    ONE_FINGER_SWIPE_LEFT2("hws-one-finger-swipe-left2", '\ue780'),
    ONE_FINGER_SWIPE_RIGHT("hws-one-finger-swipe-right", '\ue765'),
    ONE_FINGER_SWIPE_RIGHT2("hws-one-finger-swipe-right2", '\ue781'),
    ONE_FINGER_SWIPE_UP("hws-one-finger-swipe-up", '\ue766'),
    ONE_FINGER_SWIPE_UP2("hws-one-finger-swipe-up2", '\ue782'),
    ONE_FINGER_TAP("hws-one-finger-tap", '\ue76a'),
    ONE_FINGER_TAP2("hws-one-finger-tap2", '\ue779'),
    ONE_FINGER_TAP_HOLD("hws-one-finger-tap-hold", '\ue76b'),
    ONE_FINGER_TAP_HOLD2("hws-one-finger-tap-hold2", '\ue77a'),
    PACKAGE("hws-package", '\ue689'),
    PAPERCLIP("hws-paperclip", '\ue696'),
    PEN("hws-pen", '\ue684'),
    PEN_ANGLED("hws-pen-angled", '\ue685'),
    PRINTER("hws-printer", '\ue678'),
    PRINTER2("hws-printer2", '\ue679'),
    PRINTER_TEXT("hws-printer-text", '\ue67a'),
    PRINTER_TEXT2("hws-printer-text2", '\ue67b'),
    RAINBOW("hws-rainbow", '\ue6ea'),
    RAINDROP("hws-raindrop", '\ue6ed'),
    RAINDROPS("hws-raindrops", '\ue6ec'),
    ROCK_N_ROLL("hws-rock-n-roll", '\ue755'),
    SAD_FACE("hws-sad-face", '\ue719'),
    SAD_FACE2("hws-sad-face2", '\ue722'),
    SAD_FACE3("hws-sad-face3", '\ue72d'),
    SAD_FACE4("hws-sad-face4", '\ue748'),
    SAD_FACE5("hws-sad-face5", '\ue749'),
    SAD_FACE6("hws-sad-face6", '\ue74b'),
    SAD_FACE__TIGHTLY_CLOSED_EYES("hws-sad-face--tightly-closed-eyes", '\ue73c'),
    SAD_FACE_CLOSED_EYES("hws-sad-face-closed-eyes", '\ue74a'),
    SAD_FACE_EYEBROWS("hws-sad-face-eyebrows", '\ue726'),
    SAILING_BOAT("hws-sailing-boat", '\ue6c1'),
    SAILING_BOAT_WATER("hws-sailing-boat-water", '\ue6c2'),
    SEARCH("hws-search", '\ue66d'),
    SEARCH_MINUS("hws-search-minus", '\ue66f'),
    SEARCH_PLUS("hws-search-plus", '\ue66e'),
    SHREDDER("hws-shredder", '\ue67d'),
    SHUTTLECOCK("hws-shuttlecock", '\ue6b1'),
    SMILING_FACE("hws-smiling-face", '\ue718'),
    SMILING_FACE2("hws-smiling-face2", '\ue723'),
    SMILING_FACE3("hws-smiling-face3", '\ue746'),
    SMILING_FACE4("hws-smiling-face4", '\ue74c'),
    SMILING_FACE_EYEBROWS("hws-smiling-face-eyebrows", '\ue724'),
    SMIRKING_FACE("hws-smirking-face", '\ue71f'),
    SMIRKING_FACE_SUNGLASSES("hws-smirking-face-sunglasses", '\ue753'),
    SNOWFLAKE("hws-snowflake", '\ue712'),
    SOCCER_BALL("hws-soccer-ball", '\ue69c'),
    SOCCER_COURT("hws-soccer-court", '\ue69d'),
    SOCCER_SHOE("hws-soccer-shoe", '\ue6c7'),
    SPORTS_SHOE("hws-sports-shoe", '\ue6c6'),
    STAR("hws-star", '\ue616'),
    STARS("hws-stars", '\ue6ef'),
    STOP_WATCH("hws-stop-watch", '\ue6ad'),
    STOP_WATCH2("hws-stop-watch2", '\ue6ae'),
    STUBBORN_FACE("hws-stubborn-face", '\ue720'),
    SUN("hws-sun", '\ue6e5'),
    SUNGLASSES("hws-sunglasses", '\ue6ee'),
    SUNRISE("hws-sunrise", '\ue6e6'),
    SUNSET("hws-sunset", '\ue6e7'),
    SUNSET2("hws-sunset2", '\ue6e8'),
    SUNSET3("hws-sunset3", '\ue6e9'),
    TABLE_TENNIS("hws-table-tennis", '\ue6ab'),
    TAG("hws-tag", '\ue690'),
    TAG_ADD("hws-tag-add", '\ue692'),
    TAG_CANCEL("hws-tag-cancel", '\ue695'),
    TAG_CHECKED("hws-tag-checked", '\ue694'),
    TAG_CORD("hws-tag-cord", '\ue68f'),
    TAG_REMOVE("hws-tag-remove", '\ue693'),
    TAGS("hws-tags", '\ue691'),
    TARGET("hws-target", '\ue6c0'),
    TARGET_ARROW("hws-target-arrow", '\ue6bf'),
    TENNIS_BALL("hws-tennis-ball", '\ue699'),
    TENNIS_BALL2("hws-tennis-ball2", '\ue6a2'),
    TENNIS_RACKET("hws-tennis-racket", '\ue6a9'),
    THERMOMETER("hws-thermometer", '\ue70a'),
    THERMOMETER_FULL("hws-thermometer-full", '\ue70f'),
    THERMOMETER_HALF("hws-thermometer-half", '\ue70d'),
    THERMOMETER_LOW("hws-thermometer-low", '\ue70b'),
    THERMOMETER_QUARTER("hws-thermometer-quarter", '\ue70c'),
    THERMOMETER_THREE_QUARTERS("hws-thermometer-three-quarters", '\ue70e'),
    THREE_FINGERS("hws-three-fingers", '\ue772'),
    THREE_FINGERS_DOUBLE_TAP("hws-three-fingers-double-tap", '\ue760'),
    THREE_FINGERS_DOUBLE_TAP2("hws-three-fingers-double-tap2", '\ue773'),
    THREE_FINGERS_SWIPE_DOWN("hws-three-fingers-swipe-down", '\ue771'),
    THREE_FINGERS_SWIPE_LEFT("hws-three-fingers-swipe-left", '\ue76e'),
    THREE_FINGERS_SWIPE_RIGHT("hws-three-fingers-swipe-right", '\ue76f'),
    THREE_FINGERS_SWIPE_UP("hws-three-fingers-swipe-up", '\ue770'),
    THUMB_DOWN("hws-thumb-down", '\ue758'),
    THUMB_DOWN2("hws-thumb-down2", '\ue75a'),
    THUMB_FINGER_TAP("hws-thumb-finger-tap", '\ue76c'),
    THUMB_UP("hws-thumb-up", '\ue757'),
    THUMB_UP2("hws-thumb-up2", '\ue759'),
    TORNADO("hws-tornado", '\ue702'),
    TRASH_CAN("hws-trash-can", '\ue619'),
    TRASH_CAN2("hws-trash-can2", '\ue61a'),
    TROPHY("hws-trophy", '\ue6a3'),
    TROPHY2("hws-trophy2", '\ue6a5'),
    TROPHY_ONE("hws-trophy-one", '\ue6a4'),
    TWO_FINGERS("hws-two-fingers", '\ue75f'),
    TWO_FINGERS_DOUBLE_TAP("hws-two-fingers-double-tap", '\ue77e'),
    TWO_FINGERS_RESIZE_IN("hws-two-fingers-resize-in", '\ue762'),
    TWO_FINGERS_RESIZE_OUT("hws-two-fingers-resize-out", '\ue761'),
    TWO_FINGERS_ROTATE("hws-two-fingers-rotate", '\ue763'),
    TWO_FINGERS_SWIPE_DOWN("hws-two-fingers-swipe-down", '\ue75e'),
    TWO_FINGERS_SWIPE_DOWN2("hws-two-fingers-swipe-down2", '\ue776'),
    TWO_FINGERS_SWIPE_LEFT("hws-two-fingers-swipe-left", '\ue75b'),
    TWO_FINGERS_SWIPE_LEFT2("hws-two-fingers-swipe-left2", '\ue778'),
    TWO_FINGERS_SWIPE_RIGHT("hws-two-fingers-swipe-right", '\ue75c'),
    TWO_FINGERS_SWIPE_RIGHT2("hws-two-fingers-swipe-right2", '\ue777'),
    TWO_FINGERS_SWIPE_UP("hws-two-fingers-swipe-up", '\ue75d'),
    TWO_FINGERS_SWIPE_UP2("hws-two-fingers-swipe-up2", '\ue774'),
    TWO_FINGERS_TAP("hws-two-fingers-tap", '\ue77f'),
    UMBRELLA("hws-umbrella", '\ue6eb'),
    UNAMUSED_FACE_TIGHTLY_CLOSED_EYES("hws-unamused-face-tightly-closed-eyes", '\ue73b'),
    VOLLEYBALL("hws-volleyball", '\ue6ac'),
    VOLLEYBALL_WATER("hws-volleyball-water", '\ue6bd'),
    WARNING("hws-warning", '\ue705'),
    WEIGHTS("hws-weights", '\ue6a8'),
    WHISTLE("hws-whistle", '\ue6bc'),
    WIND("hws-wind", '\ue6f3'),
    WIND_TURBINE("hws-wind-turbine", '\ue711'),
    WINKING_FACE("hws-winking-face", '\ue71c'),
    WINKING_FACE2("hws-winking-face2", '\ue72a'),
    WORRIED_FACE("hws-worried-face", '\ue729'),
    WORRIED_FACE_EYEBROWS("hws-worried-face-eyebrows", '\ue730'),
    WORRIED_FACE_TEETH("hws-worried-face-teeth", '\ue736'),
    ZIP("hws-zip", '\ue66c');

    public static HawconsStroke findByDescription(String description) {
        for (HawconsStroke font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    HawconsStroke(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}