/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2023 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.lineawesome;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum LineAwesomeSolid implements Ikon {
    AD("las-ad", '\uf641'),
    ADDRESS_BOOK("las-address-book", '\uf2b9'),
    ADDRESS_CARD("las-address-card", '\uf2bb'),
    ADJUST("las-adjust", '\uf042'),
    AIR_FRESHENER("las-air-freshener", '\uf5d0'),
    ALIGN_CENTER("las-align-center", '\uf037'),
    ALIGN_JUSTIFY("las-align-justify", '\uf039'),
    ALIGN_LEFT("las-align-left", '\uf036'),
    ALIGN_RIGHT("las-align-right", '\uf038'),
    ALLERGIES("las-allergies", '\uf461'),
    AMBULANCE("las-ambulance", '\uf0f9'),
    AMERICAN_SIGN_LANGUAGE_INTERPRETING("las-american-sign-language-interpreting", '\uf2a3'),
    ANCHOR("las-anchor", '\uf13d'),
    ANGLE_DOUBLE_DOWN("las-angle-double-down", '\uf103'),
    ANGLE_DOUBLE_LEFT("las-angle-double-left", '\uf100'),
    ANGLE_DOUBLE_RIGHT("las-angle-double-right", '\uf101'),
    ANGLE_DOUBLE_UP("las-angle-double-up", '\uf102'),
    ANGLE_DOWN("las-angle-down", '\uf107'),
    ANGLE_LEFT("las-angle-left", '\uf104'),
    ANGLE_RIGHT("las-angle-right", '\uf105'),
    ANGLE_UP("las-angle-up", '\uf106'),
    ANGRY("las-angry", '\uf556'),
    ANKH("las-ankh", '\uf644'),
    APPLE_ALT("las-apple-alt", '\uf5d1'),
    ARCHIVE("las-archive", '\uf187'),
    ARCHWAY("las-archway", '\uf557'),
    ARROWS_ALT("las-arrows-alt", '\uf0b2'),
    ARROWS_ALT_H("las-arrows-alt-h", '\uf337'),
    ARROWS_ALT_V("las-arrows-alt-v", '\uf338'),
    ARROW_ALT_CIRCLE_DOWN("las-arrow-alt-circle-down", '\uf358'),
    ARROW_ALT_CIRCLE_LEFT("las-arrow-alt-circle-left", '\uf359'),
    ARROW_ALT_CIRCLE_RIGHT("las-arrow-alt-circle-right", '\uf35a'),
    ARROW_ALT_CIRCLE_UP("las-arrow-alt-circle-up", '\uf35b'),
    ARROW_CIRCLE_DOWN("las-arrow-circle-down", '\uf0ab'),
    ARROW_CIRCLE_LEFT("las-arrow-circle-left", '\uf0a8'),
    ARROW_CIRCLE_RIGHT("las-arrow-circle-right", '\uf0a9'),
    ARROW_CIRCLE_UP("las-arrow-circle-up", '\uf0aa'),
    ARROW_DOWN("las-arrow-down", '\uf063'),
    ARROW_LEFT("las-arrow-left", '\uf060'),
    ARROW_RIGHT("las-arrow-right", '\uf061'),
    ARROW_UP("las-arrow-up", '\uf062'),
    ASSISTIVE_LISTENING_SYSTEMS("las-assistive-listening-systems", '\uf2a2'),
    ASTERISK("las-asterisk", '\uf069'),
    AT("las-at", '\uf1fa'),
    ATLAS("las-atlas", '\uf558'),
    ATOM("las-atom", '\uf5d2'),
    AUDIO_DESCRIPTION("las-audio-description", '\uf29e'),
    AWARD("las-award", '\uf559'),
    BABY("las-baby", '\uf77c'),
    BABY_CARRIAGE("las-baby-carriage", '\uf77d'),
    BACKSPACE("las-backspace", '\uf55a'),
    BACKWARD("las-backward", '\uf04a'),
    BACON("las-bacon", '\uf7e5'),
    // BACTERIA("las-bacteria", '\ue059'),
    // BACTERIUM("las-bacterium", '\ue05a'),
    BAHAI("las-bahai", '\uf666'),
    BALANCE_SCALE("las-balance-scale", '\uf24e'),
    BALANCE_SCALE_LEFT("las-balance-scale-left", '\uf515'),
    BALANCE_SCALE_RIGHT("las-balance-scale-right", '\uf516'),
    BAN("las-ban", '\uf05e'),
    BAND_AID("las-band-aid", '\uf462'),
    BARCODE("las-barcode", '\uf02a'),
    BARS("las-bars", '\uf0c9'),
    BASEBALL_BALL("las-baseball-ball", '\uf433'),
    BASKETBALL_BALL("las-basketball-ball", '\uf434'),
    BATH("las-bath", '\uf2cd'),
    BATTERY_EMPTY("las-battery-empty", '\uf244'),
    BATTERY_FULL("las-battery-full", '\uf240'),
    BATTERY_HALF("las-battery-half", '\uf242'),
    BATTERY_QUARTER("las-battery-quarter", '\uf243'),
    BATTERY_THREE_QUARTERS("las-battery-three-quarters", '\uf241'),
    BED("las-bed", '\uf236'),
    BEER("las-beer", '\uf0fc'),
    BELL("las-bell", '\uf0f3'),
    BELL_SLASH("las-bell-slash", '\uf1f6'),
    BEZIER_CURVE("las-bezier-curve", '\uf55b'),
    BIBLE("las-bible", '\uf647'),
    BICYCLE("las-bicycle", '\uf206'),
    BIKING("las-biking", '\uf84a'),
    BINOCULARS("las-binoculars", '\uf1e5'),
    BIOHAZARD("las-biohazard", '\uf780'),
    BIRTHDAY_CAKE("las-birthday-cake", '\uf1fd'),
    BLENDER("las-blender", '\uf517'),
    BLENDER_PHONE("las-blender-phone", '\uf6b6'),
    BLIND("las-blind", '\uf29d'),
    BLOG("las-blog", '\uf781'),
    BOLD("las-bold", '\uf032'),
    BOLT("las-bolt", '\uf0e7'),
    BOMB("las-bomb", '\uf1e2'),
    BONE("las-bone", '\uf5d7'),
    BONG("las-bong", '\uf55c'),
    BOOK("las-book", '\uf02d'),
    BOOKMARK("las-bookmark", '\uf02e'),
    BOOK_DEAD("las-book-dead", '\uf6b7'),
    BOOK_MEDICAL("las-book-medical", '\uf7e6'),
    BOOK_OPEN("las-book-open", '\uf518'),
    BOOK_READER("las-book-reader", '\uf5da'),
    BORDER_ALL("las-border-all", '\uf84c'),
    BORDER_NONE("las-border-none", '\uf850'),
    BORDER_STYLE("las-border-style", '\uf853'),
    BOWLING_BALL("las-bowling-ball", '\uf436'),
    BOX("las-box", '\uf466'),
    BOXES("las-boxes", '\uf468'),
    BOX_OPEN("las-box-open", '\uf49e'),
    // BOX_TISSUE("las-box-tissue", '\ue05b'),
    BRAILLE("las-braille", '\uf2a1'),
    BRAIN("las-brain", '\uf5dc'),
    BREAD_SLICE("las-bread-slice", '\uf7ec'),
    BRIEFCASE("las-briefcase", '\uf0b1'),
    BRIEFCASE_MEDICAL("las-briefcase-medical", '\uf469'),
    BROADCAST_TOWER("las-broadcast-tower", '\uf519'),
    BROOM("las-broom", '\uf51a'),
    BRUSH("las-brush", '\uf55d'),
    BUG("las-bug", '\uf188'),
    BUILDING("las-building", '\uf1ad'),
    BULLHORN("las-bullhorn", '\uf0a1'),
    BULLSEYE("las-bullseye", '\uf140'),
    BURN("las-burn", '\uf46a'),
    BUS("las-bus", '\uf207'),
    BUSINESS_TIME("las-business-time", '\uf64a'),
    BUS_ALT("las-bus-alt", '\uf55e'),
    CALCULATOR("las-calculator", '\uf1ec'),
    CALENDAR("las-calendar", '\uf133'),
    CALENDAR_ALT("las-calendar-alt", '\uf073'),
    CALENDAR_CHECK("las-calendar-check", '\uf274'),
    CALENDAR_DAY("las-calendar-day", '\uf783'),
    CALENDAR_MINUS("las-calendar-minus", '\uf272'),
    CALENDAR_PLUS("las-calendar-plus", '\uf271'),
    CALENDAR_TIMES("las-calendar-times", '\uf273'),
    CALENDAR_WEEK("las-calendar-week", '\uf784'),
    CAMERA("las-camera", '\uf030'),
    CAMERA_RETRO("las-camera-retro", '\uf083'),
    CAMPGROUND("las-campground", '\uf6bb'),
    CANDY_CANE("las-candy-cane", '\uf786'),
    CANNABIS("las-cannabis", '\uf55f'),
    CAPSULES("las-capsules", '\uf46b'),
    CAR("las-car", '\uf1b9'),
    CARAVAN("las-caravan", '\uf8ff'),
    CARET_DOWN("las-caret-down", '\uf0d7'),
    CARET_LEFT("las-caret-left", '\uf0d9'),
    CARET_RIGHT("las-caret-right", '\uf0da'),
    CARET_SQUARE_DOWN("las-caret-square-down", '\uf150'),
    CARET_SQUARE_LEFT("las-caret-square-left", '\uf191'),
    CARET_SQUARE_RIGHT("las-caret-square-right", '\uf152'),
    CARET_SQUARE_UP("las-caret-square-up", '\uf151'),
    CARET_UP("las-caret-up", '\uf0d8'),
    CARROT("las-carrot", '\uf787'),
    CART_ARROW_DOWN("las-cart-arrow-down", '\uf218'),
    CART_PLUS("las-cart-plus", '\uf217'),
    CAR_ALT("las-car-alt", '\uf5de'),
    CAR_BATTERY("las-car-battery", '\uf5df'),
    CAR_CRASH("las-car-crash", '\uf5e1'),
    CAR_SIDE("las-car-side", '\uf5e4'),
    CASH_REGISTER("las-cash-register", '\uf788'),
    CAT("las-cat", '\uf6be'),
    CERTIFICATE("las-certificate", '\uf0a3'),
    CHAIR("las-chair", '\uf6c0'),
    CHALKBOARD("las-chalkboard", '\uf51b'),
    CHALKBOARD_TEACHER("las-chalkboard-teacher", '\uf51c'),
    CHARGING_STATION("las-charging-station", '\uf5e7'),
    CHART_AREA("las-chart-area", '\uf1fe'),
    CHART_BAR("las-chart-bar", '\uf080'),
    CHART_LINE("las-chart-line", '\uf201'),
    CHART_PIE("las-chart-pie", '\uf200'),
    CHECK("las-check", '\uf00c'),
    CHECK_CIRCLE("las-check-circle", '\uf058'),
    CHECK_DOUBLE("las-check-double", '\uf560'),
    CHECK_SQUARE("las-check-square", '\uf14a'),
    CHEESE("las-cheese", '\uf7ef'),
    CHESS("las-chess", '\uf439'),
    CHESS_BISHOP("las-chess-bishop", '\uf43a'),
    CHESS_BOARD("las-chess-board", '\uf43c'),
    CHESS_KING("las-chess-king", '\uf43f'),
    CHESS_KNIGHT("las-chess-knight", '\uf441'),
    CHESS_PAWN("las-chess-pawn", '\uf443'),
    CHESS_QUEEN("las-chess-queen", '\uf445'),
    CHESS_ROOK("las-chess-rook", '\uf447'),
    CHEVRON_CIRCLE_DOWN("las-chevron-circle-down", '\uf13a'),
    CHEVRON_CIRCLE_LEFT("las-chevron-circle-left", '\uf137'),
    CHEVRON_CIRCLE_RIGHT("las-chevron-circle-right", '\uf138'),
    CHEVRON_CIRCLE_UP("las-chevron-circle-up", '\uf139'),
    CHEVRON_DOWN("las-chevron-down", '\uf078'),
    CHEVRON_LEFT("las-chevron-left", '\uf053'),
    CHEVRON_RIGHT("las-chevron-right", '\uf054'),
    CHEVRON_UP("las-chevron-up", '\uf077'),
    CHILD("las-child", '\uf1ae'),
    CHURCH("las-church", '\uf51d'),
    CIRCLE("las-circle", '\uf111'),
    CIRCLE_NOTCH("las-circle-notch", '\uf1ce'),
    CITY("las-city", '\uf64f'),
    CLINIC_MEDICAL("las-clinic-medical", '\uf7f2'),
    CLIPBOARD("las-clipboard", '\uf328'),
    CLIPBOARD_CHECK("las-clipboard-check", '\uf46c'),
    CLIPBOARD_LIST("las-clipboard-list", '\uf46d'),
    CLOCK("las-clock", '\uf017'),
    CLONE("las-clone", '\uf24d'),
    CLOSED_CAPTIONING("las-closed-captioning", '\uf20a'),
    CLOUD("las-cloud", '\uf0c2'),
    CLOUD_DOWNLOAD_ALT("las-cloud-download-alt", '\uf381'),
    CLOUD_MEATBALL("las-cloud-meatball", '\uf73b'),
    CLOUD_MOON("las-cloud-moon", '\uf6c3'),
    CLOUD_MOON_RAIN("las-cloud-moon-rain", '\uf73c'),
    CLOUD_RAIN("las-cloud-rain", '\uf73d'),
    CLOUD_SHOWERS_HEAVY("las-cloud-showers-heavy", '\uf740'),
    CLOUD_SUN("las-cloud-sun", '\uf6c4'),
    CLOUD_SUN_RAIN("las-cloud-sun-rain", '\uf743'),
    CLOUD_UPLOAD_ALT("las-cloud-upload-alt", '\uf382'),
    COCKTAIL("las-cocktail", '\uf561'),
    CODE("las-code", '\uf121'),
    CODE_BRANCH("las-code-branch", '\uf126'),
    COFFEE("las-coffee", '\uf0f4'),
    COG("las-cog", '\uf013'),
    COGS("las-cogs", '\uf085'),
    COINS("las-coins", '\uf51e'),
    COLUMNS("las-columns", '\uf0db'),
    COMMENT("las-comment", '\uf075'),
    COMMENTS("las-comments", '\uf086'),
    COMMENTS_DOLLAR("las-comments-dollar", '\uf653'),
    COMMENT_ALT("las-comment-alt", '\uf27a'),
    COMMENT_DOLLAR("las-comment-dollar", '\uf651'),
    COMMENT_DOTS("las-comment-dots", '\uf4ad'),
    COMMENT_MEDICAL("las-comment-medical", '\uf7f5'),
    COMMENT_SLASH("las-comment-slash", '\uf4b3'),
    COMPACT_DISC("las-compact-disc", '\uf51f'),
    COMPASS("las-compass", '\uf14e'),
    COMPRESS("las-compress", '\uf066'),
    // COMPRESS_ALT("las-compress-alt", '\uf422'),
    COMPRESS_ARROWS_ALT("las-compress-arrows-alt", '\uf78c'),
    CONCIERGE_BELL("las-concierge-bell", '\uf562'),
    COOKIE("las-cookie", '\uf563'),
    COOKIE_BITE("las-cookie-bite", '\uf564'),
    COPY("las-copy", '\uf0c5'),
    COPYRIGHT("las-copyright", '\uf1f9'),
    COUCH("las-couch", '\uf4b8'),
    CREDIT_CARD("las-credit-card", '\uf09d'),
    CROP("las-crop", '\uf125'),
    CROP_ALT("las-crop-alt", '\uf565'),
    CROSS("las-cross", '\uf654'),
    CROSSHAIRS("las-crosshairs", '\uf05b'),
    CROW("las-crow", '\uf520'),
    CROWN("las-crown", '\uf521'),
    CRUTCH("las-crutch", '\uf7f7'),
    CUBE("las-cube", '\uf1b2'),
    CUBES("las-cubes", '\uf1b3'),
    CUT("las-cut", '\uf0c4'),
    DATABASE("las-database", '\uf1c0'),
    DEAF("las-deaf", '\uf2a4'),
    DEMOCRAT("las-democrat", '\uf747'),
    DESKTOP("las-desktop", '\uf108'),
    DHARMACHAKRA("las-dharmachakra", '\uf655'),
    DIAGNOSES("las-diagnoses", '\uf470'),
    DICE("las-dice", '\uf522'),
    DICE_D20("las-dice-d20", '\uf6cf'),
    DICE_D6("las-dice-d6", '\uf6d1'),
    DICE_FIVE("las-dice-five", '\uf523'),
    DICE_FOUR("las-dice-four", '\uf524'),
    DICE_ONE("las-dice-one", '\uf525'),
    DICE_SIX("las-dice-six", '\uf526'),
    DICE_THREE("las-dice-three", '\uf527'),
    DICE_TWO("las-dice-two", '\uf528'),
    DIGITAL_TACHOGRAPH("las-digital-tachograph", '\uf566'),
    DIRECTIONS("las-directions", '\uf5eb'),
    // DISEASE("las-disease", '\uf7fa'),
    DIVIDE("las-divide", '\uf529'),
    DIZZY("las-dizzy", '\uf567'),
    DNA("las-dna", '\uf471'),
    DOG("las-dog", '\uf6d3'),
    DOLLAR_SIGN("las-dollar-sign", '\uf155'),
    DOLLY("las-dolly", '\uf472'),
    DOLLY_FLATBED("las-dolly-flatbed", '\uf474'),
    DONATE("las-donate", '\uf4b9'),
    DOOR_CLOSED("las-door-closed", '\uf52a'),
    DOOR_OPEN("las-door-open", '\uf52b'),
    DOT_CIRCLE("las-dot-circle", '\uf192'),
    DOVE("las-dove", '\uf4ba'),
    DOWNLOAD("las-download", '\uf019'),
    DRAFTING_COMPASS("las-drafting-compass", '\uf568'),
    DRAGON("las-dragon", '\uf6d5'),
    DRAW_POLYGON("las-draw-polygon", '\uf5ee'),
    DRUM("las-drum", '\uf569'),
    DRUMSTICK_BITE("las-drumstick-bite", '\uf6d7'),
    DRUM_STEELPAN("las-drum-steelpan", '\uf56a'),
    DUMBBELL("las-dumbbell", '\uf44b'),
    DUMPSTER("las-dumpster", '\uf793'),
    DUMPSTER_FIRE("las-dumpster-fire", '\uf794'),
    DUNGEON("las-dungeon", '\uf6d9'),
    EDIT("las-edit", '\uf044'),
    EGG("las-egg", '\uf7fb'),
    EJECT("las-eject", '\uf052'),
    ELLIPSIS_H("las-ellipsis-h", '\uf141'),
    ELLIPSIS_V("las-ellipsis-v", '\uf142'),
    ENVELOPE("las-envelope", '\uf0e0'),
    ENVELOPE_OPEN("las-envelope-open", '\uf2b6'),
    ENVELOPE_OPEN_TEXT("las-envelope-open-text", '\uf658'),
    ENVELOPE_SQUARE("las-envelope-square", '\uf199'),
    EQUALS("las-equals", '\uf52c'),
    ERASER("las-eraser", '\uf12d'),
    ETHERNET("las-ethernet", '\uf796'),
    EURO_SIGN("las-euro-sign", '\uf153'),
    EXCHANGE_ALT("las-exchange-alt", '\uf362'),
    EXCLAMATION("las-exclamation", '\uf12a'),
    EXCLAMATION_CIRCLE("las-exclamation-circle", '\uf06a'),
    EXCLAMATION_TRIANGLE("las-exclamation-triangle", '\uf071'),
    EXPAND("las-expand", '\uf065'),
    // EXPAND_ALT("las-expand-alt", '\uf424'),
    EXPAND_ARROWS_ALT("las-expand-arrows-alt", '\uf31e'),
    EXTERNAL_LINK_ALT("las-external-link-alt", '\uf35d'),
    EXTERNAL_LINK_SQUARE_ALT("las-external-link-square-alt", '\uf360'),
    EYE("las-eye", '\uf06e'),
    EYE_DROPPER("las-eye-dropper", '\uf1fb'),
    EYE_SLASH("las-eye-slash", '\uf070'),
    FAN("las-fan", '\uf863'),
    FAST_BACKWARD("las-fast-backward", '\uf049'),
    FAST_FORWARD("las-fast-forward", '\uf050'),
    // FAUCET("las-faucet", '\ue005'),
    FAX("las-fax", '\uf1ac'),
    FEATHER("las-feather", '\uf52d'),
    FEATHER_ALT("las-feather-alt", '\uf56b'),
    FEMALE("las-female", '\uf182'),
    FIGHTER_JET("las-fighter-jet", '\uf0fb'),
    FILE("las-file", '\uf15b'),
    FILE_ALT("las-file-alt", '\uf15c'),
    FILE_ARCHIVE("las-file-archive", '\uf1c6'),
    FILE_AUDIO("las-file-audio", '\uf1c7'),
    FILE_CODE("las-file-code", '\uf1c9'),
    FILE_CONTRACT("las-file-contract", '\uf56c'),
    FILE_CSV("las-file-csv", '\uf6dd'),
    FILE_DOWNLOAD("las-file-download", '\uf56d'),
    FILE_EXCEL("las-file-excel", '\uf1c3'),
    FILE_EXPORT("las-file-export", '\uf56e'),
    FILE_IMAGE("las-file-image", '\uf1c5'),
    FILE_IMPORT("las-file-import", '\uf56f'),
    FILE_INVOICE("las-file-invoice", '\uf570'),
    FILE_INVOICE_DOLLAR("las-file-invoice-dollar", '\uf571'),
    FILE_MEDICAL("las-file-medical", '\uf477'),
    FILE_MEDICAL_ALT("las-file-medical-alt", '\uf478'),
    FILE_PDF("las-file-pdf", '\uf1c1'),
    FILE_POWERPOINT("las-file-powerpoint", '\uf1c4'),
    FILE_PRESCRIPTION("las-file-prescription", '\uf572'),
    FILE_SIGNATURE("las-file-signature", '\uf573'),
    FILE_UPLOAD("las-file-upload", '\uf574'),
    FILE_VIDEO("las-file-video", '\uf1c8'),
    FILE_WORD("las-file-word", '\uf1c2'),
    FILL("las-fill", '\uf575'),
    FILL_DRIP("las-fill-drip", '\uf576'),
    FILM("las-film", '\uf008'),
    FILTER("las-filter", '\uf0b0'),
    FINGERPRINT("las-fingerprint", '\uf577'),
    FIRE("las-fire", '\uf06d'),
    FIRE_ALT("las-fire-alt", '\uf7e4'),
    FIRE_EXTINGUISHER("las-fire-extinguisher", '\uf134'),
    FIRST_AID("las-first-aid", '\uf479'),
    FISH("las-fish", '\uf578'),
    FIST_RAISED("las-fist-raised", '\uf6de'),
    FLAG("las-flag", '\uf024'),
    FLAG_CHECKERED("las-flag-checkered", '\uf11e'),
    FLAG_USA("las-flag-usa", '\uf74d'),
    FLASK("las-flask", '\uf0c3'),
    FLUSHED("las-flushed", '\uf579'),
    FOLDER("las-folder", '\uf07b'),
    FOLDER_MINUS("las-folder-minus", '\uf65d'),
    FOLDER_OPEN("las-folder-open", '\uf07c'),
    FOLDER_PLUS("las-folder-plus", '\uf65e'),
    FONT("las-font", '\uf031'),
    FOOTBALL_BALL("las-football-ball", '\uf44e'),
    FORWARD("las-forward", '\uf04e'),
    FROG("las-frog", '\uf52e'),
    FROWN("las-frown", '\uf119'),
    FROWN_OPEN("las-frown-open", '\uf57a'),
    FUNNEL_DOLLAR("las-funnel-dollar", '\uf662'),
    FUTBOL("las-futbol", '\uf1e3'),
    GAMEPAD("las-gamepad", '\uf11b'),
    GAS_PUMP("las-gas-pump", '\uf52f'),
    GAVEL("las-gavel", '\uf0e3'),
    GEM("las-gem", '\uf3a5'),
    GENDERLESS("las-genderless", '\uf22d'),
    GHOST("las-ghost", '\uf6e2'),
    GIFT("las-gift", '\uf06b'),
    GIFTS("las-gifts", '\uf79c'),
    GLASSES("las-glasses", '\uf530'),
    GLASS_CHEERS("las-glass-cheers", '\uf79f'),
    GLASS_MARTINI("las-glass-martini", '\uf000'),
    GLASS_MARTINI_ALT("las-glass-martini-alt", '\uf57b'),
    GLASS_WHISKEY("las-glass-whiskey", '\uf7a0'),
    GLOBE("las-globe", '\uf0ac'),
    GLOBE_AFRICA("las-globe-africa", '\uf57c'),
    GLOBE_AMERICAS("las-globe-americas", '\uf57d'),
    GLOBE_ASIA("las-globe-asia", '\uf57e'),
    GLOBE_EUROPE("las-globe-europe", '\uf7a2'),
    GOLF_BALL("las-golf-ball", '\uf450'),
    GOPURAM("las-gopuram", '\uf664'),
    GRADUATION_CAP("las-graduation-cap", '\uf19d'),
    GREATER_THAN("las-greater-than", '\uf531'),
    GREATER_THAN_EQUAL("las-greater-than-equal", '\uf532'),
    GRIMACE("las-grimace", '\uf57f'),
    GRIN("las-grin", '\uf580'),
    GRIN_ALT("las-grin-alt", '\uf581'),
    GRIN_BEAM("las-grin-beam", '\uf582'),
    GRIN_BEAM_SWEAT("las-grin-beam-sweat", '\uf583'),
    GRIN_HEARTS("las-grin-hearts", '\uf584'),
    GRIN_SQUINT("las-grin-squint", '\uf585'),
    GRIN_SQUINT_TEARS("las-grin-squint-tears", '\uf586'),
    GRIN_STARS("las-grin-stars", '\uf587'),
    GRIN_TEARS("las-grin-tears", '\uf588'),
    GRIN_TONGUE("las-grin-tongue", '\uf589'),
    GRIN_TONGUE_SQUINT("las-grin-tongue-squint", '\uf58a'),
    GRIN_TONGUE_WINK("las-grin-tongue-wink", '\uf58b'),
    GRIN_WINK("las-grin-wink", '\uf58c'),
    GRIP_HORIZONTAL("las-grip-horizontal", '\uf58d'),
    GRIP_LINES("las-grip-lines", '\uf7a4'),
    GRIP_LINES_VERTICAL("las-grip-lines-vertical", '\uf7a5'),
    GRIP_VERTICAL("las-grip-vertical", '\uf58e'),
    GUITAR("las-guitar", '\uf7a6'),
    HAMBURGER("las-hamburger", '\uf805'),
    HAMMER("las-hammer", '\uf6e3'),
    HAMSA("las-hamsa", '\uf665'),
    HANDS("las-hands", '\uf4c2'),
    HANDSHAKE("las-handshake", '\uf2b5'),
    // HANDSHAKE_ALT_SLASH("las-handshake-alt-slash", '\ue05f'),
    // HANDSHAKE_SLASH("las-handshake-slash", '\ue060'),
    HANDS_HELPING("las-hands-helping", '\uf4c4'),
    // HANDS_WASH("las-hands-wash", '\ue05e'),
    HAND_HOLDING("las-hand-holding", '\uf4bd'),
    HAND_HOLDING_HEART("las-hand-holding-heart", '\uf4be'),
    // HAND_HOLDING_MEDICAL("las-hand-holding-medical", '\ue05c'),
    HAND_HOLDING_USD("las-hand-holding-usd", '\uf4c0'),
    // HAND_HOLDING_WATER("las-hand-holding-water", '\uf4c1'),
    HAND_LIZARD("las-hand-lizard", '\uf258'),
    HAND_MIDDLE_FINGER("las-hand-middle-finger", '\uf806'),
    HAND_PAPER("las-hand-paper", '\uf256'),
    HAND_PEACE("las-hand-peace", '\uf25b'),
    HAND_POINTER("las-hand-pointer", '\uf25a'),
    HAND_POINT_DOWN("las-hand-point-down", '\uf0a7'),
    HAND_POINT_LEFT("las-hand-point-left", '\uf0a5'),
    HAND_POINT_RIGHT("las-hand-point-right", '\uf0a4'),
    HAND_POINT_UP("las-hand-point-up", '\uf0a6'),
    HAND_ROCK("las-hand-rock", '\uf255'),
    HAND_SCISSORS("las-hand-scissors", '\uf257'),
    // HAND_SPARKLES("las-hand-sparkles", '\ue05d'),
    HAND_SPOCK("las-hand-spock", '\uf259'),
    HANUKIAH("las-hanukiah", '\uf6e6'),
    HARD_HAT("las-hard-hat", '\uf807'),
    HASHTAG("las-hashtag", '\uf292'),
    HAT_COWBOY("las-hat-cowboy", '\uf8c0'),
    HAT_COWBOY_SIDE("las-hat-cowboy-side", '\uf8c1'),
    HAT_WIZARD("las-hat-wizard", '\uf6e8'),
    HDD("las-hdd", '\uf0a0'),
    HEADING("las-heading", '\uf1dc'),
    HEADPHONES("las-headphones", '\uf025'),
    HEADPHONES_ALT("las-headphones-alt", '\uf58f'),
    HEADSET("las-headset", '\uf590'),
    // HEAD_SIDE_COUGH("las-head-side-cough", '\ue061'),
    // HEAD_SIDE_COUGH_SLASH("las-head-side-cough-slash", '\ue062'),
    // HEAD_SIDE_MASK("las-head-side-mask", '\ue063'),
    // HEAD_SIDE_VIRUS("las-head-side-virus", '\ue064'),
    HEART("las-heart", '\uf004'),
    HEARTBEAT("las-heartbeat", '\uf21e'),
    HEART_BROKEN("las-heart-broken", '\uf7a9'),
    HELICOPTER("las-helicopter", '\uf533'),
    HIGHLIGHTER("las-highlighter", '\uf591'),
    HIKING("las-hiking", '\uf6ec'),
    HIPPO("las-hippo", '\uf6ed'),
    HISTORY("las-history", '\uf1da'),
    HOCKEY_PUCK("las-hockey-puck", '\uf453'),
    HOLLY_BERRY("las-holly-berry", '\uf7aa'),
    HOME("las-home", '\uf015'),
    HORSE("las-horse", '\uf6f0'),
    HORSE_HEAD("las-horse-head", '\uf7ab'),
    HOSPITAL("las-hospital", '\uf0f8'),
    HOSPITAL_ALT("las-hospital-alt", '\uf47d'),
    HOSPITAL_SYMBOL("las-hospital-symbol", '\uf47e'),
    // HOSPITAL_USER("las-hospital-user", '\uf80d'),
    HOTDOG("las-hotdog", '\uf80f'),
    HOTEL("las-hotel", '\uf594'),
    HOT_TUB("las-hot-tub", '\uf593'),
    HOURGLASS("las-hourglass", '\uf254'),
    HOURGLASS_END("las-hourglass-end", '\uf253'),
    HOURGLASS_HALF("las-hourglass-half", '\uf252'),
    HOURGLASS_START("las-hourglass-start", '\uf251'),
    HOUSE_DAMAGE("las-house-damage", '\uf6f1'),
    // HOUSE_USER("las-house-user", '\ue065'),
    HRYVNIA("las-hryvnia", '\uf6f2'),
    H_SQUARE("las-h-square", '\uf0fd'),
    ICE_CREAM("las-ice-cream", '\uf810'),
    ICICLES("las-icicles", '\uf7ad'),
    ICONS("las-icons", '\uf86d'),
    ID_BADGE("las-id-badge", '\uf2c1'),
    ID_CARD("las-id-card", '\uf2c2'),
    ID_CARD_ALT("las-id-card-alt", '\uf47f'),
    IGLOO("las-igloo", '\uf7ae'),
    IMAGE("las-image", '\uf03e'),
    IMAGES("las-images", '\uf302'),
    INBOX("las-inbox", '\uf01c'),
    INDENT("las-indent", '\uf03c'),
    INDUSTRY("las-industry", '\uf275'),
    INFINITY("las-infinity", '\uf534'),
    INFO("las-info", '\uf129'),
    INFO_CIRCLE("las-info-circle", '\uf05a'),
    ITALIC("las-italic", '\uf033'),
    I_CURSOR("las-i-cursor", '\uf246'),
    JEDI("las-jedi", '\uf669'),
    JOINT("las-joint", '\uf595'),
    JOURNAL_WHILLS("las-journal-whills", '\uf66a'),
    KAABA("las-kaaba", '\uf66b'),
    KEY("las-key", '\uf084'),
    KEYBOARD("las-keyboard", '\uf11c'),
    KHANDA("las-khanda", '\uf66d'),
    KISS("las-kiss", '\uf596'),
    KISS_BEAM("las-kiss-beam", '\uf597'),
    KISS_WINK_HEART("las-kiss-wink-heart", '\uf598'),
    KIWI_BIRD("las-kiwi-bird", '\uf535'),
    LANDMARK("las-landmark", '\uf66f'),
    LANGUAGE("las-language", '\uf1ab'),
    LAPTOP("las-laptop", '\uf109'),
    LAPTOP_CODE("las-laptop-code", '\uf5fc'),
    // LAPTOP_HOUSE("las-laptop-house", '\ue066'),
    LAPTOP_MEDICAL("las-laptop-medical", '\uf812'),
    LAUGH("las-laugh", '\uf599'),
    LAUGH_BEAM("las-laugh-beam", '\uf59a'),
    LAUGH_SQUINT("las-laugh-squint", '\uf59b'),
    LAUGH_WINK("las-laugh-wink", '\uf59c'),
    LAYER_GROUP("las-layer-group", '\uf5fd'),
    LEAF("las-leaf", '\uf06c'),
    LEMON("las-lemon", '\uf094'),
    LESS_THAN("las-less-than", '\uf536'),
    LESS_THAN_EQUAL("las-less-than-equal", '\uf537'),
    LEVEL_DOWN_ALT("las-level-down-alt", '\uf3be'),
    LEVEL_UP_ALT("las-level-up-alt", '\uf3bf'),
    LIFE_RING("las-life-ring", '\uf1cd'),
    LIGHTBULB("las-lightbulb", '\uf0eb'),
    LINK("las-link", '\uf0c1'),
    LIRA_SIGN("las-lira-sign", '\uf195'),
    LIST("las-list", '\uf03a'),
    LIST_ALT("las-list-alt", '\uf022'),
    LIST_OL("las-list-ol", '\uf0cb'),
    LIST_UL("las-list-ul", '\uf0ca'),
    LOCATION_ARROW("las-location-arrow", '\uf124'),
    LOCK("las-lock", '\uf023'),
    LOCK_OPEN("las-lock-open", '\uf3c1'),
    LONG_ARROW_ALT_DOWN("las-long-arrow-alt-down", '\uf309'),
    LONG_ARROW_ALT_LEFT("las-long-arrow-alt-left", '\uf30a'),
    LONG_ARROW_ALT_RIGHT("las-long-arrow-alt-right", '\uf30b'),
    LONG_ARROW_ALT_UP("las-long-arrow-alt-up", '\uf30c'),
    LOW_VISION("las-low-vision", '\uf2a8'),
    LUGGAGE_CART("las-luggage-cart", '\uf59d'),
    // LUNGS("las-lungs", '\uf604'),
    // LUNGS_VIRUS("las-lungs-virus", '\ue067'),
    MAGIC("las-magic", '\uf0d0'),
    MAGNET("las-magnet", '\uf076'),
    MAIL_BULK("las-mail-bulk", '\uf674'),
    MALE("las-male", '\uf183'),
    MAP("las-map", '\uf279'),
    MAP_MARKED("las-map-marked", '\uf59f'),
    MAP_MARKED_ALT("las-map-marked-alt", '\uf5a0'),
    MAP_MARKER("las-map-marker", '\uf041'),
    MAP_MARKER_ALT("las-map-marker-alt", '\uf3c5'),
    MAP_PIN("las-map-pin", '\uf276'),
    MAP_SIGNS("las-map-signs", '\uf277'),
    MARKER("las-marker", '\uf5a1'),
    MARS("las-mars", '\uf222'),
    MARS_DOUBLE("las-mars-double", '\uf227'),
    MARS_STROKE("las-mars-stroke", '\uf229'),
    MARS_STROKE_H("las-mars-stroke-h", '\uf22b'),
    MARS_STROKE_V("las-mars-stroke-v", '\uf22a'),
    MASK("las-mask", '\uf6fa'),
    MEDAL("las-medal", '\uf5a2'),
    MEDKIT("las-medkit", '\uf0fa'),
    MEH("las-meh", '\uf11a'),
    MEH_BLANK("las-meh-blank", '\uf5a4'),
    MEH_ROLLING_EYES("las-meh-rolling-eyes", '\uf5a5'),
    MEMORY("las-memory", '\uf538'),
    MENORAH("las-menorah", '\uf676'),
    MERCURY("las-mercury", '\uf223'),
    METEOR("las-meteor", '\uf753'),
    MICROCHIP("las-microchip", '\uf2db'),
    MICROPHONE("las-microphone", '\uf130'),
    MICROPHONE_ALT("las-microphone-alt", '\uf3c9'),
    MICROPHONE_ALT_SLASH("las-microphone-alt-slash", '\uf539'),
    MICROPHONE_SLASH("las-microphone-slash", '\uf131'),
    MICROSCOPE("las-microscope", '\uf610'),
    MINUS("las-minus", '\uf068'),
    MINUS_CIRCLE("las-minus-circle", '\uf056'),
    MINUS_SQUARE("las-minus-square", '\uf146'),
    MITTEN("las-mitten", '\uf7b5'),
    MOBILE("las-mobile", '\uf10b'),
    MOBILE_ALT("las-mobile-alt", '\uf3cd'),
    MONEY_BILL("las-money-bill", '\uf0d6'),
    MONEY_BILL_ALT("las-money-bill-alt", '\uf3d1'),
    MONEY_BILL_WAVE("las-money-bill-wave", '\uf53a'),
    MONEY_BILL_WAVE_ALT("las-money-bill-wave-alt", '\uf53b'),
    MONEY_CHECK("las-money-check", '\uf53c'),
    MONEY_CHECK_ALT("las-money-check-alt", '\uf53d'),
    MONUMENT("las-monument", '\uf5a6'),
    MOON("las-moon", '\uf186'),
    MORTAR_PESTLE("las-mortar-pestle", '\uf5a7'),
    MOSQUE("las-mosque", '\uf678'),
    MOTORCYCLE("las-motorcycle", '\uf21c'),
    MOUNTAIN("las-mountain", '\uf6fc'),
    MOUSE("las-mouse", '\uf8cc'),
    MOUSE_POINTER("las-mouse-pointer", '\uf245'),
    MUG_HOT("las-mug-hot", '\uf7b6'),
    MUSIC("las-music", '\uf001'),
    NETWORK_WIRED("las-network-wired", '\uf6ff'),
    NEUTER("las-neuter", '\uf22c'),
    NEWSPAPER("las-newspaper", '\uf1ea'),
    NOTES_MEDICAL("las-notes-medical", '\uf481'),
    NOT_EQUAL("las-not-equal", '\uf53e'),
    OBJECT_GROUP("las-object-group", '\uf247'),
    OBJECT_UNGROUP("las-object-ungroup", '\uf248'),
    OIL_CAN("las-oil-can", '\uf613'),
    OM("las-om", '\uf679'),
    OTTER("las-otter", '\uf700'),
    OUTDENT("las-outdent", '\uf03b'),
    PAGER("las-pager", '\uf815'),
    PAINT_BRUSH("las-paint-brush", '\uf1fc'),
    PAINT_ROLLER("las-paint-roller", '\uf5aa'),
    PALETTE("las-palette", '\uf53f'),
    PALLET("las-pallet", '\uf482'),
    PAPERCLIP("las-paperclip", '\uf0c6'),
    PAPER_PLANE("las-paper-plane", '\uf1d8'),
    PARACHUTE_BOX("las-parachute-box", '\uf4cd'),
    PARAGRAPH("las-paragraph", '\uf1dd'),
    PARKING("las-parking", '\uf540'),
    PASSPORT("las-passport", '\uf5ab'),
    PASTAFARIANISM("las-pastafarianism", '\uf67b'),
    PASTE("las-paste", '\uf0ea'),
    PAUSE("las-pause", '\uf04c'),
    PAUSE_CIRCLE("las-pause-circle", '\uf28b'),
    PAW("las-paw", '\uf1b0'),
    PEACE("las-peace", '\uf67c'),
    PEN("las-pen", '\uf304'),
    PENCIL_ALT("las-pencil-alt", '\uf303'),
    PENCIL_RULER("las-pencil-ruler", '\uf5ae'),
    PEN_ALT("las-pen-alt", '\uf305'),
    PEN_FANCY("las-pen-fancy", '\uf5ac'),
    PEN_NIB("las-pen-nib", '\uf5ad'),
    PEN_SQUARE("las-pen-square", '\uf14b'),
    // PEOPLE_ARROWS("las-people-arrows", '\ue068'),
    PEOPLE_CARRY("las-people-carry", '\uf4ce'),
    PEPPER_HOT("las-pepper-hot", '\uf816'),
    PERCENT("las-percent", '\uf295'),
    PERCENTAGE("las-percentage", '\uf541'),
    PERSON_BOOTH("las-person-booth", '\uf756'),
    PHONE("las-phone", '\uf095'),
    PHONE_ALT("las-phone-alt", '\uf879'),
    PHONE_SLASH("las-phone-slash", '\uf3dd'),
    PHONE_SQUARE("las-phone-square", '\uf098'),
    PHONE_SQUARE_ALT("las-phone-square-alt", '\uf87b'),
    PHONE_VOLUME("las-phone-volume", '\uf2a0'),
    PHOTO_VIDEO("las-photo-video", '\uf87c'),
    PIGGY_BANK("las-piggy-bank", '\uf4d3'),
    PILLS("las-pills", '\uf484'),
    PIZZA_SLICE("las-pizza-slice", '\uf818'),
    PLACE_OF_WORSHIP("las-place-of-worship", '\uf67f'),
    PLANE("las-plane", '\uf072'),
    PLANE_ARRIVAL("las-plane-arrival", '\uf5af'),
    PLANE_DEPARTURE("las-plane-departure", '\uf5b0'),
    // PLANE_SLASH("las-plane-slash", '\ue069'),
    PLAY("las-play", '\uf04b'),
    PLAY_CIRCLE("las-play-circle", '\uf144'),
    PLUG("las-plug", '\uf1e6'),
    PLUS("las-plus", '\uf067'),
    PLUS_CIRCLE("las-plus-circle", '\uf055'),
    PLUS_SQUARE("las-plus-square", '\uf0fe'),
    PODCAST("las-podcast", '\uf2ce'),
    POLL("las-poll", '\uf681'),
    POLL_H("las-poll-h", '\uf682'),
    POO("las-poo", '\uf2fe'),
    POOP("las-poop", '\uf619'),
    POO_STORM("las-poo-storm", '\uf75a'),
    PORTRAIT("las-portrait", '\uf3e0'),
    POUND_SIGN("las-pound-sign", '\uf154'),
    POWER_OFF("las-power-off", '\uf011'),
    PRAY("las-pray", '\uf683'),
    PRAYING_HANDS("las-praying-hands", '\uf684'),
    PRESCRIPTION("las-prescription", '\uf5b1'),
    PRESCRIPTION_BOTTLE("las-prescription-bottle", '\uf485'),
    PRESCRIPTION_BOTTLE_ALT("las-prescription-bottle-alt", '\uf486'),
    PRINT("las-print", '\uf02f'),
    PROCEDURES("las-procedures", '\uf487'),
    PROJECT_DIAGRAM("las-project-diagram", '\uf542'),
    // PUMP_MEDICAL("las-pump-medical", '\ue06a'),
    // PUMP_SOAP("las-pump-soap", '\ue06b'),
    PUZZLE_PIECE("las-puzzle-piece", '\uf12e'),
    QRCODE("las-qrcode", '\uf029'),
    QUESTION("las-question", '\uf128'),
    QUESTION_CIRCLE("las-question-circle", '\uf059'),
    QUIDDITCH("las-quidditch", '\uf458'),
    QUOTE_LEFT("las-quote-left", '\uf10d'),
    QUOTE_RIGHT("las-quote-right", '\uf10e'),
    QURAN("las-quran", '\uf687'),
    RADIATION("las-radiation", '\uf7b9'),
    RADIATION_ALT("las-radiation-alt", '\uf7ba'),
    RAINBOW("las-rainbow", '\uf75b'),
    RANDOM("las-random", '\uf074'),
    RECEIPT("las-receipt", '\uf543'),
    RECORD_VINYL("las-record-vinyl", '\uf8d9'),
    RECYCLE("las-recycle", '\uf1b8'),
    REDO("las-redo", '\uf01e'),
    REDO_ALT("las-redo-alt", '\uf2f9'),
    REGISTERED("las-registered", '\uf25d'),
    REMOVE_FORMAT("las-remove-format", '\uf87d'),
    REPLY("las-reply", '\uf3e5'),
    REPLY_ALL("las-reply-all", '\uf122'),
    REPUBLICAN("las-republican", '\uf75e'),
    RESTROOM("las-restroom", '\uf7bd'),
    RETWEET("las-retweet", '\uf079'),
    RIBBON("las-ribbon", '\uf4d6'),
    RING("las-ring", '\uf70b'),
    ROAD("las-road", '\uf018'),
    ROBOT("las-robot", '\uf544'),
    ROCKET("las-rocket", '\uf135'),
    ROUTE("las-route", '\uf4d7'),
    RSS("las-rss", '\uf09e'),
    RSS_SQUARE("las-rss-square", '\uf143'),
    RUBLE_SIGN("las-ruble-sign", '\uf158'),
    RULER("las-ruler", '\uf545'),
    RULER_COMBINED("las-ruler-combined", '\uf546'),
    RULER_HORIZONTAL("las-ruler-horizontal", '\uf547'),
    RULER_VERTICAL("las-ruler-vertical", '\uf548'),
    RUNNING("las-running", '\uf70c'),
    RUPEE_SIGN("las-rupee-sign", '\uf156'),
    SAD_CRY("las-sad-cry", '\uf5b3'),
    SAD_TEAR("las-sad-tear", '\uf5b4'),
    SATELLITE("las-satellite", '\uf7bf'),
    SATELLITE_DISH("las-satellite-dish", '\uf7c0'),
    SAVE("las-save", '\uf0c7'),
    SCHOOL("las-school", '\uf549'),
    SCREWDRIVER("las-screwdriver", '\uf54a'),
    SCROLL("las-scroll", '\uf70e'),
    SD_CARD("las-sd-card", '\uf7c2'),
    SEARCH("las-search", '\uf002'),
    SEARCH_DOLLAR("las-search-dollar", '\uf688'),
    SEARCH_LOCATION("las-search-location", '\uf689'),
    SEARCH_MINUS("las-search-minus", '\uf010'),
    SEARCH_PLUS("las-search-plus", '\uf00e'),
    SEEDLING("las-seedling", '\uf4d8'),
    SERVER("las-server", '\uf233'),
    SHAPES("las-shapes", '\uf61f'),
    SHARE("las-share", '\uf064'),
    SHARE_ALT("las-share-alt", '\uf1e0'),
    SHARE_ALT_SQUARE("las-share-alt-square", '\uf1e1'),
    SHARE_SQUARE("las-share-square", '\uf14d'),
    SHEKEL_SIGN("las-shekel-sign", '\uf20b'),
    SHIELD_ALT("las-shield-alt", '\uf3ed'),
    // SHIELD_VIRUS("las-shield-virus", '\ue06c'),
    SHIP("las-ship", '\uf21a'),
    SHIPPING_FAST("las-shipping-fast", '\uf48b'),
    SHOE_PRINTS("las-shoe-prints", '\uf54b'),
    SHOPPING_BAG("las-shopping-bag", '\uf290'),
    SHOPPING_BASKET("las-shopping-basket", '\uf291'),
    SHOPPING_CART("las-shopping-cart", '\uf07a'),
    SHOWER("las-shower", '\uf2cc'),
    SHUTTLE_VAN("las-shuttle-van", '\uf5b6'),
    SIGN("las-sign", '\uf4d9'),
    SIGNAL("las-signal", '\uf012'),
    SIGNATURE("las-signature", '\uf5b7'),
    SIGN_IN_ALT("las-sign-in-alt", '\uf2f6'),
    SIGN_LANGUAGE("las-sign-language", '\uf2a7'),
    SIGN_OUT_ALT("las-sign-out-alt", '\uf2f5'),
    SIM_CARD("las-sim-card", '\uf7c4'),
    // SINK("las-sink", '\ue06d'),
    SITEMAP("las-sitemap", '\uf0e8'),
    SKATING("las-skating", '\uf7c5'),
    SKIING("las-skiing", '\uf7c9'),
    SKIING_NORDIC("las-skiing-nordic", '\uf7ca'),
    SKULL("las-skull", '\uf54c'),
    SKULL_CROSSBONES("las-skull-crossbones", '\uf714'),
    SLASH("las-slash", '\uf715'),
    SLEIGH("las-sleigh", '\uf7cc'),
    SLIDERS_H("las-sliders-h", '\uf1de'),
    SMILE("las-smile", '\uf118'),
    SMILE_BEAM("las-smile-beam", '\uf5b8'),
    SMILE_WINK("las-smile-wink", '\uf4da'),
    SMOG("las-smog", '\uf75f'),
    SMOKING("las-smoking", '\uf48d'),
    SMOKING_BAN("las-smoking-ban", '\uf54d'),
    SMS("las-sms", '\uf7cd'),
    SNOWBOARDING("las-snowboarding", '\uf7ce'),
    SNOWFLAKE("las-snowflake", '\uf2dc'),
    SNOWMAN("las-snowman", '\uf7d0'),
    SNOWPLOW("las-snowplow", '\uf7d2'),
    // SOAP("las-soap", '\ue06e'),
    SOCKS("las-socks", '\uf696'),
    SOLAR_PANEL("las-solar-panel", '\uf5ba'),
    SORT("las-sort", '\uf0dc'),
    SORT_ALPHA_DOWN("las-sort-alpha-down", '\uf15d'),
    SORT_ALPHA_DOWN_ALT("las-sort-alpha-down-alt", '\uf881'),
    SORT_ALPHA_UP("las-sort-alpha-up", '\uf15e'),
    SORT_ALPHA_UP_ALT("las-sort-alpha-up-alt", '\uf882'),
    SORT_AMOUNT_DOWN("las-sort-amount-down", '\uf160'),
    SORT_AMOUNT_DOWN_ALT("las-sort-amount-down-alt", '\uf884'),
    SORT_AMOUNT_UP("las-sort-amount-up", '\uf161'),
    SORT_AMOUNT_UP_ALT("las-sort-amount-up-alt", '\uf885'),
    SORT_DOWN("las-sort-down", '\uf0dd'),
    SORT_NUMERIC_DOWN("las-sort-numeric-down", '\uf162'),
    SORT_NUMERIC_DOWN_ALT("las-sort-numeric-down-alt", '\uf886'),
    SORT_NUMERIC_UP("las-sort-numeric-up", '\uf163'),
    SORT_NUMERIC_UP_ALT("las-sort-numeric-up-alt", '\uf887'),
    SORT_UP("las-sort-up", '\uf0de'),
    SPA("las-spa", '\uf5bb'),
    SPACE_SHUTTLE("las-space-shuttle", '\uf197'),
    SPELL_CHECK("las-spell-check", '\uf891'),
    SPIDER("las-spider", '\uf717'),
    SPINNER("las-spinner", '\uf110'),
    SPLOTCH("las-splotch", '\uf5bc'),
    SPRAY_CAN("las-spray-can", '\uf5bd'),
    SQUARE("las-square", '\uf0c8'),
    SQUARE_FULL("las-square-full", '\uf45c'),
    SQUARE_ROOT_ALT("las-square-root-alt", '\uf698'),
    STAMP("las-stamp", '\uf5bf'),
    STAR("las-star", '\uf005'),
    STAR_AND_CRESCENT("las-star-and-crescent", '\uf699'),
    STAR_HALF("las-star-half", '\uf089'),
    STAR_HALF_ALT("las-star-half-alt", '\uf5c0'),
    STAR_OF_DAVID("las-star-of-david", '\uf69a'),
    STAR_OF_LIFE("las-star-of-life", '\uf621'),
    STEP_BACKWARD("las-step-backward", '\uf048'),
    STEP_FORWARD("las-step-forward", '\uf051'),
    STETHOSCOPE("las-stethoscope", '\uf0f1'),
    STICKY_NOTE("las-sticky-note", '\uf249'),
    STOP("las-stop", '\uf04d'),
    STOPWATCH("las-stopwatch", '\uf2f2'),
    // STOPWATCH_20("las-stopwatch-20", '\ue06f'),
    STOP_CIRCLE("las-stop-circle", '\uf28d'),
    STORE("las-store", '\uf54e'),
    STORE_ALT("las-store-alt", '\uf54f'),
    // STORE_ALT_SLASH("las-store-alt-slash", '\ue070'),
    // STORE_SLASH("las-store-slash", '\ue071'),
    STREAM("las-stream", '\uf550'),
    STREET_VIEW("las-street-view", '\uf21d'),
    STRIKETHROUGH("las-strikethrough", '\uf0cc'),
    STROOPWAFEL("las-stroopwafel", '\uf551'),
    SUBSCRIPT("las-subscript", '\uf12c'),
    SUBWAY("las-subway", '\uf239'),
    SUITCASE("las-suitcase", '\uf0f2'),
    SUITCASE_ROLLING("las-suitcase-rolling", '\uf5c1'),
    SUN("las-sun", '\uf185'),
    SUPERSCRIPT("las-superscript", '\uf12b'),
    SURPRISE("las-surprise", '\uf5c2'),
    SWATCHBOOK("las-swatchbook", '\uf5c3'),
    SWIMMER("las-swimmer", '\uf5c4'),
    SWIMMING_POOL("las-swimming-pool", '\uf5c5'),
    SYNAGOGUE("las-synagogue", '\uf69b'),
    SYNC("las-sync", '\uf021'),
    SYNC_ALT("las-sync-alt", '\uf2f1'),
    SYRINGE("las-syringe", '\uf48e'),
    TABLE("las-table", '\uf0ce'),
    TABLET("las-tablet", '\uf10a'),
    TABLETS("las-tablets", '\uf490'),
    TABLET_ALT("las-tablet-alt", '\uf3fa'),
    TABLE_TENNIS("las-table-tennis", '\uf45d'),
    TACHOMETER_ALT("las-tachometer-alt", '\uf3fd'),
    TAG("las-tag", '\uf02b'),
    TAGS("las-tags", '\uf02c'),
    TAPE("las-tape", '\uf4db'),
    TASKS("las-tasks", '\uf0ae'),
    TAXI("las-taxi", '\uf1ba'),
    TEETH("las-teeth", '\uf62e'),
    TEETH_OPEN("las-teeth-open", '\uf62f'),
    TEMPERATURE_HIGH("las-temperature-high", '\uf769'),
    TEMPERATURE_LOW("las-temperature-low", '\uf76b'),
    TENGE("las-tenge", '\uf7d7'),
    TERMINAL("las-terminal", '\uf120'),
    TEXT_HEIGHT("las-text-height", '\uf034'),
    TEXT_WIDTH("las-text-width", '\uf035'),
    TH("las-th", '\uf00a'),
    THEATER_MASKS("las-theater-masks", '\uf630'),
    THERMOMETER("las-thermometer", '\uf491'),
    THERMOMETER_EMPTY("las-thermometer-empty", '\uf2cb'),
    THERMOMETER_FULL("las-thermometer-full", '\uf2c7'),
    THERMOMETER_HALF("las-thermometer-half", '\uf2c9'),
    THERMOMETER_QUARTER("las-thermometer-quarter", '\uf2ca'),
    THERMOMETER_THREE_QUARTERS("las-thermometer-three-quarters", '\uf2c8'),
    THUMBS_DOWN("las-thumbs-down", '\uf165'),
    THUMBS_UP("las-thumbs-up", '\uf164'),
    THUMBTACK("las-thumbtack", '\uf08d'),
    TH_LARGE("las-th-large", '\uf009'),
    TH_LIST("las-th-list", '\uf00b'),
    TICKET_ALT("las-ticket-alt", '\uf3ff'),
    TIMES("las-times", '\uf00d'),
    TIMES_CIRCLE("las-times-circle", '\uf057'),
    TINT("las-tint", '\uf043'),
    TINT_SLASH("las-tint-slash", '\uf5c7'),
    TIRED("las-tired", '\uf5c8'),
    TOGGLE_OFF("las-toggle-off", '\uf204'),
    TOGGLE_ON("las-toggle-on", '\uf205'),
    TOILET("las-toilet", '\uf7d8'),
    TOILET_PAPER("las-toilet-paper", '\uf71e'),
    // TOILET_PAPER_SLASH("las-toilet-paper-slash", '\ue072'),
    TOOLBOX("las-toolbox", '\uf552'),
    TOOLS("las-tools", '\uf7d9'),
    TOOTH("las-tooth", '\uf5c9'),
    TORAH("las-torah", '\uf6a0'),
    TORII_GATE("las-torii-gate", '\uf6a1'),
    TRACTOR("las-tractor", '\uf722'),
    TRADEMARK("las-trademark", '\uf25c'),
    TRAFFIC_LIGHT("las-traffic-light", '\uf637'),
    // TRAILER("las-trailer", '\ue041'),
    TRAIN("las-train", '\uf238'),
    TRAM("las-tram", '\uf7da'),
    TRANSGENDER("las-transgender", '\uf224'),
    TRANSGENDER_ALT("las-transgender-alt", '\uf225'),
    TRASH("las-trash", '\uf1f8'),
    TRASH_ALT("las-trash-alt", '\uf2ed'),
    TRASH_RESTORE("las-trash-restore", '\uf829'),
    TRASH_RESTORE_ALT("las-trash-restore-alt", '\uf82a'),
    TREE("las-tree", '\uf1bb'),
    TROPHY("las-trophy", '\uf091'),
    TRUCK("las-truck", '\uf0d1'),
    TRUCK_LOADING("las-truck-loading", '\uf4de'),
    TRUCK_MONSTER("las-truck-monster", '\uf63b'),
    TRUCK_MOVING("las-truck-moving", '\uf4df'),
    TRUCK_PICKUP("las-truck-pickup", '\uf63c'),
    TSHIRT("las-tshirt", '\uf553'),
    TTY("las-tty", '\uf1e4'),
    TV("las-tv", '\uf26c'),
    UMBRELLA("las-umbrella", '\uf0e9'),
    UMBRELLA_BEACH("las-umbrella-beach", '\uf5ca'),
    UNDERLINE("las-underline", '\uf0cd'),
    UNDO("las-undo", '\uf0e2'),
    UNDO_ALT("las-undo-alt", '\uf2ea'),
    UNIVERSAL_ACCESS("las-universal-access", '\uf29a'),
    UNIVERSITY("las-university", '\uf19c'),
    UNLINK("las-unlink", '\uf127'),
    UNLOCK("las-unlock", '\uf09c'),
    UNLOCK_ALT("las-unlock-alt", '\uf13e'),
    UPLOAD("las-upload", '\uf093'),
    USER("las-user", '\uf007'),
    USERS("las-users", '\uf0c0'),
    USERS_COG("las-users-cog", '\uf509'),
    // USERS_SLASH("las-users-slash", '\ue073'),
    USER_ALT("las-user-alt", '\uf406'),
    USER_ALT_SLASH("las-user-alt-slash", '\uf4fa'),
    USER_ASTRONAUT("las-user-astronaut", '\uf4fb'),
    USER_CHECK("las-user-check", '\uf4fc'),
    USER_CIRCLE("las-user-circle", '\uf2bd'),
    USER_CLOCK("las-user-clock", '\uf4fd'),
    USER_COG("las-user-cog", '\uf4fe'),
    USER_EDIT("las-user-edit", '\uf4ff'),
    USER_FRIENDS("las-user-friends", '\uf500'),
    USER_GRADUATE("las-user-graduate", '\uf501'),
    USER_INJURED("las-user-injured", '\uf728'),
    USER_LOCK("las-user-lock", '\uf502'),
    USER_MD("las-user-md", '\uf0f0'),
    USER_MINUS("las-user-minus", '\uf503'),
    USER_NINJA("las-user-ninja", '\uf504'),
    USER_NURSE("las-user-nurse", '\uf82f'),
    USER_PLUS("las-user-plus", '\uf234'),
    USER_SECRET("las-user-secret", '\uf21b'),
    USER_SHIELD("las-user-shield", '\uf505'),
    USER_SLASH("las-user-slash", '\uf506'),
    USER_TAG("las-user-tag", '\uf507'),
    USER_TIE("las-user-tie", '\uf508'),
    USER_TIMES("las-user-times", '\uf235'),
    UTENSILS("las-utensils", '\uf2e7'),
    UTENSIL_SPOON("las-utensil-spoon", '\uf2e5'),
    VECTOR_SQUARE("las-vector-square", '\uf5cb'),
    VENUS("las-venus", '\uf221'),
    VENUS_DOUBLE("las-venus-double", '\uf226'),
    VENUS_MARS("las-venus-mars", '\uf228'),
    // VEST("las-vest", '\ue085'),
    // VEST_PATCHES("las-vest-patches", '\ue086'),
    VIAL("las-vial", '\uf492'),
    VIALS("las-vials", '\uf493'),
    VIDEO("las-video", '\uf03d'),
    VIDEO_SLASH("las-video-slash", '\uf4e2'),
    VIHARA("las-vihara", '\uf6a7'),
    // VIRUS("las-virus", '\ue074'),
    // VIRUSES("las-viruses", '\ue076'),
    // VIRUS_SLASH("las-virus-slash", '\ue075'),
    VOICEMAIL("las-voicemail", '\uf897'),
    VOLLEYBALL_BALL("las-volleyball-ball", '\uf45f'),
    VOLUME_DOWN("las-volume-down", '\uf027'),
    VOLUME_MUTE("las-volume-mute", '\uf6a9'),
    VOLUME_OFF("las-volume-off", '\uf026'),
    VOLUME_UP("las-volume-up", '\uf028'),
    VOTE_YEA("las-vote-yea", '\uf772'),
    VR_CARDBOARD("las-vr-cardboard", '\uf729'),
    WALKING("las-walking", '\uf554'),
    WALLET("las-wallet", '\uf555'),
    WAREHOUSE("las-warehouse", '\uf494'),
    WATER("las-water", '\uf773'),
    WAVE_SQUARE("las-wave-square", '\uf83e'),
    WEIGHT("las-weight", '\uf496'),
    WEIGHT_HANGING("las-weight-hanging", '\uf5cd'),
    WHEELCHAIR("las-wheelchair", '\uf193'),
    WIFI("las-wifi", '\uf1eb'),
    WIND("las-wind", '\uf72e'),
    WINDOW_CLOSE("las-window-close", '\uf410'),
    WINDOW_MAXIMIZE("las-window-maximize", '\uf2d0'),
    WINDOW_MINIMIZE("las-window-minimize", '\uf2d1'),
    WINDOW_RESTORE("las-window-restore", '\uf2d2'),
    WINE_BOTTLE("las-wine-bottle", '\uf72f'),
    WINE_GLASS("las-wine-glass", '\uf4e3'),
    WINE_GLASS_ALT("las-wine-glass-alt", '\uf5ce'),
    WON_SIGN("las-won-sign", '\uf159'),
    WRENCH("las-wrench", '\uf0ad'),
    X_RAY("las-x-ray", '\uf497'),
    YEN_SIGN("las-yen-sign", '\uf157'),
    YIN_YANG("las-yin-yang", '\uf6ad');

    public static LineAwesomeSolid findByDescription(String description) {
        for (LineAwesomeSolid font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    LineAwesomeSolid(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}
